/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         minimal_base_yyparse
#define yylex           minimal_base_yylex
#define yyerror         minimal_base_yyerror
#define yydebug         minimal_base_yydebug
#define yynerrs         minimal_base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram_minimal.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2023, PgPool Global Development Group
 * Portions Copyright (c) 1996-2023, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */

#include "pool_parser.h"
#include "utils/elog.h"
#include "utils/palloc.h"
#include "utils/pgstrcasecmp.h"
#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "parser.h"
#include "pg_class.h"
#include "pg_trigger.h"

/*
 * Definition taken from
 * postgreSQL source code file: src/include/commands/trigger.h
 */
#define TRIGGER_FIRES_ON_ORIGIN                         'O'
#define TRIGGER_FIRES_ALWAYS                            'A'
#define TRIGGER_FIRES_ON_REPLICA                        'R'
#define TRIGGER_DISABLED                                'D'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_class.h
 */

#define           REPLICA_IDENTITY_DEFAULT      'd'
#define           REPLICA_IDENTITY_NOTHING      'n'
#define           REPLICA_IDENTITY_FULL         'f'
#define           REPLICA_IDENTITY_INDEX        'i'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_attribute.h
 */
#define		  ATTRIBUTE_IDENTITY_ALWAYS	'a'
#define		  ATTRIBUTE_IDENTITY_BY_DEFAULT 'd'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/utils/xml.h
 */
typedef enum
{
	XML_STANDALONE_YES,
	XML_STANDALONE_NO,
	XML_STANDALONE_NO_VALUE,
	XML_STANDALONE_OMITTED
} XmlStandaloneType;

/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void minimal_base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeStringConst(char *str, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 326 "gram_minimal.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_MINIMAL_BASE_YY_GRAM_MINIMAL_H_INCLUDED
# define YY_MINIMAL_BASE_YY_GRAM_MINIMAL_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int minimal_base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONFIGURATION = 343,
    CONFLICT = 344,
    CONNECTION = 345,
    CONSTRAINT = 346,
    CONSTRAINTS = 347,
    CONTENT_P = 348,
    CONTINUE_P = 349,
    CONVERSION_P = 350,
    COPY = 351,
    COST = 352,
    CREATE = 353,
    CROSS = 354,
    CSV = 355,
    CUBE = 356,
    CURRENT_P = 357,
    CURRENT_CATALOG = 358,
    CURRENT_DATE = 359,
    CURRENT_ROLE = 360,
    CURRENT_SCHEMA = 361,
    CURRENT_TIME = 362,
    CURRENT_TIMESTAMP = 363,
    CURRENT_USER = 364,
    CURSOR = 365,
    CYCLE = 366,
    DATA_P = 367,
    DATABASE = 368,
    DAY_P = 369,
    DEALLOCATE = 370,
    DEC = 371,
    DECIMAL_P = 372,
    DECLARE = 373,
    DEFAULT = 374,
    DEFAULTS = 375,
    DEFERRABLE = 376,
    DEFERRED = 377,
    DEFINER = 378,
    DELETE_P = 379,
    DELIMITER = 380,
    DELIMITERS = 381,
    DEPENDS = 382,
    DEPTH = 383,
    DESC = 384,
    DETACH = 385,
    DICTIONARY = 386,
    DISABLE_P = 387,
    DISCARD = 388,
    DISTINCT = 389,
    DO = 390,
    DOCUMENT_P = 391,
    DOMAIN_P = 392,
    DOUBLE_P = 393,
    DROP = 394,
    EACH = 395,
    ELSE = 396,
    ENABLE_P = 397,
    ENCODING = 398,
    ENCRYPTED = 399,
    END_P = 400,
    ENUM_P = 401,
    ESCAPE = 402,
    EVENT = 403,
    EXCEPT = 404,
    EXCLUDE = 405,
    EXCLUDING = 406,
    EXCLUSIVE = 407,
    EXECUTE = 408,
    EXISTS = 409,
    EXPLAIN = 410,
    EXPRESSION = 411,
    EXTENSION = 412,
    EXTERNAL = 413,
    EXTRACT = 414,
    FALSE_P = 415,
    FAMILY = 416,
    FETCH = 417,
    FILTER = 418,
    FINALIZE = 419,
    FIRST_P = 420,
    FLOAT_P = 421,
    FOLLOWING = 422,
    FOR = 423,
    FORCE = 424,
    FOREIGN = 425,
    FORMAT = 426,
    FORWARD = 427,
    FREEZE = 428,
    FROM = 429,
    FULL = 430,
    FUNCTION = 431,
    FUNCTIONS = 432,
    GENERATED = 433,
    GLOBAL = 434,
    GRANT = 435,
    GRANTED = 436,
    GREATEST = 437,
    GROUP_P = 438,
    GROUPING = 439,
    GROUPS = 440,
    HANDLER = 441,
    HAVING = 442,
    HEADER_P = 443,
    HOLD = 444,
    HOUR_P = 445,
    IDENTITY_P = 446,
    IF_P = 447,
    ILIKE = 448,
    IMMEDIATE = 449,
    IMMUTABLE = 450,
    IMPLICIT_P = 451,
    IMPORT_P = 452,
    IN_P = 453,
    INCLUDE = 454,
    INCLUDING = 455,
    INCREMENT = 456,
    INDENT = 457,
    INDEX = 458,
    INDEXES = 459,
    INHERIT = 460,
    INHERITS = 461,
    INITIALLY = 462,
    INLINE_P = 463,
    INNER_P = 464,
    INOUT = 465,
    INPUT_P = 466,
    INSENSITIVE = 467,
    INSERT = 468,
    INSTEAD = 469,
    INT_P = 470,
    INTEGER = 471,
    INTERSECT = 472,
    INTERVAL = 473,
    INTO = 474,
    INVOKER = 475,
    IS = 476,
    ISNULL = 477,
    ISOLATION = 478,
    JOIN = 479,
    JSON = 480,
    JSON_ARRAY = 481,
    JSON_ARRAYAGG = 482,
    JSON_OBJECT = 483,
    JSON_OBJECTAGG = 484,
    KEY = 485,
    KEYS = 486,
    LABEL = 487,
    LANGUAGE = 488,
    LARGE_P = 489,
    LAST_P = 490,
    LATERAL_P = 491,
    LEADING = 492,
    LEAKPROOF = 493,
    LEAST = 494,
    LEFT = 495,
    LEVEL = 496,
    LIKE = 497,
    LIMIT = 498,
    LISTEN = 499,
    LOAD = 500,
    LOCAL = 501,
    LOCALTIME = 502,
    LOCALTIMESTAMP = 503,
    LOCATION = 504,
    LOCK_P = 505,
    LOCKED = 506,
    LOGGED = 507,
    MAPPING = 508,
    MATCH = 509,
    MATCHED = 510,
    MATERIALIZED = 511,
    MAXVALUE = 512,
    MERGE = 513,
    METHOD = 514,
    MINUTE_P = 515,
    MINVALUE = 516,
    MODE = 517,
    MONTH_P = 518,
    MOVE = 519,
    NAME_P = 520,
    NAMES = 521,
    NATIONAL = 522,
    NATURAL = 523,
    NCHAR = 524,
    NEW = 525,
    NEXT = 526,
    NFC = 527,
    NFD = 528,
    NFKC = 529,
    NFKD = 530,
    NO = 531,
    NONE = 532,
    NORMALIZE = 533,
    NORMALIZED = 534,
    NOT = 535,
    NOTHING = 536,
    NOTIFY = 537,
    NOTNULL = 538,
    NOWAIT = 539,
    NULL_P = 540,
    NULLIF = 541,
    NULLS_P = 542,
    NUMERIC = 543,
    OBJECT_P = 544,
    OF = 545,
    OFF = 546,
    OFFSET = 547,
    OIDS = 548,
    OLD = 549,
    ON = 550,
    ONLY = 551,
    OPERATOR = 552,
    OPTION = 553,
    OPTIONS = 554,
    OR = 555,
    ORDER = 556,
    ORDINALITY = 557,
    OTHERS = 558,
    OUT_P = 559,
    OUTER_P = 560,
    OVER = 561,
    OVERLAPS = 562,
    OVERLAY = 563,
    OVERRIDING = 564,
    OWNED = 565,
    OWNER = 566,
    PARALLEL = 567,
    PARAMETER = 568,
    PARSER = 569,
    PARTIAL = 570,
    PARTITION = 571,
    PASSING = 572,
    PASSWORD = 573,
    PGPOOL = 574,
    PLACING = 575,
    PLANS = 576,
    POLICY = 577,
    POSITION = 578,
    PRECEDING = 579,
    PRECISION = 580,
    PRESERVE = 581,
    PREPARE = 582,
    PREPARED = 583,
    PRIMARY = 584,
    PRIOR = 585,
    PRIVILEGES = 586,
    PROCEDURAL = 587,
    PROCEDURE = 588,
    PROCEDURES = 589,
    PROGRAM = 590,
    PUBLICATION = 591,
    QUOTE = 592,
    RANGE = 593,
    READ = 594,
    REAL = 595,
    REASSIGN = 596,
    RECHECK = 597,
    RECURSIVE = 598,
    REF_P = 599,
    REFERENCES = 600,
    REFERENCING = 601,
    REFRESH = 602,
    REINDEX = 603,
    RELATIVE_P = 604,
    RELEASE = 605,
    RENAME = 606,
    REPEATABLE = 607,
    REPLACE = 608,
    REPLICA = 609,
    RESET = 610,
    RESTART = 611,
    RESTRICT = 612,
    RETURN = 613,
    RETURNING = 614,
    RETURNS = 615,
    REVOKE = 616,
    RIGHT = 617,
    ROLE = 618,
    ROLLBACK = 619,
    ROLLUP = 620,
    ROUTINE = 621,
    ROUTINES = 622,
    ROW = 623,
    ROWS = 624,
    RULE = 625,
    SAVEPOINT = 626,
    SCALAR = 627,
    SCHEMA = 628,
    SCHEMAS = 629,
    SCROLL = 630,
    SEARCH = 631,
    SECOND_P = 632,
    SECURITY = 633,
    SELECT = 634,
    SEQUENCE = 635,
    SEQUENCES = 636,
    SERIALIZABLE = 637,
    SERVER = 638,
    SESSION = 639,
    SESSION_USER = 640,
    SET = 641,
    SETS = 642,
    SETOF = 643,
    SHARE = 644,
    SHOW = 645,
    SIMILAR = 646,
    SIMPLE = 647,
    SKIP = 648,
    SMALLINT = 649,
    SNAPSHOT = 650,
    SOME = 651,
    SQL_P = 652,
    STABLE = 653,
    STANDALONE_P = 654,
    START = 655,
    STATEMENT = 656,
    STATISTICS = 657,
    STDIN = 658,
    STDOUT = 659,
    STORAGE = 660,
    STORED = 661,
    STRICT_P = 662,
    STRIP_P = 663,
    SUBSCRIPTION = 664,
    SUBSTRING = 665,
    SUPPORT = 666,
    SYMMETRIC = 667,
    SYSID = 668,
    SYSTEM_P = 669,
    SYSTEM_USER = 670,
    TABLE = 671,
    TABLES = 672,
    TABLESAMPLE = 673,
    TABLESPACE = 674,
    TEMP = 675,
    TEMPLATE = 676,
    TEMPORARY = 677,
    TEXT_P = 678,
    THEN = 679,
    TIES = 680,
    TIME = 681,
    TIMESTAMP = 682,
    TO = 683,
    TRAILING = 684,
    TRANSACTION = 685,
    TRANSFORM = 686,
    TREAT = 687,
    TRIGGER = 688,
    TRIM = 689,
    TRUE_P = 690,
    TRUNCATE = 691,
    TRUSTED = 692,
    TYPE_P = 693,
    TYPES_P = 694,
    UESCAPE = 695,
    UNBOUNDED = 696,
    UNCOMMITTED = 697,
    UNENCRYPTED = 698,
    UNION = 699,
    UNIQUE = 700,
    UNKNOWN = 701,
    UNLISTEN = 702,
    UNLOGGED = 703,
    UNTIL = 704,
    UPDATE = 705,
    USER = 706,
    USING = 707,
    VACUUM = 708,
    VALID = 709,
    VALIDATE = 710,
    VALIDATOR = 711,
    VALUE_P = 712,
    VALUES = 713,
    VARCHAR = 714,
    VARIADIC = 715,
    VARYING = 716,
    VERBOSE = 717,
    VERSION_P = 718,
    VIEW = 719,
    VIEWS = 720,
    VOLATILE = 721,
    WHEN = 722,
    WHERE = 723,
    WHITESPACE_P = 724,
    WINDOW = 725,
    WITH = 726,
    WITHIN = 727,
    WITHOUT = 728,
    WORK = 729,
    WRAPPER = 730,
    WRITE = 731,
    XML_P = 732,
    XMLATTRIBUTES = 733,
    XMLCONCAT = 734,
    XMLELEMENT = 735,
    XMLEXISTS = 736,
    XMLFOREST = 737,
    XMLNAMESPACES = 738,
    XMLPARSE = 739,
    XMLPI = 740,
    XMLROOT = 741,
    XMLSERIALIZE = 742,
    XMLTABLE = 743,
    YEAR_P = 744,
    YES_P = 745,
    ZONE = 746,
    FORMAT_LA = 747,
    NOT_LA = 748,
    NULLS_LA = 749,
    WITH_LA = 750,
    WITHOUT_LA = 751,
    MODE_TYPE_NAME = 752,
    MODE_PLPGSQL_EXPR = 753,
    MODE_PLPGSQL_ASSIGN1 = 754,
    MODE_PLPGSQL_ASSIGN2 = 755,
    MODE_PLPGSQL_ASSIGN3 = 756,
    UMINUS = 757
  };
#endif
/* Tokens.  */
#define IDENT 258
#define UIDENT 259
#define FCONST 260
#define SCONST 261
#define USCONST 262
#define BCONST 263
#define XCONST 264
#define Op 265
#define ICONST 266
#define PARAM 267
#define TYPECAST 268
#define DOT_DOT 269
#define COLON_EQUALS 270
#define EQUALS_GREATER 271
#define LESS_EQUALS 272
#define GREATER_EQUALS 273
#define NOT_EQUALS 274
#define ABORT_P 275
#define ABSENT 276
#define ABSOLUTE_P 277
#define ACCESS 278
#define ACTION 279
#define ADD_P 280
#define ADMIN 281
#define AFTER 282
#define AGGREGATE 283
#define ALL 284
#define ALSO 285
#define ALTER 286
#define ALWAYS 287
#define ANALYSE 288
#define ANALYZE 289
#define AND 290
#define ANY 291
#define ARRAY 292
#define AS 293
#define ASC 294
#define ASENSITIVE 295
#define ASSERTION 296
#define ASSIGNMENT 297
#define ASYMMETRIC 298
#define ATOMIC 299
#define AT 300
#define ATTACH 301
#define ATTRIBUTE 302
#define AUTHORIZATION 303
#define BACKWARD 304
#define BEFORE 305
#define BEGIN_P 306
#define BETWEEN 307
#define BIGINT 308
#define BINARY 309
#define BIT 310
#define BOOLEAN_P 311
#define BOTH 312
#define BREADTH 313
#define BY 314
#define CACHE 315
#define CALL 316
#define CALLED 317
#define CASCADE 318
#define CASCADED 319
#define CASE 320
#define CAST 321
#define CATALOG_P 322
#define CHAIN 323
#define CHAR_P 324
#define CHARACTER 325
#define CHARACTERISTICS 326
#define CHECK 327
#define CHECKPOINT 328
#define CLASS 329
#define CLOSE 330
#define CLUSTER 331
#define COALESCE 332
#define COLLATE 333
#define COLLATION 334
#define COLUMN 335
#define COLUMNS 336
#define COMMENT 337
#define COMMENTS 338
#define COMMIT 339
#define COMMITTED 340
#define COMPRESSION 341
#define CONCURRENTLY 342
#define CONFIGURATION 343
#define CONFLICT 344
#define CONNECTION 345
#define CONSTRAINT 346
#define CONSTRAINTS 347
#define CONTENT_P 348
#define CONTINUE_P 349
#define CONVERSION_P 350
#define COPY 351
#define COST 352
#define CREATE 353
#define CROSS 354
#define CSV 355
#define CUBE 356
#define CURRENT_P 357
#define CURRENT_CATALOG 358
#define CURRENT_DATE 359
#define CURRENT_ROLE 360
#define CURRENT_SCHEMA 361
#define CURRENT_TIME 362
#define CURRENT_TIMESTAMP 363
#define CURRENT_USER 364
#define CURSOR 365
#define CYCLE 366
#define DATA_P 367
#define DATABASE 368
#define DAY_P 369
#define DEALLOCATE 370
#define DEC 371
#define DECIMAL_P 372
#define DECLARE 373
#define DEFAULT 374
#define DEFAULTS 375
#define DEFERRABLE 376
#define DEFERRED 377
#define DEFINER 378
#define DELETE_P 379
#define DELIMITER 380
#define DELIMITERS 381
#define DEPENDS 382
#define DEPTH 383
#define DESC 384
#define DETACH 385
#define DICTIONARY 386
#define DISABLE_P 387
#define DISCARD 388
#define DISTINCT 389
#define DO 390
#define DOCUMENT_P 391
#define DOMAIN_P 392
#define DOUBLE_P 393
#define DROP 394
#define EACH 395
#define ELSE 396
#define ENABLE_P 397
#define ENCODING 398
#define ENCRYPTED 399
#define END_P 400
#define ENUM_P 401
#define ESCAPE 402
#define EVENT 403
#define EXCEPT 404
#define EXCLUDE 405
#define EXCLUDING 406
#define EXCLUSIVE 407
#define EXECUTE 408
#define EXISTS 409
#define EXPLAIN 410
#define EXPRESSION 411
#define EXTENSION 412
#define EXTERNAL 413
#define EXTRACT 414
#define FALSE_P 415
#define FAMILY 416
#define FETCH 417
#define FILTER 418
#define FINALIZE 419
#define FIRST_P 420
#define FLOAT_P 421
#define FOLLOWING 422
#define FOR 423
#define FORCE 424
#define FOREIGN 425
#define FORMAT 426
#define FORWARD 427
#define FREEZE 428
#define FROM 429
#define FULL 430
#define FUNCTION 431
#define FUNCTIONS 432
#define GENERATED 433
#define GLOBAL 434
#define GRANT 435
#define GRANTED 436
#define GREATEST 437
#define GROUP_P 438
#define GROUPING 439
#define GROUPS 440
#define HANDLER 441
#define HAVING 442
#define HEADER_P 443
#define HOLD 444
#define HOUR_P 445
#define IDENTITY_P 446
#define IF_P 447
#define ILIKE 448
#define IMMEDIATE 449
#define IMMUTABLE 450
#define IMPLICIT_P 451
#define IMPORT_P 452
#define IN_P 453
#define INCLUDE 454
#define INCLUDING 455
#define INCREMENT 456
#define INDENT 457
#define INDEX 458
#define INDEXES 459
#define INHERIT 460
#define INHERITS 461
#define INITIALLY 462
#define INLINE_P 463
#define INNER_P 464
#define INOUT 465
#define INPUT_P 466
#define INSENSITIVE 467
#define INSERT 468
#define INSTEAD 469
#define INT_P 470
#define INTEGER 471
#define INTERSECT 472
#define INTERVAL 473
#define INTO 474
#define INVOKER 475
#define IS 476
#define ISNULL 477
#define ISOLATION 478
#define JOIN 479
#define JSON 480
#define JSON_ARRAY 481
#define JSON_ARRAYAGG 482
#define JSON_OBJECT 483
#define JSON_OBJECTAGG 484
#define KEY 485
#define KEYS 486
#define LABEL 487
#define LANGUAGE 488
#define LARGE_P 489
#define LAST_P 490
#define LATERAL_P 491
#define LEADING 492
#define LEAKPROOF 493
#define LEAST 494
#define LEFT 495
#define LEVEL 496
#define LIKE 497
#define LIMIT 498
#define LISTEN 499
#define LOAD 500
#define LOCAL 501
#define LOCALTIME 502
#define LOCALTIMESTAMP 503
#define LOCATION 504
#define LOCK_P 505
#define LOCKED 506
#define LOGGED 507
#define MAPPING 508
#define MATCH 509
#define MATCHED 510
#define MATERIALIZED 511
#define MAXVALUE 512
#define MERGE 513
#define METHOD 514
#define MINUTE_P 515
#define MINVALUE 516
#define MODE 517
#define MONTH_P 518
#define MOVE 519
#define NAME_P 520
#define NAMES 521
#define NATIONAL 522
#define NATURAL 523
#define NCHAR 524
#define NEW 525
#define NEXT 526
#define NFC 527
#define NFD 528
#define NFKC 529
#define NFKD 530
#define NO 531
#define NONE 532
#define NORMALIZE 533
#define NORMALIZED 534
#define NOT 535
#define NOTHING 536
#define NOTIFY 537
#define NOTNULL 538
#define NOWAIT 539
#define NULL_P 540
#define NULLIF 541
#define NULLS_P 542
#define NUMERIC 543
#define OBJECT_P 544
#define OF 545
#define OFF 546
#define OFFSET 547
#define OIDS 548
#define OLD 549
#define ON 550
#define ONLY 551
#define OPERATOR 552
#define OPTION 553
#define OPTIONS 554
#define OR 555
#define ORDER 556
#define ORDINALITY 557
#define OTHERS 558
#define OUT_P 559
#define OUTER_P 560
#define OVER 561
#define OVERLAPS 562
#define OVERLAY 563
#define OVERRIDING 564
#define OWNED 565
#define OWNER 566
#define PARALLEL 567
#define PARAMETER 568
#define PARSER 569
#define PARTIAL 570
#define PARTITION 571
#define PASSING 572
#define PASSWORD 573
#define PGPOOL 574
#define PLACING 575
#define PLANS 576
#define POLICY 577
#define POSITION 578
#define PRECEDING 579
#define PRECISION 580
#define PRESERVE 581
#define PREPARE 582
#define PREPARED 583
#define PRIMARY 584
#define PRIOR 585
#define PRIVILEGES 586
#define PROCEDURAL 587
#define PROCEDURE 588
#define PROCEDURES 589
#define PROGRAM 590
#define PUBLICATION 591
#define QUOTE 592
#define RANGE 593
#define READ 594
#define REAL 595
#define REASSIGN 596
#define RECHECK 597
#define RECURSIVE 598
#define REF_P 599
#define REFERENCES 600
#define REFERENCING 601
#define REFRESH 602
#define REINDEX 603
#define RELATIVE_P 604
#define RELEASE 605
#define RENAME 606
#define REPEATABLE 607
#define REPLACE 608
#define REPLICA 609
#define RESET 610
#define RESTART 611
#define RESTRICT 612
#define RETURN 613
#define RETURNING 614
#define RETURNS 615
#define REVOKE 616
#define RIGHT 617
#define ROLE 618
#define ROLLBACK 619
#define ROLLUP 620
#define ROUTINE 621
#define ROUTINES 622
#define ROW 623
#define ROWS 624
#define RULE 625
#define SAVEPOINT 626
#define SCALAR 627
#define SCHEMA 628
#define SCHEMAS 629
#define SCROLL 630
#define SEARCH 631
#define SECOND_P 632
#define SECURITY 633
#define SELECT 634
#define SEQUENCE 635
#define SEQUENCES 636
#define SERIALIZABLE 637
#define SERVER 638
#define SESSION 639
#define SESSION_USER 640
#define SET 641
#define SETS 642
#define SETOF 643
#define SHARE 644
#define SHOW 645
#define SIMILAR 646
#define SIMPLE 647
#define SKIP 648
#define SMALLINT 649
#define SNAPSHOT 650
#define SOME 651
#define SQL_P 652
#define STABLE 653
#define STANDALONE_P 654
#define START 655
#define STATEMENT 656
#define STATISTICS 657
#define STDIN 658
#define STDOUT 659
#define STORAGE 660
#define STORED 661
#define STRICT_P 662
#define STRIP_P 663
#define SUBSCRIPTION 664
#define SUBSTRING 665
#define SUPPORT 666
#define SYMMETRIC 667
#define SYSID 668
#define SYSTEM_P 669
#define SYSTEM_USER 670
#define TABLE 671
#define TABLES 672
#define TABLESAMPLE 673
#define TABLESPACE 674
#define TEMP 675
#define TEMPLATE 676
#define TEMPORARY 677
#define TEXT_P 678
#define THEN 679
#define TIES 680
#define TIME 681
#define TIMESTAMP 682
#define TO 683
#define TRAILING 684
#define TRANSACTION 685
#define TRANSFORM 686
#define TREAT 687
#define TRIGGER 688
#define TRIM 689
#define TRUE_P 690
#define TRUNCATE 691
#define TRUSTED 692
#define TYPE_P 693
#define TYPES_P 694
#define UESCAPE 695
#define UNBOUNDED 696
#define UNCOMMITTED 697
#define UNENCRYPTED 698
#define UNION 699
#define UNIQUE 700
#define UNKNOWN 701
#define UNLISTEN 702
#define UNLOGGED 703
#define UNTIL 704
#define UPDATE 705
#define USER 706
#define USING 707
#define VACUUM 708
#define VALID 709
#define VALIDATE 710
#define VALIDATOR 711
#define VALUE_P 712
#define VALUES 713
#define VARCHAR 714
#define VARIADIC 715
#define VARYING 716
#define VERBOSE 717
#define VERSION_P 718
#define VIEW 719
#define VIEWS 720
#define VOLATILE 721
#define WHEN 722
#define WHERE 723
#define WHITESPACE_P 724
#define WINDOW 725
#define WITH 726
#define WITHIN 727
#define WITHOUT 728
#define WORK 729
#define WRAPPER 730
#define WRITE 731
#define XML_P 732
#define XMLATTRIBUTES 733
#define XMLCONCAT 734
#define XMLELEMENT 735
#define XMLEXISTS 736
#define XMLFOREST 737
#define XMLNAMESPACES 738
#define XMLPARSE 739
#define XMLPI 740
#define XMLROOT 741
#define XMLSERIALIZE 742
#define XMLTABLE 743
#define YEAR_P 744
#define YES_P 745
#define ZONE 746
#define FORMAT_LA 747
#define NOT_LA 748
#define NULLS_LA 749
#define WITH_LA 750
#define WITHOUT_LA 751
#define MODE_TYPE_NAME 752
#define MODE_PLPGSQL_EXPR 753
#define MODE_PLPGSQL_ASSIGN1 754
#define MODE_PLPGSQL_ASSIGN2 755
#define MODE_PLPGSQL_ASSIGN3 756
#define UMINUS 757

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 264 "gram_minimal.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 1421 "gram_minimal.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int minimal_base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_MINIMAL_BASE_YY_GRAM_MINIMAL_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1451 "gram_minimal.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  911
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   116118

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  520
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  708
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3289
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6236

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   757

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   509,     2,     2,
     514,   515,   507,   505,   518,   506,   516,   508,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   519,   517,
     502,   504,   503,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   512,     2,   513,   510,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   511
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   921,   921,   926,   930,   935,   943,   951,   971,   983,
     997,   998,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,
    1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,
    1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,  1119,
    1120,  1121,  1122,  1123,  1124,  1125,  1127,  1134,  1135,  1139,
    1140,  1144,  1145,  1149,  1150,  1151,  1160,  1176,  1188,  1189,
    1190,  1199,  1200,  1204,  1205,  1209,  1214,  1218,  1228,  1236,
    1240,  1244,  1249,  1253,  1301,  1303,  1307,  1311,  1315,  1319,
    1333,  1352,  1361,  1373,  1374,  1378,  1387,  1396,  1405,  1427,
    1435,  1443,  1451,  1459,  1467,  1485,  1504,  1516,  1517,  1528,
    1539,  1550,  1566,  1585,  1592,  1600,  1601,  1602,  1603,  1604,
    1605,  1619,  1626,  1633,  1640,  1650,  1659,  1668,  1672,  1681,
    1690,  1698,  1709,  1710,  1719,  1731,  1739,  1748,  1760,  1769,
    1778,  1786,  1796,  1807,  1808,  1812,  1813,  1816,  1818,  1822,
    1823,  1824,  1825,  1829,  1830,  1831,  1837,  1849,  1853,  1857,
    1874,  1882,  1883,  1884,  1888,  1889,  1890,  1894,  1895,  1899,
    1900,  1909,  1910,  1918,  1926,  1937,  1945,  1956,  1957,  1962,
    1963,  1969,  1975,  1981,  1988,  1995,  2002,  2009,  2020,  2031,
    2032,  2036,  2037,  2045,  2061,  2068,  2075,  2082,  2089,  2109,
    2119,  2129,  2139,  2149,  2161,  2173,  2183,  2193,  2203,  2215,
    2227,  2237,  2247,  2257,  2267,  2277,  2287,  2299,  2311,  2321,
    2334,  2335,  2340,  2354,  2367,  2383,  2400,  2410,  2420,  2430,
    2440,  2450,  2459,  2468,  2477,  2487,  2497,  2513,  2523,  2533,
    2543,  2553,  2570,  2580,  2590,  2600,  2611,  2625,  2641,  2650,
    2659,  2674,  2683,  2694,  2705,  2713,  2722,  2731,  2739,  2747,
    2756,  2765,  2774,  2782,  2790,  2799,  2807,  2815,  2824,  2833,
    2842,  2851,  2860,  2869,  2880,  2888,  2897,  2906,  2915,  2924,
    2933,  2942,  2950,  2958,  2966,  2973,  2984,  2985,  2989,  2998,
    3002,  3003,  3007,  3015,  3023,  3031,  3042,  3045,  3046,  3050,
    3051,  3056,  3060,  3064,  3069,  3076,  3078,  3083,  3087,  3091,
    3102,  3110,  3163,  3176,  3190,  3202,  3209,  3213,  3227,  3240,
    3241,  3246,  3256,  3267,  3278,  3305,  3312,  3346,  3382,  3405,
    3406,  3410,  3411,  3420,  3421,  3422,  3425,  3426,  3431,  3432,
    3436,  3440,  3444,  3448,  3452,  3456,  3460,  3464,  3468,  3472,
    3476,  3480,  3484,  3493,  3497,  3501,  3505,  3509,  3510,  3515,
    3519,  3526,  3533,  3534,  3535,  3536,  3537,  3541,  3545,  3553,
    3564,  3584,  3604,  3625,  3646,  3667,  3701,  3702,  3703,  3704,
    3705,  3712,  3719,  3720,  3724,  3725,  3729,  3730,  3734,  3738,
    3745,  3749,  3756,  3757,  3758,  3762,  3763,  3766,  3790,  3809,
    3831,  3832,  3836,  3837,  3841,  3842,  3846,  3847,  3851,  3852,
    3856,  3864,  3865,  3866,  3898,  3906,  3914,  3927,  3939,  3952,
    3964,  3974,  3998,  4018,  4019,  4020,  4024,  4025,  4044,  4052,
    4060,  4068,  4080,  4092,  4093,  4094,  4098,  4099,  4100,  4101,
    4102,  4103,  4104,  4105,  4106,  4107,  4116,  4124,  4128,  4142,
    4160,  4176,  4193,  4209,  4229,  4252,  4253,  4257,  4258,  4262,
    4263,  4266,  4272,  4273,  4276,  4280,  4288,  4293,  4299,  4300,
    4304,  4309,  4316,  4317,  4321,  4331,  4341,  4349,  4358,  4371,
    4383,  4390,  4398,  4406,  4414,  4422,  4432,  4433,  4437,  4438,
    4441,  4453,  4454,  4457,  4468,  4479,  4493,  4494,  4499,  4500,
    4501,  4504,  4505,  4506,  4507,  4510,  4511,  4514,  4515,  4518,
    4538,  4551,  4573,  4574,  4577,  4583,  4589,  4606,  4615,  4637,
    4651,  4668,  4684,  4685,  4686,  4698,  4712,  4729,  4743,  4744,
    4756,  4777,  4788,  4802,  4811,  4823,  4824,  4827,  4828,  4831,
    4832,  4835,  4839,  4843,  4847,  4851,  4855,  4859,  4863,  4867,
    4871,  4875,  4880,  4884,  4888,  4894,  4895,  4899,  4900,  4901,
    4908,  4911,  4912,  4924,  4940,  4956,  4957,  4965,  4966,  4970,
    4971,  4975,  4976,  4980,  4981,  4985,  4986,  4996,  5008,  5009,
    5022,  5030,  5048,  5057,  5069,  5072,  5076,  5080,  5084,  5091,
    5103,  5114,  5117,  5121,  5134,  5144,  5154,  5164,  5174,  5184,
    5194,  5204,  5214,  5224,  5234,  5244,  5254,  5273,  5285,  5286,
    5287,  5288,  5292,  5293,  5297,  5298,  5308,  5317,  5330,  5331,
    5335,  5339,  5347,  5351,  5355,  5362,  5366,  5371,  5376,  5383,
    5390,  5395,  5405,  5418,  5434,  5435,  5440,  5441,  5445,  5446,
    5456,  5466,  5475,  5493,  5514,  5535,  5557,  5591,  5607,  5608,
    5612,  5621,  5636,  5646,  5659,  5660,  5672,  5681,  5699,  5724,
    5742,  5757,  5758,  5762,  5763,  5767,  5768,  5772,  5773,  5777,
    5791,  5795,  5796,  5800,  5801,  5802,  5803,  5804,  5814,  5826,
    5827,  5838,  5861,  5893,  5894,  5895,  5899,  5901,  5923,  5925,
    5927,  5929,  5931,  5936,  5937,  5941,  5942,  5946,  5958,  5959,
    5963,  5972,  5976,  5980,  5985,  5995,  5996,  6000,  6001,  6005,
    6006,  6010,  6011,  6015,  6016,  6017,  6021,  6025,  6026,  6027,
    6031,  6032,  6037,  6038,  6065,  6066,  6067,  6068,  6069,  6070,
    6083,  6094,  6109,  6111,  6116,  6121,  6123,  6128,  6139,  6140,
    6141,  6142,  6153,  6172,  6184,  6197,  6208,  6219,  6231,  6240,
    6248,  6256,  6266,  6276,  6286,  6296,  6306,  6317,  6327,  6340,
    6343,  6344,  6347,  6351,  6358,  6359,  6360,  6361,  6362,  6363,
    6366,  6369,  6370,  6378,  6385,  6386,  6389,  6391,  6402,  6414,
    6426,  6438,  6452,  6453,  6469,  6485,  6486,  6490,  6503,  6514,
    6523,  6533,  6543,  6544,  6547,  6548,  6551,  6552,  6553,  6556,
    6570,  6575,  6586,  6596,  6609,  6610,  6614,  6623,  6636,  6647,
    6661,  6672,  6695,  6706,  6725,  6736,  6747,  6758,  6769,  6780,
    6791,  6802,  6813,  6824,  6835,  6846,  6861,  6862,  6863,  6864,
    6865,  6866,  6867,  6868,  6869,  6870,  6871,  6872,  6873,  6883,
    6884,  6885,  6886,  6887,  6891,  6892,  6893,  6894,  6895,  6896,
    6897,  6898,  6903,  6904,  6905,  6909,  6910,  6913,  6914,  6917,
    6919,  6924,  6925,  6936,  6948,  6949,  6950,  6960,  6969,  6978,
    6987,  6996,  7005,  7014,  7023,  7032,  7041,  7055,  7064,  7073,
    7082,  7091,  7100,  7109,  7118,  7130,  7131,  7145,  7156,  7167,
    7178,  7189,  7200,  7211,  7222,  7233,  7244,  7257,  7258,  7261,
    7262,  7272,  7279,  7288,  7297,  7306,  7315,  7324,  7333,  7342,
    7351,  7360,  7369,  7378,  7387,  7396,  7405,  7414,  7423,  7434,
    7435,  7438,  7439,  7449,  7467,  7483,  7511,  7513,  7515,  7517,
    7525,  7535,  7536,  7539,  7547,  7555,  7563,  7570,  7581,  7585,
    7592,  7596,  7607,  7616,  7625,  7634,  7643,  7652,  7661,  7670,
    7679,  7688,  7697,  7706,  7715,  7723,  7732,  7741,  7750,  7759,
    7768,  7777,  7786,  7799,  7800,  7804,  7805,  7810,  7811,  7821,
    7832,  7846,  7858,  7876,  7877,  7881,  7888,  7889,  7890,  7893,
    7894,  7904,  7915,  7916,  7920,  7924,  7928,  7939,  7953,  7968,
    7986,  7987,  7988,  7989,  7990,  7991,  8003,  8035,  8070,  8071,
    8075,  8076,  8079,  8080,  8085,  8097,  8116,  8121,  8126,  8133,
    8134,  8137,  8138,  8141,  8142,  8146,  8147,  8148,  8151,  8152,
    8153,  8169,  8183,  8198,  8212,  8229,  8230,  8233,  8234,  8238,
    8239,  8243,  8244,  8249,  8263,  8271,  8279,  8295,  8296,  8300,
    8301,  8316,  8326,  8336,  8346,  8356,  8369,  8370,  8371,  8372,
    8373,  8379,  8383,  8398,  8399,  8405,  8415,  8419,  8424,  8432,
    8474,  8478,  8482,  8486,  8494,  8495,  8499,  8511,  8512,  8517,
    8518,  8523,  8524,  8531,  8535,  8539,  8543,  8547,  8551,  8555,
    8559,  8563,  8567,  8571,  8575,  8579,  8583,  8587,  8591,  8596,
    8603,  8607,  8611,  8615,  8619,  8625,  8626,  8632,  8642,  8646,
    8657,  8663,  8672,  8678,  8679,  8683,  8684,  8688,  8689,  8692,
    8705,  8709,  8724,  8733,  8742,  8755,  8756,  8761,  8762,  8779,
    8790,  8801,  8812,  8823,  8834,  8848,  8859,  8873,  8884,  8898,
    8906,  8908,  8910,  8915,  8917,  8922,  8923,  8928,  8947,  8957,
    8958,  8962,  8966,  8978,  8990,  9002,  9016,  9017,  9018,  9022,
    9035,  9036,  9046,  9059,  9063,  9067,  9071,  9078,  9100,  9113,
    9126,  9141,  9142,  9145,  9146,  9149,  9150,  9160,  9170,  9188,
    9198,  9208,  9218,  9228,  9238,  9248,  9258,  9268,  9278,  9288,
    9298,  9308,  9319,  9330,  9340,  9350,  9360,  9370,  9380,  9390,
    9401,  9412,  9423,  9434,  9445,  9456,  9467,  9478,  9489,  9500,
    9511,  9522,  9534,  9546,  9558,  9570,  9582,  9594,  9605,  9616,
    9628,  9640,  9651,  9662,  9671,  9681,  9691,  9701,  9711,  9721,
    9731,  9741,  9751,  9761,  9776,  9777,  9780,  9781,  9791,  9801,
    9811,  9821,  9832,  9842,  9854,  9855,  9865,  9875,  9885,  9895,
    9905,  9915,  9925,  9935,  9945,  9955,  9965,  9975,  9985,  9995,
   10005, 10015, 10025, 10035, 10045, 10055, 10065, 10075, 10085, 10095,
   10105, 10115, 10125, 10144, 10154, 10155, 10158, 10160, 10166, 10167,
   10168, 10169, 10170, 10182, 10198, 10207, 10216, 10225, 10234, 10243,
   10252, 10261, 10270, 10279, 10288, 10297, 10306, 10315, 10324, 10333,
   10342, 10351, 10360, 10369, 10378, 10387, 10396, 10405, 10433, 10441,
   10450, 10476, 10485, 10492, 10498, 10525, 10536, 10545, 10553, 10555,
   10577, 10585, 10595, 10605, 10624, 10643, 10653, 10663, 10673, 10684,
   10695, 10706, 10717, 10728, 10746, 10755, 10772, 10790, 10791, 10792,
   10797, 10803, 10812, 10813, 10814, 10815, 10816, 10820, 10821, 10824,
   10825, 10826, 10827, 10831, 10832, 10833, 10845, 10856, 10857, 10860,
   10870, 10877, 10897, 10906, 10914, 10923, 10932, 10940, 10948, 10956,
   10964, 10972, 10980, 10988, 10999, 11007, 11018, 11019, 11020, 11024,
   11027, 11030, 11033, 11036, 11043, 11045, 11047, 11052, 11054, 11058,
   11059, 11060, 11072, 11086, 11100, 11119, 11141, 11142, 11143, 11144,
   11154, 11171, 11182, 11183, 11187, 11188, 11192, 11196, 11200, 11218,
   11219, 11220, 11221, 11222, 11223, 11224, 11231, 11232, 11243, 11251,
   11259, 11268, 11278, 11296, 11305, 11314, 11323, 11335, 11339, 11350,
   11362, 11380, 11387, 11404, 11418, 11428, 11437, 11446, 11456, 11468,
   11480, 11491, 11492, 11503, 11514, 11526, 11538, 11550, 11562, 11572,
   11585, 11586, 11600, 11625, 11637, 11646, 11658, 11672, 11673, 11685,
   11706, 11717, 11729, 11741, 11745, 11752, 11753, 11757, 11764, 11765,
   11766, 11770, 11771, 11772, 11776, 11777, 11781, 11782, 11785, 11786,
   11789, 11790, 11794, 11795, 11799, 11806, 11808, 11813, 11814, 11827,
   11835, 11846, 11854, 11865, 11866, 11867, 11868, 11869, 11870, 11871,
   11872, 11873, 11874, 11884, 11895, 11896, 11900, 11901, 11902, 11903,
   11904, 11914, 11922, 11940, 11960, 11961, 11971, 11978, 11985, 11992,
   12009, 12020, 12041, 12045, 12053, 12059, 12066, 12072, 12079, 12088,
   12089, 12093, 12095, 12100, 12111, 12121, 12131, 12137, 12146, 12155,
   12161, 12162, 12173, 12188, 12189, 12200, 12211, 12212, 12215, 12216,
   12217, 12218, 12219, 12220, 12221, 12222, 12225, 12226, 12230, 12231,
   12232, 12243, 12260, 12275, 12276, 12280, 12285, 12309, 12320, 12321,
   12333, 12351, 12352, 12356, 12363, 12370, 12377, 12387, 12400, 12401,
   12405, 12418, 12431, 12440, 12449, 12458, 12467, 12479, 12491, 12503,
   12506, 12507, 12508, 12509, 12510, 12511, 12514, 12515, 12516, 12564,
   12565, 12569, 12570, 12585, 12586, 12593, 12601, 12609, 12617, 12625,
   12633, 12644, 12645, 12677, 12693, 12710, 12711, 12730, 12734, 12738,
   12753, 12760, 12767, 12777, 12778, 12781, 12797, 12798, 12799, 12803,
   12813, 12824, 12830, 12842, 12855, 12861, 12862, 12866, 12878, 12886,
   12891, 12896, 12901, 12906, 12914, 12922, 12927, 12932, 12939, 12940,
   12944, 12945, 12946, 12953, 12954, 12958, 12959, 12963, 12964, 12968,
   12969, 12973, 12977, 12978, 12981, 12990, 13003, 13008, 13013, 13017,
   13029, 13030, 13034, 13043, 13059, 13068, 13077, 13086, 13098, 13101,
   13106, 13107, 13115, 13135, 13136, 13138, 13143, 13144, 13148, 13149,
   13152, 13153, 13178, 13187, 13197, 13198, 13202, 13203, 13204, 13205,
   13206, 13210, 13223, 13230, 13237, 13244, 13245, 13249, 13250, 13254,
   13255, 13259, 13260, 13264, 13276, 13277, 13278, 13279, 13283, 13284,
   13294, 13301, 13320, 13321, 13325, 13326, 13332, 13337, 13346, 13354,
   13363, 13370, 13378, 13387, 13396, 13400, 13426, 13430, 13444, 13465,
   13487, 13500, 13517, 13523, 13528, 13534, 13541, 13542, 13552, 13558,
   13566, 13570, 13574, 13581, 13589, 13594, 13595, 13596, 13597, 13601,
   13602, 13617, 13621, 13629, 13636, 13643, 13650, 13657, 13668, 13669,
   13682, 13686, 13694, 13708, 13722, 13723, 13738, 13749, 13762, 13767,
   13768, 13771, 13772, 13775, 13776, 13781, 13782, 13787, 13788, 13797,
   13802, 13803, 13807, 13811, 13817, 13842, 13853, 13867, 13868, 13872,
   13886, 13943, 13957, 13959, 13964, 13966, 13968, 13970, 13975, 13977,
   13982, 13990, 14010, 14015, 14022, 14027, 14033, 14038, 14047, 14049,
   14052, 14056, 14057, 14058, 14059, 14060, 14061, 14066, 14086, 14087,
   14088, 14089, 14100, 14106, 14114, 14115, 14121, 14126, 14131, 14136,
   14141, 14146, 14151, 14156, 14162, 14168, 14174, 14181, 14203, 14212,
   14216, 14224, 14228, 14236, 14248, 14269, 14273, 14279, 14283, 14296,
   14304, 14314, 14316, 14318, 14320, 14322, 14324, 14329, 14330, 14337,
   14346, 14354, 14363, 14374, 14382, 14383, 14384, 14388, 14390, 14392,
   14394, 14396, 14398, 14400, 14405, 14410, 14416, 14424, 14429, 14436,
   14443, 14447, 14451, 14487, 14488, 14490, 14499, 14515, 14517, 14519,
   14521, 14523, 14525, 14527, 14529, 14531, 14533, 14535, 14537, 14539,
   14541, 14544, 14546, 14549, 14551, 14553, 14555, 14558, 14563, 14572,
   14577, 14586, 14591, 14600, 14605, 14615, 14624, 14633, 14642, 14661,
   14670, 14679, 14688, 14697, 14714, 14723, 14732, 14741, 14750, 14759,
   14768, 14772, 14776, 14784, 14792, 14800, 14808, 14829, 14852, 14864,
   14871, 14887, 14892, 14898, 14905, 14912, 14920, 14928, 14946, 14966,
   14992, 14994, 14996, 14998, 15000, 15002, 15004, 15006, 15008, 15010,
   15012, 15014, 15016, 15018, 15020, 15022, 15024, 15026, 15028, 15032,
   15036, 15041, 15057, 15058, 15059, 15076, 15089, 15091, 15093, 15105,
   15130, 15142, 15154, 15162, 15173, 15184, 15194, 15200, 15209, 15219,
   15229, 15242, 15252, 15283, 15319, 15329, 15340, 15341, 15342, 15349,
   15356, 15360, 15364, 15368, 15372, 15376, 15380, 15384, 15388, 15392,
   15396, 15400, 15404, 15411, 15415, 15419, 15423, 15425, 15432, 15439,
   15446, 15453, 15464, 15478, 15488, 15499, 15515, 15525, 15532, 15539,
   15546, 15550, 15558, 15567, 15576, 15580, 15584, 15588, 15592, 15596,
   15605, 15609, 15619, 15623, 15627, 15632, 15643, 15649, 15663, 15674,
   15688, 15704, 15721, 15723, 15727, 15729, 15731, 15734, 15737, 15740,
   15741, 15744, 15752, 15762, 15763, 15766, 15767, 15768, 15771, 15772,
   15773, 15778, 15782, 15786, 15790, 15797, 15798, 15806, 15807, 15811,
   15812, 15820, 15821, 15825, 15826, 15831, 15840, 15842, 15857, 15860,
   15888, 15889, 15892, 15893, 15901, 15909, 15917, 15926, 15936, 15954,
   16000, 16009, 16018, 16027, 16036, 16048, 16049, 16050, 16051, 16052,
   16066, 16067, 16068, 16071, 16072, 16075, 16078, 16079, 16080, 16083,
   16084, 16087, 16088, 16089, 16090, 16091, 16092, 16093, 16094, 16095,
   16096, 16097, 16098, 16101, 16103, 16108, 16110, 16115, 16117, 16119,
   16121, 16123, 16125, 16137, 16141, 16148, 16152, 16158, 16162, 16172,
   16184, 16185, 16188, 16189, 16192, 16196, 16200, 16206, 16207, 16212,
   16222, 16223, 16224, 16225, 16226, 16227, 16228, 16229, 16233, 16234,
   16235, 16236, 16241, 16246, 16255, 16276, 16280, 16285, 16296, 16313,
   16319, 16320, 16321, 16324, 16332, 16342, 16357, 16358, 16362, 16374,
   16375, 16378, 16379, 16382, 16386, 16393, 16397, 16401, 16410, 16422,
   16423, 16427, 16428, 16432, 16433, 16436, 16437, 16442, 16451, 16456,
   16462, 16463, 16467, 16476, 16480, 16481, 16482, 16483, 16484, 16489,
   16490, 16491, 16492, 16493, 16497, 16499, 16509, 16512, 16518, 16519,
   16520, 16524, 16525, 16526, 16530, 16531, 16535, 16553, 16573, 16574,
   16583, 16584, 16588, 16589, 16592, 16600, 16608, 16616, 16639, 16640,
   16651, 16655, 16661, 16663, 16668, 16670, 16672, 16682, 16684, 16695,
   16699, 16703, 16707, 16711, 16720, 16728, 16760, 16764, 16771, 16779,
   16783, 16787, 16793, 16794, 16796, 16797, 16798, 16802, 16843, 16871,
   16875, 16879, 16885, 16887, 16901, 16937, 16950, 16951, 16954, 16955,
   16972, 16973, 16974, 16979, 16980, 16981, 16986, 16987, 16988, 16989,
   16995, 16996, 16997, 16998, 16999, 17005, 17006, 17026, 17027, 17028,
   17029, 17030, 17031, 17032, 17033, 17034, 17035, 17036, 17037, 17038,
   17039, 17040, 17041, 17042, 17043, 17044, 17045, 17046, 17047, 17048,
   17049, 17050, 17051, 17052, 17053, 17054, 17055, 17056, 17057, 17058,
   17059, 17060, 17061, 17062, 17063, 17064, 17065, 17066, 17067, 17068,
   17069, 17070, 17071, 17072, 17073, 17074, 17075, 17076, 17077, 17078,
   17079, 17080, 17081, 17082, 17083, 17084, 17085, 17086, 17087, 17088,
   17089, 17090, 17091, 17092, 17093, 17094, 17095, 17096, 17097, 17098,
   17099, 17100, 17101, 17102, 17103, 17104, 17105, 17106, 17107, 17108,
   17109, 17110, 17111, 17112, 17113, 17114, 17115, 17116, 17117, 17118,
   17119, 17120, 17121, 17122, 17123, 17124, 17125, 17126, 17127, 17128,
   17129, 17130, 17131, 17132, 17133, 17134, 17135, 17136, 17137, 17138,
   17139, 17140, 17141, 17142, 17143, 17144, 17145, 17146, 17147, 17148,
   17149, 17150, 17151, 17152, 17153, 17154, 17155, 17156, 17157, 17158,
   17159, 17160, 17161, 17162, 17163, 17164, 17165, 17166, 17167, 17168,
   17169, 17170, 17171, 17172, 17173, 17174, 17175, 17176, 17177, 17178,
   17179, 17180, 17181, 17182, 17183, 17184, 17185, 17186, 17187, 17188,
   17189, 17190, 17191, 17192, 17193, 17194, 17195, 17196, 17197, 17198,
   17199, 17200, 17201, 17202, 17203, 17204, 17205, 17206, 17207, 17208,
   17209, 17210, 17211, 17212, 17213, 17214, 17215, 17216, 17217, 17218,
   17219, 17220, 17221, 17222, 17223, 17224, 17225, 17226, 17227, 17228,
   17229, 17230, 17231, 17232, 17233, 17234, 17235, 17236, 17237, 17238,
   17239, 17240, 17241, 17242, 17243, 17244, 17245, 17246, 17247, 17248,
   17249, 17250, 17251, 17252, 17253, 17254, 17255, 17256, 17257, 17258,
   17259, 17260, 17261, 17262, 17263, 17264, 17265, 17266, 17267, 17268,
   17269, 17270, 17271, 17272, 17273, 17274, 17275, 17276, 17277, 17278,
   17279, 17280, 17281, 17282, 17283, 17284, 17285, 17286, 17287, 17288,
   17289, 17290, 17291, 17292, 17293, 17294, 17295, 17296, 17297, 17298,
   17299, 17300, 17301, 17302, 17303, 17304, 17305, 17306, 17307, 17308,
   17309, 17310, 17311, 17312, 17313, 17314, 17315, 17316, 17317, 17318,
   17319, 17320, 17321, 17322, 17323, 17324, 17325, 17326, 17327, 17328,
   17329, 17330, 17331, 17332, 17333, 17334, 17335, 17336, 17337, 17338,
   17339, 17340, 17354, 17355, 17356, 17357, 17358, 17359, 17360, 17361,
   17362, 17363, 17364, 17365, 17366, 17367, 17368, 17369, 17370, 17371,
   17372, 17373, 17374, 17375, 17376, 17377, 17378, 17379, 17380, 17381,
   17382, 17383, 17384, 17385, 17386, 17387, 17388, 17389, 17390, 17391,
   17392, 17393, 17394, 17395, 17396, 17397, 17398, 17399, 17400, 17401,
   17402, 17403, 17404, 17405, 17406, 17407, 17408, 17422, 17423, 17424,
   17425, 17426, 17427, 17428, 17429, 17430, 17431, 17432, 17433, 17434,
   17435, 17436, 17437, 17438, 17439, 17440, 17441, 17442, 17443, 17444,
   17454, 17455, 17456, 17457, 17458, 17459, 17460, 17461, 17462, 17463,
   17464, 17465, 17466, 17467, 17468, 17469, 17470, 17471, 17472, 17473,
   17474, 17475, 17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483,
   17484, 17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493,
   17494, 17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503,
   17504, 17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513,
   17514, 17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523,
   17524, 17525, 17526, 17527, 17528, 17529, 17530, 17531, 17544, 17545,
   17546, 17547, 17548, 17549, 17550, 17551, 17552, 17553, 17554, 17555,
   17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564, 17565,
   17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574, 17575,
   17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585,
   17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595,
   17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605,
   17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615,
   17616, 17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625,
   17626, 17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635,
   17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645,
   17646, 17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654, 17655,
   17656, 17657, 17658, 17659, 17660, 17661, 17662, 17663, 17664, 17665,
   17666, 17667, 17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675,
   17676, 17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685,
   17686, 17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695,
   17696, 17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705,
   17706, 17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715,
   17716, 17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725,
   17726, 17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735,
   17736, 17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745,
   17746, 17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755,
   17756, 17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765,
   17766, 17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775,
   17776, 17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785,
   17786, 17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795,
   17796, 17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805,
   17806, 17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815,
   17816, 17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825,
   17826, 17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835,
   17836, 17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845,
   17846, 17847, 17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855,
   17856, 17857, 17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865,
   17866, 17867, 17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875,
   17876, 17877, 17878, 17879, 17880, 17881, 17882, 17883, 17884, 17885,
   17886, 17887, 17888, 17889, 17890, 17891, 17892, 17893, 17894, 17895,
   17896, 17897, 17898, 17899, 17900, 17901, 17902, 17903, 17904, 17905,
   17906, 17907, 17908, 17909, 17910, 17911, 17912, 17913, 17914, 17915,
   17916, 17917, 17918, 17919, 17920, 17921, 17922, 17923, 17924, 17925,
   17926, 17927, 17928, 17929, 17930, 17931, 17932, 17933, 17934, 17935,
   17936, 17937, 17938, 17939, 17940, 17941, 17942, 17943, 17944, 17945,
   17946, 17947, 17948, 17949, 17950, 17951, 17952, 17953, 17954, 17955,
   17956, 17957, 17958, 17959, 17960, 17961, 17962, 17963, 17964, 17965,
   17966, 17967, 17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORMAT", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG",
  "JSON_OBJECT", "JSON_OBJECTAGG", "KEY", "KEYS", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "METHOD",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC",
  "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED",
  "OWNER", "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION",
  "PASSING", "PASSWORD", "PGPOOL", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR",
  "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "PartitionBoundSpec", "hash_partbound_elem", "hash_partbound",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "column_compression", "opt_column_compression", "column_storage",
  "opt_column_storage", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "InsertStmtShort", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "UpdateStmtShort", "set_clause_list", "set_clause", "set_target",
  "set_target_list", "MergeStmt", "merge_when_list", "merge_when_clause",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_indent_option",
  "xml_whitespace_option", "xmlexists_argument", "xml_passing_mech",
  "within_group_clause", "filter_clause", "window_clause",
  "window_definition_list", "window_definition", "over_clause",
  "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_value_expr",
  "json_format_clause_opt", "json_encoding_clause_opt",
  "json_output_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,    60,    62,    61,    43,    45,    42,    47,    37,
      94,   757,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -5683

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5683)))

#define YYTABLE_NINF -2889

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2889)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   12418,    41, 20681, -5683, -5683,    41, 68823, -5683, 78114,  1506,
     781,  1397,   217, 20181, 78603, 88872,   456,   367, 12995,    41,
   88872,  2944, 59531, 74202,  1007, 88872,   494,  1038, 59531, 88872,
    1992, 89361,  1177,  1385,  1188, 89850, 79092, 72735,  1447, 88872,
    1611,  1333, 90339, 79581,  1201, 80070,  1038, 55630,   154,  1394,
   90828, 88872,113252,  1333, 80559, 80559, 80559,  2346,  2024,  1494,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683,  1535, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,  2327, -5683,
    1167,  2820,  1469,   855,  1539, -5683, -5683,  2053, 68823, 88872,
   88872, 88872,  1737, 88872,  1686, 88872,   262, 68823, 65400, 81048,
    1878,  1684, 51602, 91317, -5683, 68823, 88872, 62955, 68823, 88872,
   88872, 91806, 88872, 92295, 88872,  1263, 76647, 88872,  1817, 88872,
   88872, 63444, 92784,  1975,  1304,   260, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
    1761,  1957, -5683,   282, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, 60020, 88872, 20274,   494,  2053, -5683,  2346,
   88872,  2068, 88872,  1836, 93273, 88872, -5683, 88872,  1865, 93762,
     847,  2235, 65400,  2275, 52110,  2014, 88872, 88872, 65400, 94251,
   94740, 95229, 88872, 88872, -5683, -5683,  2000, 88872, -5683,  2128,
   65889,  1784,  2178,  2397,  2271,  1166, -5683, 81537, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, 68334,   367, -5683, -5683,
    2240, 69312,  2320, -5683, -5683, 95718,113727,  2083, -5683,   879,
   69801, 66378,  2440,  2086, 52618,  2508, -5683, 70290, -5683, 66867,
   70779, -5683, -5683, -5683, -5683, -5683, 96207, -5683, 96696,  2200,
    2320, -5683,114202, 67356, -5683,  2357, 97185, 97674, 98163,  2053,
    2089,  1820,  1335, 46115, -5683, -5683, -5683,  2145, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683,   947, -5683,   248,  1780,
     258,   240,   295, -5683, -5683,   241,   244,   250,   248,  2587,
    2587, -5683, 88872, -5683, -5683,  1780,   935,  2197,  2101,  2101,
    2101,  2329,    38, -5683,  2101,  2258, -5683, -5683, -5683, -5683,
   80070, -5683,  2119, 82026, 88872, 82515,   494,  2151,  2631,  2186,
   60020,  1117, 88872, -5683, -5683,  2611,  2183,  2446,  2163, -5683,
   -5683, -5683,  2409,  2407,   127,    85,   494,   220, -5683,  2567,
   -5683,  2465, 31538, 31538,   494, 83004, 98652,   287, 68334,   494,
   83493,  2277,  1623,  2478, -5683, -5683, -5683,   136, -5683,  2744,
    2306,  2602,  2163,  1304, 48095, -5683, -5683,  2294,  1957, 80070,
   -5683, -5683, -5683, 60020,  2633, 34580, 88872,  2313, -5683,  2345,
    2313, -5683, -5683,  2415, -5683,  2415,  2415,  2388,  2388,  2564,
    2414, -5683, -5683, -5683,  2290,  2415,  2388, -5683,115152, -5683,
    1841,  1884, -5683, -5683,  2884, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683,  2428, -5683,   941,  2220, -5683, -5683, -5683,
   31538, -5683, -5683, -5683, -5683, -5683, -5683, -5683,  2423,  2432,
    1469, -5683, 13871, 60020, 88872,  1478,  1478,  2900,  1478,  1860,
    1952, -5683,  2937, -5683,  2791,  2760,  2798, 80070,  2519,   963,
   -5683,  1472,  2520,  1565,  2529,  1575,  1481, -5683,   280, 88872,
     249,  2579, 83982,  5642,  2545,  1957,  2569, -5683, -5683, -5683,
   -5683,  2736,   416, -5683, -5683, -5683, -5683,  2894,  2963,  4286,
     242, 84471, -5683, -5683, -5683, -5683, 88872, 88872, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683,  2628,   758, -5683,
   -5683,  2613,  2981,  2849,  6522,  1112,  2958,  2804,  1482, 11804,
    2862,  1905,  3004,  9325,   801,  3005,  1852,  2034, 82026, 88872,
    2965,  3007,  3495,  1906,  1214,  2869,  1042,  2958,  2997,  2815,
    1482,  3013,  6426, 88872, -5683,  2927,  3048,   116, -5683,   199,
   -5683, 24495, 34580, 55141, -5683,  1957, -5683,  1898, -5683, -5683,
   59042, -5683,  2720,  2879,   683, 68823,  2662, 88872, 88872, -5683,
  113252, 68823, -5683,  2889, 53126, 68823, -5683, 68823, -5683, -5683,
    3014,113252, 88872, 88872, -5683, 88872, -5683, -5683,  2666, -5683,
   -5683, -5683, -5683, -5683,  2101, 88872,  3112,113252,  2909,   196,
      13,  3160, 88872,  2919,    13,  2725, 99141, -5683, -5683,    13,
   -5683, -5683, -5683, 88872, 88872,  2687,  1508,  2907,   170,    13,
    2923,  3156,  3163,  2932,  2775,  2935,  2345, -5683,  3129,  2910,
    1272,   216,  2026,    13,  2758, 99630,100119, 88872,  2763, 88872,
    3141, 68823,  2797, 68823, 68823, 88872,  3063, 88872, -5683,  2901,
   -5683, -5683,  1163, -5683, -5683, -5683, -5683, -5683,  3078, -5683,
     202,  3080,  2722,  3083,  1706,  3086,   205, -5683, -5683,  2766,
   -5683,  3088,   223, -5683,  3089, -5683,  2726,100608, -5683,101097,
  101586,  3091,   263, -5683, 65400,  3092,   223,  3093,  2726,  3094,
     223,  3095,   279,  3096, -5683,  1352,  3090,  3097,   205,  3105,
    2075,  2726, -5683,  3109,   327, -5683,  3115,   332, -5683,  3116,
    2976, -5683, 34580, -5683,  2856, -5683,  1394,  1918,  1335,  3054,
   80070,  1780, -5683, 88872,  1780, 88872,  1780, 88872,  1780, 88872,
    1780, 88872, 88872, 88872,  1780, -5683, -5683, -5683, 88872,  2761,
   88872, -5683, 88872, -5683, -5683, -5683, 75180, 65400, 75669, -5683,
   88872, -5683,   141,   494, -5683, -5683, -5683,  1432, -5683,  2163,
   -5683,113252,  3236, 65400,  3141,  1960, -5683, -5683,  3141, -5683,
   -5683,  3141,  3141, -5683, -5683, -5683,  3036, 88872,  3110, 75180,
   65400,  3111, -5683,102075, -5683, 68334,  2985,  2769, -5683, -5683,
   -5683, -5683, -5683,  2171,  3281,   257,  3286, 34580,  2779,   257,
     257,  2780,  3127, -5683, -5683, -5683,   293,  2782,  2785, -5683,
     255,   255, -5683,  2788,  2789, -5683,   275,  2790,  2792,  3299,
    3301,   294,  2794,  2795,  2796,  2800,  2801,  2802,  2806,  2290,
     257,  2807, 34580, -5683,  2817,   255,  2827,  2828,  2835,  3305,
    2836, -5683,  3306,  2839, -5683,   315,   319,  2840,  2841, -5683,
    3057, -5683,   306,  2842,  2843,  2844,  2847,  2851,  2853,  2854,
    2857, 34580, 34580, 34580, -5683, 28998,  1957,   494, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683,   307, 51094, -5683,  2902,
   -5683, -5683,  3065, -5683, -5683, 34580, -5683, -5683,  3210,   112,
   -5683,   309, -5683, -5683, -5683,  1957,  3158,  2860, -5683, -5683,
     322,  2861, -5683,  2201, -5683, -5683, -5683, -5683, -5683, -5683,
   67845,  3342, -5683,   330,   494,   199,  2011,  3280, 57575, 58064,
   -5683, -5683,  3142, -5683, 88872, -5683, -5683,  1957,   178,  1965,
   -5683,  2145, 18803,  1976,  2313, 88872, 88872,  3348, -5683,  2873,
   -5683, -5683, 34580, -5683, -5683, -5683,  2587, -5683,  2415,  2415,
   -5683, -5683,  3351,  2964,  2967,  2587, -5683,  2587, -5683,  2877,
    2885,  2587,  2968,  2970,  2971, -5683,  2886,  2975,  2587, -5683,
   -5683, 60999,  2233, -5683,  3217,   342, -5683, -5683, -5683,  1996,
   -5683,  2887, -5683,  2345, -5683, -5683,  1469,  1469, 34580,  1469,
     281,  1520, 32045, 35087,  3240,  3117,   880,   254,  3242, -5683,
    3121,  1860,  1952, 80070, 88872, 80070,102564, -5683, 34580, -5683,
    3344,  2986,  2988,  3040, 56608, -5683,  2990,  2956,  2993,  3051,
    2911,  2998,  3000,  3056, -5683,  3187, -5683, -5683,  3003,  3079,
    3354,  3008,103053, -5683, -5683,   261, -5683, -5683, -5683,   261,
   -5683,  2931,  1606,   232,  1418,  3012,   482,  1021,  3350, -5683,
    1466, -5683, -5683,  3069, -5683, 16737, 88872,  3289,  7992,  3149,
     242,  3068, -5683, -5683, -5683,  3211,  3022, 88872,  3024,  3168,
     242,  1068,103542, -5683, -5683, 88872, -5683, -5683, -5683, -5683,
    4674,  3328, 27539, -5683,  1988,  3028,  3006,  3041, 88872, 71757,
     412,  3143,  3167,  1699,  1916,   253,  3099, 88872,  1603,  3173,
   88872,  2955,  3042,  3052,  3285,  2969,   715,  3388,  2972, -5683,
   -5683, -5683,  3355, -5683,  2337,  2341,  3170, -5683,  3287,  3335,
    8427,  3039,  3043,111827, -5683,  3066,   657, 53634, 88872, 88872,
    3070,  3071,104031,  4674,  3369, 76158, 76158,  3074,  3075, 47600,
    3391,  1689,  3077, -5683, -5683, -5683,  1689,  3081,  3082,104520,
    4674,  3380, 88872,  3087,  3103, 88872,115152,   242, -5683,  3449,
     242,   242,  1901,  3452,  3104,   361,  3252,   589,    13,  2972,
    2814, -5683,  3106,  3107,   385, -5683,  3219, 88872,  3108,  3114,
     104,  3185,   494, -5683,  3186, -5683,  3118,  3197,  3120,    57,
    2687, -5683, -5683,  3124, 80070,  3207,  3223,  1603,   442,   699,
    2972, -5683,  3123,  3125,  2969,  2969, 88872, 88872, 88872, 88872,
   88872,   264,  3493,  3498,  3128,   230,   979,  3031, -5683,  1689,
   63933,  3130, -5683,  1689, 88872,   211,   937,  2972,  1908,  1883,
   -5683, -5683, -5683,  1304, -5683, 34580, 34580, 34580,  3045, -5683,
    2410, 18803,    76, -5683,   311,  8452,  3046, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, 88872, 60020, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, 88872, -5683, 88872,  3334,113252,  3340,  3267,
    3343,  3345,   242, 88872, 88872,  3346,  3352,  3353,113252,  3359,
    3362,  3363,  3290,  3159,   190,  3138,  3072,  3553,  3438, 88872,
   60999, -5683,   261, -5683,113252,  3300,  3440, -5683, 88872,  3317,
      69, -5683,  3480,  3150, -5683, -5683,  1119, 88872, 74691,  2687,
   -5683, -5683,  3450, 65400,  1445,  3454,   494,  3147,  3457,  3320,
     494, 65400,  3367, 88872, 88872, 88872, 88872,   161, -5683, 63933,
    3337, -5683, 88872,  3341,  2814,  3356,  3582,    97,  2101,105009,
    3462, -5683,105498,  3119, 88872,  3126,  3126,  3597,113252,   373,
    3406, -5683, -5683,  2247, -5683,  3268, -5683, 68823, -5683, -5683,
   68823, -5683, -5683,113252, 88872,  3131,113252,113252, -5683, -5683,
   68823, 68823, -5683, 65400, 65400,  3488,   327,  3490,  3194,  3494,
    3195, 53634, 53634, -5683,   345, 68823, -5683, 65400, 68823, -5683,
   88872, -5683, 88872, -5683, -5683, -5683, -5683,113252,113252, -5683,
   65400, 63933,  3501, 88872, 88872, -5683, 88872, 88872, -5683, 88872,
   88872,  2033,105987,  1335, -5683, 88872,  3263, 88872, -5683, 88872,
   -5683, 88872, -5683, 88872, -5683, 88872, -5683, -5683, -5683, 88872,
   -5683, 88872,  2042, -5683, -5683,  2046,  1588, 88872, 88872,   246,
   68823, 88872,  3371, 88872, 68823, 68823, 88872, 88872, 88872, 88872,
   88872,  3228,  2861,   725, -5683,   304,   946, 80070,  3377, -5683,
   -5683,  2048,  2346,  1185, 88872, -5683, 88872, 88872, 88872, -5683,
   -5683, 74202,  3496,   407, 75669, 88872, -5683, -5683, 16088, 34580,
    1957, 31026, -5683, -5683, 18803,  3205, 34580, 34580,  3161,  2587,
    2587, -5683,  1399, 34580, 34580, 28491, 34580, 32552, 34580, 34580,
    2587,  2587, 34580,  6408, 34580, 53634, 34580, 40157, 25521, 34580,
   34580, 29505,   922,  2788, 34580,  3411, 41165, 34580,  2011,  3413,
   34580,  2011,  6408,  3667,  3667,  2773,  7120,  3171,  1957, -5683,
    2587,   854, -5683,   399,113252, 34580, 34580, 34580, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, 34580, -5683, 60999, -5683, -5683, -5683, -5683,
   -5683, -5683,  3255, -5683, -5683, -5683, -5683, -5683, -5683,  3395,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, 88872, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, 30012, -5683, -5683,
   -5683, -5683,  3177, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683,  3378, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, 30519, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683,  3178, -5683, -5683, 34580, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683,  3257, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683,  1000, 34580, 34580, 34580, 34580, 34580, 34580,
   34580, 34580, 34580, -5683, 34580,   499, -5683, -5683,  3510,  3210,
      43,   504,  3181,  3392, 84960, 31538,  3217, 24495, -5683,   274,
    3217, -5683, -5683, -5683, 88872,  3342, -5683, -5683,  3272, -5683,
   -5683, -5683, -5683, -5683,   312, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683,  3179, -5683, -5683, -5683, -5683,  3179, -5683,  3188,
    3513,  3514,   279, 88872,  2411, 34580,  3255,   285, 88872, 34580,
    3177,  3378, 34580,  3178, 34580,  3257, -5683, 34580, -5683,  2050,
    2013, 34580,  2057,  3191, -5683, -5683,  3196,  2885,  3216,  3218,
    3200,  3201,  2587,   321,  3204,   204,   176,  3333,  2587,  3448,
    3208, -5683, 60999, -5683, 43145,  3244, -5683, -5683, -5683,  1333,
   88872, 88872, -5683,  3503, -5683,  3206, -5683,  8357,  3503, -5683,
   -5683, 40661,  3336,  3492,  3430, -5683, -5683, -5683,  3212, 18803,
   35594, 35594, -5683,  2090, 18803,  2413, -5683, -5683, -5683, -5683,
   -5683, -5683,   881, -5683, 88872,  1192,  3240,   254,  3276, -5683,
    3691,  3279, 88872, -5683,  2062, -5683, 65400, 88872, 88872,  3428,
   -5683,  3675, -5683,115152, -5683,  3220, -5683,114677,110877, -5683,
   -5683,    78, -5683,   579, 65400, -5683, 88872, 88872, 65400, 88872,
   88872, -5683, 65400,  3274, 88872, 88872, -5683, -5683, -5683, -5683,
   -5683, 58553,  1110, 74202,  3365, 73224, -5683, -5683,  3225, 88872,
    3292,  3511,  3512,   123, -5683, -5683,106476, -5683,  3461, 65400,
   88872, 88872, 34580,  3463, 88872, 88872, -5683,   331,  3321,  3322,
   -5683, 88872,  3329, 68823,  3245,113252, 68823, 54142, 68823, 68823,
    3590,113252, 88872, 88872,  1437, 80070,   265,  1086,  2972,  3471,
   -5683,  1679, -5683, 65400, -5683, 88872,  3466, -5683, -5683, -5683,
   85449,  3715,  3370, -5683, -5683, -5683,106965, -5683, -5683,  3469,
   -5683,  2063, -5683, 65400, 65400, 88872,  8712,107454,   622,  3486,
   -5683, -5683,113252, -5683, 88872, 85938, 88872, 88872,  3526, 88872,
   77136,107943,108432,  1553,  1567,  3527, 88872, 77625,  3528, -5683,
    3404, 88872, -5683, -5683, 61488, 65400, 88872,   221, 60999, -5683,
    3518, -5683, 88872, -5683,   310, -5683, 88872, 10686,  3478, -5683,
   -5683,  3358,  3360, 88872,   451,  1087,  2972,  3651, 88872, 88872,
    3262,  2067, 65400, 88872, 60999, -5683,  3487,   122, 65400, 88872,
   85449, -5683,  3489, -5683, 80070,  3583, -5683,  3265,  2101,  2294,
    1991,  3265, 65400, 88872, -5683,  3265, 88872, 98652, -5683, 65400,
    1544, -5683, 65400, 88872, 85449, -5683,  3497,  3439, 65400, 88872,
   10426, -5683, -5683, -5683,   242, -5683, -5683, -5683, -5683, -5683,
   88872, 88872,   242, 88872, 88872,   242,  1617, -5683, 65400, 88872,
   -5683, -5683, -5683,  3403, 65400, 88872, 88872,   248, 88872, -5683,
   88872, 65400,  3326, 88872, 88872, -5683, -5683, 88872,  6346, 88872,
   88872, 88872, 88872, 88872, 88872, 65400, 88872, -5683, -5683,  1501,
    1459,  1493,  1774,   189, 88872,  3599, 88872,108921, 65400, 88872,
   88872,   494, 88872, 60999,  1499, -5683, -5683,  3415, -5683, 65400,
    1544, -5683,  9367, 88872, 88872, 88872,  3372,  3373,   207,  3460,
   -5683, -5683, -5683,   718,   718,  3502, -5683, 34580, 34580, 33059,
    3296, -5683, -5683, 34580,  2720, -5683, -5683, -5683,  1012,  3764,
    1012,109410,  1012,  1012,  3584,  3364,  3366,  1012,  1012,  1012,
    3571,  1012,  1012,  1012, 88872,  3477, -5683, -5683,  3477,   844,
   34580,113252, 88872, -5683,  2069, -5683,  3310, -5683, -5683, 60999,
   88872,   271,   930,  3661,  3529, 72246,  2403,  3652, 88872,  3357,
   88872,  3779,  3405,   961, -5683,  2403, 88872, -5683,  3148, 74202,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, 88872, -5683, -5683,
    3653, 88872, 43640,  3491, -5683,   494,  2687,  2687,  2687,  2687,
    3311,  2687, 88872,  3445,  3677,  2403,  3318,  3679, -5683,  2814,
    3682,   763, 88872,  3547, 72246,  3386,  3374,  3563,  3806,  2101,
     494,  3568,  3556, -5683, 57086, -5683,  2687,  3825, 28015,  8387,
    9698,  3558,  3621, -5683, -5683,  3565,   850, 88872,  3668,  3669,
    3693, -5683,   202, -5683,  3826,  1706,  3698,   205, -5683,   223,
   -5683,  2726, -5683, 88872, -5683, 88872, 88872, 88872, 88872,   263,
   -5683, -5683,   223,  2726,   223,   279, -5683,  3635,   205,  2726,
    3500,  3701,   327, -5683,   332, -5683,  3575,   279, -5683,  3591,
    2101, -5683,  1300, 48590, -5683, -5683, -5683, -5683, -5683, -5683,
    2074, -5683, 88872, -5683,  3674,  3676,  3678,  3686,  3688,  3376,
    3379,  3398, 88872,  3381,  3376,   242,  3384,  3393, -5683,  3381,
    3381,  3376,  2861,  2861,  3376,  3379, 64422,  3816, 60999, -5683,
   -5683,  3464,  3382,  3706,   215, -5683,   226,  1293,  3626, -5683,
   -5683, -5683, -5683,113252, -5683, 65400,  3419, -5683, -5683, -5683,
    3600,  3390, 64422,   279,   201, -5683, 68823, 88872,113252, 68823,
    3615, 68823, 68823,113252, 88872, 88872,  2078, -5683,  1559, -5683,
    1621, 34580,   505, -5683, 14857,  2082, 34580,  3399,  3400, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683,  3401,  3743, -5683,  2084,
    2094,113252,  2127,  3426, 14888, -5683,  3407,   228,  3619,  1047,
    3467,  2108,  3408,   325, -5683,  1047,   340,  2114,  3410,  3416,
    5132,  6356,  3420, 15299,  3412,  3421,  3422,  3414, 40157, 40157,
   28998,  1148, -5683, 40157,  3423,  3614,  2115, 14320,  3424,  3427,
   15400, 33566, 34580, 33566, 33566, 15878,  3425,  3429, -5683,  3792,
   -5683,  2131, 60999,  3617, 16457,  2136, -5683, 34580, 60999,  6773,
   34580, -5683, 34580,  3432, -5683, -5683,  3888,  3888,  3888,  6408,
   -5683,  3458, -5683, 40157, 40157, -5683,  1682, 28998, -5683, -5683,
    3767, -5683, -5683,   252, -5683, -5683, -5683, -5683, -5683,  3394,
   -5683, -5683, -5683,  3666,  2292,  2245, 53634, 17752, 34580,   300,
   34580,  3177, 34580,  3523,  3888,  3888,  3888,   392,   392,   314,
     314,   314,  1926,   504, -5683, -5683, -5683,  3441,  3442,  3392,
    3443, 34580, -5683,  3485, 49085, -5683,  2385,  2398, 88872,  4358,
    5294,  6054, -5683, -5683, -5683,  3244,    76,  3244, -5683,  1304,
    2587,   854, 59042, -5683, -5683, -5683, -5683, -5683, -5683, 88872,
   18803, -5683, -5683,  3702,  3446,  2148, -5683, -5683,  2587, -5683,
   -5683,  2349,  2349,  3451, -5683,  3455, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683,  3444, -5683, -5683, -5683, 44135,  3780,  3447,
   42650, 86427,  3453,  2147, -5683, 86427, 86916, 86427, -5683,  3470,
   -5683, -5683,  1957, 34580,  3784, -5683, -5683, -5683, 34580, -5683,
   -5683,  1168,  3468,   960,   103,  2372,  2372,  2090,   736, -5683,
   -5683,  3519, -5683, 34580,  2482, -5683,  2500, -5683, -5683, -5683,
   -5683,  2861, -5683,  3719, -5683, -5683, -5683, 43145,  3504, 88872,
   43145, -5683, -5683, -5683, -5683, -5683, -5683,110877,  2220, -5683,
  114677, -5683,114677, -5683,  2220,  3915, -5683,110877,  1888, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, 65400, 65400,  3680, 88872,  3683,  3685, 34580,   231,
   88872,  3472,  3473,  1461,  3774,  3474, -5683,  3824,   279, -5683,
   -5683,  3554, -5683, 18803, -5683, -5683, -5683, -5683, -5683, 65400,
   88872, -5683, 68334, -5683, -5683,113252, -5683, -5683, 88872, 88872,
   -5683, -5683, -5683,113252, -5683, -5683, -5683, 88872,   837,  3557,
    3562, 88872, -5683,   852,  3219, 10208, 88872, 88872, 88872,  3773,
   -5683, -5683, -5683, -5683,  3708, -5683,  3834, -5683,110877, -5683,
    2726,   157,  3566,  2972,  3716, -5683,  3841,  3592, -5683,  3618,
    1240, -5683, -5683,  3627, -5683, -5683, -5683, -5683,  3852,   279,
    3853,   279, 88872, 88872, 88872, 88872,  3631, -5683, -5683, -5683,
   -5683,  3632,  3775, -5683, 60999, 60999, 60999,  2149, -5683, -5683,
     494, -5683, -5683, -5683, -5683, -5683, -5683,  3811, -5683,  2158,
   -5683,  1132, 88872, -5683, -5683, -5683, -5683, -5683,  3858, 65400,
   88872, 10340, 88872, 88872, 88872,  3722,  1859,  1375,113252, -5683,
  112302, -5683, -5683,  2169, -5683,  3515, 88872,  3593, 65400,  3570,
   -5683, -5683, -5683,  3863,  2101,  3650, 76158,  3559,  3559,  2001,
   -5683, -5683, -5683, -5683, -5683,  3781,  3707, -5683,  1027,  3711,
   65400,  3581, -5683, -5683, -5683, -5683,  3875,  3605, -5683, -5683,
    3606,  1096,  2972,  2814, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683,  3639, -5683, -5683, -5683, -5683,  1514,  1514,
   -5683, -5683, -5683,  1514,  1554,   445,  1146,  2972, -5683,   359,
    1655,  3624, -5683,  3625, -5683, -5683, -5683,  3801,  3805,  3808,
    3634,  3636,  3690,  3638,  3640,  3694, -5683,  3643,  3700,  3647,
    3703,  3655,  3932,   279,113252,  3797,   494,  3692,  3925,   279,
   -5683,  3656, -5683,  3660, -5683,  2188,  4033, -5683, 88872, -5683,
     465,  1248,  2972, -5683,  3671, -5683, 65400, 88872, -5683, -5683,
   -5683, 34580,  3585,  3587,  3595, 18803, 18803, 34580, -5683, -5683,
   18803,  3576, -5683, -5683, -5683, -5683,113252, -5683, 88872,  3882,
   -5683, -5683,  1012, 88872, 88872, -5683, -5683, -5683, 88872, -5683,
   -5683, -5683,  3890, -5683,   449,   449, -5683, -5683,  3926,  7255,
    3601,   410, -5683, 60999, 50078,  2161,   823,    13, -5683, 68334,
   88872, 68334, -5683,   930,  3818, 88872, 88872, 88872,  3604,  3603,
   -5683, -5683, -5683, -5683, 65400,   987, 65400,  2587, -5683, -5683,
    3687, -5683, 88872,  2101,  4112,  3955,  3326, -5683,  4076,  3163,
    1445,  1870,   428,  2775,  4014,  2345, 34580,   337, -5683, -5683,
    1957, 88872,  3374, -5683, -5683, -5683, -5683,   494, -5683,  3612,
    3610, -5683, 88872,  3961, 88872, 88872, 88872, 88872,  3419,  3623,
   88872,  3616,113252, 88872,  2364,  2969,  4094,  3984,  2346,  3386,
    3712,  3985, 80070,  3637,  2193, -5683, -5683,   850, -5683,  2194,
     165, -5683,   494, 68334,111352,  3975, -5683,   896,  9698, -5683,
   -5683,   896,   997, 88872, -5683, -5683, -5683, -5683,  3854,  2096,
   -5683,  3959, -5683, -5683,  2346, -5683,113252,  3633, -5683,  2204,
   -5683, -5683, -5683,   327,  3699,   279,  3710,   279, -5683, -5683,
   -5683, -5683, 88872, -5683, 88872, 63933, -5683, -5683, 88872, -5683,
    3992,  3705,    58, 47105,  3855, -5683, 88872,   347, -5683,  3662,
   -5683, -5683, -5683,  3787,  3791,  3794,  3795,  3798, 88872,  3376,
   -5683,  3654, 88872, 88872, 65400,  1556, -5683, -5683, 65400,   409,
   -5683,   806, -5683, 80070,  3790, -5683, -5683, -5683, -5683,  4022,
    4023, -5683, -5683, -5683,   924, -5683, 75180,   424, -5683, 65400,
    3956,  3957,  3958,  3960,   242,  3962,  3965,  3966,  3967,  3968,
   -5683, -5683, -5683,  3664, 16578, 34580, -5683,  4035,113252, -5683,
    7286, -5683, -5683, -5683, 34580, -5683, -5683,  3426,  3969,  3823,
   -5683, -5683,  3895,  3896, 34580,  3823,  4133,   952, 34580, 34580,
   -5683, -5683,  3898,  3901, 34580,  2292,  2292, -5683, -5683, -5683,
   -5683,  2263, 34580, -5683, 34580, -5683, -5683, 26034,  4185,  4185,
    3681,113252, 40157, 40157, 40157, 40157,   326,  2827, 40157, 40157,
   40157, 40157, 40157, 40157, 40157, 40157, 40157, 40157,   475, -5683,
    3893, 34580, 34580, 34073, -5683, -5683,113252,  3695,  3425,  3696,
    3697, 34580, -5683, -5683, -5683,  2212, 41660,  3704, 60999, -5683,
   34580, 14175,  2241,  3738, 16981,  1957,  7805,   494, 34580,  2404,
    2447, 34580,  2246, 34580, -5683, -5683, -5683, -5683,  4028, -5683,
   -5683, -5683, -5683, -5683, -5683,  3924,  2292, -5683,  3762,  3763,
   -5683, 34580,  3709,  3649, 40157, 40157,  4305, -5683,  4416, 34580,
   28998, -5683,  3502, -5683, 26547,  3713, 34580,110388, -5683, -5683,
    1038,  1038,  1038,  1038, -5683, 88872, 88872, 88872,  3784,  3717,
    3784,   199,  3718, -5683, -5683, -5683, -5683,  2346, -5683,  3714,
   -5683, -5683, -5683, -5683, -5683, 86427, 86916, 86427,  3720, 42155,
   27043,  2147,  3721, 88872, -5683, -5683,  3723, 43145,  3989,  3904,
   -5683, 43145,  3904,  1558,  3904,  3990,  3800, 49580, -5683, -5683,
    3725, -5683,  3913, -5683,  1988, 18803,  4157,  4036, -5683,  3726,
   -5683,  3468,   920, -5683, -5683, -5683,  1099, -5683,  3803, -5683,
   -5683, -5683,  3453, 36101,  3861, -5683,  1630,  2252,  1963, -5683,
   -5683,110877, -5683,  3788,  2726,  2726,  1069,  3376,  4054,  1069,
    7856, -5683, -5683, 44630, 88872, 88872, -5683, 88872, 88872,  1726,
   88872, -5683, 88872, -5683, -5683, -5683,  4187,  3778,  3783,  4008,
   -5683,  2529, -5683, -5683, 65400, 88872, -5683, -5683, -5683,   487,
    1249,  2972, -5683,  3814, -5683, -5683,  4032, 88872, -5683,  4186,
    3827, 88872,  4090, 88872, 87405, -5683,  4161,  1726,  3846,  4071,
    1589,  2969,   361,  5415, -5683,  1895, -5683, -5683,  3815, -5683,
   88872, -5683, 88872, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
    3874, -5683, -5683, -5683, -5683, 61488, -5683, -5683, 88872, -5683,
   60999, 50078, 60999, -5683, 88872, -5683,  1571,   490,  1264,  2972,
   -5683,  3828, -5683,  4097,  3830,  3832,  3889,   208,  1319,  3835,
    3836,  3892,  3740,  3751,  3752, -5683, 60999, 50586,  3917, 88872,
    2726,  3755,  3799, 88872,  3559, 87894, -5683,  3757, -5683, -5683,
    3559,   248,   494, -5683, -5683,   494,  2726,   494, 88872, 88872,
   88872, 88872,   248, -5683, -5683, -5683,  4213,  3856, 88872, 88872,
   88872, 88872, -5683,  3819, -5683, -5683, -5683, 88872, 88872,  4105,
     909,  2157, 65400, 88872, 88872, 65400, 88872, 88872, 88872, 88872,
   88872, 88872, 88872,  3981, -5683,  4200,  4126,  2227,  4169,  3844,
   88872, -5683, 88872,   494, -5683,  3219, 88872, 88872, 88872, 88872,
   -5683, -5683, -5683, -5683, -5683,  3502, -5683,  3768,  4063,  1012,
   -5683,  4064,  4065,  4066,  1012, -5683, -5683,    13, -5683,   535,
   88872, -5683,  2424, 88872, -5683, -5683, -5683,  3726,  2337,  2341,
   -5683, -5683, -5683, -5683, -5683, -5683,  3776, 88872, 88872, 40157,
   -5683,  1915,  1326,   929, -5683,  4058, 88872,  3057, -5683, -5683,
   -5683,  1231, 88872, -5683, -5683, -5683, -5683,  3777, -5683,   710,
    3623, -5683,  4086, 72246,  2726, 65400, 65400,  2726, -5683,113252,
    3785,  3374, -5683,   238,  3872, -5683, 65400,  1445,109899,  3147,
    3829,  4006,  8977, 43145, 43640,  1514, -5683,  3804,  3796, -5683,
   -5683, 88872,  3818, 63933,  2265,  2814,  4264,   866,  2089, -5683,
   73713,  3987,  3623,  4086, -5683,  2969,  4012,  4011, -5683,  2346,
   88872,  3419,  3374,   494, 88872,  3292, 50078, -5683,  4306,  2110,
   -5683,110877, 34580, 34580, -5683,  3807, -5683,  3809,  9698, -5683,
    3884,  3810,  4266, 34580, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683,  3899,  3817, 88872, 88872,   850, 88872, -5683,  3822,
    3698, -5683,  3698, -5683, 88872, -5683, 88872, -5683,   279, -5683,
    3929,   279, 88872, -5683, -5683, -5683,  3867,  2272, -5683, -5683,
    4240,  3861, -5683,  2273, 48590,  3504, 34580,  1957, 88872, 88872,
   88872, 88872, 88872,  3376,   242,  3393, -5683, -5683,  4153, 64422,
    4158, -5683, 60999, -5683, -5683, -5683, -5683, -5683,  2278, 88872,
   -5683, -5683, -5683,  4222,  4168,   279,   407,  1052,  1052,  1052,
    1052,  4122,  1052,  1052,  1052,  1052,  1052, -5683, 34580, 18803,
   -5683,  3831, -5683, 18803, -5683,  4201,  3833,  4060,  4062, -5683,
    3837, 34580,  3823, -5683, -5683,  4068,  4069, -5683,  3823,  3823,
    3840,  9371, 17346, -5683,  2284, 34580, -5683,  1071,  1071,  1071,
    1722,  4177, -5683,  2767,  1071,  1071,  1071,   446,   446,   235,
     235,   235,  4185,   475, 17511, 17595, 18145,  3848, -5683, -5683,
   -5683,  3425, -5683, 36608,   106,  4297, 41165, -5683, -5683, -5683,
    3903,  3905,  3849, -5683, 34580, 37115,  3843,115152,  4061, -5683,
    1743, 34580, 34580,  4978, -5683,  6709, 34580, -5683, -5683,  4134,
    4136,  4978,   501, 34580,  2643,  2830, 34580, 34580,  4440,  9882,
    3860, -5683,  2315, 34580, 10824,  4057, -5683, 88872, 88872, 88872,
   88872, -5683, -5683, -5683,  4036,   494,  4036,   494,  3862, -5683,
   -5683, -5683, -5683, 61977,  3864,  3617, 86427,  3865, 88872,  2147,
   43145, -5683, -5683,  1529, -5683, 43145,  4146, -5683, 43145, 68823,
   -5683, 88872,  3866, 88872, -5683,  1478, 34580,  3906, 53634, -5683,
   -5683, -5683, -5683,  3963, -5683,  4092, 18803, 31538, -5683, 34580,
   -5683,  3946,  2340, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
    3971, 74202,  4211, -5683, 34580,  2352, -5683,  3916,  4308,   224,
    2360,  2365,  1726, -5683,  2367, -5683,  1542,  4184,   193, -5683,
     279, -5683,113252, 88872, 88872, 88872,  2911, -5683, -5683, 88872,
   88872, 88872, 88872, -5683, -5683, 65400, 88872, -5683, 88872, -5683,
   -5683, -5683, 88383, -5683,  3818,   248,  1915,  4208,  4209,  4117,
   -5683,   242, -5683,  1915,  4118,   248, -5683, -5683, -5683, -5683,
    2620, -5683,113252,   279,   279, -5683, -5683, -5683, -5683, -5683,
    3900, -5683,  4346,  3988, 88872, 88872, 88872, 88872, 88872, 65400,
   88872, 88872,  2587,  2587,113252,  3891, -5683,  2587,  2587,  3894,
   -5683, 65400, 88872, 88872, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683,  3978, -5683, 34580,  4341, -5683,
   -5683, -5683, -5683, -5683, 34580, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, 65400, 88872,  3986, -5683,  3991,
   -5683,   928, -5683, -5683, 88872, 88872, 88872, 88872,  4267, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
    4263, 88872, -5683, -5683,   494,   494,113252,   279,   279, -5683,
   -5683, -5683,  3994, -5683, -5683,  3908,  4203,  1012, -5683,  1012,
    1012,  1012, -5683,  3918, -5683,    13,  4301, -5683,  1726,  1265,
    4254, -5683, 34580, -5683,  1439,  1722, -5683,  4312,  4396, -5683,
   -5683, -5683, -5683,  3326,  2101,  3326, -5683, -5683, 68823,   398,
   -5683,  4237,   271, 60999,  4148, 72246,   359,  1738,  3927,  4059,
   -5683,  2726,  2726,  3993, 88872,  4402, -5683, -5683, -5683, -5683,
   -5683, -5683, 65400,  3570, -5683,  4164,  1252,  4276, 88872, 43640,
   -5683,  3453, -5683, -5683, -5683,   494, -5683, -5683,  4074,  3374,
   -5683,  1336, 88872,  4159, 72246,  3419,  2369, -5683, -5683, -5683,
    3977,  4392,  3386, -5683,   359,  3987, -5683, -5683,  4370,  4039,
    3995,  4424, -5683,  4039,  4290,  4170,  3953, -5683,  3637, -5683,
   88872, -5683, 18803, 18803,   494,115627,   896,113252,  4303, -5683,
   18803, 88872,   853,  3951,  4127, -5683,  4268,   279,  2373, -5683,
     279,   279, -5683, 88872, -5683,  2346,  1953, 88872,  1957,    81,
   -5683,  3970, 88872, -5683,  3861, 18803,  3376,  3376,  3376,  3376,
    3376, -5683,  4174, -5683, -5683, -5683, -5683,  4256, -5683, 64422,
   -5683,   279, -5683, -5683, -5683, -5683, -5683, -5683,  1052, -5683,
   -5683, -5683, -5683, -5683, 18803, -5683, 88872, -5683, -5683, -5683,
   -5683, -5683,  3206,  3964, -5683, -5683,  3973,  3974, -5683, -5683,
   34580, -5683, 10911, 40157,  4307, -5683, 34580, 34580, 34580, -5683,
    3972,  2375,  2408, -5683, -5683,   106, -5683,  4297, -5683, -5683,
   -5683, 11346,  4025, 18803,  4081,  3980,  1483,  4978,  4978,  6709,
   -5683, -5683,  4978, 34580, 34580,  4978,  4978, 34580, -5683, -5683,
   -5683, 11438, -5683,  4425,  3502, -5683, -5683, -5683, -5683,  3906,
   -5683,  3906, -5683,  4107, -5683,  2455,  4452, 39143,  4412, -5683,
   88872,  2456, -5683, 34580,  3982, -5683, -5683, 43145,  1529,  3983,
    2457, 88872,  2466,113252, 37622, 18803, 88872,  3502,  3996, -5683,
   88872,  2860, 18467, -5683, -5683, 64422,  4205, 64422,  1726, 11502,
    4302, 44630, 54650, 88872, -5683, 88872, -5683,  4160,  4302,  4302,
   -5683, -5683, -5683, -5683, -5683, -5683,  3998, -5683, -5683, -5683,
   -5683,  4078, -5683, -5683,    71,  3377, -5683, -5683, -5683, -5683,
   -5683,  4464,  4350,  4354, -5683, -5683, -5683, -5683, -5683,  4200,
   -5683, -5683, 50078, 65400, 88872, -5683,  4091, -5683, -5683, -5683,
   -5683, -5683, -5683, 46610, 53634, -5683,   208,  4000,  4007,  1319,
   -5683, -5683, -5683, 88872, 11735,  4009, 12115,   776,  3377, 88872,
   88872,  4010,  4015,  4016,  1703,  1111,  1862,  3376,  4357, 88872,
   -5683, -5683, -5683,  4200, -5683, -5683, 88872, -5683,  1012, -5683,
   -5683, -5683, -5683, 60999, -5683,  3574,  3918,   494, 68823,  4471,
    4471, 12389,  4246, -5683, -5683,   169,  4070,  4279,  4070,  4020,
   88872,  1231,  4021,  2468, -5683, 88872,  4024,  4154,  2208,  2208,
   88872, 88872, 88872,  2474,  2346,  2726,  3799,  1445,  4382, 72246,
    4428,  3818,   365, -5683, 88872,  4504, 88872,  3419,  3623, 88872,
    4029, -5683, -5683, 73713,  4250,  2161, 88872,  2364,  3987,  3386,
    1025, 88872, -5683,   982, -5683,  2346, -5683, 88872, 80070, 44630,
    4376, -5683,114677, -5683,  2486, -5683, -5683, -5683,  4114, 19637,
    3244,  4156,  4162,  4040,  2060,  4386, 88872,  1065, -5683, -5683,
   -5683, -5683, -5683, -5683,    58, -5683, -5683,  4465, 44630,  4422,
   34580, -5683, -5683, -5683, 88872,   424, -5683, -5683, -5683, -5683,
   -5683, -5683, 18563, -5683,  3588, 40157, 18803, 18803, 18803, 34580,
   -5683, 34580, -5683, -5683, -5683, -5683,   722, -5683, -5683,  4359,
    4045,  4978,  4978,  4978, -5683, 34580,  1143, -5683, -5683,  1369,
    4453,  3470, 61977,  4051, -5683, 40157,  2487, -5683,  4398, 88872,
    2491, -5683, 18803, 88872, -5683, -5683, 34580, -5683,  2496, -5683,
    4053,    40,  4055, 25008,  4073, -5683, -5683, -5683, -5683, -5683,
   18803,  4075, -5683,  4534,   254, -5683, -5683,  1866,  4110, -5683,
    1556,  1069,   346,  4308,  4067,  3326, -5683,  4080, -5683, -5683,
     413,  2969, 88872,  3326,  3326, -5683, 88872,  4163, -5683,  2161,
    4387, -5683, -5683,  4128, -5683,  1261,  3377, 88872,113252, -5683,
     128,  4411, -5683,113252,113252, -5683, -5683, -5683, 34580, -5683,
    4165, -5683, -5683, -5683, 34580, 34580, 71268, -5683, -5683, 88872,
   88872, 88872, 88872, 88872, -5683,   279, -5683, -5683,  2503, -5683,
   45620, -5683, -5683,  3160,   494,  3160,  1678, -5683, -5683,  3160,
    3160, -5683,  3244, -5683,  4471,  1392, -5683, -5683,  4316,  4082,
   34580,  4385, -5683,  1354,  4300, -5683,  4083, -5683, 68823,  4593,
   -5683, 60999,  3623,  4086, 88872, -5683, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -5683,  2512,  3818,  4439,
    3374,  3995, -5683, 88872,  4129, -5683, 43145,  3818,  2346,  2089,
   -5683,  3987,  3623,  4086, -5683, -5683,  4089,  4011,  3386,  2364,
    4236, -5683,  4238, -5683,  4536,  4315,  4538,  3419, -5683,  3292,
    2513, -5683, 88872, -5683, -5683,  9698,115627,113252, -5683, -5683,
   -5683,  4098,  4481,  4135,  4147, -5683, -5683, -5683,  2060, -5683,
    1450,  4477,  4175, -5683,  4171, 88872, -5683, -5683,  4167, 88872,
    2517,   942, 18803,  3818,   279, 34580,  3588,  2526,  2528,  4172,
   -5683, -5683, -5683,  3425, 38129, 38129, 38129,  4106,  4461,  4463,
   88872, -5683, -5683, -5683, 88872,  1722,  4113, 39143, 60999,  2534,
   -5683,112777, -5683,  2535,  2540, -5683, 34580,  4116, 34580, -5683,
   37622, 88872,  4121,  3240,  4601,  4388, -5683, -5683,  4470, -5683,
   -5683, 88872,  4070, 53634,  3468,   413,  2101,  4070,  4070, -5683,
   88872,  4082, 34580, -5683,  4226, -5683, -5683,  2546,  1519,  4304,
    4304,  2561,  2562, 12453, 88872,  2566,  2570, -5683,  2576,  2587,
    3379,  1862,  3379, -5683,  3376, -5683, -5683, 60999, -5683, 64911,
   -5683, -5683, -5683,   494, -5683,   494,  4362, 88872, 56119,   494,
     494, -5683, -5683, -5683, -5683,  4444, -5683,  2814, -5683, 12729,
    4232, -5683, -5683, -5683,   213, -5683,  4361,  4365, -5683,  4140,
   -5683,  2578, -5683,   359,  4274,  3818, -5683, -5683, 88872,  4623,
    4625, -5683,  1277, 88872,  3453, -5683,  3995,  3419,  3386,   359,
    3987,  2161, 45125,  4039,  2364,  4011, -5683, -5683,  4366, -5683,
    4367, -5683,  4152,  4469, 44630, -5683,  2279,   896, -5683, -5683,
   -5683,  1144,  4493,  4495, -5683, -5683, -5683,  3160, -5683,  1262,
    4166,  4520, -5683, -5683,  2346, -5683,  3244, -5683,  4288, -5683,
   -5683, 18803, -5683, -5683, -5683, 39650,  4309,  1291, 14444,  4525,
   -5683,  4525,  4525, -5683,  4617,  4624,  1324,  2583, 41165, -5683,
   -5683, -5683, 88872,  4389,  1426,  4646,  4335,  2585, 37622,  2591,
   -5683, -5683, -5683, -5683, 34580,  4265,  4601, 64422,  2592,  3559,
    4173, -5683,  3468,  4279, -5683, -5683,  3377, -5683, 18803, 88872,
   68823,  4633, -5683, -5683, -5683, -5683, -5683, -5683, -5683,  3377,
    4270, -5683, -5683, 71268, -5683, 88872, -5683, -5683,  2596, -5683,
   -5683, -5683, 88872,  3951, -5683,  3951, -5683, -5683, -5683,  2174,
    4287, 88872,   811,   811,  4570, -5683,  4249, -5683,  4188, -5683,
    4696,  4321, 88872, -5683, -5683,   208,  2346, 72246,  3818, -5683,
   -5683,  2364,  3987,  3386, 34580,  2598, -5683,  4308,   224, -5683,
    4011,  4039, -5683, -5683, 44630,  4192,  3057, -5683,  4568, -5683,
   -5683, -5683,  2039, 68823, 68823, 88872, -5683, -5683, -5683, 34580,
    1231, -5683, -5683, 48590,  4675, -5683, -5683, -5683, -5683, -5683,
     897, -5683, -5683, -5683, 88872, 88872, 88872, -5683,  3617, -5683,
   -5683, 40157, 40157,  4426, -5683,  1426, -5683, 88872, -5683,  4195,
   -5683, -5683,  2600, -5683, 18803,   508,  4291,   346, -5683, -5683,
   -5683, -5683,  4300,  1726,  1726, -5683,  3377, -5683, 88872, -5683,
    4198, -5683, -5683, -5683, 64911,  3951, -5683, -5683, -5683, -5683,
    4690, -5683,   284, -5683, -5683, -5683, -5683, 88872,  3818,  3891,
    3995, -5683,  4011,  3386,  2364, 12962, -5683, 45125, 88872, 88872,
    4039, -5683,  2604, 44630,  3374,  4348, -5683,  2552, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683,   996,  4202,  4204, -5683, -5683,
   13127, 68823,  1498, 38636,  4351, -5683,  4418, -5683,  1337,  1345,
    1910,  4644,  1722,  1722, -5683, -5683, -5683, 34580, -5683, -5683,
    4445,  4342, -5683, -5683,   305, -5683,  1726, -5683, -5683, -5683,
   34580, -5683, -5683,  2101,  2101,  3818, -5683, -5683,  4039,  2364,
    4011,  4308, -5683, -5683, -5683, -5683,  4469, -5683,  2608,  4039,
    4175,  2412, -5683, -5683,  2431,  2432,  4310,  4555, -5683,  4216,
   -5683, -5683, -5683, -5683, 88872, 88872, 62466, 88872, 88872, 13468,
   -5683, 48590,  4450,   582, -5683,  1726,  2610, -5683, -5683, -5683,
   -5683,  4011,  4039, 88872,  3057, -5683, 44630,  3244,  4579, -5683,
    2552,  4336,  4338, 60510, -5683, -5683,   316,  4621, -5683,  2615,
   -5683,  4228, -5683,  4289,    58,  4234, 88872, -5683, -5683,  4039,
   -5683, -5683,  3374, -5683, -5683,  1231, -5683,  4278,  4280, -5683,
    2619, -5683, -5683, -5683, -5683, 34580, 62466, -5683, -5683,  4295,
   34580,  2621, -5683,  4039, 68823,  4577,  4578, -5683, 60510,   718,
    4313,  4298,  2623,   108,  3244,  4241, 68823, 68823, -5683,  4242,
   88872, -5683, -5683,    58, -5683, -5683, 60510, -5683, -5683,   494,
   -5683,  4318,  2625,  4298, -5683, -5683
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1706,  1448,   656,  1536,  1535,  1448,     0,   273,     0,  1547,
       0,  1448,   434,  1106,     0,     0,     0,     0,   656,  1448,
       0,  1706,     0,     0,     0,     0,     0,  1719,     0,     0,
       0,     0,     0,     0,  1246,     0,     0,     0,  1448,     0,
       0,  1726,     0,     0,     0,     0,  1719,     0,  1549,     0,
       0,     0,     0,  1726,     0,     0,     0,     0,     0,     2,
       9,    10,    45,    80,    81,    38,    37,    98,    63,    24,
      71,   133,   132,   134,    50,    46,    88,    33,    35,    47,
      51,    73,    75,    40,    53,    64,   110,    72,    31,    70,
      76,    96,    58,    19,    20,    59,    21,    60,    22,    61,
     106,    82,    99,    43,    69,    30,    52,    78,    79,    12,
      54,    86,    18,    65,    66,    68,    91,    92,    93,   116,
      94,   128,    49,   125,   103,   104,   122,   105,   123,    16,
     107,    62,    23,   119,   118,   120,    89,    55,    90,    77,
      97,   117,    34,   121,    25,    26,    28,    29,    27,    67,
      36,    74,    39,    95,   124,   114,   109,   129,   127,    11,
     135,   111,    83,    14,    15,   100,    13,    32,    57,    17,
      42,    41,    56,    48,   131,    44,  1547,   102,   115,   101,
      84,   108,    87,   112,   130,   113,    85,   126,  1670,  1669,
    1730,  1673,  1705,     0,  1685,  1447,  1446,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,  2370,  2387,  2388,  2389,  2390,
    2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,
    2401,  2403,  2402,  2404,  2405,  2757,  2406,  2407,  2408,  2702,
    2703,  2758,  2704,  2705,  2409,  2410,  2411,  2412,  2413,  2414,
    2415,  2416,  2417,  2706,  2707,  2418,  2419,  2420,  2421,  2422,
    2708,  2759,  2423,  2424,  2425,  2426,  2427,  2428,  2760,  2429,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2761,  2438,
    2439,  2440,  2762,  2441,  2442,  2443,  2444,  2445,  2446,  2709,
    2710,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2711,
    2475,  2476,  2477,  2478,  2712,  2479,  2480,  2481,  2482,  2713,
    2483,  2484,  2485,  2486,  2763,  2764,  2487,  2488,  2489,  2490,
    2491,  2714,  2715,  2492,  2493,  2494,  2495,  2496,  2497,  2498,
    2765,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2766,  2716,  2512,  2513,  2514,  2515,
    2717,  2718,  2719,  2516,  2767,  2768,  2517,  2769,  2518,  2720,
    2721,  2722,  2723,  2519,  2520,  2521,  2522,  2523,  2524,  2525,
    2724,  2770,  2526,  2771,  2527,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2725,  2772,  2726,  2548,  2549,
    2550,  2551,  2552,  2553,  2554,  2727,  2728,  2555,  2556,  2557,
    2773,  2558,  2729,  2559,  2730,  2560,  2561,  2562,  2563,  2564,
    2565,  2566,  2567,  2568,  2569,  2731,  2774,  2570,  2775,  2732,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,  2578,  2579,  2580,
    2581,  2582,  2733,  2583,  2734,  2586,  2584,  2585,  2587,  2588,
    2589,  2590,  2591,  2592,  2593,  2594,  2595,  2596,  2735,  2597,
    2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,
    2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2776,  2616,
    2617,  2618,  2619,  2620,  2736,  2621,  2622,  2623,  2624,  2625,
    2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,
    2636,  2637,  2737,  2638,  2639,  2777,  2640,  2641,  2738,  2642,
    2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,  2651,  2652,
    2653,  2654,  2655,  2739,  2656,  2657,  2658,  2659,  2778,  2660,
    2661,  2662,  2663,  2664,  2665,  2740,  2741,  2666,  2667,  2742,
    2668,  2743,  2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,
    2677,  2678,  2679,  2680,  2681,  2682,  2683,  2684,  2685,  2686,
    2744,  2745,  2687,  2779,  2688,  2689,  2690,  2691,  2692,  2693,
    2694,  2695,  2696,  2697,  2698,  2746,  2747,  2748,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,  2699,  2700,  2701,   146,
       0,     0,  2337,  2371,  2372,  2375,  2370,   406,   405,  1659,
    2334,  2371,  1546,     0,  1525,   656,     0,  1461,   433,  1706,
       0,     0,     0,     0,     0,     0,   872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
       0,   140,     0,     0,   457,   456,     0,     0,  1078,   462,
       0,     0,     0,     0,     0,   646,  1588,  2584,  1586,  1660,
     274,   277,   278,   275,   276,  2353,     0,  1218,  1219,  1221,
       0,     0,  1231,   912,   913,     0,     0,     0,   926,     0,
       0,     0,   910,     0,     0,     0,   932,     0,   929,     0,
       0,   933,   930,   907,   931,   914,     0,   906,     0,     0,
    1231,   934,     0,     0,   908,     0,     0,     0,     0,  1461,
    1585,   463,  1706,     0,  1569,  1570,  1571,  1547,  1559,  1572,
    1564,  1566,  1565,  1567,  1568,  1563,     0,  2352,  2389,  1002,
    1002,  1002,  1002,   999,  1000,  1002,  1002,  1002,  2604,     0,
       0,   981,     0,   983,  2354,  1002,  1007,  2397,   538,   538,
     538,     0,  1006,  1011,   538,     0,  1429,  1470,  2336,  1718,
       0,   982,  1428,     0,     0,     0,  2666,  1575,     0,     0,
       0,     0,  2623,  1438,   256,  2635,  2740,  2666,   255,   249,
     251,   223,     0,     0,  1006,   538,     0,  1461,  1436,   978,
    1725,  1723,     0,  2321,  2416,  2432,  2529,   246,  2616,  2625,
    2635,  2740,  2666,  2698,   202,   212,   207,     0,   267,  2635,
    2740,  2666,   263,  1458,     0,  1686,  1834,  1833,  2330,     0,
    1431,  1430,  1548,     0,  1551,     0,  2599,  1690,  1693,  1553,
    1691,  2373,  1909,  1938,  1916,  1938,  1938,  1905,  1905,  2462,
    1918,  1906,  1907,  1943,     0,  1938,  1905,  1910,     0,  1908,
    1946,  1946,  1933,     3,  1890,  1891,  1892,  1893,  1919,  1920,
    1894,  1925,  1926,  1930,  1895,  1960,  1905,  2374,  1727,  1728,
    2321,     4,  2367,     5,  2283,  2366,     6,     7,  1682,     0,
       0,     1,  1706,     0,  1558,  1722,  1722,     0,  1722,     0,
    1674,  1682,  1677,  1681,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,     0,   937,     0,  1473,  1063,     0,     0,
       0,     0,     0,  1315,     0,  1115,  1114,  2376,  2359,  2360,
    2361,     0,  2357,  2358,  2377,  2378,  2379,     0,  2498,  1315,
       0,     0,  2199,  2210,  2211,  2212,  2420,  2479,  2207,  2208,
    2209,  2201,  2202,  2203,  2204,  2205,  2206,     0,     0,  1213,
    2200,     0,  2498,     0,  1315,     0,   173,     0,   150,  1315,
       0,     0,  2498,     0,     0,  2498,     0,     0,     0,     0,
       0,  2498,     0,     0,     0,     0,     0,   173,  2534,     0,
     150,  2498,     0,     0,  1452,     0,     0,     0,  1454,  1457,
    1444,     0,  2280,     0,  2281,  2338,  1540,     0,  1539,  1533,
    1543,  1538,  1528,     0,  2330,     0,     0,     0,     0,   920,
       0,     0,   910,     0,     0,     0,   921,     0,   922,   923,
       0,     0,     0,     0,   919,     0,  1442,  1434,     0,  1577,
    1579,  1578,  1580,  1576,   538,     0,     0,     0,  2498,     0,
     150,  1512,     0,  2498,   150,     0,     0,   461,   460,   150,
    2357,   459,   458,  2420,  2479,     0,  1105,     0,  1188,   150,
    2498,     0,   194,  2498,   715,  2498,  1553,   139,     0,   659,
       0,   827,  2534,   150,     0,     0,     0,     0,     0,     0,
     142,     0,     0,     0,     0,     0,     0,     0,   645,   656,
    1589,  1587,     0,  1222,   248,   247,  1220,   924,  2498,  1147,
     145,     0,     0,  2498,  1493,  2498,   145,   941,   925,     0,
     911,  2498,   145,  1111,  2498,  2362,   183,     0,   909,  2420,
    2479,  2498,   145,  1215,     0,  2498,   145,  2498,   179,  2498,
     145,  2498,   145,  2498,   660,     0,     0,  2498,   145,  2498,
    2534,   181,   928,  2498,   145,   935,  2498,   145,  2332,  2498,
       0,  1445,     0,  1581,     0,  1561,  2744,     0,  1706,     0,
       0,  1002,  1001,     0,  1002,     0,  1002,     0,  1002,     0,
    1002,     0,     0,     0,  1002,  2355,  2356,   984,     0,  1008,
       0,  1016,     0,  1015,  1014,  1013,     0,     0,     0,  1017,
       0,  1838,  1617,     0,  1426,   250,   201,     0,   262,   261,
    1441,     0,     0,     0,   142,     0,  1244,  1241,   142,  1243,
    1242,   142,   142,  1437,   254,   252,     0,     0,     0,     0,
       0,     0,  1443,     0,  1435,     0,     0,     0,  2340,  2342,
    2343,  2213,  2283,     0,  2703,  2704,  2705,  2272,     0,  2706,
    2707,  2708,  2759,  2094,  2080,  2089,  2095,  2081,  2083,  2090,
    2709,  2710,  2029,  2711,  2712,  2350,  2713,  2714,  2715,  2717,
    2718,  2719,  2720,  2721,  2722,  2723,  2724,  2085,  2087,  2725,
    2726,  2728,     0,  2351,  2729,  2730,  2565,  2732,  2733,  2735,
    2736,  2091,  2738,  2739,  2092,  2740,  2741,  2742,  2743,  2349,
     505,  2093,  2745,  2747,  2748,  2749,  2750,  2752,  2753,  2754,
    2755,     0,     0,     0,  2327,     0,  2058,     0,  1898,  1899,
    1921,  1922,  1900,  1927,  1928,  1901,     0,  2326,  1963,  2158,
    2057,  2075,     0,  2063,  2064,     0,  2056,  2052,  2160,  1708,
    2322,     0,  2053,  2339,  2341,  2273,  1708,  2320,   215,   269,
       0,   270,  2328,  2635,   203,   245,   217,   244,   218,   216,
       0,  2418,   204,     0,     0,   205,     0,     0,     0,     0,
     266,   264,     0,  1433,     0,  1836,  1835,  2331,   946,     0,
    1550,  1547,  2223,     0,  1692,     0,     0,     0,  1937,  1924,
    1932,  1931,     0,  1914,  1913,  1912,     0,  1911,  1938,  1938,
    1936,  1915,  1890,     0,     0,     0,  1942,     0,  1940,  1886,
    1882,     0,  1949,  1950,  1951,  1948,  1961,  1947,     0,  1896,
    1952,     0,  1905,  1902,  1793,     0,  1672,  1671,     8,     0,
    1555,  1557,  1531,  1553,  1720,  1721,     0,     0,     0,     0,
       0,     0,     0,     0,  1780,  1738,  1739,  1741,  1777,  1781,
    1789,     0,  1678,     0,     0,     0,  1840,  1632,     0,  1459,
       0,     0,     0,     0,     0,  1146,     0,     0,     0,     0,
     938,     0,     0,     0,  1479,     0,  1481,  1482,  1483,     0,
       0,     0,     0,  1484,  1485,  1473,   258,  1492,  1489,  1472,
    1474,  1487,     0,     0,     0,     0,     0,     0,     0,  1504,
       0,   187,   188,     0,   672,   656,     0,  2498,     0,     0,
       0,     0,  1156,  1163,  1314,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,  1155,     0,  1158,   260,  1168,  1195,
    1198,     0,     0,  1113,  1116,     0,     0,     0,     0,     0,
    1305,     0,     0,     0,  1305,     0,     0,     0,  1314,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   285,   287,
     300,   365,     0,   637,     0,     0,     0,   640,     0,  2498,
    1315,     0,     0,     0,  1217,     0,     0,     0,     0,     0,
       0,     0,     0,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   148,   149,   154,     0,     0,     0,     0,
    1198,     0,     0,     0,     0,     0,     0,     0,   623,   636,
       0,     0,     0,     0,     0,   633,     0,     0,   150,   290,
     613,   619,     0,     0,     0,   722,   721,     0,     0,     0,
       0,     0,     0,  1402,     0,  1401,     0,     0,     0,     0,
       0,  1502,  1501,     0,     0,     0,     0,     0,  1305,     0,
     279,   281,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   398,   399,     0,
       0,     0,   154,     0,     0,  1305,     0,   292,     0,     0,
    1453,  1450,  1451,     0,  1456,     0,     0,     0,     0,  2066,
       0,  2227,  1730,  2225,  1131,  2279,     0,  2380,  2780,  2781,
    2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,  2791,
    2792,  2793,  2794,  2795,  2796,  2797,  2798,  2799,  2800,  2801,
    2802,  2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,  2811,
    2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,
    2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,
    2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,
    2852,  2853,  2854,  2855,  2856,  2857,  2276,  2275,  2335,  2381,
    2382,  2383,  2384,  2282,     0,     0,   234,   235,   233,  1541,
     236,  1542,  1537,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,  2420,  2479,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   835,  1473,  1511,     0,     0,     0,   665,     0,  2498,
       0,   152,   873,     0,   825,   462,     0,     0,     0,     0,
    1378,   152,     0,     0,   190,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   826,     0,
       0,   152,     0,  2498,   616,  2498,     0,   538,   538,     0,
       0,   141,   138,     0,     0,     0,     0,     0,     0,     0,
       0,  1664,  1663,  1666,  1665,     0,  1662,     0,   143,   144,
       0,  1205,  1230,     0,     0,     0,     0,     0,   902,   927,
       0,     0,  1199,     0,     0,  2498,   145,  2498,     0,  2498,
       0,     0,     0,  1207,   145,     0,  1201,     0,     0,  1203,
       0,  1404,     0,   918,   916,   915,   917,     0,     0,   900,
       0,     0,     0,     0,     0,   895,     0,     0,   897,     0,
       0,     0,     0,  1706,  1560,     0,     0,     0,   992,     0,
     996,     0,   987,     0,   993,     0,   988,   985,   986,     0,
     991,     0,     0,   539,   541,     0,     0,  2444,  2461,     0,
    2487,  2522,  2523,  2575,  2590,  2619,  2625,  2631,     0,  2660,
    2671,     0,  1022,  1060,  1012,   731,     0,     0,  1627,  1427,
    2232,     0,  1706,     0,     0,  1245,     0,     0,   138,   253,
     224,     0,     0,  1060,     0,  2623,  1440,   977,   656,     0,
    2054,     0,  2061,  2062,  2271,     0,     0,     0,     0,     0,
       0,  2060,     0,     0,     0,  2293,     0,  2293,     0,     0,
       0,     0,     0,  1985,     0,     0,  2231,     0,     0,  2231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1986,  1967,  1968,  2058,  2223,     0,  2059,  2346,
       0,  1960,  2385,  2213,     0,  2210,  2211,  2212,  2858,  2859,
    2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,
    2870,  2871,  2872,  2873,  2874,     0,  2875,  2876,  2877,  2878,
    2879,  2881,  2880,  2882,  2883,  2884,  2885,  2886,  2887,  2286,
    2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,
    2899,  2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,
    2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,
    2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,
    2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,
    2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,
    2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,
    2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
    2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,
    2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,
    2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,
    3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,
    3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,
    3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,
    3039,  3040,  3041,  3042,  2000,  3043,  3044,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,
    3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,
    3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,
    3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,
    3098,  3099,  2002,  3100,  3101,  3102,  3103,  3104,  3105,  3106,
    3107,  3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,
    3117,  3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,
    3127,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3137,  3135,
    3136,  3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,
    3147,  3148,  3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,
    3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,
    3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,  3175,  3176,
    3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,  3185,  3186,
    3187,  3188,  3189,  3190,  3191,  3192,  3193,  3195,  3194,  3196,
    3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,  3205,  3206,
    3207,  3208,  3209,  3210,  3211,  3212,  3213,  3214,  3215,  3216,
    3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,
    3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,  3235,  3236,
    3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,
    3247,  3248,  3249,  3250,  3251,  3252,  3253,  3254,  3255,  3256,
    3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,
    3267,  3268,  3269,  3270,  3271,  3272,  3273,  3274,  3275,  3276,
    3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,  3285,  3286,
    3287,  3288,  3289,     0,  2207,  2208,  2209,  2201,  2202,  2203,
    2204,  2205,  2206,  2217,     0,     0,  2325,  2386,     0,  2160,
       0,  1982,     0,  2168,     0,     0,  1793,     0,  2344,  2274,
    1793,   271,   272,   268,     0,     0,   220,   219,     0,   238,
     242,   243,   214,   241,     0,   237,   222,  2144,  2143,   221,
     213,   210,   208,   225,   227,   228,   211,   209,   265,     0,
       0,     0,   145,  1558,  1545,     0,     0,  2286,     0,  2221,
       0,     0,  2219,     0,     0,     0,  1790,     0,  1694,     0,
    1698,     0,     0,     0,  1935,  1934,  1887,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   939,     0,  1903,     0,  1856,  2368,  2369,  2284,  1726,
    1558,     0,  1554,  1689,  1688,  1731,  1732,  1097,  1687,  1760,
    1761,     0,     0,     0,     0,  1786,  1784,  1751,  1742,  1750,
       0,     0,  1748,     0,  1752,  1963,  1779,  1676,  1736,  1737,
    1740,  1675,     0,  1782,     0,  1630,  1780,  1741,  1614,  1591,
    1592,     0,     0,  1841,     0,  1460,     0,     0,     0,  1126,
    1128,     0,  1127,     0,  1130,     0,  1139,     0,     0,  1125,
    1144,     0,  1133,  1131,     0,  1500,     0,     0,     0,     0,
       0,  1480,     0,     0,     0,  2660,   257,  1483,  1488,  1475,
    1486,     0,     0,     0,     0,     0,  1062,  1061,     0,     0,
    1081,     0,     0,   505,  1507,   527,     0,   367,     0,     0,
       0,     0,     0,     0,     0,     0,   821,   818,     0,     0,
     817,     0,   670,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,     0,  1305,     0,   298,     0,
    1165,     0,  1164,     0,  1169,     0,     0,  1166,  1161,  1162,
    2625,  2635,  2666,   259,  1167,  1197,     0,  1196,  1192,     0,
    1108,     0,  1109,     0,     0,     0,     0,     0,  2471,  2498,
     306,   329,     0,  1304,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   351,
       0,     0,   354,   353,     0,     0,     0,     0,     0,   359,
       0,   337,     0,   338,     0,   358,     0,     0,     0,   638,
     639,     0,     0,     0,  1305,     0,   294,     0,     0,     0,
       0,     0,     0,     0,     0,  1214,     0,   748,     0,     0,
    2625,  1193,     0,  1387,     0,  2659,  1388,  1391,   538,     0,
     538,  1393,     0,     0,  1390,  1392,     0,     0,   176,     0,
     171,   175,     0,     0,  2625,  1194,     0,     0,     0,     0,
       0,   621,   622,   635,     0,   626,   627,   624,   628,   629,
       0,     0,     0,     0,     0,     0,     0,   620,     0,     0,
     717,   716,   720,     0,     0,     0,     0,     0,     0,  1396,
       0,     0,  1188,     0,     0,  1395,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1248,  1247,     0,
       0,     0,     0,  1315,     0,   863,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,   735,     0,   734,     0,
     172,   177,     0,     0,     0,     0,     0,     0,     0,     0,
     232,  1449,  1455,  1730,  1730,  1730,  2072,     0,     0,     0,
       0,  1729,  2277,  2280,  1528,  1534,  1527,  1526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   409,   410,   412,     0,
       0,     0,     0,   837,     0,   840,   843,  1471,   489,     0,
       0,   662,   695,     0,     0,   465,   185,     0,     0,     0,
       0,   750,     0,  1188,  1187,   147,   138,   194,   463,     0,
     193,   195,   197,   198,   199,   196,   200,     0,   714,   718,
       0,     0,     0,     0,   658,     0,     0,     0,     0,     0,
       0,     0,  1861,     0,     0,   170,     0,     0,   611,   615,
       0,     0,     0,     0,   465,   577,   378,  2498,     0,   538,
       0,  2498,     0,   137,     0,   824,     0,     0,     0,  1150,
    1150,     0,     0,   764,   763,     0,     0,     0,     0,     0,
       0,  1661,   145,  1148,     0,  1494,     0,   145,   942,   145,
    1112,   184,  2363,     0,   904,     0,     0,     0,     0,   145,
    1216,   892,   145,   180,   145,   145,   661,     0,   145,   182,
       0,     0,   145,   936,   145,  2333,     0,   145,  1584,  2498,
     538,  1562,     0,     0,   989,   998,   997,   995,   994,   990,
       0,  1009,     0,   537,     0,     0,     0,     0,     0,  1030,
    1031,     0,     0,  1027,  1032,     0,  1034,  1018,  1020,  1028,
    1029,  1035,  1024,  1023,  1036,  1037,     0,     0,     0,  1049,
     729,     0,     0,     0,     0,  1624,     0,  1622,     0,  1839,
    1626,  1615,  1574,     0,  1573,     0,   604,  1239,  1238,  1240,
       0,  1006,     0,   145,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2236,     0,  2237,
       0,     0,  2270,  2266,     0,     0,     0,     0,     0,  2240,
    2243,  2244,  2245,  2242,  2246,  2241,     0,     0,  2247,     0,
       0,     0,  2058,  2289,  2289,  2314,     0,  2313,  2319,  2227,
    1963,     0,     0,  2310,  2304,     0,  2310,     0,     0,     0,
       0,     0,     0,  2227,  2230,     0,     0,  2736,     0,     0,
       0,     0,  2030,     0,     0,  2194,     0,  2227,     0,     0,
       0,     0,     0,     0,     0,  2223,  2262,     0,   503,     0,
    2020,     0,     0,     0,  2142,     0,  2139,     0,     0,     0,
       0,  2283,     0,     0,  2347,  1964,  1978,  1979,  1980,  1983,
    2324,     0,  2285,     0,     0,  1965,  1991,     0,  2263,  2016,
       0,  2021,  2006,  2294,  2248,  2249,  2250,  2251,  2023,     0,
    1999,  2004,  2008,     0,  2303,  1987,     0,  1984,     0,  2286,
    2222,     0,  2220,     0,  1975,  1976,  1977,  1969,  1970,  1971,
    1972,  1973,  1974,  1981,  2198,  2196,  2197,     0,     0,  2168,
       0,     0,  2003,     0,     0,  2074,  2490,  2529,     0,  1719,
    1719,  1719,  1707,  1717,  2323,  1856,  1730,  1856,  2329,     0,
       0,  1960,     0,  1837,   944,   945,   943,  1530,  1544,  1558,
    2224,  1552,  1696,     0,     0,     0,  1904,  1917,     0,  1944,
    1945,  1946,  1946,     0,  1888,     0,  1929,  1954,  1955,  1956,
    1957,  1958,  1959,     0,  1953,  1897,   940,     0,  2621,  2756,
       0,  1817,  1792,  1794,  1804,  1817,  1824,  1817,  2076,  1854,
    2077,  2078,  2330,     0,  1763,  2365,  1532,  1556,     0,  1095,
    1096,     0,  1100,  2736,  2621,     0,     0,     0,     0,  1753,
    1787,     0,  1778,     0,  2340,  1754,  2339,  1755,  1758,  1759,
    1749,  1788,  1628,     0,  1783,  1680,  1679,     0,  1859,     0,
       0,  1842,  1791,  1354,  1249,  1316,  1129,     0,  1905,  1140,
       0,  1124,     0,  1123,  1905,     0,  1141,     0,  1905,  1355,
    1250,  1317,  1356,  1251,  1318,  1357,  1491,  1252,  1490,  1478,
    1477,  1476,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   802,  2498,   145,  1505,
    1358,     0,  1253,   366,  1506,  1319,  1510,   820,   819,     0,
       0,  1320,     0,   671,   676,     0,   678,   679,  2420,  2479,
     680,   683,   684,     0,   686,   675,   674,     0,     0,     0,
       0,     0,   692,   697,     0,     0,     0,     0,     0,     0,
    1159,  1160,  1359,  1256,     0,  1321,     0,  1107,     0,  1257,
     186,     0,     0,   286,  2498,   308,     0,   487,   802,     0,
    1307,   305,   335,     0,   350,   345,   346,   344,  2498,   145,
    2498,   145,     0,     0,     0,     0,     0,   347,   342,   343,
     339,     0,     0,   352,  2392,  2463,  2636,     0,   703,   705,
       0,   710,   355,  1277,   374,   373,   372,     0,   360,     0,
     379,   382,     0,   357,   336,   334,   331,   301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1209,
       0,  1362,  1322,     0,  1344,     0,     0,     0,     0,   742,
    1365,  1263,  1325,     0,   538,     0,     0,   553,   553,   538,
    1376,  1264,   174,  1294,   163,     0,     0,   159,     0,     0,
       0,     0,   153,  1366,  1265,  1326,     0,     0,  1367,  1266,
       0,     0,   291,   614,   625,   630,  1271,   634,   631,  1334,
     632,  1374,  1267,     0,  1370,  1297,  1329,   597,  1188,  1188,
    1377,  1397,  1268,  1188,     0,  1305,     0,   280,   282,     0,
     142,     0,  1269,     0,  1327,  1369,  1296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,   145,     0,     0,     0,  1307,  2498,   145,
    1368,     0,  1302,     0,  1342,     0,     0,   400,     0,  1295,
    1305,     0,   293,  1273,     0,  1336,     0,     0,   230,   229,
     231,     0,     0,     0,     0,  2228,  2229,     0,  2226,  2067,
    2279,     0,  1524,   966,   952,   965,     0,   948,  2461,     0,
     951,   953,     0,     0,     0,   954,   958,   959,     0,   950,
     947,   949,     0,   411,     0,     0,   759,   760,     0,     0,
       0,     0,   839,     0,     0,  1503,     0,   150,   669,     0,
       0,     0,   664,   694,   699,     0,     0,     0,     0,   464,
     468,   472,   473,   474,     0,     0,     0,     0,   164,   151,
       0,   881,     0,   538,     0,   752,  1188,  1380,     0,   194,
     189,     0,     0,   715,     0,  1553,     0,     0,   592,   595,
     594,     0,   378,   834,   832,   831,   833,   855,   830,     0,
    1860,  1862,     0,     0,     0,     0,     0,     0,   604,   467,
       0,     0,   541,     0,   580,     0,     0,     0,     0,   577,
       0,     0,     0,  2373,     0,   851,   823,     0,  1118,     0,
    1136,  1119,     0,     0,     0,     0,  1173,  1180,  1149,  1174,
    1151,  1180,     0,     0,   765,   769,   768,   772,   770,     0,
     766,   643,  1667,  1668,     0,  1206,     0,     0,  1499,     0,
    1497,   903,  1200,   145,     0,   145,     0,   145,  1208,  1202,
    1204,  1405,     0,   901,     0,     0,   894,   896,     0,   898,
       0,     0,     0,     0,  1606,  1594,     0,  1793,  1633,     0,
    2283,  1010,   540,     0,     0,     0,     0,     0,     0,  1026,
     641,  1033,     0,     0,     0,  1048,  1043,  1045,     0,  1060,
    1054,     0,   728,     0,     0,  1625,  1618,  1620,  1619,     0,
       0,  1616,  2233,   893,     0,   610,     0,  1060,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1724,  2234,  2235,     0,     0,     0,  2267,     0,     0,  2111,
       0,  2082,  2084,  2097,     0,  2112,  2065,  2289,     0,  2293,
    2287,  2131,     0,     0,     0,  2293,     0,  2313,     0,     0,
    2126,  2128,     0,     0,     0,  2303,  2303,  2113,  2086,  2088,
    2098,     0,     0,  2214,     0,  2101,  2100,     0,  2032,  2033,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2047,  2102,
    2193,     0,     0,     0,  2104,  2103,     0,     0,  2261,     0,
       0,     0,  2109,   504,  2114,     0,     0,     0,     0,  2120,
       0,  2150,     0,     0,     0,  2055,  2224,     0,     0,     0,
       0,     0,     0,     0,  2296,  2297,  2298,  2295,     0,  2022,
    2007,  2025,  2001,  2005,  2009,     0,  2303,  2024,     0,     0,
    2027,     0,     0,  1995,     0,     0,  1993,  2017,  1989,     0,
       0,  2018,     0,  2073,     0,     0,     0,  2171,  2166,  2167,
    1719,  1719,  1719,  1719,  1716,     0,     0,     0,  1763,     0,
    1763,   206,     0,   239,   226,  1529,  1697,  1706,  1923,     0,
    1941,  1939,  1884,  1889,  1962,  1817,  1824,  1817,     0,     0,
    1682,     0,  1804,     0,  1816,  1802,  1815,     0,     0,  1830,
    1828,     0,  1830,     0,  1830,     0,  1796,     0,  1820,  1798,
    1815,  1800,     0,  1846,  2331,  1855,     0,  1776,  1733,     0,
    2215,  1100,     0,  1735,  1757,  1756,     0,  1746,     0,  1785,
    1743,  1629,  1613,     0,  1611,  1593,     0,     0,  1905,  1121,
    1122,     0,  1145,     0,  1065,  1066,     0,  1064,     0,     0,
       0,   526,  1080,     0,     0,     0,   802,     0,     0,   530,
       0,  1508,     0,  1375,  1293,   673,     0,     0,     0,     0,
     688,   647,   689,   691,     0,     0,   690,   693,   696,  1305,
       0,   299,  1279,     0,  1340,  1153,     0,     0,  1110,     0,
       0,     0,     0,     0,     0,   486,   483,   330,     0,     0,
       0,     0,   387,     0,   310,   322,   385,   328,     0,   362,
       0,   333,     0,   326,   348,   340,   349,   341,   361,   363,
       0,   707,   708,   706,   702,     0,   709,   711,     0,   376,
       0,     0,     0,   356,     0,  1361,     0,  1305,     0,   295,
    1275,     0,  1338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1343,     0,     0,     0,     0,
     747,     0,   744,     0,   553,     0,  1389,     0,  1386,  1384,
     553,     0,     0,   156,   155,     0,   162,     0,     0,     0,
       0,     0,     0,  1398,  1399,  1400,     0,     0,     0,     0,
       0,     0,   394,     0,   302,   304,   303,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   401,   369,     0,   858,     0,     0,
       0,   403,     0,     0,  1353,     0,     0,     0,     0,     0,
    1360,  1258,  2070,  2071,  2068,  1730,  2278,     0,     0,     0,
     963,     0,     0,     0,     0,   414,   415,   150,   413,   436,
       0,   802,     0,     0,   836,   841,   849,  2565,  2201,  2202,
     847,   842,   844,   846,   848,   845,     0,     0,     0,     0,
     508,     0,     0,     0,   495,     0,     0,   505,   488,   491,
     492,     0,     0,   665,   668,   666,   667,     0,   687,     0,
     467,   515,   567,     0,   166,     0,     0,   167,   165,     0,
       0,   378,   749,     0,   746,  1379,     0,   192,     0,   719,
       0,     0,     0,     0,     0,  1188,   657,     0,   854,   856,
     828,     0,   699,     0,     0,   616,     0,   538,  1585,   599,
       0,   569,   467,   567,   576,     0,     0,   584,   377,     0,
       0,   604,   378,     0,     0,  1081,     0,   850,     0,     0,
    1117,     0,     0,     0,  1170,  1175,  1171,     0,  1150,  1132,
       0,  1172,     0,     0,  1178,  1103,  1152,  1104,  1421,  1422,
    1419,  1420,     0,     0,     0,     0,     0,     0,  1658,     0,
       0,  1495,     0,   905,     0,   888,     0,   890,   145,   736,
       0,   145,     0,  1598,  1600,  1599,     0,     0,  1601,  2283,
       0,  1611,  1638,     0,     0,  1859,     0,  1637,     0,     0,
       0,     0,     0,  1025,     0,  1019,  1021,  1046,     0,     0,
    1060,  1059,     0,  1050,  1058,  1056,  1057,  1055,     0,     0,
    1623,  1621,   602,     0,     0,   145,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2238,     0,  2269,
    2265,     0,  2079,  2239,  2292,  2291,     0,     0,     0,  2315,
       0,     0,  2293,  2307,  2306,     0,     0,  2305,  2293,  2293,
       0,     0,     0,  2194,     0,     0,  2031,  2043,  2044,  2045,
    2254,     0,  2050,     0,  2040,  2041,  2042,  2034,  2035,  2036,
    2037,  2038,  2039,  2046,  2258,  2257,     0,     0,  2106,  2107,
    2108,  2260,  2115,     0,  2410,  2151,     0,  2119,  2141,  2140,
       0,     0,     0,  2122,     0,     0,  2137,     0,  2195,  2348,
    1966,     0,     0,  1992,  2264,  2010,     0,  2026,  2028,  2300,
    2302,  1988,  2214,     0,     0,     0,     0,     0,  1997,     0,
       0,  2191,     0,     0,     0,  2173,  2170,     0,     0,     0,
       0,  1710,  1709,  1715,  1776,  2067,  1776,     0,     0,  1885,
    1803,  1799,  1801,     0,  2751,     0,  1806,  1813,     0,  1795,
       0,  1829,  1825,     0,  1826,     0,     0,  1827,     0,     0,
    1797,     0,  1813,     0,  1853,  1722,     0,  2162,     0,  1734,
    1098,  1099,  1744,     0,  1747,  2440,  1857,     0,  1612,     0,
    1142,     0,     0,  1134,  1071,  1072,  1075,  1073,  1070,  1074,
       0,     0,     0,   802,     0,     0,   548,     0,  1094,  1094,
       0,     0,   532,   589,     0,   805,     0,     0,     0,   803,
     145,  1254,     0,     0,     0,     0,   648,  1373,  1255,     0,
       0,     0,     0,  1154,  1308,     0,     0,  1278,     0,   307,
     485,   484,     0,   482,   699,     0,     0,   313,   323,     0,
     318,     0,  1306,     0,     0,     0,   317,   320,   319,   389,
       0,   386,     0,   145,   145,   364,   704,   375,   380,   381,
     384,  1313,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   882,   865,     0,     0,   883,
     884,     0,     0,     0,  1211,  1212,  1210,  1345,  1346,  1351,
    1348,  1347,  1350,  1352,  1349,     0,  1261,     0,     0,   740,
    1309,  1381,  1383,  1382,     0,  1385,   160,   157,   158,   161,
    1310,  1291,  1272,  1335,   598,     0,     0,     0,  1270,     0,
    1328,     0,  1287,  1281,     0,     0,     0,     0,     0,  1372,
    1301,  1333,  1371,  1299,  1331,  1298,  1330,  1300,  1332,  1292,
       0,     0,  1864,   862,     0,     0,     0,   145,   145,   861,
     738,  1274,     0,  1337,  1283,     0,     0,     0,   955,     0,
       0,     0,   957,   419,   437,   150,     0,   758,   822,     0,
       0,   838,     0,   493,     0,   499,   506,     0,     0,   510,
     511,   509,   494,  1188,   538,  1188,   791,   792,     0,     0,
     812,     0,   663,     0,     0,   465,     0,   512,     0,     0,
     469,   169,   168,     0,     0,     0,   753,   757,   755,   754,
     756,   751,     0,   742,   194,  2498,     0,     0,     0,     0,
     596,   590,   593,  1394,   829,     0,  1863,   732,     0,   378,
     612,     0,     0,     0,   465,   604,     0,   470,   475,   476,
     489,     0,   577,   568,     0,   569,   578,   579,     0,   586,
    1469,     0,   605,   586,     0,     0,     0,   853,     0,   852,
       0,  1120,  1137,  1138,     0,     0,  1180,     0,     0,  1182,
    1177,     0,     0,   771,   774,   767,   650,   145,     0,  1498,
     145,   145,  1237,     0,   899,     0,     0,     0,  1603,  1609,
    1590,     0,     0,  1634,  1611,  1635,  1040,  1041,  1042,  1039,
    1038,   642,     0,  1044,  1003,  1053,   730,     0,   603,     0,
    1004,   145,   980,   972,   979,   968,   971,   973,     0,   975,
     976,   970,   967,   969,  2268,  2096,     0,  2288,  2130,  2312,
    2311,  2129,  2318,     0,  2309,  2308,     0,     0,  2099,  2110,
       0,  2193,  2224,     0,     0,  2051,     0,     0,     0,  2105,
    2746,     0,     0,  2155,  2156,     0,  2152,  2153,  2148,  2149,
    2121,     0,  2554,  2132,     0,     0,  2147,  2014,  2012,  2011,
    2299,  2301,  1996,     0,     0,  1994,  1990,     0,  2019,  2157,
    2190,  2224,  2159,     0,  1730,  1714,  1713,  1712,  1711,  2162,
    2345,  2162,   240,  1701,  1849,     0,  1852,     0,     0,  1805,
       0,     0,  1807,     0,     0,  1809,  1811,     0,     0,     0,
       0,     0,     0,  2334,     0,  1775,     0,  1730,     0,  1745,
       0,  1610,     0,  1135,  1143,     0,     0,     0,   528,     0,
     543,     0,     0,     0,  1087,   140,  1086,     0,   543,   543,
     807,   806,   809,   804,   808,  1509,     0,   681,   682,   685,
    1280,     0,  1341,  1289,     0,  1627,   309,   481,   480,   489,
     316,     0,     0,     0,   311,   388,   390,   312,   315,   369,
     332,   325,     0,     0,     0,  1276,     0,  1339,  1285,  1312,
    1363,  1259,  1323,     0,     0,   871,     0,     0,     0,     0,
    1364,  1260,  1324,     0,     0,     0,     0,     0,  1627,     0,
       0,     0,     0,     0,     0,     0,     0,  1518,     0,     0,
     368,   860,   859,   369,   402,  1303,     0,  2069,     0,   956,
     961,   962,   960,     0,   408,   416,   419,     0,     0,  1228,
    1228,     0,     0,   490,   507,     0,   588,   547,   588,     0,
       0,     0,     0,     0,   700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   745,   744,   191,     0,   465,
       0,   699,     0,   857,     0,     0,     0,   604,   467,     0,
       0,  1582,   466,     0,     0,   478,     0,   580,   569,   577,
       0,     0,   601,     0,  1462,     0,   607,     0,     0,     0,
     801,  1176,     0,  1190,     0,  1131,  1101,  1185,     0,  1706,
    1856,     0,     0,     0,     0,   784,     0,   654,  1229,  1496,
     889,   891,   737,  1595,     0,  1596,  1602,     0,     0,     0,
       0,  1639,  1631,  1047,     0,  1060,  1052,   974,  2290,  2317,
    2127,  2316,  2253,  2195,  2048,     0,  2256,  2255,  2259,     0,
    2116,     0,  2117,  2154,  2123,  2133,     0,  2124,  2145,     0,
       0,  2015,  2013,  1998,  2192,     0,  2177,  1684,  1683,     0,
    1704,  1854,     0,     0,  1848,     0,     0,  1878,     0,     0,
       0,  1814,  1832,     0,  1810,  1808,     0,  1821,     0,  1823,
    2439,  2715,  2618,     0,  1762,  1764,  1767,  1769,  1768,  1770,
    1766,  2161,  2163,     0,  1741,  2216,  1858,     0,  1640,  1641,
    1048,     0,   145,  1094,     0,  1188,   549,  2565,   550,  1093,
    1097,   139,     0,  1188,  1188,   677,     0,     0,   288,   477,
       0,   314,   324,   371,   383,     0,  1627,     0,     0,   869,
     878,   878,   866,     0,     0,   885,  1262,   741,     0,   552,
       0,   283,  1288,  1282,     0,     0,     0,  1520,  1521,     0,
       0,     0,     0,     0,  1311,   145,  1284,   964,     0,   439,
     446,   420,   424,  1512,     0,  1512,     0,   421,   425,  1512,
    1512,   418,  1856,   435,  1228,     0,  1225,  1224,   536,   618,
       0,     0,   497,     0,   558,   496,     0,   813,     0,     0,
     698,     0,   467,   567,     0,   525,   516,   517,   518,   519,
     521,   520,   522,   523,   524,   514,   513,     0,   699,   875,
     378,  1469,   739,     0,     0,   712,     0,   699,     0,  1585,
     600,   569,   467,   567,   471,   489,     0,   584,   577,   580,
       0,   581,     0,   585,     0,     0,     0,   604,  1522,  1081,
       0,  1082,     0,   802,  1189,  1150,     0,     0,  1179,  1183,
    1184,     0,     0,     0,     0,  1232,   778,   779,   773,   775,
       0,   786,   790,   649,     0,     0,   653,   644,     0,     0,
       0,     0,  1636,   699,   145,     0,  2049,     0,     0,  2135,
    2134,  2146,  2125,  2172,     0,     0,     0,     0,     0,     0,
       0,  1695,  1847,  1850,     0,  1881,     0,     0,     0,     0,
    1867,     0,  1812,     0,     0,  1822,     0,     0,     0,  1771,
       0,     0,     0,  1780,  1649,     0,  1642,  1067,     0,  1068,
    1088,     0,   588,     0,  1100,  1097,   538,   588,   588,  1290,
       0,   618,     0,   327,     0,   296,  1286,     0,     0,   880,
     880,     0,     0,     0,     0,     0,     0,   396,     0,     0,
    1514,     0,  1515,  1516,  1519,   404,   417,     0,   444,     0,
     442,   441,   443,     0,   432,     0,     0,     0,     0,     0,
       0,   407,  1223,  1227,  1226,     0,   498,     0,   500,     0,
       0,   544,   545,   546,     0,   502,   554,   555,   810,     0,
     815,     0,   701,     0,     0,   699,   566,   723,     0,     0,
       0,  1463,     0,     0,   591,   733,  1469,   604,   577,     0,
     569,   479,     0,   586,   580,   584,   582,   583,     0,  1466,
       0,   606,     0,  1090,     0,   800,     0,  1180,  1191,  1186,
    1181,  1425,     0,     0,   776,   781,   780,  1512,   785,     0,
       0,     0,   652,   651,     0,  1608,  1856,  1605,     0,   727,
    1005,  2252,  2138,  2118,  2136,  2702,  2440,  2674,     0,  2189,
    2178,  2189,  2189,  2169,     0,     0,     0,     0,     0,  1879,
    1880,  1865,     0,     0,  1869,  1819,  1845,     0,     0,     0,
    1765,  2164,  2165,  2364,     0,     0,  1649,     0,     0,   553,
       0,  1084,  1100,   547,   802,   802,  1627,   321,   370,     0,
       0,     0,   876,   879,   867,   868,   887,   886,   743,  1627,
       0,   392,   391,     0,   395,     0,   440,   449,     0,   447,
     422,   427,     0,   431,   429,   428,   423,   426,   535,     0,
       0,     0,     0,     0,     0,   556,     0,   557,     0,   814,
       0,     0,     0,   725,   874,     0,     0,   465,   699,  1464,
    1583,   580,   569,   577,     0,     0,   571,  1094,  1094,   452,
     584,   586,  1467,  1468,     0,     0,   505,  1083,     0,  1102,
    1424,  1423,  1706,     0,     0,     0,   787,   788,   783,     0,
       0,  1597,  1607,     0,     0,  2182,  2181,  2180,  2184,  2183,
       0,  2176,  2174,  2175,     0,     0,     0,  1851,     0,  1868,
    1871,     0,     0,     0,  1877,  1870,  1872,     0,  1831,     0,
    1843,  1773,     0,  1772,  1648,     0,     0,   145,   542,   802,
     551,  1085,   558,   531,   529,   289,  1627,   870,     0,   284,
       0,   397,  1517,   445,     0,   430,   617,   501,   587,   563,
       0,   562,     0,   560,   559,   811,   816,     0,   699,   864,
    1469,   713,   584,   577,   580,     0,   570,     0,   140,   140,
     586,   450,     0,     0,   378,     0,  1407,  1706,  1406,  1408,
    1416,  1413,  1415,  1414,  1412,     0,  1235,  1236,   777,   782,
       0,     0,  1856,     0,     0,  2186,     0,  2187,     0,     0,
       0,     0,  1874,  1875,  1876,  1873,  1818,     0,  1774,  1651,
       0,     0,  1643,  1644,     0,  1069,   533,   802,   297,   877,
       0,   448,   561,   538,   538,   699,   724,  1465,   586,   580,
     584,  1094,   572,   574,   573,   454,  1090,  1091,     0,   586,
     790,     0,  1417,  1411,  1682,  1669,     0,     0,   789,     0,
    1604,  2179,  2185,  2188,     0,     0,     0,     0,     0,     0,
    1646,     0,     0,     0,  1645,   534,     0,   565,   564,   726,
     453,   584,   586,   140,   505,  1089,     0,  1856,     0,  1409,
    1706,     0,     0,   795,  1700,  1699,     0,     0,  1703,     0,
    1844,  1650,  1647,     0,     0,     0,     0,  1652,   393,   586,
     451,   575,   378,  1092,  1076,     0,  1410,     0,     0,   797,
       0,   793,   796,   798,   799,     0,     0,  1866,  1656,     0,
       0,     0,   455,   586,     0,     0,     0,   761,     0,  1730,
       0,     0,     0,     0,  1856,     0,     0,     0,   794,     0,
       0,  1653,  1657,     0,  1654,  1077,   795,  1233,  1234,     0,
    1702,     0,     0,     0,   762,  1655
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5683, -5683, -5683,  3850,  -623, -1728, -5047, -1131,  5578, -5683,
   -5683,  -944,   402,  3084, -1067, -5683, -5683, -5683,  -506, -5683,
   -5683, -5683, -5683,  3820, -5683, -2894, -5683, -5683,   164,  -373,
   -1388,   155,  3396,  1386, -5683, -1004, -5683, -5683,  -628,    16,
   -5683,   277,   418, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
   -5683,  -750,  1849, -5683,  1942,  1200, -3256, -5683, -5683, -1525,
   -3728, -5683,   473, -5683,   507, -4778, -1124, -5683, -5683, -5683,
    1839, -5683, -5683, -5683,  1782,   999,  -530, -5683, -5683, -5683,
   -5683, -5683, -5683,  -960, -5683, -5683, -1236,     7,  -656, -2929,
   -4299, -5683, -5683,   329,  -574, -1488, -5683,   517, -5683,   520,
   -5683, -4806, -5683,  -170, -2666, -2688, -5683, -5683, -5683,  -544,
   -1460,  1298, -5683,  -745, -1168,  1657, -2500, -1083, -5683,  -420,
   -3536, -1209,  -973,  -971, -1115, -4335, -4856, -5683, -5683, -1229,
   -3765, -5139, -5371, -4900, -4830,  1316, -5683,  -189,   338, -5683,
      11, -3619, -3692,    17,   317, -5683,    18,    19, -5683,   339,
    -900,  -961, -1579, -5683,  -902, -5683, -5683, -5683, -3432, -5683,
   -5683, -5683,   163, -5683, -5683, -5683, -5683,   371, -5683, -5683,
   -5683, -5683, -5683, -5683, -2568,  1813,  1825, -5683, -4348, -5683,
    -930, -5683,   544, -3473,  1245, -5683, -5683,  1008,  3851,   363,
   -5683, -5683, -5683, -5683, -5683, -5683, -1789, -5683, -5683, -5683,
   -5683,  -159,  -500, -5683, -5683, -5683, -5683, -5683, -5683, -5683,
      20, -5683,   970,   302, -5683, -5683,  -799, -5683, -5683, -5683,
   -5683, -5683, -5683, -1269, -5142, -1374, -1354, -5683, -3476, -5683,
   -5683, -5683,  -475, -5683, -5683, -5683, -5683, -5683,  -867, -5683,
    1063, -4127, -5683, -5683,   341, -5683, -5683, -5683, -5683, -5683,
   -1078,  -416,  3009, -5683,  -659,  -866, -5683, -5683, -5683,  -413,
   -5683, -5683, -5683, -5683, -5683,  -505, -1268,  4845,  4223, -1102,
    8296,  -834,  -576, -5683, -5683, -5683, -2807, -5683, -5683, -4260,
   -5683,  4839,  2379,  1628,    21, -5683,     0,    94,  3658, -5683,
     919, -1173, -3119,   283,  -613, -5683, -5683, -5683,   286, -5683,
   -1968, -5683, -5683, -5683, -5683, -4082,    24, -5683, -4344, -5182,
   -4567, -4094, -1237, -5683, -4356, -5093, -4069, -5683,  1854, -5683,
   -5683,  -524,  -203,  2984, -5683, -1473,  2195, -1432, -5683, -2610,
     368,  1413,  2999, -3247,  -123,  2987, -2987, -5683,  -711,  1005,
   -5683,  -494, -3752, -5683, -5683, -5683, -2804,  -740, -5683, -5683,
    1448,  -428, -5683, -5683, -5683, -5683,  -651,  2966,  -185, -5683,
   -5683,  4214, -5683, -4955, -5683,  4180, -5683, -5683, -5683, -5683,
   -5683, -5683, -5683, -5683, -5683, -1480,  1171, -5683,  -817, -5683,
   -5683,  1970,   588, -5683, -5683, -5683, -5683,  1269,  -477, -5683,
   -5683, -5683, -5683, -5683, -5683, -5683, -1046, -1243, -5683, -5683,
   -5582, -5683, -5683, -5683, -5683, -5683,  2268,  -954,  -752,  4084,
    -249,    25, -5307, -5683, -5683, -1161, -5683,  3409, -5683, -5683,
   -5683, -5683, -5683,   369,   376, -5683, -5683, -5683, -5683, -4414,
   -5683, -5683, -4870, -5683, -5683,  1955, -5683, -5683,  1097,    10,
    3132, -5683, -5683, -5683,   -23, -5683, -5683, -1024,  2300, -5683,
   -2379, -5683,  -590, -5683, -5683, -1911,    28, -4329, -5683,  -646,
   -5683,  2973, -5683, -5217, -1244,  -142, -5683, -5683, -4333,     5,
   -5683, -5683, -5683, -5683, -5009, -5683,  -641, -5683, -5576,   360,
   -3773, -5683,     1, -5683,  -552,  -937, -5683, -5683, -5683, -3771,
      29,   162, -5683, -5683,    59,  2296,   -51,   -41,   -35,     2,
     148,  3535, -5683, -5683, -5683,     9,  3577, -5683,     3,  -862,
    4900,  4901, -5683,  -881,  -143,   313,  1523,  -686, -2598,  3499,
    3505, -5683,  1509,  2314, -2441, -2440, -5683, -1180,  -911,  -741,
   -5683, -5683, -5683, -5683, -1760,  -684, -2599, -5683,  3506, -5683,
   -5683, -5683, -2412, -3359, -3263,  1548, -3275, -3194, -5683,   804,
     788, -1187,  -236,   -31, -1490,  -775,  -141, -5683, -5683,  1561,
    -489, -5683, -5683,  -485, -3278,   394, -5683, -4546, -2802,  1566,
   -1163,  -886, -5683, -1017, -5683,  -708,  6139,  3560,  -827, -5683,
   -5683,  -785, 13252, -5683, -5683, -5683, 14233, 14705, -5683, -5683,
   15389, 15634, -5683,  -636, 15705,  9529,  -787, -1945,  -164, 18225,
   -1741,  2250,    90, -5683, -2579, -2382, -5683, -5683, -5683,  -449,
     901,   481, -5683, -5683, -4587, -4415, -5683,  2444, -2188, -5683,
    -717,  1636,  -715, -5683, -5683, -5683, -2758, -5476, -2918,  2449,
   -5683, -5683, -5683,  -106, -5683, 18413, -3248, -5683,  -811,  -999,
   -1602,  2933, -3319, -1904, -5683, -5683, -5683, -3092, -5683, -5683,
   -5683,  -742,  1659, -5683, -5683,  1783, -5683, -5683, -5683,  -977,
    2021,  -751, -1199,  1668, -1928, -3018, -5683, -1922,  1680, -2210,
   -5683, -1924,  1752,   983, -5683, -2277, -5683,  4101,  -784,  2459,
    -782, 17769,  -579, 10858, -1286, -5683,   276, -5682,   734,  7375,
       8,  -136,  4560,  -631,  2376,  2957, -5683, -5683,  5065,  8637,
    -583,  -983, -5683,    -6, 13616, 13050, -3648, -5683
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    58,    59,    60,    61,  1091,  1096,  1892,  1911,    62,
      63,  1615,  3016,  2870,  3818,  3819,    64,    65,  1611,    66,
      67,    68,    69,  1525,    70,  1864,  3030,    71,  2706,   835,
     836,   837,  2572,  2573,  2961,  2574,  2562,  1376,  1810,  1547,
     809,   810,  1507,  1548,    73,    74,  1370,  2553,    75,    76,
      77,  1578,  1671,  1579,  1580,  1519,  4932,  5723,  3608,  2825,
    3866,  3609,  3610,  4275,  4276,  4364,  5737,  5738,    78,  1687,
    1688,    79,    80,  2998,  3784,  4417,  5314,  5315,  5561,   650,
    4955,  4956,  5548,  5549,  5751,  5908,  5909,  3031,   681,  3861,
    4501,  3809,  5026,  3810,  5027,  3811,  5028,  4823,  4824,  4265,
    4266,  3795,  4448,  4449,  2063,  4968,  4450,  3812,  4987,  5595,
    3813,  2725,  5766,  3065,  1985,  1983,  5495,  5574,  4785,  4786,
    4338,  5775,  5776,  5777,  6033,  4989,  5032,  5033,  5945,  5946,
    3864,  4507,  5039,  5372,  5572,  3506,    82,  3837,  3838,    83,
     744,  1886,  3975,   745,  3068,   682,   746,  3032,    88,  3058,
    5768,  3059,  1641,  2884,  4430,  3951,    89,  1119,  4240,  5397,
    5656,  5657,   735,    90,  1872,    91,    92,  3011,  3802,    93,
    2742,  3523,    94,    95,  3542,  3543,  3544,    96,  4458,  5333,
    1581,  3597,  3598,  3599,  3600,  4296,    97,  1867,  3039,  3040,
      98,    99,   100,  3172,  3173,   101,  2947,   102,   103,   104,
     105,  4332,  4889,  5003,  3639,  3825,  4474,  5001,   106,  3788,
    3033,  3086,  3899,  3900,  5395,  5648,  5649,  5650,  5827,  6068,
    5652,  5829,  5968,  5831,  4978,  6190,  6191,  5633,  4229,  4799,
     108,  4979,  4980,  5781,   109,  2740,   110,   111,  1841,  3004,
    3005,  4431,  3075,  3874,  3875,  4487,  4488,   112,  3726,   113,
    4865,  4866,   683,  5789,  5729,  5894,   114,   115,  4869,  4870,
     116,   117,   118,   119,   120,   736,  1053,  1054,   738,  1174,
    1175,  3478,  1136,   121,  2582,   122,  3764,   123,  1256,  5103,
     124,   771,  1192,  1193,  3034,   126,   781,  3191,   783,  3156,
    3157,  2001,  3955,  3956,  4590,   127,   128,  3959,  3960,  4597,
    3169,   129,  1512,  2716,  2717,  4780,  3035,   684,  3501,  5630,
    5224,  5631,  5956,  6118,  5225,  3432,  4193,   131,   685,  1553,
    2781,  1142,  1143,  3079,  3879,  2686,  2687,  1710,  4528,  2689,
    3881,  2690,  1485,  2691,  1129,  1130,  3887,  3888,  3889,  3890,
    4524,  4534,  4535,  5389,  5641,  4531,  1860,  5383,  5384,   132,
    1550,  2778,   133,   134,   135,  1594,   977,  1152,  1153,   136,
     697,   698,   137,  5566,   138,  1132,   139,  5393,   140,   141,
    1241,  1242,   801,   142,   143,  2795,  4278,   144,  1551,   145,
     146,  3633,  3634,  4881,   147,   148,   149,  2856,  2857,   150,
     151,   152,   153,   154,  6058,  6121,  6122,  6123,  4542,  5962,
     155,  1224,   156,   157,   158,   159,   197,  1018,  1019,  1020,
     930,  3036,  5374,   161,   162,  1508,  1509,  1510,  1511,  2711,
     163,   164,   165,  3909,  3910,   166,   167,   168,   169,  1844,
     170,   171,  5539,   172,   173,  1814,   174,   175,  1027,  1028,
    1029,  1030,  1812,  3379,   644,   854,  1401,  1407,  1450,  1451,
    1452,   177,   748,   178,  1232,  1058,   749,  1183,   180,   750,
     181,  2669,  3934,  4566,  4567,  4568,  4571,  5409,  4768,   751,
    3458,   183,  2008,  3178,  3181,  3454,   752,   184,  3937,  3938,
    3939,  4573,   753,  5488,  5489,  5875,  6092,  6093,  6144,  6177,
     754,   773,  1122,  3090,   755,  1336,   189,   190,   191,   910,
     857,   858,  3384,  5450,  5681,   756,  2546,  3362,   790,  1456,
     898,   899,   900,   919,  2971,  2635,  2636,  2660,  2661,  1465,
    1466,  2648,  2652,  2653,  3445,  3438,  2641,  4187,  5474,  5475,
    5476,  5477,  5478,  5479,  4757,  2656,  2657,  1468,  1469,  1470,
    2665,   194,  2625,  3412,  3413,  3414,  4164,  4165,  5998,  4179,
    4175,  4742,  5195,  3415,   846,  1222,  1477,  4750,  6000,  3416,
    5184,  5185,  5454,  4183,  3424,  4204,  3849,  3850,  3851,  3417,
    5689,  5690,  5995,  5996,  5456,  5457,  2692,  1430,   884,  1337,
     885,  1443,  1338,  1417,   887,  1339,  1340,  1341,   890,  1342,
    1343,  1344,   893,  1409,  1345,  1346,  1426,  1439,  1440,  1402,
    5458,  1348,  1349,  1350,  3419,  1351,  4686,  5155,  5141,  3285,
    3286,  2569,  5440,  4682,  4077,  4676,  2539,  2543,  5207,  5481,
    5482,  3355,  4128,  4715,  5174,  5677,  5849,  5850,  5981,  1352,
    1353,  1354,  3347,  2533,   980,  1355,  4433,  2535,  3276,  3254,
    1713,  3255,  2011,  2033,  3210,  3226,  3227,  3323,  3256,  3264,
    3269,  3277,  3309,  1356,  3212,  3213,  3997,  2035,  1357,  1024,
    1716,  1025,  1445,  3304,  3235,  4009,  5117,  3236,  3324,  4110,
    3243,  3244,  4025,  4015,  3237,  1358,  4017,  1366,  1367,  1360,
    2002,   847,  5191,  1178,  1797,   787,  1361,  1362,  1363,  1364,
    1587,   951,  1145,  1146,   901,   903,   904,  2629,   640,   632,
     953,  3601,  2536,   641,   634,   635,  1802,  2537
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     633,   185,   192,  1059,   943,   182,   909,    81,  1061,   193,
     176,    84,   984,  1085,   845,   989,    72,    85,    86,    87,
     107,   125,  1712,   192,   130,   160,  1809,   978,   179,   186,
     775,   747,  1640,  1213,  1214,  1215,   775,   813,  1359,  1219,
    1798,  1471,  1982,  1371,  1403,  1926,   897,   920,  1803,   849,
    2819,  1422,  2688,  2724,  1457,  3193,  1459,  3505,  1586,   187,
    1031,  2897,  1442,  2030,  1645,  1704,  1692,  3455,  1123,  3456,
    1219,  2790,  1869,  3977,  1398,   931,  2022,  3471,  3473,  2782,
    1385,   987,  1413,  1414,  2802,  1184,  3808,  4138,  1158,  4140,
    3053,  1421,  4267,  3891,  1428,  1009,   629,  1397,  4202,  2791,
    1490,  3184,  1171,  2014,  4512,  2965,   979,  2016,  3691,  4246,
    2017,  2018,  4339,  1125,  4486,  2858,  2858,   782,  3238,  2858,
    2688,  4291,  4759,  4293,  3246,  3242,  1842,  3209,  1811,  4787,
    1847,   814,  3723,  3830,  3365,  1851,  3294,  4782,  3367,  4537,
    1052,  4178,  1582,  5376,  5017,  1861,  4435,  4161,  5188,  2927,
    2928,   922,  1185,   914,  2773,  2621,  1168,   923,  1177,  1881,
    1031,  4986,  3120,  4572,  3072,   233,  4499,  1604,  5035,  5025,
     638,  5046,  1621,  3767,  4849,  3770,  3771,   689,  5500,  5369,
    3775,  3776,  3777,  4191,  3779,  3780,  3781,  5658,  2923,  5578,
    1915,   808,   633,  1156,  1554,  1002,  1160,  4206,   842,   860,
    1378,   633,   954,  5034,  3377,  5200,   834,  5202,  5337,   633,
    3447,   954,   633,  3450,  2773,  2954,  4010,  1031,  1854,  3827,
    4207,  4176,  5226,  4181,  5365,   954,  5660,  4105,  5617,  1410,
    1411,  2773,  1549,  1464,  1878,  1467,  5508,  4496,  5080,  1420,
   -2482, -2524,  3420,  1639, -2549,  1125,  5803,  1583,  4041,  4012,
   -2587,  3426,  1670,   757,  1877,   929,  5368,  2753, -2406,   757,
    5146, -1905,  1697, -1938,  1494,  1908, -2373,  4996,  1908,   757,
    1031,   648,  2580,  1549,  1521, -2373, -2373,  2939,  1549,  5531,
   -2338, -1918,   630,  1397,  4522,  2803,  1908,  1194, -2374,  4094,
    3189,  2793,  3748,   695,  5791, -2486,  5728, -2374, -2374, -2762,
   -1943,  1250,  5223,  2718,  2718,  1513,   757,  3050, -2762, -2762,
    1387,  2934, -1933,   695,  5233,   695,  3261, -2337,   695,  1834,
    1014, -1946,   695,  2719,  1198, -1946,  1908,  2084,  3302,   852,
    1031,  2544,   757,  2559,  3798,  1583,   695,  5922,  1858,  2006,
    3604,   757,  1908,  3302,  2708,  2793,  4022,  3421,  5105,  5106,
    5107,  1495,  5109,  5110,  5111,  5112,  5113,  2626,  3151,  2586,
    5569,  4022,  4997,  3517,  2996,  5567,  -150,  3965,  2858,  5974,
    1839,  1961,  -150,   695,   941,  3979,  5407,   917,  3967,  3475,
    6060,  2720,  2720,  1251,  4862,  3014,  3614,  3062,  1522,  5047,
    1908,   695,  2588,  2914,  3397,  1908,  3605,  6072,  1057, -1759,
    3083,  2721,  2721,  6103,  1496,  2084,  1375,  5714,  1908,  1908,
    2062,  3350,  1701,  3063,   763,   763,  1460,  6223,   763,  1514,
    1803,  1226,  1015,  3084,   763,  5541,  5542,  5697, -2199,  2632,
    1856,  1704,   763,  5330,  5951, -2199,  3400,  2586,   764,   764,
    6142,  1521,   764,  5509,  2551,  3799,  2639,  1125,   764,  2560,
    5143,  4998,  3429,  3170,  6167,   695,   764,  5507,  1798,  4041,
    4651, -2547,  4652,  3839,  3398,  1534,  1217,  4259,  2628,   763,
    2588,   195,  4564,  3637,   932,  6060,  5249,  2906,  4362,  1016,
    5805,  2563,  1616,   944,  1613,   690,  2575,  2575,  4041,  5939,
    1181,   944,  2793,   764,   944,  1413,  1414,  1462,  5575,  3051,
     695,  1689,  3606,  2794,  1693,  4863,  2907,  5725,  1614,  4565,
    1497,  4483,  5618,  4013,  6210,   196,  2552,  2084,  6143,  1112,
    1421,  2624,  2793,  1934,  2077,  2793,  1079,  4363,  3344,  1428,
   -2218,  2793,  1089,  2921,  2581,  3345,  4358, -2218,  1017,  5606,
    3721,  4095,  3430,  4260,  1103,  2793,  1463,  3171,   873,  2586,
    3638,  5331,  2640,  1436,  2044,  1522,  1218,  3351,   979,  1909,
    2722,  2722,  1909,  5144,  1388,  6171,  6175,  2793,  1254,  6104,
    2793,  1840,  2707,  2730, -1759,  3504,  2561,  1803,  6060,  6050,
    1909,  1436,  2588,  3015,  4423,  2078,  2003,  3085,  3167,  1924,
    3167,  1515,  1702,  3476,  2969,  5408,  3477,  6131,  1964,  1212,
     696,  2602,  2013,  3615,  3966,  3167,  4653,  2804,   979,  5762,
    4023,  3064,  2820,  4864,  2549,  3968, -1905,  4999,  2997,  2023,
    1909,  2805,  5882,  2806,  4096,  4023,  1662,  2027,  2760,  3152,
    2545,  1516,  6089,  1410,  1411,  1523,  1909,   954,  2767,  2953,
    1389,  1859,  1593,  6090,  3800,  1218,  3995,  5234,  1253,  3749,
    1062,   192,  1247,  4435,  1060,  5468,   954,  2623,  2940,  2007,
    3420,  -438,   954,  5923,  1420,  5950,  1517,  2674,   853,  4523,
    2900,  6108,  1125,  3607,   954,  3052,  2723,  2723,   942,  4884,
    1503,  3007,  1504,  5570,  1909,  3518,  2807,  2941,  5000,  1909,
     954,  2892,   909,  3546,  2895,   633,  2007,  3303, -1905,  1524,
     897,  6173,  1909,  1909,   633,   954,  2963,  2964,  1063,  4097,
    1840,   633,  4114,   954,   633, -2547,  2902,  1703,  1408,  1218,
    1910,  2935,  2820,  1917,  1188,  2882,   897,   954,  2885,  2886,
    1840,   649,  5433,  6107,  3801,  1518,  1022,   954,  2820,  6152,
    1023,  1921,  2864,  4995,   192,  4056,  4014,  1584,  1585,  2962,
    4792,  5412,  2557,   769,   770,  5798,   774, -2482, -2524,  1221,
    3205, -2549,   774,   769,   770,  3421,  1191, -2587,  1196,  1412,
    1200, -1938,  6052,  2837, -2373, -2406,  1204,   691,  2758,  1472,
    6179,  1932,  2604,  2605,  5043,  2666,  1022,  2667, -2338,  1416,
    1023, -2547,  2915,  2916,   954, -2199, -2374,  1125,  4891,  2881,
     769,   770,  6042, -2547,  4895,  1125,  1125, -2762, -1943,  5801,
    1423,  1424, -2486,  3140,  1423,  1424,   633,   633,  1221,  5042,
   -1933,  2080,   954,  2547,  2532, -2337,  3370,  2599,  6071,  1425,
    6195,  2970,  1613,  1427,  3394,  1584,  1585,   692,  1821,  2777,
    2836,  2821,  1826,  4024,  1827,  1954,  2627,   954,  5417,   633,
    1957,  3122,  4415,  4416,  1022,  4484,  1614,  3006,  1023,  1825,
    4209,  1117,  4210,  1924,  4589,  4574,  -150,  -150,  4435,   922,
    2922,  5905,   897,  4359,  6029,   923,   693,  6015,   694,  3622,
   -1905,  4178,  5879,  4484,  4353,  4354,  3150,  5884,  5885,  4355,
    6019,  6174,  2777,  4396,   633,  3346,  1476, -2218,  3165,  2529,
    2530,  2531,  2532,  5949,  4739,  6110,  3167,   954,  4743,  2777,
    2731,  1528,  1816,   185,   192,  4809,  3857,   182,  4854,    81,
    2984,   193,   176,    84,  1840,  1924,  5710,  4592,    72,    85,
      86,    87,   107,   125,  1207,  4477,   130,   160,   979,  4640,
     179,   186,  4589,  4496,  5943,  4958,  2845,  4532,   808,  1227,
    1229,  2821,  1506,  4053,  4054,  4055,  4056,  6199,  6091,  1075,
    2820,  4730,  2894,  4732,  4772,  4410,  4594,  2821,  1432,  3174,
    6151,   187,  3211,  4012,  3895,  4247,  4451,   932, -2334,   924,
    4051,  4052,  4053,  4054,  4055,  4056,   944,  4954,  4957,  4624,
    1374,  1139,  3024,   944,  1382,  3447,   944,  4196,  5669,  6074,
    4145,  6113,  6114,  5605,  1404,  5931,  6231,  6098,  2822,  2527,
    2528,  2529,  2530,  2531,  2532,   633,   633,  1799,   695,   917,
    2752,  5942,  4475,  4242,   954,  3420,  4984,  5391,  3420,   633,
    2843,  1479,  4197,   695,   897,   633,  4602,  2823,  3537,   633,
    6175,   633,  1460,  6204,  1433,   897,  5624,  3786,  3241,  1966,
    4971,  6051,  3329,  2628,  5625,  1432,  3278,  2083,   695,  5611,
    2084,   897,  2824,  3896,  2085,  2086,  2087,  1681,   925,  1595,
    1225,   924,  2924,  1682,  3500,  3420,   645,  4915,  3420,  4882,
    6075,  1261,  2585, -1905,  4041,  4760,  6043,  6030, -2889, -2889,
   -2889, -1905,  2586,  1412, -1905,  1441,  6176, -1905,  3175,  2587,
    1571,  1803,  5291,  2818,  4595,   633,  6181,   633,   633,  2820,
    2820,  2642,  1642,   926,  1434,  5066,  3537,  1435,  2822,  2820,
     924,  4538,  3300,  1462,  5011,  2588,  5292,  4787,  3538,  2861,
    3421,  1433,  2865,  3421,  2822,  5514, -1081,  1605,  5857,  5753,
    2732,  5755,    41,  3066,  1596,  5759,  5760,  2823,   954,  5620,
    6115,  -694,  1643,   808,  1227,  4761,  5022,  2643,  1261,  1476,
    1189,  4041,  5530,  2823,  5621,  4042,  4043,  4044,  6031,  2820,
    4465,  2844,  2824,  6076,  5960,  2851,   633,   785,   962,    45,
    3421,  1683,  5023,  3421,  4432,   963,   964,   965,  2824,  2821,
     192,  2768,  2875,  3330,  1111,  1022,  3168,  6032,  3331,  1023,
    4603,  1434,  3279,  1901,  1435,   926,  3538,  4198,  6150,  1189,
    4539,   954,  5670,  2818,  4972,  3162,  3163,  1902,  3206,  6157,
    3208,    49,  1031,  5837,  4985,   897,  3215,   954,  5626,  2818,
    1236,  1436,  3229,  3230,    50,  4247,  3751,  4013,  3247,  1480,
    2589,  4596,  3332,  1924,   954,  2590,  4774,  3266,  5784,   954,
    5787,  1606,  6180,  3281,  4533,  3470, -1758,  1112,    51,  5795,
    3787,   633,  4916,  1076,  1644,  4269,  1209,  5367,  2591,  2274,
    2645,  2820,  2820,  1903,  4529,  1661,  3547,    57,  5800,  6202,
    5797,  5392,  1900,  5783,   909,  5812,  3897,  2820,  2769,  2592,
    4452,  5355,  3101,  4243,  1924,  1140,   633,  3763,  3828,  3565,
    3898,  2733,  1676,  6214,  5386,   927,  3113,  5218,  3541,  5411,
    2955,   932,  4343,  5799,  3176,  5839,   915,   944,  1436,  3119,
    1237,   944,  6077,   944,  2078,   633,   633,   633,  5674,   633,
    2332,  2646,  2668,  5361,  2671,  3177,  3406,  5102,  2821,  2821,
    3097,  5654,  1113,  1437,  2593,  1677,  4045,  2594,  2821,   633,
    4466,  5622,  2942,  1684,  3623,  1968,  2822,  1970,  5961,  1972,
    1873,  1974,   820,  1976,  1977,  1978,  1059,  3758,  4047,  4046,
    1980,  1061,  3118,  3131,   954,  1904,  4540,  3124,  2584,  4270,
    5024,  3023,   954,   954,   916,  2823,  3541,  1893,  2773,  1895,
    1896,  3333,  5838,  1685,  2734,  4762,  3099,  1190,  2821,  5293,
    4317,  6081,  3219,  1874,  3252,   695,   633,  4976,  3149,  5708,
    2824,  3112,  3154,  5965,  3114,  2633,  2634,  3161,  2638,  3931,
    3164,   923,   923,  1607,   923,  1014,  4143,  5678,  1686,  5991,
    1437, -1758,  1859,   741,  5763,  1799,  4775,  5933,  2595,  1905,
    1943,  5318,  1476,  4776,  1476,  4047,  1190,  4541,  4969,  1210,
    4777,  2818,   633,    15,   789,  1438,   633,   633,  5976,  3548,
    3624,  5189,  3019,  1608,  5540,  4189,  3153,   821,   917,  4351,
    3159,  3160,   633,  3492,  4037,  5319,  3452,  5192,   897,  3646,
    2897,  5675,  5196,  1944,  1494,  5198,  4778,   798,    20,  5356,
    1238,   979,   774,  2943,   774,  4867,   774,  5679,  1609,  1114,
    2821,  2821,   774,  1205,  1206,  2822,  2822,  1454,  4779,  2726,
    5334,  4436,  5676,  3220,  4318,  2822,  2821,  4038,  4039,  4361,
    4970,  5655,  4058,  3204,  3736,  4575,  3707,  1015,  1678,  5771,
    1682,  1239,  3708,  1240,  2823,  2823,  1115,  2727,  1906,  1571,
    2523,  5056,  3062,  3028,  2823,  5992,   897,  3654,  3366,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  4439,  2824,
    2824,  3493,  4089,  4090,  4977,  2822,  4018,  5022,  3063,  2824,
    4763,  1495,  1803, -2889, -2889, -2889,  4051,  4052,  4053,  4054,
    4055,  4056,  5537,  3020,  1016,  3453,  1875,   897,  5764,  3221,
    6041,  6048,  6049,  5023,  2823,  4271,  4272,  1116,  2736,  1117,
    2818,  2818,  4948,  1118,  5619,  3880,  5538,  4952,  2737,  3932,
    2818,   918,  1455,  3185,  4435,  5977,  4868,  4441,   998,  2824,
     897,  4398,  4811,  3537,  1496,  3029,  4273,  1506,  4168,  1957,
    5966,   843,  1506,  2918,  3655,  1679,  4301,  4856,  1683,  1798,
    3709,   799,  2688,  1017,  4788,  5881,  2688,  5724,  4302,   999,
    4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,  4056,  3222,
    2818,  3969,  3223,  5967,  5230,  5610,  1945,  2822,  2822,  5772,
     968,   969,   970,   971,   972,   973,   974,   975,   976,    41,
    1610,  5013,    33,  2822,   954,  5438,  4319,   661,  3656,  5016,
    6106,  4432,  2083,  1876,   774,  2084,  2823,  2823,  2728,   633,
     633,   633,   800,  1924,  4169,  1506,  5993,  3490,  2727,  1506,
    5986,  5994,  2823,  3538,    41,    41,    45,  4880,  3100,  5322,
    5957,  2824,  2824,  6134,  4444,   646,  4320,  2586,  2887,  4168,
    1497,  6135,  1261,  4169, -2889,  4041,  5231,  2824,  4170,  4042,
    4043,  4044,  1891,  3970,  1014,  4827,  5773,  3110,  3539,  3657,
    2642,    45,    45,  4171,   663,  6153,  2084,  6149,    49,  5439,
    2588,  4321,  2818,  2818,   774,  3144,  5349,  4170,  4445,  4172,
    3713,    50,  2810,  1946,  2712,   816,  3224,  2738,  2818,  1924,
    4828,  4975,  4745,  1481,  4446,  3420,  2713,  3093,  3540,  3420,
    3385,  5937,  1498,    49,    49,    51,  2643,  4173,  4172,   954,
    1499,  -173,  3550,  3662,  2714,  4169,    50,    50,  2811,  3491,
    3714,   897,  3710,  6011,  3933,  4638,  4639,  2739,  5825,  4365,
    5891,  2588,   897,  1482,  5193,   979,   979,   195,  1500,  4091,
      51,    51,  1501, -2357,  1799,  3611,    36,  -173,   897,  4170,
    1187,  3420,  3142,   819,  3717,  3715,  1015,  4795,    41,    57,
      57,  -463,  3711,  5804,  4171,  3142,  1422,   954,  1483,  2644,
    1388,  3635,  3658,  3142,  4356,   954,  5826,  1502,  -173,  4829,
    4172,   196,  5790,   954,  2888, -2889,  1486,   195,  2889,  3718,
   -2889,  4852,  3451,  3662,  4447,    45,  1491,  3712,  3225,  5338,
    3421,  4174,   897,  3541,  3421,  5892,  4698,  1235,  4173,  3551,
    1503,   633,  1504,  1016,   633,  3839,  4432,   897,   855,  2645,
     897,   897,  1487,  3504,   633,   633,  1488,   954,   954,  3673,
    4174,   196,  3145,  3582, -2889,  4769,  1492,    49,   674,   633,
     675,   954,   633,  4796,  5464,  5811,  1389,  3584,  5339,  2084,
    4357,   897,   897,  4046,   954,   954,  3421,  4966,  1247,   979,
    1399,  1489,  1505,  1613,   763,  3146,  1855,  4853,  5756,  6117,
    3635,  1493,  1017,  5757,  5653,   192,  3423,  2715,   642,  3147,
    2646,  2586,  -463,  1840,  4967,  4225,  3179,  1614,   764,  2593,
    5415,  5194,  3674,    57,   633,  1859,  3583,  3659,   633,   633,
    3677,  4593,  4174,  3680,  3233,  3660,  2793,   642,  3661,   661,
    3585,  3913,  4797,  5513,  2588,  3148,  4798,  2801,  1499,  4605,
    1449,   912,  2887,  1062,   192,  5758,  4574,  1060,  1384,  4047,
     643,  3190,  1460,   633,   911,   633,  3796,  4588,  1461,  2868,
     633,   633,  1957,  5941,  2871,  2688,  3563,   633,   633,   633,
     633,   633,   633,   633,    36,  2688,   633,  5545,   633,   913,
     633,   633,   633,   633,   633,   633,  5336,   928,   633,  1651,
     633,   633,  6183,  3716,   633,  5959,   663,  2798,   937,  2799,
    2810,  1063,  3991, -2889,  4589,  2867,  -609,  2597,   897,   633,
     633,   633,  3752,  3753,  3754,  4258,  4629,  4626,   929,  4617,
    4633,  4634,  4085,  4630,  2897,  5360,  5490,   633,  5492,  1799,
    4637,  3420,  3420,  1462,  2567,  5940,  2811,  2945,  5782,  3649,
    5347,  2951,  5642,  3647, -1729,  3648,  3722,   774,  3194,   939,
   -1729,  5704,   774,   774,  1652,  3719,  2688,  1104,  1125,  3134,
    3672,  3135,  2800,  3136,  3992,  3137,  4560,  3138,  5251,  3993,
    5309,  3139,  5310,  5311,  5312,  5256,  5705,  2568,   961,  3758,
    2603,  3907,  1463,  3560,  5186,  4405,  2858,  5816,  2888,  2610,
    3720,  2611,  2889,  1648,  1105,  2614,  1653,   960,  3697,  5326,
    4314,  5328,  2620,  1654,  5537, -2889,  1655,  1613,  6044,  3843,
    3844,  3845,  3846,   932,  3848,  3961,   932,  2527,  2528,  2529,
    2530,  2531,  2532,  1004,  1879, -1729,   944,   944,  5538,  5727,
    1106,  1614,  3742,  1649,  5731,  5732,  3421,  3421,  1013,  3876,
    4315,   944,  1626,  1104,   944,  4360,  1623,  1672,  1880,  2956,
    -150,  1957,  2958,  5833,  4048,  4049,  4050,  4051,  4052,  4053,
    4054,  4055,  4056,  4436,  1627,  2959,  4728,  5585,  1650,  4437,
     674,   633,   675,  1951, -1729,  4316,  4168,  5794,  1107,  1380,
    1105,  4272,  4438,  3950,  4934,  2083,  1624,  1673,  2084,  2957,
    4397,  1674,  5404,  3025,   774,  2960,   944,  1952,   679,  3382,
     944,   944,  2555,   234,   774,  1021, -1682,  4935,  6109,   647,
    4439,  4840,  4440,  3055,  5761,  1628,  4478,   739,   633, -1682,
    2586,  5586,  1675,  3383,  5587, -1682,   188, -2889,  1072,  4075,
    5588,  4647,  4648,  4649,  4650,  4082,   817,  4654,  4655,  4656,
    4657,  4658,  4659,  4660,  4661,  4662,  4663,   188,  1205,  1206,
    6056,    29,  4169,  2588,  3869,  4917,  6119,  1065,  5589,  3688,
    5646,  3689,    41,  5537,  1107,  3693,  1423,  1424,  6136,  4441,
    4508,   633,  2829,  6009, -1682,  1656,  2830,   793,   757,  4918,
    1067,  3420,   757,   908,  5647,  1425,  4170,  5538,  3420,  1418,
    1419,   774,  6137,  3420,   774,   774,  3420,  1086,  4442,    45,
   -1682,  4171,  3831,  4704,  4705,  1629,  1100,  4194,   794,  1423,
    1424,  1657,   795,   757,  -608,  1658,  5590,  4172,  1195,  1197,
    1199,  4545,  4111,  1201,  1202,  1203,  4546,  4213,  1427,  5591,
    4795,   772,  1412,  1208,  2622,  5050,  3654,   772,  6013,  6014,
    4546,    49,  5592,  1804,  1261,  4173,  1805,  4041,    41, -1682,
    1659,  4042,  4043,  4044,    50,  2967,  2968,  1660, -1682,  3814,
    3839,  1630,  1603,  1963,  1108,  1631,  1805,  1620, -2889,  4691,
    6221,  4443,  6224, -2889,     3,     4,  4444,  5958,    51,  4040,
    2896,  3399,  3401,  3402,  6203,    45,  3421,  1261,  3448,  3449,
    4041,  4068,  6235,  3421,  4042,  4043,  4044,    57,  3421,  1022,
    2575,  3421,  4771,  1023,  1110,  2015, -1682,  1412,  1805,  2622,
    2583,  2078,  4692,  1805,  1633,  4139,  4796, -2889,   921, -1682,
    4445,  2596,  1109,  3655,  2597, -1682,  4092,    49, -2330,  1127,
    1022,  5547, -2338,  1022,  1023,  1212,  4446,  1023, -2331,  4174,
      50,  2630,  1131,  1022,  1805,  1212,  1138,  1023,   633,   633,
     633,   633,   633,   633,   633,   633,   633,  1147,   633,  4067,
    1635,  4069,  4070,  6096,    51,  3314,  3315,  3316,  3317,   633,
    4125,   633,  2593,  3527, -1682,  3531,  3532,  3656,  3128,  3287,
    1148,  2597,  3290,  6057,  1636,  4797,   774,  3141,  5972,  4798,
    3142,  3143,  3530,  3182,  3142,  3381,  3183,  1154,  1957,  4366,
   -1682, -1682,  3386,  3949,  1638,  2597,  1165,  3462,  3557,   633,
    2597,  3558,  3629,   633,  3792,  3630,   633,  3793,   633,  3941,
    1172,   633,  3142,  3990,  3378,   633,  2597,  3999,   757,  4005,
    2597,  3815,  2597,  1182,  4150,  4151,  4447,   642,  3657,  4006,
    5593,  1211,  2597,  5594,  4248,  1212,  1799,  4141,   633, -1682,
    3524,  6145,  5094,  4020,  1216,  4046,  3751,  3420, -1682,  4027,
    4060,  1220,  2597,  2597,  4208,   633, -2889,  1223,  5101,  1022,
    4277,   979,  4788,  1023,   633,   633,  4074,  3559,  5817,  2597,
    1234,  4079,  4432,  1261,  4080,  1077,  4041,  1078,  1626,  1244,
    4042,  4043,  4044,  4148,  4294,  1231,  2597,  4295,  4046,  1246,
     954,  4184,  1803,  4299,  1245,  4112,  4300,   897,  5163,  1247,
    1627,   897,   897,  2031,  4325,    57,  4494,  4326,   954,  6026,
    1233,  5712,   954,  2623,  4839,  1081,   954,  1082,  4965,  5717,
    5718,  4047,  1249,  4394,  5018,   954,  4326,  1248,  4517,  4520,
    5123,  4518,  4521,  3494,  3418,  3497,  5126,  5127,  3088,  4551,
    3089,  3658,  4552,   954,  3545,    41,   633,  4672,  5503,  5504,
    4673,  1628,  3421,  3653,  1412,  1255,  1441,   633, -2889,   897,
     633,  4577,   633,   633,  4047,   897,  4830,  1412,  4836,  2622,
    2527,  2528,  2529,  2530,  2531,  2532,  4683,   954,  6007,  4684,
    1257,  4694,    45,  4108,  2597,  4109,  3816,  4770,  1383,  4810,
    3477, -1682,  5634,  3217,  3218,  4819,  1386,   954,   954,  2688,
    5019, -1753, -1753,  3142,  3248,  3249,   897,  5076,  5081,  1125,
    5077,  5082,  1390,  5096,  6130,  4251,  2007,  1391,  4833,  5131,
    4788,  1396,  2597,  4604,    49,  4130,  1400,  4131,  1799,   954,
    3006,  4481,  1799,  3739,  3293,  3420,  3817,    50,  4132,  1967,
    4133,  1629,  1969,  3644,  1971,  1392,  1973,  4855,  1975,  4788,
    5170,  1405,  1979,  2597,    29,  4505,   954,  4506,  1799,  3420,
    1261,    51,   954,  4041,  1423,  1424,  3659,  4042,  4043,  4044,
   -1757, -1757,  1626,  4453,  3660,  5214,   954,  3661,  3477,  1406,
      57,  4214,  4215,   954,  4046,  5164,   954,  5220, -1756, -1756,
    5221,  4309,   954,  5186,  1627,  5227,  1408,  1630,  3142,  6184,
    5228,  1631,  5229,  3142,  5362,  3142,  5703,  5363,  5399,  1415,
    5430,  4552,   954,  5431,  4235,  4959,  2896,  4960,   954,  4334,
     630,  5134,  1412,  5135,  4340,   954,  4048,  4049,  4050,  4051,
    4052,  4053,  4054,  4055,  4056,  3687,  4217,  5851,  5852,   954,
    3421,  1429, -1682,  5432,  4424,  1628,  2597,  6159,  1416,  6160,
    1633,    41,   954,  5982,  5983, -1682,  6225,  1799,  1446,  1125,
    4047, -1682,  1431,   954,  3421,   188,  1446,  1447, -1670,  4048,
    4049,  4050,  4051,  4052,  4053,  4054,  4055,  4056,  4724,  1458,
    4726,   633,   633,   633,  5179,  1473,  5181,   633,    45, -1681,
    5451,  5461,  5467,  5452,  1957,  4491,  1635,     3,     4,  1474,
    5036,  5469, -1681,  5580,  4491,  4744,  5581,  4747, -1681,  5600,
   -1682,  5447,  3142,  5448,   633,   897,  3983,  3420,  3985,  3986,
    1636,  5635,  5686,  1799,  5636,  5687,  5692,  4330,  5360,  1957,
      49,  5695,   906,   907,  4491,  1629, -1682,  1475,  5746,   932,
    1638,  5747,   944,    50,   944,   944,  3420,  5786,  5813,  4346,
    2554,  5814,  5836,  1478,  1484,  5814,   633, -1681,   188,   908,
    5029,  5842,   741,  5843,  4080,  1441,  2597,    51,  3880,  5861,
    5865,  4046,  5862,  1957,  1526,  5866,  4790,  4791,  2597,  1552,
    4794,  5890,    15, -1681,  3183, -1682,    57, -1418,   897, -1418,
    3420,  1630,   897,  3980, -1682,  1631,  5896,  5897,  4471,  3183,
    3183,  5900,  4611, -2375,  2597,  5901,   915,  1555,  2597,  2688,
    2896,  5902,  1557,  5929,  5903,  4678,  5930,    20,  5987, -1730,
    6001,  4491,  3421,  2597,  5873, -1730,  6003,  6008,  2628,  2597,
    3142,  6023, -1681,  6046,  6024,  6088,  6047,  1558,  5700,  6116,
    3858, -1681,  5814,  6155,  1633,  6178,  6156,  4047,  2597,  1597,
    6197,  3421,  3418,  5862,  6207,  1598,  6213,  6208,  6222,  5077,
    6234,  2597,  1593,  6208,  1599,  4048,  4049,  4050,  4051,  4052,
    4053,  4054,  4055,  4056,   916,  1612,  1610,  1622,  1625,  1647,
     954,  1664,  1799,  1663,  1680,  1690,  1691,  1694,  1699,  1700,
    1635,  4454,  1813,  4456,  1815,  3421,  1817,   897,  1822,   954,
   -1730,  1833,  1828,  4464,  1836,  4467,   954,  1704,  4598,  1838,
     633,  3935,   897,   633,  1636,   633,   633,   897,  1843,  1846,
    1848,  1840,  1857,  1862,  1863,   633,   921,  1803,   188,   909,
     633,  -137,  1865,  1866,  1638,  1868,  1125, -1682,  1125,  1870,
     979,  1871,  1882,  5947,  3420,   897,  4644,  1889,  1891, -1730,
    1894,  1898,  1907,   214,  1912,  4788,  1913,  1914,   917, -1106,
    1916,  1919,  1920,  1923,  1924,  1931,  1935,  1937,  1938,  1940,
    1942,  1948,   633,   633,   633,  4526,   909,   633,  1947,  1950,
    4671,  4839,  4485,  1953, -1681,   633,   633,   633,   633,  1956,
    1959,  1960,  1962,  1965,  2012,  1981,  1799,  2019,  2021,  2024,
    2028,   633,  1799,  2029,   633,  1022,   633, -1909,  1446,  1023,
    6054,    33, -1916,  2036,  2037,  2038,  2039,   633,   633,  2040,
    1125,   633,    57,  2042,  2043, -1906,  2044, -1907,  2045,  2046,
    2047, -1910, -1908,  4712,  2048,  2049,  2050,  3611,   630,  4850,
    2051,  2052,   633,    41,   633,  4190,   633,   661,  4831,  3421,
    5246,  2054,  4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,
    4056,  2055,  2056,  3635,  2062,   633,  3393,  3395,  4606,  2057,
    2058, -1079,  3403,  2059,  2060,  2061,  2064,  2065,  2066,   909,
      45,  2067,  4135,  4136,  4137,  2068,   954,  2069,  2070,  4583,
    5078,  2071,  2540,  2542,  2538,  4788,  5063,  2544,  2545,  2554,
    2558,   918,  2570,  2578,  3446,  3446,  2600,  2601,  2606,  2612,
    2608,  2624,  5424,  2609,   663, -2888,  2615,  2613,  2616,  2617,
    2618,   633,    49,  2619,   633,  2631,   742,  4806,  1461,  1463,
    2662,  2664,  2675,  2678,  2676,    50,  2677,   633,  2694,  2695,
    3420,  2696,   633,  2623,  2697,  4879,  2698,  2622,  2699,  2700,
    2701,  2702,  3420,  2703,   793,  2710,  2704,   633,  3302,    51,
    2729,  2735,  2741,  2755,  2759,   774,  2761,  5664,   665,  2762,
    2763,   633,  2765,  2766,   633,  2779,  2783,  2784,   743,  2796,
    2785,   897,  2797,  2812,   897,  4940,   897,  2808,  5947,  2814,
    2815,   897,   932,  4953,  4788,   944,  2817,   944,   944,  2826,
    2816,  2831,  2828,  2818,   188,  2832,   954,   954,  6182,  2833,
    2827,  2838,   633, -2888,  2842,  2839,  2852,  3418,  2848,  2849,
    3418,  1059,  2862,  2863,  2866,  2869,  1061,  2876,  2883,  2872,
    2873,  2890,  3310,   954,  3311,  2878,   954,  2893,  1571,   897,
    1559,  2908,  2910,  2919,  4945,  3421,  1560,   897,  4098,  3569,
    4099,  2879,  2891,  2912,  2898,  2899,  2904,  3421,  3312,  2920,
    2936,  1665,  2905,  2917, -2888,  2937,  2911,  3418,  2913,  2944,
    3418,  2925,   897,  2926,  4100,  2978,  2938, -2888,  2949,  2032,
    2966,  2980,  2981, -2888,  2982,  2973,  2983,  2987,   674, -2888,
     675,  1562,  3420,  2988,  2989, -2888,  2999,  4788, -2888,  2041,
    2991, -1106, -2888,  2992,  2993,  2994,  3000,  2995,  1799,  1799,
    1799,  3001,  3002,   678,  3010,  3009,  1855,  3013,  1261,   656,
    2628,  4041,  3018,  3313,  3026,  4042,  4043,  4044,  3037,  3961,
    1644,  3041, -2888,   954, -2888,  3042,  3045,  3054,   774,  3313,
    3061,  3057,   897,  5382,   897,  1666,   774,  1563,  5551,   774,
    3070,  2075,   954,  3074,  1564,  3081,  3060,  1565, -2888,  3087,
    3078,   774,  3103,  3091,  3105,  3096,  3106,  3108,  3107,  3133,
    3314,  3315,  3316,  3317,   954,  3121,  3166,  3318,  3319,  2083,
    3155,  3180,  2084,  3320,  1566,  3420,  3314,  3315,  3316,  3317,
    3192,  3420,  3211,  4101,  5552,  3216,  3282,  3421,  3288,  4102,
    2084,  3301,  5091,   630,  5666,  3328,   630, -2888,  4190,  3292,
   -2888,  3307,  3326,  3348,  2586,  3353, -2888,  3372,  3354,  5553,
    1567, -2889,  3369,  3373,  3374,  3375,  3387,  3389,  3388,  3390,
    1436,  3404,  3423,  2655,  5685,  3391,  3392,  5554,   897,  3396,
     916,  5555,  3441,  3405,  3428,  3440,  3442,  2588,  3457,  3459,
    3443,  3460,  3466,   630,  3467,  3469,   630,  3486,  3495,  3498,
     954,  3502,  3503,  5556,  3500,   633,  3509,  5557,  3514,  3519,
    3520,   633,   921,   921, -2888,   921,  3549,  3522,  3533,  3525,
     897,  3554,  5558,  1380,  3556,  1384,  3566,  3573,  3586,  3591,
    3421,  1667,  3592,  3618,  3420,  1569,  3421,  3612,  3625,  3620,
    3628,  3645,  3636,  3646,  3643,  1570,  3619,  1799,   897,  3683,
    3667,  3725,  3666,   954,  1571,   954,  4703,  1859,  3738,  3750,
    3746,  3747,  3766,   917,  3778,  3772,  1572,  3303,   954, -2889,
     954,  3759,  3783,  3321,  3794,  3805,  3773,  3824,  3774,  3806,
    3820,  3822,  3826,  3834,  3322,  3847,  5343,  3841,  3852,  4103,
     633,  3853,  3854,  3855,  4991,  4992,  3856,  3860,  3863, -2888,
    4104,  4515, -2889,  3867,  3868,  3865,  1668, -2889,  3871,  1574,
    1575,  3872,  3877,  3892,  3893,  3894,   897,  3902,  3903,  5559,
    5156,  3904,  5142, -2888,  3906, -2888, -2888,  3908,  3922,  3925,
    3928,  3930,  3943,  3948,  3944,  3958,  3945,   954,   897,  3421,
    3964,  1669,   909,  3924,  3946,  4047,  3947, -2888,  3971,   774,
    3974, -2889,  3962,  5204,  1957,  3976,  3963,  1954,  2083,  1921,
     897,  2084,  3952,  5029,  3984, -2889, -2889, -2889,  1218,  3953,
   -2888,  5560, -2888, -2888,  4001,  4002,  4003,  4004,  4008,   954,
    4016, -2191,  4011,  4021,  4019,  4028,  4073,  4511,  4037,  5255,
    3751,  4029,  1221,  2586,  4076,  4033,  4035,  4036,  4059,  4064,
    2587,  4093,  4065,  2597,  4072,  4107,  2593,  4087,   954,  4088,
    1577,  4119,   954,  4126,  4158,  4120,  4122,  4124,  4146,  4154,
    4147,  4159,  4192,  4548,  4152,  4182,  2588,  4186,  4153,  4199,
    4201,  4167,  4203,   954,  4211,  4216,  5715,  4227,  4230,  4710,
    4219,  4218,  4232,  5211,  4255,  4244,  4223,  4224,  4228,   633,
    4245,  4257,   897,  4256,  4261,  4263,  4262,  4264,   633,  5086,
    5087,  5088,  5089,  5090,  4268,  4279,  4280,  4282,   633,  4288,
    4289,  5316,   633,   633,  4298,  4304,  4290,  4313,   633,  4327,
    4333,  4329,  4331,  4335,  4341,  4342,   633,  4337,   633,  4345,
    4347,   633,  4348,  4349,  4350,   897,   633,   633,   633,   633,
   -2889,  4352,   633,   633,   633,   633,   633,   633,   633,   633,
     633,   633,  4367,  4368,  4369,   633,   633,   633,  4370,  4383,
     897,  4371,  4372,  4374,  4373,   633,  4375,  4377,  4376,   909,
     633,  4378,  1799,  4379,   633,  4380,  4381,  4386,  4388,  4390,
    2934,  2589,   633,  4382,  4392,   633,  2590,   633,  4393,  4406,
    4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,  4056,  4399,
    4402,  2628,  4403,  4409,  4142,   633,   774,  5208,   633,   633,
    4404,  4414,  4420,   633,   633,  4472,  4422,  4457,   633,  4462,
     633,  4463,  4149,  4473,  4476,  4469,  4480,  4490,  4491,  4493,
    2592,  4503,  4509,  4717,  4718,  4719,  4720,  4500,  4510,  4514,
    4513,  4516, -2889,  4530,  4544,  4547,  4562,  4550,  1062,   192,
    4570,  4554,  1060,   633,  2527,  2528,  2529,  2530,  2531,  2532,
    4578,   633,  4556,  4563,  4579,   633,  4576,  4580,  4581,  4195,
    4195,  4582,  4584,  4599,  4600,  4601,  2031,  4607,  4608,  4609,
    4620,  4610,  3231,  4612,  5244,  2593,  4613,  4614,  4615,  4616,
    4627,  4628,  4631,  4635,  4625,  4190,  4636,   633,  4041,  4645,
   -2190,  4685,  4696,  4697,  5382,   897,  1063,  4699,  4700,  4741,
    4668,  4669,  4670,  4740,  4748,  4754,  4755,   633,  4749,  4677,
    4767,  4190,  4781,  4756,  4702,  4802,  4773,  4729,  4764,  5327,
    4803,  4713,  4725,  4727,  4733,  4804,  4736,  4738,   954,  4753,
    4758,  4805,  4812,  4813,  4818,  4815,  4816,  4822,  4825,  4826,
    6082,  6083,  4845,  4842,  4858,  4874,  4857,  3418,  4859,   188,
    4860,  3418,  4861,  4871,  4872,  4873,  4875,  4876,  4885,  4887,
    4888,  4894,  4905,  4914,  5287,  4906,  4930,  4911,  4931,  2595,
    4933,  4832,  4936,  4946,  4947,  4949,  4950,  4951,  4973,  1799,
    4962,  4983,  4988,  5446,  1799,   897,  1799,  3240,  3240,  4994,
    5002,  5009,  5021,  5031,  5008,  5037,  5038,  3262,   188,  5048,
    5059,  1559,  5073,  3418,  5015,  2083,  3283,  1560,  2084,  5014,
    1799,   897,  5057,  5055,  5075,  5054,  5484,  5061,  5058,  5079,
    5550,  5062,  1561,  5092,  5098,  5294,  5295,  5067,  5297,  3167,
    2897,  3232,  5099,  5108,  5116,  5119,  5115,  5120,  5118,  4896,
    2586,  5133,  5121,  5124,  5125,  5128,  5145, -2889, -2661,  3280,
    4904,  5154,  1562,  5139,  5150,  5160,   954,  5161, -2192,   954,
    5197,  5345,  5148,  5173,  5149,  5169,  5206,  5183,  5187,  5190,
    5201,  2523,  5210,  2588,  5213,  5217,  5223,  5222,  5209,  5232,
   -2889, -2889, -2889,  2527,  2528,  2529,  2530,  2531,  2532,  5215,
    5252,  5253,  5254,  5257,  5262,  5263,  5283,  5264,  1261,  5276,
    4190,  4041,  5279,  5285,  5289,  4042,  4043,  4044,  1563,  5290,
    5299,  5298,  5306,  5307,  5308,  1564,  2083,  5317,  1565,  2084,
    5320,  5324,  5313,   633,  5325,  5332,  5688,  5740,  5335,  5742,
    5344,  5340,  5341,   630,  5348,  5342,  5350,   630,  5364,  5359,
    2083,  5366,  4706,  2084,  5370,  1566, -2661,  5354,  5371,   954,
     954,  2586,  5375,   897,  5377,  5378,  5373,  5379, -2889,  3142,
     954,  5388,  5413,  5394,  5410,  5414,  5396,   633,   633,  5419,
    5436,  5425,  5435,  5449,  5445,  2586,  5429,   954,  5420,  5421,
    5453,  1567, -2889,  5459,  2588,  5437,  5463,  5466, -2889,   630,
    5491,  5494,  5510, -2889,  5511,  5502,  5506, -2661,  5512,  5565,
     897,  5485,  5856,  5505,  5523,   897,   633,   633,  2588,  5517,
   -2661,  5524,  5571,  5528,  5534,  5543, -2661,   633,   774,  5535,
    5536,  4972, -2661,  5573,  5576,  5579,  5603,  5584, -2661,  5583,
    5604, -2661,  5608,  5878,  5613, -2661,  5750, -2889,  3308,  5615,
    5632,  4468,  5637,  5643,  5651,  5645,  5659,  5661,  5597,  5644,
    5672,  5671,  1568,  4707,  5680,  5684,  1569,  5696,  5040,  5698,
     633,  5498,  5702,  3418,  3418, -2661,  1570,  5487,  5721,  5728,
    5722,  5711,  5720,   954,  5734,  1571,  1799,  5167,  5770,  5913,
    5915,  5700,  5765,  5701,  5713,  5774,  5767,  1572,  5778,  5780,
    5788, -2661,  2593,  5802,  5793,  5806,  5822,  5807,  5808, -2889,
    5810,  5460,   633,  5809, -2889,  5820,  5821,  5828,  5823,  4046,
    5668,  5853,  5460,  5520,  5834,   633,  5854,  5832,  5855,  5844,
    5868,  5858,  5515, -2889,  5673,  4127,  5874,  1573, -2889,   633,
    1574,  1575,  5830,  5876,  5877,  5889,  5893,  5912,  5752,  5918,
   -2661,  5921,   979, -2661,  5928,  5694,  5924,  5932, -2889, -2661,
    5926,  5935,  2077,  5936,  5952,  5953,  5954,   633,  5955,  5963,
     633,  5964,  1576,  5970,  5973,  5980,  5984,  5975,   633,   633,
    5969,   897, -2889,  5985,  5997,   633,   633,  5999,  6010,  6005,
     633,  5990,  6018,  6027,  5922,  4047, -2889,   633,  6020,  5923,
     633,   633,  6036,  6035,  6037,  5860,  6053,   633,  6055,  6087,
    6073,  6084,  6100,  2593,  6102,  6094,  6120, -2661,   774,  6132,
    6126,  6133,  6127,  5735,  5736,  6138,  6140,   633,  6141,  6162,
    6163,  6172,  6185,  6187,   633,  6188,  1529,  2593,  6161,   633,
    6196,  1577,   633,   633,  6025,  5907,  4574,  6198,  6200,  6205,
     633,  6206,  6211,  6216,  6217,  6226,  6175,  6229,  4144,   630,
     630,   633,  1448,   633,  5550,  6220,  5639,  3698,   952,  3617,
    4274,  1530,  1556,  4848,   789,  6233,  2950,   988,   633,  6021,
    3785,  5216,  4841,  3737,  4419,  2577,  5562,  5906,  6101,  5614,
    4837,  1010,  4990,  4838,  5323,  5596,   897,  4221, -2889,  3942,
    6012,  5496, -2661,  6097,  5927,  5925,  5919, -2889,  6034,   954,
    2527,  2528,  2529,  2530,  2531,  2532,  6078,  6079,  6112,  4226,
    5352,  5887,  5012,  3418,  4982,  3803, -2661,  5041, -2661, -2661,
    3418, -2889,  1531,  5250,  5020,  3418,   897,  3804,  3418,  4846,
    4292,  4479,  5007,  5258,  5346,  1646,  5602,  4519,  5065,  5824,
   -2661,  6158,  6232,   954,  6218,  5577,  4425,  6039,   897,  5049,
    5522,  3017,  5730,   737,  5895,   954,  5525,   791,  1055,  1532,
   -2661,  4585,  5093, -2661, -2661, -2661,  2004,  5707,  5095,  6154,
    3080,   633,  3832,  3472,  5693,  5867,  3308,  5869,   633,  5051,
    4212,  3439,  3076,  4536,  3092,  5640,  5818,  3109,  4389,   954,
    4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,  4056, -2889,
    1166,  1126,  1533,  3735,  4877,  4336,  6059,  6186,  2709,  5068,
    3411,  2527,  2528,  2529,  2530,  2531,  2532,  1393,  5069,  3762,
     897,  3427,  6201, -2889,  5083,  5406,  5706,  2975,  3132,  6006,
    2598,   822,   823,  2550,  5122,  2527,  2528,  2529,  2530,  2531,
    2532,  4188,  4200,  5739,  1535,  3437,   633,  6002,  4162,  5870,
    4731,  4746,  5465,  5683,  5744,  2659,  5682,  1125,  4156,  5084,
    2658,  5883,   633,  4157,  2663,  6169,  5989,  1799,  6085,  5859,
    5667,  4679,  2607,  3349,  5871,  4123,  1537,  5872,  2083,  3352,
    4117,  2084,  3268,  1499,  3761,  3996,   954,  4115,  4026,  4106,
    4632,  1444,     0,   633,  3364,  3425,     0,     0,     0,   630,
       0,     0,     0,     0,     0,     0,   630,     0,     0,     0,
    5907,   630,     0,  2586,   630,  5199,     0,     0,     0,    36,
   -2889,  2775,     0,     0,  1539,   774,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,   897,
       0,   897,  1541,     0,     0,     0,  2588,     0,     0,     0,
    2776,   774,  5880,     0,     0,     0,     0,     0,     0,     0,
    5519,   631,  1543,     0,     0,   774,     0,     0,     0,     0,
    5357,  1544,     0,     0,     0,  1545,   774,     0,   784,  5521,
     786,     0,     0,   954,   792,     0,     0,     0,     0,  3418,
     803,   811,   815,     0,   818,     0,     0,   811,   811,     0,
     848,     0,   851,     0,     0,  5564,   979,     0,     0,   905,
     905,   905,     0,     0,   633,     0,     0,   633,     0,     0,
     633,   633,   633,     0,  5403,  5405,     0,     0,     0,     0,
    1546,     0,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,     0,  4190,   633,   633,     0,
       0,   633,  1205,  1206,     0,     0,  1125,  2585,   979,     0,
       0, -2889,     0,     0,     0,     0, -2889,  2586,     0,     0,
    6194,   633,     0,     0,  2587,     0,     0,   633,     0,     0,
       0,   633,     0,     0,     0,     0,  6209,   897,   633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   954,
    2588,   954,     0,     0,     0,   633,     0,     0,     0,     0,
   -2889,     0,  1080,     0,     0,  6194,     0,     0,  1080,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1080,     0,     0,  6194,     0,     0,     0,     0,     0,     0,
     774,     0,     0,     0,  5329,     0,   897,   954,     0,     0,
       0,     0,     0,   631,   934,   934,     0,   633,   934,     0,
       0,     0,   945,     0,   848,  2593,     0,   981,     0,     0,
     945,     0,     0,   945,     0,   630,   848,  3418,   934,  6146,
       0,   848,     0,     0, -2663,   934,     0,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1799,     0,     0,
       0,  3418,   633,     0,     0,     0,  6061,     0,   774,     0,
    5739,  6063,     0,     0,     0,  2589,     0,     0,  6219,     0,
    2590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5629,     0,     0,
       0,     0,     0,  2591,  2274,     0,     0,   188,  6147,  6148,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2889,
       0,     0,  5486,   633,  2592,     0,   897,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6212,
     185,   192, -2663,     0,   182,     0,    81,     0,   193,   176,
      84,     0,   633,  5601,   633,    72,    85,    86,    87,   107,
     125,  6061,     0,   130,   160,  2332,  6063,   179,   186,   633,
       0,     0,   909,   633,     0,   633,     0,     0,   188,  2593,
       0,     0,  2594,     0,  5627,     0,     0,     0,     0,   633,
       0,  1125,     0, -2663,     0,     0,   633,     0,   187,   633,
       0,     0,     0,  1626,     0,     0, -2663,     0,     0,     0,
     633,     0, -2663,     0,     0,     0,     0,   633, -2663,  3418,
       0, -2889,     0,   630, -2663,  1627,     0, -2663,     0,     0,
       0, -2663,     0,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,     0,     0,     0,     0,   630,  3418,     0,
       0,  4822,     0,     0,     0,     0,     0,     0,  3262,  3262,
       0, -2663,   897,  3262,  6061,     0,     0,   897,   897,  6063,
       0,     0,   633,  2595,     0,     0,  1628,  4832,   633,   633,
     954,     0,     0,     0,  2732,     0,     0, -2663,     0,     0,
       0,     0,  3418,     0,   954,     0,     0,     0,     0,   944,
       0,     0,     0,  3262,  3262,     0,  2075,     0,     0,   774,
       0,     0,     0,     0,   633,   774,     0,     0,     0,   774,
       0,     0,   633,     0,     0,  1799,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2663,     0,     0, -2663,
       0,     0,     0,  4833,   944, -2663,  5273,  5274,     0,     0,
     633,  5277,  5278,  2075,     0,     0,     0,   979,     0,     0,
       0,     0,     0,     0,     0,     0,  1629,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,     0,  3308,     0,     0,
     897,   897,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,  4121,     0,     0,     0,  4030,     0,     0,
    4031,     0,     0, -2663,     0,   630,     0,     0,     0,   633,
       0,     0,     0,     0,     0,     0,     0,  5796,   633,   633,
     633,     0,  1630,     0,     0,     0,  1631,     0,     0,     0,
       0,   633,  1799,     0,   630,   897,     0,  6017,     0,     0,
     633,  2896,   633,     0,   633,  4834,  3418,     0,     0,     0,
       0,     0,     0,  4155,  1529,     0,  4160,     0,     0,  1034,
     789,     0,     0,     0,     0,   848,   633,   934,     0,   934,
       0,     0,   934,     0,     0,  1633,     0,     0,   630,   981,
       0,     0,     0,     0,  1092,     0,   934,     0, -2663,  1530,
       0,  1799,   934,   954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3411,     0,     0,  3411,     0,     0,     0,
    6066,  6067, -2663,     0, -2663, -2663,   631,     0,     0,     0,
       0,  1635,     0,     0,     0,   945,     0,     0,     0,   981,
       0,     0,   945,     0,     0,   945, -2663,     0,     0,     0,
       0,     0,     0,     0,     0,  1636,   633,     0,     0,     0,
    1531,   934,     0,     0,     0,     0, -2663,     0,   633, -2663,
   -2663, -2663,     0,     0,     0,  1638,     0,  4835,     0,     0,
    4264,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,     0,   633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   633,     0,  5779,   848,     0,     0,   811,   811,
     811,     0,   633,     0,     0,     0,     0,  1243,   633,     0,
       0,   954,     0,     0,     0,     0,     0,     0,     0,     0,
    1533,     0,   630,     0,   633,     0,     0,  1365,  1365,     0,
     848,   811,  3418,  5971,     0,   811,     0,   954,     0,     0,
       0,     0,     0,     0,  3418,     0,     0,     0,     0,   848,
       0,     0,     0,     0,   848,     0,     0,     0,  1534,     0,
    1365,     0,  1535,     0,     0,     0,     0,     0,     0,  2818,
       0,     0,     0,     0,     0,     0,     0,     0,   633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   633,     0,
       0,     0,     0,  1536,  1537,     0,     0,   633,   633,     0,
       0,  1499,     0,   633,   192,  1365,     0,  6062,     0,     0,
       0,  6065,     0,     0,     0,     0,     0,     0,     0,   848,
       0,     0,     0,     0,     0,   633,   633,     0,     0,     0,
       0,     0,   848,  1538,     0,  6040,   774,    36,     0,     0,
       0,     0,  1539,     0,     0,     0,  6125,   848,     0,     0,
       0,  1540,     0,  6227,  6228,     0,     0,     0,   954,     0,
    1541,  6064,     0,     0,     0,     0,   848,     0,  1542,     0,
       0,   934,   934,     0,     0,     0,     0,     0,     0,     0,
    1543,   633,     0,     0,  3418,     0,     0,   633,     0,  1544,
       0,     0,     0,  1545, -2679,     0,     0,     0,     0,   192,
       0,     0,  6062,   811,   811,   633,  6065,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   630,     0,
       0,   633,     0,     0,     0,     0,  1365,  1365,     0,     0,
     630,     0,     0,     0,   633,     0,     0,     0,     0,     0,
     631,     0,   934,     0,     0,     0,   945,     0,  1546,   981,
     945,     0,   945,     0,     0,     0,  6064,   934,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     633,     0,     0,     0,     0,     0,     0,  3418,     0,     0,
       0,   848,     0,  3418,     0,     0,     0,     0,   934,   934,
     633,     0, -2679,     0,     0,     0,     0,  1799,     0,     0,
       0,     0,   192,     0,   188,  6062,   944,     0,     0,  6065,
     848,   848,   848,     0,   934,     0,   631,     0,   631,   631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   633,
     633,   883,     0,     0,   633,     0,     0,     0,   633,     0,
     188,     0,  1799, -2679,     0,     0,     0,     0,     0,     0,
     633,   633,   934,     0,   934,   934, -2679,     0,     0,  6064,
    1799,     0, -2679,     0,     0,     0,     0,     0, -2679,   908,
     630,     0,     0,     0, -2679,     0,     0, -2679,     0,   944,
     944, -2679,     0,     0,     0,     0,  3418,  1365,     0,     0,
    2948,     0,     0,     0,     0,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2679,     0,     0,  3240,  1984,     0,  1984,     0,     0,
       0,   848,     0,   784,   774,     0,     0,     0,     0,     0,
       0,     0,  3262,  3262,  3262,  3262,     0, -2679,  3262,  3262,
    3262,  3262,  3262,  3262,  3262,  3262,  3262,  3262,     0,     0,
       0,     0,  2020,     0,   848,     0,     0,     0,  2026,     0,
       0,     0,     0,   630,     0,     0,  4675,     0,     0,   630,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2679,  6129,     0, -2679,
       0,     0,     0,     0,     0, -2679,     0,     0,     0,     0,
       0,     0,     0,     0,  3262,  3262,  2083,  1365,     0,  2084,
       0,  1559,     0,  2085,  2086,  2087,     0,  1560,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2585,  1665,     0,     0,     0,  1365,  1365,  1365,     0,
    1365,  2586,     0,     0,     0,     0,     0,     0,  2587,  4735,
       0,     0,  6166, -2679,     0,     0,  2075,     0,  2083,     0,
    1365,  2084,  1562,  3027,     0,  2085,  2086,  2087,     0,     0,
       0,  3044,   630,     0,  2588,     0,     0,     0,     0,  2948,
       0,     0,     0,   188,     0,     0,     0,     0,     0,     0,
       0,  1559,     0,  2586,     0,     0,     0,  1560,     0,   848,
    2587,     0,     0,  3411,     0,     0,     0,  3411,     0,     0,
     789,     0,  6166,  5904,     0,     0,  1666,  1365,  1563,     0,
    6215,     0,     0,     0,  3102,  1564,  2588,     0,  1565,     0,
       0,     0,   944,   944,     0,     0,     0,     0, -2679,     0,
       0,     0,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,  2948,     0,     0,     0,  1566,     0,     0,     0,     0,
       0,     0, -2679,  1365, -2679, -2679,     0,  1365,  1365,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   848,   848,
     848,  2673,     0,  1365,     0,     0, -2679,     0,     0,  2589,
       0,  1567,     0,     0,  2590,     0,     0,     0,  1563,     0,
       0,     0,     0,     0,     0,  1564, -2679,   811,  1565, -2679,
   -2679, -2679,     0,     0,     0,     0,     0,  2591,  2274,     0,
       0,     0,     0,     0,  1529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1566,     0,     0,  2592,     0,
       0,  2589,  2764,     0,     0,     0,  2590,   811,     0,     0,
     934,     0,     0,     0,     0,     0,     0,     0,     0,  1530,
       0,     0,  1667,   848,  2792,     0,  1569,     0,     0,  2591,
    2274,  1567,   848,     0,     0,   934,  1570,     0,     0,  2332,
       0,     0,     0,     0,     0,  1571,     0,     0,     0,     0,
    2592,     0,     0,  2593,     0,     0,  2594,  1572,     0,     0,
       0,     0,   981,     0,   848,     0,     0,   811,     0,     0,
    2860,  2860,     0,     0,  2860,     0,     0,     0,     0,     0,
    1531,     0,     0,     0,   811,     0,     0,   848,     0,  3262,
     848,  2332,     0,     0,     0,     0,     0,  3695,     0,     0,
    1574,  1575,  1667,     0,     0,  2593,  1569,     0,     0,     0,
       0,     0,   934,     0,  1918,     0,  1570,  1532,     0,  2083,
    1922,     0,  2084,     0,     0,  1571,  2085,  2086,  2087,   848,
    1933,     0,  3696,     0,  1936,     0,     0,  1572,  1939,     0,
    1941,   934,   934,   934,   934,   848,  1949,  2595,     0,     0,
       0,     0,  1955,     0,  2586,  1958,     0,     0,     0,   848,
    1533,  2587,     0,     0,     0,     0,     0,     0,     0,     0,
    1365,  1365,  1365,     0,     0,     0,     0,  1695,     0,  3411,
    1574,  1575,     0,  2083,     0,     0,  2084,  2588,     0,     0,
    2085,  2086,  2087,     0,     0,     0,     0,     0,  1534,  2595,
       0,  1577,  1535,     0,     0,   188,     0,     0,  2585,     0,
       0,     0,  1696,     0,     0,     0,     0,     0,  2586,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,     0,
       0,     0,     0,  1600,  1537,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,  1137,     0,     0,     0,  2523,
       0,  2588,     0,     0,     0,     0,     0,     0,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,   848,
       0,  1137,     0,  1601,  4032,     0,     0,    36,     0,     0,
     848,  1577,  1539,     0,     0,     0,     0,     0,   934,   934,
       0,  1540,     0,     0,     0,     0,     0,  6192,     0,     0,
    1541,  2523,  2589,     0,   934,     0,     0,  2590,  1602,     0,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
    1543,     0,   848,  2860,     0,     0,  5147,     0,     0,  1544,
   -2889, -2889,     0,  1545,     0,     0,     0,     0,   934,   934,
     934,   934,  6192,     0,     0,     0,     0,   848,     0,     0,
       0,  2592,     0,     0,   848,     0,     0,  3073,     0,     0,
    6192,     0,     0,     0,     0,     0,  2589,     0,     0,     0,
       0,  2590,   631,     0,     0,   631,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   945,   945,     0,  1546,     0,
       0,     0, -2889,     0,  2591,  2274,   981,   981,     0,     0,
     945,     0,     0,   945,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,   934,   934,
       0,     0,     0,     0,     0,   934,     0,   848,     0,     0,
     848,     0,     0,     0,     0,     0,  3411,     0,     0,     0,
       0,  3411,     0,     0,  3411,     0,  1984,     0,     0,     0,
       0,     0,     0,   934,     0,   945,  2332,     0,  3158,   945,
     945,     0,   848,   848,     0,   934,     0,     0,     0,     0,
    2593,     0,   848,  2594,     0,     0,     0,     0,     0,   848,
       0,     0,   848,  3073,     0,     0,   784,     0,     0,   784,
    3195,     0,     0,     0,  1365,     0,  1365,     0,     0,     0,
    2595,  1365,  1365,     0,     0,     0,     0,     0,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,     0,     0,  1365,     0,  1365,
     981,  1365,  1365,  1365,  1365,  1365,  1365,     0,     0,  1365,
    2083,  1365,  1365,  2084,     0,  1365,     0,  2085,  2086,  2087,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1365,  1365,  1365,     0,     0,  2585,     0,     0,     0,     0,
       0,     0,     0,     0,  2595,  2586,     0,     0,  1365,     0,
       0,     0,  2587,     0,     0,     0,     0,     0,     0,  1820,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1829,     0,     0,     0,     0,     0,     0,     0,  2588,     0,
       0,     0,  2523,     0,     0,     0,  1837,     0,   934,     0,
       0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3463,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3479,     0,     0,     0,  3482,     0,
       0,     0,  3485,     0,     0,  2083,  2523,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,     0,     0,     0,     0,     0,  3510,
    2585,  4083,     0,     0,     0,     0,  2083,     0,     0,  2084,
    2586,     0,     0,  2085,  2086,  2087,     0,  2587,     0,     0,
       0,     0,  1365,  2589,     0,     0,     0,   188,  2590,     0,
       0,  2585,     0,  3552,     0,     0,     0,     0,     0,     0,
       0,  2586,     0,  2588,     0,     0,     0,     0,  2587,     0,
       0,  2591,  2274,  1080,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1365,
       0,     0,  2592,     0,  2588,     0,     0,     0,     0,     0,
    2010,   188,   188,     0,     0,  3602,     0,     0,     0,     0,
       0,     0,     0,  3262,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,   788,  3631,  2332,     0,     0,     0,     0,  3640,     0,
       0,     0,  1365,     0,     0,     0,     0,  2593,     0,     0,
    2594,     0,  3650,     0,     0,     0,     0,     0,     0,  1080,
       0,     0,  3663,     0,     0,     0,     0,  3262,  3668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2589,     0,
       0,     0,     0,  2590,     0,     0,     0,     0,  3681,     0,
       0,     0,     0,     0,  3684,     0,     0,     0,     0,     0,
       0,  3690,     0,     0,     0,     0,  2591,  2274,     0,  2589,
       0,     0,     0,     0,  2590,  3705,     0,     0,     0,     0,
       0,     0,     0,  3411,     0,     0,     0,  2592,  3730,     0,
       0,     0,     0,     0,  3104,     0,     0,  2591,  2274,  1080,
       0,  2595,  3111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2592,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2593,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2593,     0,     0,  2594,     0,     0,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,     0,  1365,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   848,
    1365,     0,  1365,  2523,     0,     0,     0,     0,     0,   848,
       0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,     0,     0,     0,     0,  3291,     0,     0,     0,     0,
     188,     0,     0,     0,     0,     0,  2595,     0,   848,     0,
    1365,     0,     0,   934,  1365,     0,     0,  1365,     0,  1365,
       0,     0,  1365,     0,     0,     0,  1365,     0,     0,     0,
       0,   188,     0,     0,     0,  3262,     0,  2595,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,     0,  3422,
       0,     0,     0,     0,     0,   848,   848,     0,     0,     0,
       0,     0,     0,     0,     0,  3262,  1365,     0,     0,     0,
       0,     0,     0,     0,     0,  1365,  1365,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3957,     0,     0,   848,
       0,     0,  2841,     0,     0,     0,     0,  3461,     0,     0,
       0,     0,     0,     0,     0,  3973,     0,     0,  2523,     0,
       0,     0,  3957,     0,     0,     0,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,  2075,
    4421,     0,     0,     0,     0,     0,     0,     0,   784,  2523,
     784,     0,     0,     0,     0,     0,     0,     0,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,  1365,     0,     0,
       0,  4622,     0,     0,     0,     0,     0,     0,   631,     0,
       0,   945,   981,   945,   945,  2083,     0,   934,  2084,     0,
     848,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2585,   811,     0,     0,     0,     0,     0,     0,     0,     0,
    2586,     0,  2792,     0,     0,     0,     0,  2587,     0,     0,
    3570,   848,     0,     0,     0,     0,  2083,  3581,     0,  2084,
       0,     0,     0,  2085,  2086,  2087,   848,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,     0,     0,
       0,  2585,     0,     0,     0,     0,     0,     0,   848,     0,
       0,  2586,  3411,     0,   188,     0,     0,     0,  2587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   848,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   811,     0,  2588,     0,     0,  3262,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   934,  2979,     0,   934,     0,
       0,     0,     0,     0,     0,     0,     0,  2990,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3008,   848,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2589,  3724,
       0,  3727,  3729,  2590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1559,     0,     0,
       0,  1056,     0,  1560,     0,     0,  2591,  2274,     0,     0,
       0,     0,  1365,  1365,  1365,     0,     0,  3082,  1365,     0,
       0,     0,     0,     0,     0,     0,   934,  2592,     0,  2589,
       0,     0,  3094,     0,  2590,  1137,  3098,     0,     0,   934,
       0,     0,     0,     0,     0,  1365,     0,   934,  1562,     0,
       0,  1124,   699,     0,     0,     0,     0,  2591,  2274,  4233,
    2792,     0,     0,     0,     0,   848,  3117,  1137,  2332,     0,
       0,  3829,     0,     0,   784,     0,     0,     0,  2592,     0,
       0,     0,  2593,     0,     0,  2594,   934,  3840,  5988,     0,
       0,     0,     0,     0,     0,     0,     0,  3724,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,   934,     0,  3862,
     188,  1564,     0,     0,  1565,     0,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2593,     0,     0,  2594,     0,     0,     0,
    3376,  1566,     0,     0,     0,     0,     0,     0,   934,     0,
     934,  1230,   934,     0,     0,     0,     0,     0,     0,  4305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1252,     0,     0,     0,     0,  2595,  1567,  3940,  1368,
       0,     0,  1377,  1124,  1379,     0,     0,  1984,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3295,     0,     0,     0,     0,     0,     0,
       0,     0,   188,     0,     0,     0,     0,     0,     0,     0,
       0,  3262,  3262,     0,     0,     0,     0,  2595,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,     0,
       0,   631,   934,     0,   945,     0,   945,   945,  1667,   934,
       0,     0,  1569,     0,     0,     0,  1365,     0,     0,     0,
       0,  1365,  1570,     0,     0,     0,     0,     0,     0,     0,
       0,  1571,     0,     0,     0,     0,     0,     0,  2523,     0,
       0,     0,     0,  1572,     0,     0,  4400,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,     0,
    4688,     0,     0,  1365,  1365,  1365,     0,     0,  1365,     0,
       0,     0,     0,     0,     0,     0,  1365,  1365,  1365,  1365,
       0,     0,     0,  2756,     0,     0,  1574,  1575,     0,  2523,
       0,     0,  1365,  6124,     0,  1365,     0,  1365,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,  2083,  1365,  1365,
    2084,  4783,  1365,     0,  2085,  2086,  2087,     0,  2757,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,  2585,  1365,     0,  1365,  3429,  1365,     0,     0,
       0,     0,  2586,     0,     0,  1124,     0,     0,     0,  2587,
       0,     0,     0,     0,     0,     0,  1365,     0,     0,  4129,
       0,     0,     0,   848,     0,  3882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
       0,     0,     0,     0,   848,     0,     0,  1577,     0,  1529,
       0,     0,  1559,     0,     0,     0,   188,     0,  1560,     0,
       0,     0,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,   631,     0,     0,  3422,  4166,     0,     0,     0,
    4166,  4180,  4166,     0,  1530,  2948,  3430,  2585,  1365,     0,
       0,     0,     0,  1365,     0,   933,   935,  2586,     0,   938,
       0,     0,     0,  1562,  2587,     0,     0,     0,  1365,     0,
       0,     0,     0,     0,  4587,     0,     0,     0,  4591,   996,
       0,     0,  3422,     0,  4205,  3422,  1006,     0,     0,     0,
    2588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1531,     0,     0,     0,     0,
    2589,     0,     0,     0,     0,  2590,     0,     0,     0,  1563,
       0,     0,     0,  1365,     0,     0,  1564,     0,     0,  1565,
       0,     0,     0,     0,     0,     0,     0,     0,  2591,  2274,
       0,     0,  1532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   934,   934,     0,  1566,     0,  2009,  2592,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3883,     0,     0,     0,     0,  1533,     0,     0,     0,     0,
    1124,     0,  1567,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,  2589,     0,     0,     0,     0,
    2590,     0,     0,     0,  2593,     0,     0,  2594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
    3905,     0,     0,  2591,  2274,  3911,     0,  3912,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3918,     0,   896,
    3919,     0,  3920,  3921,  2592,     0,  3923,     0,     0,  1537,
    3926,   848,  3927,  1568,     0,  3929,  1499,  1569,     0,     0,
       0,  2860,  2079,     0,     0,     0,     0,  1570,     0,     0,
       0,  2081,     0,     0,     0,     0,  1571,     0,     0,     0,
       0,     0,     0,     0,     0,  2332,  2548,  1559,  1572,     0,
       0,     0,    36,  1560,     0,     0,     0,  3884,  2595,  2593,
       0,     0,  2594,     0,     0,  1124,  1540,     0,  2565,  2566,
       0,     0,     0,  1124,  1124,  1541,     0,     0,     0,     0,
       0,  3978,     0,  2776,     0,     0,     0,     0,  2834,     0,
       0,  1574,  1575,     0,     0,  1543,     0,     0,  1562,     0,
       0,     0,     0,     0,  1544,     0,     0,     0,  1545,     0,
       0,     0,     0,     0,  4807,     0,     0,     0,     0,  3431,
       0,     0,     0,  2835,     0,     0,  1365,     0,  3885,     0,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2595,  1563,     0,     0,     0,     0,     0,
    2523,  1564,     0,  1546,  1565,     0,     0,  3886,     0,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,
     848,   848,   848,     0,     0,     0,     0,     0,     0,     0,
       0,  1566,  1577,     0,  3526,     0,     0,   848,     0,     0,
    3534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1365,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1567,     0,  1984,
     848,   848,     0,     0,     0,   848,     0,     0,     0,     0,
       0,  3567,  4919,     0,     0,  4922,     0,   848,     0,     0,
       0,     0,     0,     0,     0,  2523,     0,     0,  1066,     0,
    1069,     0,     0,  1071,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,     0,     0,  2972,     0,  1097,     0,     0,
       0,     0,     0,  1101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2083,  1667,     0,
    2084,     0,  1569,   934,  2085,  2086,  2087,     0,  4569,     0,
       0,  3940,  1570,     0,     0,     0,     0,     0,     0,     0,
       0,  1571,  2585,     0,     0,     0,     0,  3158,  4586,  2901,
       0,     0,  2586,  1572,     0,     0,     0,  2909,   848,  2587,
       0,     0,     0,     0,     0,     0,  5004,     0,     0,     0,
       0,   848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2948,     0,  2588,     0,     0,     0,     0,
    1365,     0,     0,  3562,     0,     0,  1574,  1575,     0,  1365,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1365,
       0,     0,     0,  1365,  1365,     0,  4231,     0,     0,  1365,
       0,     0,     0,     0,     0,     0,     0,  1365,  1576,  1365,
       0,     0,  1365,     0,     0,     0,     0,  1365,  1365,  1365,
    1365,     0,     0,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,     0,     0,     0,  1365,  1365,  1365,     0,
       0,     0,     0,     0,     0,     0,  1365,     0,     0,     0,
    3790,  1365,     0,     0,     0,  1365,     0,     0,     0,  3957,
       0,     0,     0,  1365,     0,     0,  1365,  4281,  1365,  4283,
       0,     0,     0,     0,     0,     0,     0,  1577,     0,     0,
    2589,     0,     0,     0,     0,  2590,  1365,     0,     0,  1365,
    1365,     0,     0,     0,  1365,  1365,     0,     0,     0,  1365,
       0,  1365,  4716,     0,     0,     0,     0,     0,  2591,  2274,
     848,   848,   848,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2592,
    4166,  4180,  4166,     0,  1365,  4166,     0,     0,  4737,     0,
       0,     0,  3422,     0,     0,     0,  3422,     0,     0,     0,
       0,  3038,  4752,     0,     0,  3043,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,  1591,  1592,     0,     0,     0,     0,  1365,     0,
       0,     0,     0,     0,  2593,     0,     0,  2594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4789,  1984,
    1984,     0,     0,  1984,     0,     0,     0,     0,     0,     0,
       0,  4384,     0,     0,     0,     0,     0,  4391,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3972,     0,     0,     0,     0,     0,  2792,  4821,
       0,     0,     0,  1818,     0,     0,     0,  3982,     0,     0,
       0,     0,  3987,   896,     0,     0,     0,  4844,  1830,     0,
    1559,     0,     0,     0,     0,     0,  1560,     0,     0,     0,
       0,     0,     0,  1626,     0,     0,     0,     0,  2595,   896,
    4007,     0,     0,     0,     0,     0,     0,     0,     0,  1852,
    1853,  2083,     0,     0,  2084,  1627,     0,     0,  2085,  2086,
    2087,     0,  1559,     0,     0,     0,     0,     0,  1560,     0,
    4893,  1562,     0,     0,     0,  1890,  2585,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2586,  3228,     0,  5270,
       0,     0,     0,  2587,     0,     0,     0,     0,     0,     0,
       0,  5280,     0,     0,     0,     0,  1628,     0,     0,     0,
       0,     0,     0,  1562,     0,  1928,  1930,     0,     0,  2588,
       0,     0,     0,     0,     0,  4937,     0,  1563,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,  1565,     0,     0,
    2523,     0,     0,     0,     0,     0,     0,     0,     0,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,   934,     0,
       0,  4553,  5010,  4555,  1566,  4557,     0,     0,     0,  1563,
       0,     0,   934,     0,  1365,     0,  1564,     0,     0,  1565,
       0,   848,     0,     0,     0,   896,     0,  4981,     0,     0,
       0,     0,     0,     0,     0,     0,  1629,     0,  2792,     0,
    1567,     0,     0,     0,     0,     0,  1566,     0,     0,     0,
       0,     0,     0,   848,     0,     0,     0,     0,  3422,  3840,
       0,     0,     0,     0,     0,     0,  3724,     0,     0,     0,
       0,     0,     0,     0,  2589,  5030,     0,     0,     0,  2590,
       0,     0,  1567,     0,     0,   848,     0,     0,     0,     0,
       0,   895,  1630,     0,     0,     0,  1631,  1365,  1365,     0,
       0,     0,  2591,  2274,     0,     0,     0,     0,  1365,     0,
       0,  1632,     0,     0,     0,  1569,     0,     0,     0,  1984,
     848,     0,     0,  2592,     0,  1570,     0,     0,     0,     0,
       0,     0,     0,     0,  1571,     0,     0,   848,     0,     0,
       0,     0,     0,     0,     0,  1633,  1572,     0,     0,  3940,
       0,  1365,     0,  1667,     0,     0,     0,  1569,     0,     0,
       0,     0,     0,     0,  2332,     0,     0,  1570,  1714,  3957,
       0,     0,     0,     0,  4236,     0,  1571,     0,  2593,     0,
       0,  2594,  4239,     0,     0,     0,  1634,   896,  1572,  1574,
    1575,  1635,     0,  1365,     0,     0,     0,     0,   896,     0,
       0,     0,     0,     0,     0,     0,  1365,     0,     0,     0,
       0,     0,     0,     0,   896,  1636,     0,     0,     0,     0,
    1365,  1637,     0,     0,     0,     0,     0,     0,  3740,     0,
       0,  1574,  1575,     0,     0,  1638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3882,     0,  1365,     0,
       0,  1365,     0,     0,     0,     0,     0,     0,     0,  1365,
    1365,     0,     0,  3741,     0,     0,  1365,  1365,     0,     0,
    1529,  1365,  2595,     0,     0,     0,     0,  4322,  1365,  4324,
       0,  1365,  1365,     0,     0,  3957,     0,  3957,  1365,     0,
    1577,     0,   848,   848,   848,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1530,     0,     0,   631,     0,
       0,  4166,     0,     0,     0,  3422,     0,     0,     0,     0,
    3422,     0,     0,  3422,   631,     0,  3724,     0,  5203,     0,
       0,  1365,  1577,   981,     0,     0,     0,     0,     0,     0,
       0,     0,  1365,     0,  1365,     0,     0,     0,     0,     0,
       0,  2774,     0,     0,     0,     0,   784,     0,     0,  1365,
       0,     0,     0,     0,     0,     0,  1531,     0,     0,     0,
       0,     0,     0,  4385,  2523,     0,  2813,     0,   896,     0,
       0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2532,     0,  2792,     0,     0,  5129,  5248,     0,     0,
       0,     0,  2083,  1532,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,  4407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2586,     0,     0,
       0,  3883,     0,     0,  2587,     0,  1533,     0,     0,  3371,
       0,     0,     0,  2903,     0,     0,     0,     0,     0,     0,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,  1365,
    2588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2929,  2930,  2931,  2932,     0,     0,  1535,     0,
       0,   934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   934,     0,     0,     0,
       0,  3567,     0,     0,     0,     0,     0,     0,     0,     0,
    1537,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1365,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   631,     0,  4549,     0,     0,     0,     0,
    2792,     0,     0,    36,     0,     0,     0,     0,  1539,  1984,
       0,     0,     0,     0,     0,     0,     0,  1540,     0,     0,
       0,     0,     0,     0,  3840,  2589,  1541,     0,     0,     0,
    2590,     0,     0,     0,  2776,     0,  1124,   934,     0,  3862,
       0,     0,     0,     0,     0,     0,  1543,     0,     0,     0,
       0,     0,     0,  2591,  2274,  1544,     0,     0,     0,  1545,
       0,     0,     0,     0,     0,   848,     0,     0,     0,  2985,
    2986,  2693,     0,     0,  2592,     0,   848,     0,     0,  3885,
       0,     0,     0,     0,     0,  3003,  5072,  4621,     0,  5074,
       0,     0,  4569,     0,     0,  1379,     0,  3940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1546,  2332,     0,     0,  3886,  3046,
    3047,  3048,  3049,     0,     0,     0,     0,     0,     0,  2593,
    4646,     0,  2594,  5100,     0,     0,     0,     0,     0,  2693,
       0,     0,     0,     0,     0,  1365,     0,     0,  1365,     0,
       0,  1365,  1365,  1365,     0,  4667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1379,     0,     0,  1365,  1365,
     896,     0,  1365,  1559,     0,   895,     0,     0,     0,  1560,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
    3123,     0,  1365,     0,     0,     0,  3127,     0,  1365,     0,
       0,   895,  3422,   896,     0,     0,  5203,     0,     0,  1365,
       0,  5483,     0,  2595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1562,     0,  4789,   981,   934,     0,
     934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3733,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   945,   981,
    1563,     0,  1714,  1714,  1714,     0,     0,  1564,     0,     0,
    1565,     0,     0,  3765,     0,  3765,     0,  3765,  3765,     0,
       0,     0,  3765,  3765,  3765,  1559,  3765,  3765,  3765,     0,
       0,  1560,     0,     0,     0,  2523,     0,  1566,  5235,     0,
       0,     0,     0,   945,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,     0,     0,  4981,     0,  5168,     0,     0,
     848,     0,     0,     0,     0,   848,     0,   895,     0,     0,
       0,     0,     0,  1567,  2792,     0,  1562,     0,     0,     0,
    3842,  5260,  5261,     0,   848,     0,     0,     0,  5030,     0,
       0,  5616,     0,     0,     0,     0,     0,  3957,     0,  3305,
       0,     0,   934,   848,  4789,  3870,     0,     0,     0,     0,
       0,  1559,     0,     0,   896,     0,     0,  1560,     0,     0,
       0,     0,     0,     0,  1626,   896,     0,     0,     0,     0,
       0,     0,  1563,  4789,     0,  1365,     0,     0,     0,  1564,
       0,   896,  1565,     0,  1667,     0,  1627,     0,  1569,     0,
    1365,     0,     0,     0,  1365,     0,  1365,     0,  1570,     0,
       0,     0,  1562,     0,     0,     0,     0,  1571,     0,  1566,
    1365,     0,     0,     0,     0,  5304,  5305,   631,     0,  1572,
    1365,     0,     0,     0,  5691,     0,     0,     0,     0,     0,
       0,  1365,     0,     0,     0,   896,     0,  1628,  1365,     0,
       0,     0,     0,     0,     0,  1567,     0,     0,     0,     0,
     896,     0,     0,   896,   896,     0,     0,     0,  1563,  4249,
       0,     0,  1574,  1575,     0,  1564,     0,   848,  1565,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     895,     0,     0,     0,   896,   896,     0,     0,     0,     0,
       0,     0,     0,  1365,  4250,  1566,   895,     0,     0,  1365,
    1365,     0,     0,     0,   934,   934,   934,   934,  4993,     0,
       0,     0,     0,     0,     0,     0,  1667,     0,     0,     0,
    1569,     0,     0,     0,     0,     0,     0,  1629,     0,     0,
    1570,  1567,     0,     0,     0,  1365,     0,     0,     0,  1571,
       0,     0,     0,   631,     0,  5398,     0,     0,  5400,  5401,
       0,  1572,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1577,     0,     0,     0,     0,   848,     0,
       0,  3422,     0,     0,     0,     0,     0,     0,     0,  5416,
       0,     0,     0,  1630,  1714,     0,     0,  1631,     0,     0,
       0,  4307,     0,  1714,  1574,  1575,  1714,   848,     0,     0,
       0,     0,  1632,     0,     0,     0,  1569,     0,     0,     0,
       0,  1559,     0,     0,     0,     0,  1570,  1560,     0,     0,
       0,   896,     0,     0,     0,  1571,  4308,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,  1633,  1572,     0,  1365,
    1365,  1365,     0,     0,     0,  1984,     0,  1124,     0,  3724,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,     0,
     895,  1365,  1562,  1365,     0,  1365,  5483,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1984,  3670,   981,     0,
    1574,  1575,  1635,     0,     0,     0,     0,  1365,     0,     0,
       0,     0,     0,     0,     0,  1577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1636,     0,     0,     0,
       0,     0,  3671,     0,     0,     0,     0,     0,  1563,     0,
       0,     0,  1984,  1984,     0,  1564,  1638,     0,  1565,     0,
       0,     0,     0,     0,  2083,     0,     0,  2084,     0,     0,
       0,  2085,  2086,  2087,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   934,     0,  1566,     0,     0,     0,  2585,
       0,     0,     0,     0,     0,     0,   639,  5948,     0,  2586,
       0,     0,   688,   639,     0,     0,  2587,     0,   740,  4789,
     639,  1577,     0,     0,  3305,     0,   639,     0,     0,   797,
       0,  1567,     0,     0,     0,     0,     0,  1124,     0,     0,
       0,     0,  2588,     0,     0,     0,     0,     0,   859,   859,
    1365,     0,  2564,     0,     0,     0,     0,     0,     0,     0,
       0,  2083,     0,  1365,  2084,     0,     0,  5691,  2085,  2086,
    2087,     0,     0,  1365,     0,     0,     0,     0,     0,  1365,
       0,  5236,     0,     0,     0,     0,  2585,     0,     0,     0,
       0,     0,     0,     0,     0,   945,  2586,     0,     0,     0,
       0,     0,  1667,  2587,     0,     0,  1569,     0,     0,     0,
     934,     0,     0,     0,     0,  4297,  1570,  1984,     0,     0,
       0,  5259,     0,     0,     0,  1571,     0,     0,     0,  2588,
       0,     0,     0,     0,     0,     0,     0,  1572,     0,     0,
       0,     0,  2792,  5275,     0,     0,     0,     0,     0,  1365,
       0,     0,     0,   895,     0,     0,     0,  2589,     0,  4789,
       0,     0,  2590,     0,     0,     0,     0,     0,   945,   945,
    6069,     0,     0,  4344,  1365,     0,     0,     0,  3940,     0,
    1574,  1575,     0,     0,     0,  2591,  2274,     0,  3535,  1984,
    1984,  6080,     0,     0,     0,     0,  1365,  1365,     0,   936,
       0,     0,  6086,   940,     0,     0,  2592,     0,     0,     0,
    5709,   983,  1576,     0,   985,  5303,     0,   990,   991,     0,
     994,   895,   997,   934,     0,  1003,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4387,     0,     0,  2589,     0,     0,  2332,     0,  2590,
       0,     0,  5948,   934,   934,     0,     0,     0,  4789,     0,
       0,  2593,   895,  5745,  2594,     0,     0,     0,     0,     0,
       0,     0,  2591,  2274,     0,     0,   631,     0,  1365,     0,
       0,  1577,     0,     0,     0,     0,     0,  3765,     0,     0,
       0,     0,  1365,  2592,     0,   895,     0,     0,     0,  4418,
    4418,     0,     0,     0,     0,  1365,     0,     0,     0,  4434,
       0,     0,     0,     0,  1124,     0,  1124,     0,     0,     0,
       0,     0,     0,     0,  1714,     0,  3675,     0,     0,  3678,
       0,     0,     0,     0,  2332,     0,  5387,     0,     0,  6164,
    6165,   631,  6168,  5691,     0,     0,  3940,     0,  2593,     0,
       0,  2594,     0,     0,     0,  2595,     0,     0,   934,     0,
       0,  4789,  4489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4569,  5840,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4525,  1124,     0,
    1365,   631,     0,     0,     0,  1365,     0,     0,     0,   631,
       0,     0,     0,     0,     0,     0,     0,  3769,     0,     0,
       0,   945,   945,     0,     0,  6230,     0,     0,     0,     0,
    3782,     0,     0,     0,     0,     0,     0,     0,  3791,     0,
       0,     0,  2595,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,     0,     0,
    3468,     0,     0,     0,  2693,  3474,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,     0,     0,  3835,     0,  5172,
       0,     0,  4385,     0,     0,     0,   895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2083,   895,  3859,  2084,
       0,     0,     0,  2085,  2086,  2087,     0,     0,     0,     0,
       0,     0,     0,   895,     0,     0,     0,     0,     0,     0,
       0,  2585,   896,     0,     0,     0,     0,     0,   896,     0,
       0,  2586,     0,     0,     0,     0,     0,     0,  2587,     0,
       0,  3914,     0,  3916,  2523,     0,     0,     0,     0,     0,
       0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2532,     0,     0,  2588,     0,  5423,   895,     0,   896,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   895,     0,     0,   895,   895,     0,  2083,     0,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
       0,     0,  4689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,     0,   895,   895,     0,     0,
       0,     0,     0,  2586,     0,     0,     0,     0,     0,     0,
    2587,     0,     0,  3981,     0,     0,     0,     0,     0,     0,
    3988,     0,  1033,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2083,  1070,     0,  2084,  2588,  1074,     0,  2085,
    2086,  2087,     0,     0,  1087,  1088,     0,     0,  1094,     0,
    1098,  1099,     0,     0,     0,     0,     0,  2585,     0,  2589,
       0,     0,     0,     0,  2590,  1121,     0,  2586,     0,     0,
       0,     0,     0,     0,  2587,     0,     0,     0,     0,     0,
       0,     0,     0,  1134,     0,     0,     0,  2591,  2274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,  1162,  6095,  1164,     0,  2592,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1714,     0,     0,     0,
       0,     0,     0,   895,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2332,
     639,  2589,     0,     0,     0,     0,  2590,     0,   896,     0,
       0,     0,     0,  2593,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2010,     0,  2591,
    2274,     0,  2010,  2010,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4434,     0,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2589,     0,     0,     0,     0,
    2590,     0,  4883,     0,     0,     0,     0,     0,     0,     0,
       0,  2693,     0,     0,   859,  2693,     0,  4897,     0,     0,
    4898,  2332,  4899,  2591,  2274,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2593,     0,  2595,  2594,     0,
       0,     0,     0,     0,  2592,  2083,     0,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4939,     0,
    2585,     0,     0,     0,     0,     0,  5819,     0,     0,     0,
    2586,     0,     0,     0,  3765,  2332,     0,  2587,     0,  3765,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,  2593,
       0,     0,  2594,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,     0,     0,
     896,     0,     0,     0,  4237,  4238,     0,     0,     0,  2595,
    5864,     0,     0,     0,     0,   896,     0,     0,     0,  2523,
     896,     0,     0,     0,     0,     0,     0,     0,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,
       0,  5434,     0,     0,     0,     0,  1529,     0,   896,     0,
       0,  1698,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5044,     0,
       0,  4434,     0,  2595,     0,     0,  1819,     0,     0,     0,
       0,  1530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1831,     0,  1832,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1835,     0,     0,     0,     0,  2589,     0,
    1845,  2523,     0,  2590,     0,     0,     0,     0,     0,     0,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,  5444,     0,     0,  2591,  2274,     0,     0,
       0,     0,  1531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1897,     0,  1899,     0,  2592,     0,     0,
       0,     0,  5104,  5104,  5104,  5104,     0,  5104,  5104,  5104,
    5104,  5104,     0,     0,     0,  2523,     0,     0,     0,  1532,
       0,     0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,     0,     0,     0,     0,  5493,  2332,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2593,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,  1533,     0,     0,     0,     0,     0,     0,     0,
       0,   639,     0,   639,     0,   639,     0,   639,     0,   639,
     639,   639,     0,     0,  4408,     0,   639,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2005,     0,
    1534,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5180,     0,  5182,     0,  2693,     0,     0,  3474,     0,  3474,
       0,     0,     0,     0,  2693,  1617,  1537,     0,     0,     0,
       0,     0,     0,  1499,     0,  2083,  2595,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2585,     0,     0,     0,     0,  1618,     0,     0,     0,    36,
    2586,     0,   896,     0,  1539,     0,     0,  2587,     0,     0,
     896,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,  1541,     0,     0,     0,     0,     0,     0,     0,
    1619,     0,     0,  2588,     0,  2693,     0,     0,     0,     0,
       0,     0,  1543,     0,     0,     0,     0,     0,     0,     0,
       0,  1544,   895,     0,     0,  1545,   895,   895,     0,     0,
       0,     0,     0,     0,  4561,     0,     0,     0,  2523,     0,
       0,     0,     0,     0,     0,     0,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,     0,
    5527,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   859,     0,   896,     0,   896,     0,     0,
    1546,     0,     0,     0,   895,     0,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2589,  5301,
    5302,     0,     0,  2590,     0,     0,     0,     0,     0,     0,
       0,   895,  3765,     0,  3765,  3765,  3765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,  2274,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,     0,
       0,   896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2754,     0,     0,     0,  1714,     0,
    5353,     0,     0,     0,  1714,     0,     0,     0,  2332,  2083,
       0,     0,  2084,   896,     0,     0,  2085,  2086,  2087,     0,
       0,     0,  2593,     0,     0,  2594,     0,     0,  -136,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,  5381,
       0,  3474,     0,     0,  2586,     0,     0,     0,     1,     0,
       0,  2587,     0,     0,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,     0,     0,  2846,     0,     0,     0,
       0,     0,     0,  2083,     0,     0,  2084,  2588,     0,     5,
    2085,  2086,  2087,     0,     0,     0,     0,     0,     0,     6,
       0,     0,     0,  5104,     0,     0,     0,     0,  2585,     0,
       0,     7,     0,     8,     9,     0,     0,     0,  2586,   896,
      10,     0,    11,     0,     0,  2587,  2595,     0,     0,     0,
       0,     0,     0,     0,    12,     0,    13,     0,     0,     0,
       0,  3474,     0,     0,     0,     0,     0,     0,     0,     0,
     895,  2588,     0,    14,     0,     0,    15,     0,     0,     0,
       0,     0,     0,   896,     0,     0,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,     0,    18,     0,     0,
       0,     0,     0,    19,     0,     0,     0,     0,     0,     0,
       0,    20,     0,    21,     0,     0,     0,     0,     0,     0,
      22,     0,  2589,     0,     0,     0,     0,  2590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    23,     0,
       0,     0,     0,   895,     0,     0,     0,   895,  2523,     0,
    2591,  2274,     0,     0,     0,    24,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,     0,
    5529,  2592,     0,     0,     0,   896,     0,  4434,     0,     0,
       0,     0,     0,     0,     0,     0,  2589,     0,     0,     0,
       0,  2590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    25,    26,     0,     0,     0,     0,    27,     0,
       0,  2976,  2332,     0,  2591,  2274,     0,     0,   896,     0,
       0,     0,    28,  3765,     0,     0,  2593,     0,     0,  2594,
       0,     0,  5563,     0,     0,  2592,     0,     0,     0,     0,
      29,     0,     0,   896,     0,     0,  3012,     0,     0,     0,
       0,     0,   895,     0,     0,     0,     0,     0,     0,  4961,
       0,     0,     0,     0,     0,     0,     0,   895,     0,     0,
       0,     0,   895,  4963,     0,     0,  2332,    30,     0,  2083,
       0,     0,  2084,     0,     0,    31,  2085,  2086,  2087,     0,
    2593,     0,  3077,  2594,     0,     0,     0,     0,     0,    32,
     895,     0,     0,     0,  2585,    33,    34,     0,    35,     0,
       0,     0,  3095,    36,  2586,     0,     0,     0,     0,    37,
    2595,  2587,    38,     0,     0,     0,     0,     0,     0,    39,
       0,     0,     0,     0,     0,     0,    40,    41,  3115,     0,
    3116,     0,     0,     0,    42,     0,     0,  2588,    43,     0,
       0,     0,     0,     0,     0,  3125,     0,  3126,    44,     0,
       0,     0,     0,     0,     0,   639,     0,   639,     0,   639,
       0,   639,     0,   639,    45,     0,     0,   639,     0,     0,
       0,     0,     0,     0,  2595,     0,     0,     0,  2693,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,    48,     0,     0,  3187,     0,    49,     0,     0,     0,
       0,     0,  2523,     0,     0,     0,     0,     0,     0,    50,
       0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,
       0,     0,     0,     0,  5568,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,    52,    53,    54,    55,    56,
       0,     0,  2589,     0,     0,  1124,     0,  2590,     0,  5754,
       0,     0,    57,     0,     0,  -136,     0,     0,  3474,     0,
       0,     0,     0,     0,     0,     0,  2523,     0,     0,     0,
    2591,  2274,     0,     0,     0,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,  3474,     0,     0,     0,  5898,     0,
       0,  2592,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   895,  2585,     0,   895,
       0,   895,     0,     0,     0,     0,   895,  2586,     0,     0,
       0,     0,  2332,     0,  2587,     0,     0,     0,   700,     0,
       0,     0,     0,   701,     0,     0,  2593,     0,     0,  2594,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,     0,     0,
       0,   702,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   703,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   895,     0,     0,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   896,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2595,     0,     0,     0,  1124,     0,     0,     0,  5910,     0,
    5911,     0,   706,     0,  5916,  5917,     0,  2083,     0,     0,
    2084,     0,     0,   707,  2085,  2086,  2087,     0,     0,     0,
       0,     0,   708,  3474,     0,  2589,     0,   895,  2693,   895,
    2590,     0,  2585,     0,     0,   709,     0,     0,     0,     0,
       0,   710,  2586,     0,     0,     0,     0,     0,   711,  2587,
       0,     0,     0,  2591,  2274,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,  2592,  2588,     0,     0,     0,     0,
       0,     0,  5296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,     0,     0,     0,     0,  5300,     0,     0,
       0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,
       0,     0,     0,     0,  5920,  2332,     0,     0,     0,     0,
       0,   713,     0,   895,     0,     0,     0,   946,   956,  2593,
       0,     0,  2594,     0,     0,   946,     0,   956,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,     0,   895,     0,     0,     0,     0,
       0,     0,     0,     0,   886,   715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,  5358,     0,
    2589,     0,     0,   895,   896,  2590,     0,   214,   717,     0,
       0,   718,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2591,  2274,
       0,     0,     0,  2595,     0,     0,     0,     0,   719,     0,
       0,   720,     0,     0,     0,   721,     0,     0,   722,  2592,
       0,     0,     0,     0,     0,   723,     0,     0,   724,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   895,     0,     0,     0,     0,     0,   725,     0,  1124,
       0,     0,     0,     0,   726,     0,     0,     0,     0,     0,
    2332,   727,     0,   895,   728,     0,     0,     0,   729,     0,
       0,     0,     0,     0,  2593,     0,   730,  2594,   731,     0,
       0,     0,     0,   732,     0,   895,     0,     0,     0,   896,
       0,     0,     0,     0,     0,     0,   733,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,     0,     0,     0,   734,
       0,     0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,     0,     0,     0,     0,  6111,  2083,   896,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   896,     0,  2585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2586,     0,     0,     0,     0,  2595,  5499,
    2587,  5501,     0,     0,     0,     0,     0,   895,     0,     0,
       0,     0,     0,     0,     0,  3464,  3465,     0,  6193,     0,
       0,  2548,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,     0,     0,     0,  3480,  3481,     0,  3483,  3484,     0,
       0,     0,  3487,  3488,     0,     0,     0,     0,     0,     0,
     895,     0,     0,   896,     0,     0,     0,  3499,     0,     0,
       0,     0,     0,  6193,  3508,     0,     0,     0,  3511,  3512,
       0,     0,  3515,  3516,     0,   895,     0,     0,     0,  3521,
       0,  6193,     0,     0,  5180,     0,     0,     0,     0,     0,
       0,  3536,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,     0,     0,  3553,     0,     0,     0,     0,  3555,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,
       0,     0,  6128,  3561,     0,     0,     0,     0,     0,     0,
       0,     0,  3568,     0,     0,  3572,     0,  3574,  3577,  3579,
       0,  2589,     0,     0,  3587,  3590,  2590,     0,     0,     0,
       0,     0,     0,  5628,  3603,     0,     0,     0,     0,     0,
    3613,     0,     0,     0,  3616,     0,     0,     0,     0,  2591,
    2274,     0,  5385,   956,   896,     0,  3626,  3627,     0,     0,
       0,  3632,     0,     0,     0,     0,     0,  3641,  3642,     0,
    2592,     0,   956,     0,     0,     0,     0,     0,   956,     0,
       0,  3651,     0,     0,  3652,     0,     0,     0,     0,     0,
     956,  3664,  3665,     0,     0,     0,     0,  3669,     0,     0,
     895,     0,     0,     0,     0,     0,   956,     0,     0,  3676,
       0,  2332,  3679,     0,     0,     0,     0,  3682,     0,     0,
     946,   956,     0,  3685,  3686,  2593,     0,   946,  2594,   956,
     946,  3692,     0,     0,     0,  3694,     0,     0,     0,  3701,
    3702,  3703,  3704,   956,  3706,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,  3731,  3732,     0,
    3734,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3743,  3744,  3745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
     895,     0,     0,   955,     0,     0,  5741,     0,  5743,     0,
     896,     0,     0,     0,     0,     0,     0,   955,     0,     0,
     956,     0,     0,     0,     0,     0,   895,     0,     0,  2595,
       0,     0,     0,     0,     0,     0,     0,     0,  3797,     0,
       0,  -136,     0,     0,     0,     0,  3821,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     1,     0,     0,     0,  3833,     0,     0,     0,  3474,
       0,     0,     2,   956,     3,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,  3901,     8,     9,     0,     0,
       0,     0,     0,    10,     0,    11,     0,     0,   886,     0,
       0,  2523,     0,   956,  3915,     0,  3917,    12,     0,    13,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,  6170,   886,     0,    14,     0,     0,    15,
       0,     0,     0,     0,     0,     0,     0,     0,   895,     0,
       0,     0,     0,     0,    16,     0,    17,     0,     0,     0,
      18,     0,     0,     0,     0,     0,    19,     0,     0,  3474,
       0,     0,     0,     0,    20,     0,    21,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,     0,
     895,    23,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3989,     0,     0,     0,     0,    24,     0,
       0,     0,     0,  1801,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,  5934,     0,     0,     0,     0,     0,
       0,   946,     0,     0,     0,   946,     0,   946,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    25,    26,     0,     0,     0,
       0,    27,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,    28,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    29,     0,   896,     0,     0,     0,     0,
     896,   896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2083,     0,     0,  2084,     0,
      30,     0,  2085,  2086,  2087,     0,     0,     0,    31,     0,
       0,  6022,     0,     0,   956,     0,     0,     0,     0,     0,
    2585,     0,    32,     0,     0,     0,   895,     0,    33,    34,
    2586,    35,     0,     0,     0,     0,    36,  2587,     0,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,    39,     0,     0,     0,     0,     0,     0,    40,
      41,     0,     0,  2588,     0,     0,     0,    42,     0,   955,
       0,    43,     0,     0,     0,     0,     0,   956,     0,     0,
       0,    44,     0,  5385,   896,     0,     0,     0,   955,     0,
       0,     0,     0,   956,   955,   888,     0,    45,     0,     0,
       0,     0,   886,     0,     0,     0,   955,     0,     0,     0,
     956,     0,     0,   886,     0,   956,     0,    46,     0,     0,
       0,     0,   955,     0,  6099,     0,     0,     0,    47,   886,
       0,     0,     0,     0,    48,     0,     0,   955,   896,    49,
    2083,   895,     0,  2084,     0,   955,     0,  2085,  2086,  2087,
       0,     0,    50,     0,  1097,  1097,     0,     0,     0,   955,
       0,     0,     0,     0,     0,  2585,     0,     0,  4222,   955,
       0,     0,     0,     0,     0,  2586,    51,     0,  2589,     0,
       0,   895,  2587,  2590,     0,     0,     0,     0,  4234,     0,
       0,     0,     0,     0,     0,    57,     0,     0,  -136,     0,
       0,     0,     0,   895,     0,  4241,  2591,  2274,  2588,  4241,
       0,     0,     0,     0,  4252,  4253,  4254,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,  2592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,   956,   956,
    4284,  4285,  4286,  4287,   955,     0,     0,     0,     0,  1097,
       0,     0,     0,     0,  2083,     0,     0,  2084,  2332,     0,
       0,  2085,  2086,  2087,     0,   895,     0,     0,     0,   955,
    4303,     0,  2593,     0,     0,  2594,     0,     0,  4306,  2585,
    4310,  4311,  4312,   886,     0,     0,     0,     0,  4061,  2586,
       0,  1801,     0,     0,  4062,     0,  2587,     0,     0,     0,
       0,  4680,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2589,     0,     0,     0,     0,  2590,     0,
       0,     0,  2588,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2591,  2274,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2592,     0,     0,     0,  2595,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4681,     0,     0,   895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4395,     0,     0,     0,
       0,     0,     0,  2332,     0,  4401,     0,     0,     0,     0,
       0,  5978,     0,     0,     0,     0,     0,  2593,     0,     0,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4411,  4412,     0,     0,     0,  4413,  2589,     0,  1800,
       0,     0,  2590,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4455,     0,
       0,     0,     0,     0,     0,  2591,  2274,     0,  2523,     0,
       0,     0,     0,     0,     0,     0,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,  2592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4492,  4063,     0,     0,     0,  4498,     0,     0,     0,     0,
       0,  4504,     0,     0,     0,     0,     0,  2332,     0,     0,
       0,     0,   895,     0,     0,     0,   886,     0,     0,     0,
     956,  2593,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,  4543,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5979,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4558,     0,  4559,     0,     0,     0,     0,     0,     0,     0,
       0,   895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
       0,     0,     0,  2523,     0,     0,     0,     0,     0,     0,
       0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,     0,  1714,   955,     0,  2595,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,   955,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,  2083,     0,     0,
    2084,   955,     0,     0,  2085,  2086,  2087,     0,   886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1801,     0,  2585,     0,     0,  3998,     0,     0,  2083,     0,
       0,  2084,  2586,     0,     0,  2085,  2086,  2087,     0,  2587,
       0,   895,     0,   956,     0,     0,     0,     0,     0,     0,
       0,   956,     0,  2585,     0,     0,     0,     0,     0,   956,
       0,     0,     0,  2586,     0,  2588,     0,  2523,     0,   888,
    2587,     0,     0,     0,     0,     0,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   888,  2588,     0,     0,     0,
     946,   946,     0,   956,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   946,     0,   956,   946,     0,
       0,     0,     0,     0,     0,     0,   955,     0,     0,     0,
     956,   956,     0,     0,   955,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     946,     0,     0,     0,   946,   946,     0,   895,     0,     0,
    2589,     0,   895,   895,     0,  2590,     0,  1800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,  2591,  2274,
     886,  2589,     0,     0,     0,  4793,  2590,     0,  4800,     0,
    4801,     0,     0,     0,     0,     0,   886,     0,     0,  2592,
       0,     0,     0,  4808,     0,     0,     0,     0,     0,  2591,
    2274,   888,     0,     0,     0,  4814,     0,     0,     0,  4817,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,     0,  4843,     0,
    2332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,  2593,  1801,  4847,  2594,     0,     0,
       0,     0,  4851,     0,     0,   886,   895,     0,   886,   886,
       0,  2332,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2593,     0,  4886,  2594,     0,
       0,  4890,     0,     0,     0,     0,     0,     0,     0,   886,
     886,     0,     0,     0,     0,     0,  4900,  4901,  4902,  4903,
       0,     0,     0,     0,     0,     0,  4907,  4908,  4909,  4910,
     895,     0,     0,     0,     0,  4912,  4913,     0,     0,     0,
       0,  4920,  4921,     0,  4923,  4924,  4925,  4926,  4927,  4928,
    4929,     0,     0,     0,     0,     0,     0,     0,  2595,     0,
    4938,     0,     0,     0,  4941,  4942,  4943,  4944,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   888,     0,     0,     0,     0,  4241,  2595,
       0,     0,     0,     0,   888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4964,     0,     0,     0,
     888,     0,     0,     0,     0,     0,   955,     0,     0,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,   886,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
    2523,  2587,     0,     0,     0,     0,     0,     0,     0,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,
       0,     0,  5045,     0,     0,     0,     0,  2588,     0,     0,
    4008,  2523,     0,     0,     0,     0,     0,     0,     0,     0,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,     0,     0,  4241,     0,     0,     0,     0,
    2083,   889,  5070,  2084,  5071,     0,     0,  2085,  2086,  2087,
       0,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,   889,  4066,     0,
       0,   891,     0,     0,     0,  2586,     0,     0,     0,     0,
       0,     0,  2587,     0,     0,     0,  1800,  5097,     0,     0,
       0,     0,     0,     0,   888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,   955,
       0,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,  2589,     0,     0,   955,     0,  2590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2591,  2274,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
     955,  2592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,   955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2332,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2589,     0,     0,  2593,     0,  2590,  2594,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4034,
       0,  2591,  2274,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5237,  5238,  5239,     0,     0,     0,  5240,  5241,  5242,
    5243,     0,  1801,     0,  5245,     0,     0,     0,     0,     0,
       0,     0,     0,  2332,     0,     0,   892,     0,     0,     0,
    2595,     0,     0,     0,     0,     0,     0,  2593,     0,     0,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5265,  5266,  5267,  5268,  5269,   888,  5271,  5272,
       0,  1800,     0,     0,     0,     0,   956,     0,     0,     0,
    5281,  5282,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,   889,     0,     0,   956,     0,
       0,     0,   956,     0,     0,     0,   889,   894,     0,     0,
       0,   956,     0,     0,  5288,     0,     0,     0,     0,     0,
       0,     0,   889,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,   888,     0,     0,     0,     0,
       0,  2595,  2523,     0,     0,     0,   946,     0,   946,   946,
       0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   888,     0,     0,     0,
       0,     0,     0,   956,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   888,
       0,     0,     0,     0,  1801,   956,  5351,     0,  1801,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2083,     0,
       0,  2084,   956,  2523,  1801,  2085,  2086,  2087,   956,     0,
       0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,     0,   956,  2585,     0,     0,     0,     0,     0,   956,
       0,     0,   956,  2586,     0,     0,     0,     0,   956,     0,
    2587,  5402,     0,     0,     0,   886,   889,     0,     0,   886,
     886,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,   956,     0,  2588,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5418,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,  1801,     0,     0,     0,   886,     0,   956,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
     888,     0,  4071,     0,     0,     0,     0,     0,     0,  1801,
       0,   888,     0,     0,     0,     0,     0,     0,   639,     0,
       0,  2589,     0,     0,     0,     0,  2590,   888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   891,     0,     0,     0,  2591,
    2274,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,     0,     0,     0,     0,  3196,     0,     0,     0,
    2592,   891,  5516,     0,     0,     0,     0,     0,     0,     0,
       0,   888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5526,     0,     0,     0,     0,   888,  5532,  5533,   888,
     888,     0,     0,     0,     0,     0,     0,  5544,     0,     0,
       0,  2332,     0,     0,  5546,     0,     0,   703,  3197,     0,
       0,     0,     0,     0,     0,  2593,     0,     0,  2594,     0,
     888,   888,     0,   704,     0,     0,     0,     0,     0,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5598,
    5599,  1039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5607,     0,  5609,     0,   956,     0,  1801,     0,
       0,     0,     0,     0,     0,  3198,     0,     0,     0,  5623,
       0,     0,     0,     0,     0,   956,   707,     0,  1800,     0,
       0,     0,   956,     0,     0,   708,     0,     0,     0,   946,
       0,   946,   946,   886,  4241,     0,     0,   889,   709,     0,
       0,     0,     0,     0,  3199,     0,     0,   891,     0,  2595,
       0,     0,  5663,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1042,   955,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,   955,     0,     0,   888,   955,     0,
       0,     0,  3200,     0,     0,     0,   886,   955,     0,     0,
     886,   889,  1801,     0,     0,     0,     0,     0,  1801,     0,
     892,     0,     0,     0,   713,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5719,     0,   892,     0,     0,     0,
       0,  2523,     0,     0,     0,  5726,     0,     0,     0,   955,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
     214,  3201,   956,     0,   718,     0,     0,     0,     0,   891,
    1800,   955,     0,     0,  1800,   886,     0,   894,     0,     0,
     891,     0,  5785,     0,     0,     0,     0,     0,     0,     0,
     886,  1046,     0,     0,  3202,   886,   891,     0,   955,     0,
    1800,   722,     0,     0,   955,     0,     0,  2083,   723,     0,
    2084,   724,     0,     0,  2085,  2086,  2087,     0,   955,     0,
       0,     0,     0,   886,     0,   955,     0,     0,   955,     0,
     725,     0,  2585,     0,   955,  4078,     0,  1048,     0,     0,
       0,     0,  2586,     0,   727,     0,     0,  1049,     0,  2587,
       0,   729,   892,  4241,   955,     0,     0,  5835,     0,     0,
     955,     0,   889,     0,     0,     0,  3203,   955,     0,     0,
       0,     0,     0,   889,     0,  2588,     0,     0,     0,     0,
       0,   955,   956,   956,     0,     0,     0,     0,     0,   889,
       0,     0,   734,     0,   955,     0,     0,     0,     0,  1800,
       0,     0,     0,     0,     0,   955,     0,     0,     0,   956,
       0,     0,   956,     0,     0,     0,     0,     0,  5886,     0,
       0,     0,     0,   894,     0,     0,     0,     0,  2083,     0,
       0,  2084,  5899,     0,     0,  2085,  2086,  2087,     0,     0,
       0,     0,     0,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,     0,     0,     0,   889,     0,
     891,   889,   889,  2586,     0,  1800,     0,     0,     0,     0,
    2587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1801,  1801,  1801,     0,     0,     0,
    2589,  5938,   889,   889,     0,  2590,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,   892,     0,     0,     0,  2591,  2274,
       0,     0,     0,     0,     0,   892,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2592,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,   886,     0,   886,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,   894,     0,  6016,     0,     0,
       0,     0,     0,     0,  2593,     0,   894,  2594,     0,     0,
     700,     0,     0,     0,     0,  2743,     0,     0,     0,     0,
       0,  2589,   894,     0,     0,     0,  2590,   886,     0,  6028,
       0,     0,   955,     0,  1800,   886,     0,     0,     0,   889,
    6038,     0,     0,     0,     0,     0,   956,     0,     0,  2591,
    2274,   955,     0,  2744,     0,     0,     0,     0,   955,     0,
     886,     0,     0,     0,     0,     0,   703,     0,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1801,     0,     0,     0,     0,  2595,   956,
    1039,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2332,     0,     0,   956,   892,   956,     0,     0,     0,
       0,     0,     0,   891,  2745,  2593,     0,     0,  2594,     0,
     886,     0,   886,     0,     0,   707,     0,     0,     0,     0,
       0,     0,     0,     0,   708,  6105,     0,     0,  1800,     0,
       0,     0,     0,     0,  1800,     0,     0,   709,     0,     0,
       0,     0,     0,  2746,     0,     0,   888,     0,     0,     0,
     888,   888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,   894,     0,     0,     0,
    1042,   891,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,     0,     0,     0,     0,     0,     0,     0,     0,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,  2595,
       0,     0,     0,     0,     0,   956,   886,     0,   888,     0,
       0,     0,   891,     0,   888,     0,     0,     0,   955,     0,
       0,  2083,     0,   713,  2084,     0,     0,     0,  2085,  2086,
    2087,     0,  4618,     0,   956,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,   891,  2585,     0,   886,  4687,
       0,     0,     0,     0,     0,   888,  2586,     0,     0,   956,
       0,     0,     0,  2587,  2747,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
    2748,  2523,     0,   718,     0,     0,     0,     0,     0,     0,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1046,     0,     0,  2749,     0,     0,     0,     0,   955,   955,
     722,     0,     0,     0,   886,     0,     0,   723,   892,     0,
     724,     0,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,     0,     0,     0,     0,   955,   886,     0,   955,   725,
       0,     0,     0,     0,     0,     0,  1048,     0,     0,     0,
       0,     0,     0,   727,     0,     0,  1049,     0,   886,     0,
     729,     0,     0,     0,     0,     0,     0,     0,  2750,     0,
       0,     0,     0,     0,  2589,  2751,     0,     0,     0,  2590,
       0,     0,     0,     0,     0,     0,   892,     0,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   734,  2591,  2274,     0,     0,   891,     0,     0,     0,
    1800,  1800,  1800,     0,     0,     0,     0,   891,     0,     0,
       0,     0,     0,  2592,     0,     0,     0,   892,     0,     0,
       0,     0,     0,   891,   888,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,   955,     0,     0,   894,     0,     0,
     892,     0,     0,     0,  2332,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,     0,  2593,     0,
       0,  2594,     0,     0,     0,     0,     0,   891,     0,     0,
       0,     0,     0,   886,   956,     0,     0,     0,   894,     0,
       0,     0,   891,     0,     0,   891,   891,   888,     0,     0,
       0,   888,     0,     0,     0,     0,     0,     0,   886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,   891,   891,     0,     0,
       0,     0,     0,     0,     0,  1801,     0,     0,     0,     0,
    1801,     0,  1801,     0,     0,     0,  2083,     0,     0,  2084,
       0,     0,   955,  2085,  2086,  2087,     0,     0,     0,     0,
       0,     0,  2595,     0,     0,     0,  1801,     0,     0,     0,
       0,  2585,     0,     0,     0,     0,     0,     0,   889,     0,
       0,  2586,   889,   889,     0,     0,     0,     0,  2587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1800,
       0,     0,     0,     0,     0,   955,   888,   955,     0,     0,
       0,     0,   956,     0,  2588,   956,     0,     0,     0,     0,
     955,   888,   955,     0,     0,     0,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,   892,     0,     0,     0,     0,   889,     0,     0,     0,
       0,     0,   892,   886,   888,     0,     0,     0,     0,     0,
       0,     0,     0,   891,  2523,     0,     0,     0,   892,     0,
       0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2532,     0,     0,     0,     0,     0,   889,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,   956,     0,     0,     0,
    5130,  2083,   894,     0,  2084,     0,   956,     0,  2085,  2086,
    2087,     0,   892,   894,     0,     0,     0,     0,     0,  2589,
       0,   955,     0,   956,  2590,     0,  2585,   892,     0,   894,
     892,   892,     0,   886,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,  2587,     0,     0,     0,  2591,  2274,     0,
     955,     0,     0,     0,   955,     0,     0,     0,     0,   886,
       0,   892,   892,     0,     0,     0,     0,     0,  2592,  2588,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,   894,     0,  2083,     0,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,   894,     0,
       0,   894,   894,     0,     0,     0,     0,     0,     0,  2332,
    2585,     0,     0,     0,     0,     0,     0,     0,     0,   956,
    2586,     0,  1801,  2593,     0,     0,  2594,  2587,     0,     0,
       0,     0,   894,   894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5136,     0,     0,     0,     0,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,     0,
     888,     0,     0,   888,  2589,   888,   889,     0,     0,  2590,
     888,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,  2274,     0,     0,     0,  2595,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2592,     0,     0,     0,     0,   888,     0,
       0,     0,  2083,  5137,     0,  2084,   888,     0,   886,  2085,
    2086,  2087,     0,   886,     0,     0,     0,     0,     0,   889,
       0,     0,     0,   889,     0,     0,     0,  2585,  2589,   894,
       0,   888,     0,  2590,  2332,     0,     0,  2586,     0,     0,
       0,     0,     0,     0,  2587,     0,     0,     0,  2593,     0,
       0,  2594,     0,     0,     0,     0,  2591,  2274,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,     0,     0,  2592,     0,  2523,
       0,     0,     0,     0,     0,     0,     0,     0,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,
     955,   888,     0,   888,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,  2593,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,  2595,   889,     0,     0,     0,     0,   889,   956,
       0,  1800,     0,     0,     0,     0,  1800,     0,  1800,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   889,     0,     0,   886,
       0,     0,  1800,     0,     0,  2589,     0,     0,     0,     0,
    2590,     0,     0,     0,     0,   956,     0,   888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2591,  2274,     0,     0,     0,   959,     0,
       0,     0,     0,     0,     0,     0,  2595,     0,   955,     0,
     993,   955,     0,     0,  2592,     0,     0,     0,     0,   888,
       0,  1012,     0,     0,  2523,     0,     0,     0,     0,     0,
       0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2532,     0,     0,     0,     0,     0,   888,     0,     0,
       0,     0,     0,  1801,     0,  2332,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2593,
       0,     0,   956,     0,   886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   891,     0,     0,     0,   891,   891,     0,     0,
       0,   955,   955,     0,     0,     0,     0,     0,  2523,     0,
       0,     0,   955,     0,   886,   888,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,   886,   888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   891,     0,     0,     0,     0,   888,
     891,     0,     0,  2595,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,  2083,     0,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
       0,     0,   889,     0,     0,   889,     0,   889,     0,     0,
    2585,   891,   889,     0,     0,     0,     0,     0,   886,     0,
    2586,     0,     0,     0,     0,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,  1800,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,     0,     0,
     889,   888,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,  2523,     0,     0,     0,     0,
       0,     0,     0,     0,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,   889,     0,   956,     0,   956,     0,     0,
       0,     0,     0,     0,   888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5138,     0,     0,     0,     0,     0,     0,   888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,   956,     0,     0,     0,   892,     0,     0,
       0,   892,   892,   946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   889,     0,   889,     0,     0,  2589,     0,
       0,     0,     0,  2590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1801,     0,     0,  2591,  2274,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   892,
       0,     0,     0,     0,     0,   892,     0,  2592,   894,     0,
     891,     0,   894,   894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1032,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,   892,     0,  2332,   889,
       0,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2593,     0,   888,  2594,     0,     0,     0,     0,
     894,     0,     0,     0,     0,   886,   894,     0,     0,     0,
       0,     0,     0,   891,     0,     0,     0,   891,     0,     0,
       0,   889,     0,     0,     0,   955,     0,  2083,     0,     0,
    2084,     0,     0,     0,  2085,  2086,  2087,   955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,   889,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2586,     0,   886,     0,     0,     0,     0,  2587,
       0,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   888,     0,  2595,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     888,     0,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,   891,  2083,     0,     0,  2084,     0,     0,     0,
    2085,  2086,  2087,     0,     0,     0,   956,   891,     0,   889,
       0,     0,   891,     0,  1372,     0,     0,     0,  2585,  1800,
     956,     0,     0,     0,     0,     0,     0,     0,  2586,     0,
       0,   889,     0,  1395,     0,  2587,     0,     0,   955,     0,
     891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1801,     0,     0,   886,   892,     0,     0,  2523,     0,
       0,  2588,     0,     0,     0,     0,     0,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,     0,     0,     0,     0,
    2589,     0,     0,     0,     0,  2590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,  2591,  2274,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   888,   889,     0,     0,   894,     0,   892,  2592,
       0,     0,   892,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,  5665,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,     0,     0,     0,     0,     0,   889,     0,     0,   888,
    2332,     0,     0,     0,   888,     0,  2589,     0,     0,     0,
       0,  2590,     0,     0,  2593,     0,     0,  2594,     0,     0,
     886,   889,     0,     0,     0,   886,   886,     0,     0,   894,
       0,     0,     0,   894,  2591,  2274,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1801,     0,   956,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
       0,     0,     0,  2083,     0,     0,  2084,   892,     0,     0,
    2085,  2086,  2087,     0,     0,     0,     0,     0,     0,     0,
       0,   955,   892,   955,     0,     0,     0,   892,  2585,     0,
       0,     0,     0,     0,     0,  1850,  2332,     0,  2586,     0,
       0,     0,     0,     0,     0,  2587,   891,     0,  2595,   891,
    2593,   891,     0,  2594,     0,   892,   891,     0,     0,     0,
       0,     0,     0,     0,  1884,  1887,  1888,     0,     0,   955,
       0,  2588,     0,     0,     0,     0,     0,     0,   894,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,   891,     0,   889,     0,     0,     0,
     888,     0,   891,     0,     0,     0,     0,   956,     0,  1800,
       0,     0,     0,     0,  5487,     0,   894,     0,     0,     0,
     946,     0,     0,   886,     0,     0,     0,   891,     0,     0,
       0,     0,     0,   956,  2595,     0,     0,     0,     0,     0,
    2523,     0,     0,     0,     0,     0,     0,     0,     0,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,     0,     0,
       0,     0,     0,     0,     0,  1372,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2589,     0,     0,     0,
       0,  2590,     0,     0,     0,     0,   889,     0,     0,     0,
       0,     0,     0,   946,   946,     0,     0,   891,  1372,   891,
       0,     0,     0,     0,  2591,  2274,     0,     0,     0,     0,
       0,     0,   889,     0,     0,   888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,  1347,  1347,     0,
       0,     0,     0,     0,     0,     0,  2523,     0,     0,     0,
       0,     0,     0,     0,     0,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,   956,   888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   888,     0,     0,
    2593,   892,     0,  2594,   892,     0,   892,     0,     0,     0,
       0,   892,     0,   891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,   891,     0,     0,     0,   892,
       0,     0,     0,  2579,     0,     0,   955,   892,     0,   888,
       0,     0,   894,     0,   889,   894,     0,   894,     0,     0,
       0,     0,   894,   891,     0,     0,     0,     0,     0,     0,
       0,     0,   892,     0,  2595,     0,     0,  1800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1801,     0,     0,     0,     0,     0,     0,
       0,   889,     0,     0,     0,     0,   889,     0,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,  2670,     0,     0,  1711,  1715,     0,     0,
       0,   891,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,     0,   892,   894,   892,     0,   946,   946,     0,     0,
       0,     0,     0,   891,     0,     0,  1801,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     888,     0,     0,     0,     0,   891,  2523,     0,     0,     0,
       0,     0,     0,     0,  1800,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2786,     0,     0,
       0,     0,     0,   894,     0,   894,  2809,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,  1800,     0,   955,     0,     0,  2847,     0,
       0,     0,     0,     0,  2859,  2859,     0,     0,  2859,     0,
       0,     0,     0,     0,     0,     0,     0,   891,     0,     0,
       0,  2877,   889,     0,  2880,     0,     0,     0,     0,     0,
     892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,   894,
     891,     0,     0,     0,     0,     0,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2933,
       0,     0,     0,     0,     0,   891,     0,     0,     0,     0,
       0,     0,     0,  2952,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2034,   955,     0,   888,   892,     0,     0,   894,
       0,     0,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,   955,
       0,     0,     0,     0,     0,     0,     0,  2053,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,     0,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,  2072,  2073,  2074,     0,
    2076,     0,     0,     0,     0,     0,     0,   894,     0,   889,
       0,     0,     0,  2974,     0,     0,     0,     0,     0,     0,
    2541,     0,     0,     0,  2977,     0,     0,     0,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,   888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3021,  2859,     0,     0,
       0,     0,   892,     0,     0,     0,     0,     0,     0,     0,
     955,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3056,     0,     0,     0,     0,     0,     1,  3069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     2,     0,
       3,     4,     0,     0,     0,   892,     0,     0,     0,     0,
       0,     0,     0,  2637,     0,     0,     0,  2649,  2654,     0,
     891,     0,     0,     0,     0,     0,     0,     0,     6,     0,
     892,     0,     0,   894,     0,     0,     0,     0,     0,     0,
       7,     0,     8,     9,     0,     0,   891,     0,     0,    10,
       0,    11,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3130,     0,    12,  2670,    13,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
       0,   888,    14,     0,     0,    15,   888,   888,     0,     0,
    2534,     0,   889,     0,     0,     0,  1372,  1372,     0,     0,
      16,   894,    17,     0,     0,     0,    18,     0,     0,  1800,
       0,     0,  5638,  3186,     0,     0,  3188,     0,     0,     0,
      20,     0,    21,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2534,     0,    23,     0,     0,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    24,     0,     0,     0,     0,     0,
       0,     0,  1800,     0,     0,   892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    25,    26,     0,     0,     0,     0,    27,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    28,     0,     0,     0,   891,     0,     0,   889,     0,
     891,     0,     0,     0,     0,     0,   894,     0,     0,    29,
       0,     0,     0,     0,   888,     0,     0,     0,     0,     0,
    1711,  1711,  1711,     0,     0,   892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    30,     0,     0,     0,
       0,   892,     0,     0,    31,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,     0,     0,    33,    34,     0,    35,     0,     0,
       0,     0,    36,     0,     0,  4533,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,   894,     0,    39,     0,
       0,     0,     0,     0,     0,    40,    41,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,    43,     0,     0,
       0,     0,   894,     0,     0,     0,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,   891,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,   889,     0,     0,
      48,     0,     0,     0,     0,    49,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,     0,     0,  2534,     0,
       0,     0,    51,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,    57,     0,     0,  -136,   892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,   652,   889,     0,     0,   894,     0,   889,   889,
       0,   891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   653,     0,     0,
       0,     0,     0,   891,     0,     0,     0,     0,     0,     0,
     654,  3214,     0,     0,     0,     0,     0,     0,     0,     0,
    3234,  3234,  3239,  3245,     0,     0,  -873,  3250,     0,  3251,
       0,  3253,     0,     0,  3267,  3270,  3275,     0,     0,     0,
       0,     0,  3284,     0,   655,  3289,     0,   700,     0,     0,
     656,     0,  1035,     0,     0,     0,     0,     0,     0,     0,
    3296,  3297,  3298,  3363,     0,     0,     0,     0,   657,     0,
       0,   892,     0,  3368,     0,   891,     0,     0,  3299,   658,
       0,     0,     0,     0,     0,     0,     0,     0,   659,     0,
    1036,     0,   889,     0,     0,     0,     0,     0,     0,     0,
       0,   660,  1453,   703,  1037,     0,     0,     0,     0,     0,
     661,     0,     0,     0,   662,  1038,     0,     0,     0,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -1079,     0,     0,  1039,     0,     0,
       0,     0,   894,     0,     0,     0,   889,     0,     0,  1453,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1040,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   707,     0,     0,     0,     0,   663,     0,     0,
       0,   708,     0,  1372,     0,     0,   892,  -609,     0,     0,
       0,     0,     0,     0,   709,     0,   891,  2534,     0,     0,
    1041,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2534,     0,     0,     0,
    3263,     0,  3306,     0,     0,     0,   892,  1042,   664,     0,
       0,   665,     0,     0,     0,  2534,  2534,  2534,     0,  2534,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,   666,     0,     0,     0,   894,  1043,     0,
       0,     0,     0,     0,     0,     0,     0,   667,     0,  3325,
       0,     0,     0,     0,  -463,     0,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   668,     0,     0,   894,     0,     0,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,  -463,     0,     0,   670,  3571,     0,     0,     0,   894,
     892,  1044,  3327,     0,     0,     0,     0,     0,     0,     0,
    3593,     0,     0,   671,     0,     0,     0,     0,     0,     0,
     672,     0,   891,     0,     0,     0,   716,  -463,     0,     0,
     673,   674,  3621,   675,   676,     0,   214,  1045,     0,     0,
     718,     0,     0,     0,     0,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,   678,     0,     0,   679,
       0,     0,   680,     0,     0,     0,     0,  1046,     0,     0,
    1047,   894,     0,     0,   721,  -463,     0,   722,     0,     0,
       0,   891,     0,     0,   723,     0,     0,   724,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   725,     0,     0,     0,
       0,     0,     0,  1048,     0,     0,     0,     0,  3699,  3700,
     727,   892,     0,  1049,     0,     0,     0,   729,     0,     0,
       0,     0,     0,     0,     0,  1050,     0,   731,     0,   198,
       0,     0,  1051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3334,
    3335,  3336,  3337,  3338,  3339,  3340,  3341,  3342,     0,  3343,
     199,     0,   894,     0,     0,     0,     0,     0,     0,     0,
    1347,   891,  1711,     0,     0,     0,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3823,
       0,     0,     0,     0,   201,     0,     0,     0,     0,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3299,     0,     0,     0,  3306,     0,     0,  3325,   203,  3327,
       0,     0,  3380,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,   892,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   206,     0,     0,     0,     0,     0,   207,     0,     0,
       0,     0,     0,     0,   208,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2073,  2074,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   891,   894,     0,
       0,     0,   891,   891,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,     0,  3513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,   215,     0,   892,   216,     0,     0,
       0,     0,     0,     0,     0,     0,   891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   218,     0,     0,
    2534,   219,     0,     0,   220,     0,     0,     0,     0,     0,
       0,   221,  2534,     0,   222,     0,     0,  2534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     891,     0,     0,   223,     0,     0,     0,   894,     0,     0,
     224,     0,     0,     0,     0,   225,     0,   226,     0,     0,
     227,     0,     0,     0,   228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,  4134,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,  1453,     0,
       0,     0,   892,     0,     0,     0,     0,   892,   892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3755,  3756,  1711,     0,     0,     0,  3760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,  3789,     0,     0,   894,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,  4328,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2859,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3994,     0,     0,     0,
       0,  4000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2076,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3275,     0,  3275,  3275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4081,     0,     0,  4084,     0,  4086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4113,     0,  4116,     0,  4118,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4459,  4460,  4461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4470,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4495,  4497,     0,  2534,     0,  4502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,  4185,     0,
       0,     0,  2534,  2637,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,  2534,  2534,     0,  2534,     0,  2654,     0,
       0,  3263,  3263,     0,  4057,     0,  3263,     0,     0,     0,
    2534,     0,     0,  2534,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,     0,     0,
       0,     0,  2534,     0,     0,     0,     0,     0,     0,  2534,
    2534,  2534,  2534,     0,     0,     0,  3263,  3263,     0,  2534,
       0,     0,     0,  4220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,     0,
    2534,     0,     0,     0,     0,  1372,     0,  2534,  2534,  2534,
    2534,  2534,  2534,  2534,  2534,  2534,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4721,  4722,  4723,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1711,     0,     0,     0,
       0,     0,  1711,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4482,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,  2534,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4974,     0,     0,     0,     0,
    4619,     0,     0,     0,     0,     0,     0,     0,     0,  4623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3234,
       0,     0,     0,  3234,  3234,     0,     0,  5006,     0,  3245,
       0,     0,     0,     0,     0,     0,     0,  4641,     0,  4642,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3069,
       0,     0,     0,     0,     0,     0,  4664,  4665,  4666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3284,     0,     0,     0,     0,
       0,     0,     0,  4690,  5064,     0,  4693,     0,  4695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3130,     0,     0,     0,     0,  4701,     0,     0,     0,
       0,     0,     0,     0,  4708,  4709,     0,     0,     0,     0,
       0,  4714,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,     0,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4766,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4057,  4057,     0,     0,  3263,  3263,  3263,  3263,     0,
       0,  3263,  3263,  3263,  3263,  3263,  3263,  3263,  3263,  3263,
    3263,  4057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5175,  5176,  5177,  5178,
       0,     0,     0,     0,  2534,     0,     0,  2534,     0,  2534,
       0,     0,  4057,  4057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2534,  3263,  3263,  2534,
       0,  2534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5052,  5053,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5085,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5390,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5114,     0,     0,     0,     0,     0,     0,
       0,     0,  3263,     0,     0,     0,  2637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5132,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5151,
    5153,     0,     0,     0,     0,     0,  5157,  5158,     0,     0,
       0,  5159,     0,     0,     0,     0,     0,     0,  5162,     0,
       0,  5165,  5166,     0,     0,     0,     0,     0,  5171,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,  5212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,  2534,     0,     0,     0,     0,
    4057,  4057,  4057,  4057,     0,     0,     0,  4057,  4057,  4057,
    4057,  4057,  4057,  4057,  4057,  4057,  4057,  2534,  2534,  2534,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2534,  5582,     0,  2534,     0,  2534,  1372,
       0,     0,  5284,     0,  2534,     0,     0,  4057,  4057,  5286,
       0,  2534,  2534,     0,     0,     0,     0,  2534,  5612,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2534,
       0,     0,     0,     0,     0,     0,     0,  5321,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5422,     0,     0,     0,     0,
       0,  5426,  5427,  5428,     0,     0,     0,     0,     0,     0,
       0,     0,  5792,     0,     0,     0,     0,     0,  4057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5441,  5442,
       0,     0,  5443,     0,     0,     0,     0,     0,     0,     0,
       0,  5815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5462,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5480,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2534,  2534,     0,     0,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2534,  3263,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,  2534,     0,     0,     0,
    2534,  2534,  2534,     0,     0,  2534,     0,     0,  2534,  2534,
       0,     0,     0,     0,  2534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,     0,     0,  2534,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,  5662,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3284,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,  2076,  2534,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5733,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2534,     0,  4057,  3263,  2534,
    2534,  2534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,  2534,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3263,     0,
       0,  4057,     0,     0,     0,  2534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5841,     0,     0,  2534,     0,     0,     0,     0,     0,  5848,
    5848,  5848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5480,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5848,     0,     0,     0,     0,  2534,     0,     0,     0,  4057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5480,     0,     0,     0,     0,  4057,  6004,
    3263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6045,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,     0,     0,     0,     0,
       0,  2534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5848,     0,
       0,  2534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3263,  3263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,     0,     0,
    1711,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4057,  4057,     0,   235,     0,
    1258,   695,     0,  1259,  1260,  1261,   757,  1262,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,  1705,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,  2534,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,  1282,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,  1706,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,  1302,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,  1306,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  1310,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
    1320,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,  1707,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1333,  1708,     0,     0,     0,     0,     0,     0,  1335,
    1709,   235,     0,  1258,   695,     0,  1259,  1260,  1261,   757,
    1262,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,  1263,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,  1264,   261,  1265,  1266,     0,   264,   265,   266,   267,
     268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,
       0,   276,   277,   278,   279,  1271,     0,  1272,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,
     305,   306,   307,   308,  1280,  1281,   311,  1282,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   869,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,  1283,   340,   341,   342,   343,  1284,  1285,   345,
       0,   346,   347,   348,  1286,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
    1287,     0,  1288,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,  1289,  1290,     0,  1291,     0,   393,   394,
     395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,
     405,   406,   407,   408,     0,     0,   409,  1296,   411,   412,
     413,     0,   414,   415,   416,  1297,  1298,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1299,   436,  1300,   438,   439,
     440,   441,   442,   443,   444,   445,  1301,   447,  1302,   448,
     449,   450,   451,  1303,  1304,   453,  1305,   455,   456,   457,
       0,   458,   459,     0,     0,  1306,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,  1307,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,  1308,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1309,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,  1310,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    41,   535,   536,
     537,   538,   539,  1311,   540,   541,   542,   543,   544,   545,
     546,   547,  1312,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1313,   564,
       0,   565,   566,  1314,    45,   567,   568,   569,   570,   571,
     572,   573,     0,   574,  1315,  1316,     0,     0,   577,   578,
    1317,   580,  1318,  1319,   582,   583,   584,   585,   586,   587,
     588,   589,     0,  1320,   590,   591,   592,   593,   594,  1321,
       0,   595,   596,   597,   598,   599,  1186,  1322,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,    50,
     609,   610,   611,   612,   613,   614,   615,  1323,  1324,  1325,
    1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,
       0,  1331,     0,    51,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,  1333,     0,     0,     0,     0,     0,
       0,     0,  1335,  5699,   235,     0,  1258,   695,     0,  1259,
    1260,  1261,   757,  1262,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,  1263,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,  1264,   261,  1265,  1266,     0,   264,
     265,   266,   267,   268,   269,   270,  1267,  1268,   271,   272,
    1269,  1270,   275,     0,   276,   277,   278,   279,  1271,     0,
    1272,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,
    1279,   303,   304,   305,   306,   307,   308,  1280,  1281,   311,
    1282,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   869,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,  1283,   340,   341,   342,   343,
    1284,  1285,   345,     0,   346,   347,   348,  1286,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,  1287,     0,  1288,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,  1289,  1290,     0,  1291,
       0,   393,   394,   395,   396,   397,   398,  1292,  1293,  1294,
    1295,   403,   404,   405,   406,   407,   408,     0,     0,   409,
    1296,   411,   412,   413,     0,   414,   415,   416,  1297,  1298,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1299,   436,
    1300,   438,   439,   440,   441,   442,   443,   444,   445,  1301,
     447,  1302,   448,   449,   450,   451,  1303,  1304,   453,  1305,
     455,   456,   457,     0,   458,   459,     0,     0,  1306,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,  1307,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,  1308,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1309,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,  1310,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,  1311,   540,   541,   542,
     543,   544,   545,   546,   547,  1312,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,  1313,   564,     0,   565,   566,  1314,     0,   567,   568,
     569,   570,   571,   572,   573,     0,   574,  1315,  1316,     0,
       0,   577,   578,  1317,   580,  1318,  1319,   582,   583,   584,
     585,   586,   587,   588,   589,     0,  1320,   590,   591,   592,
     593,   594,  1321,     0,   595,   596,   597,   598,   599,   600,
    1322,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
    1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,
     626,   627,   628,     0,  1331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1332,  1333,     0,     0,
       0,     0,     0,     0,     0,  1335,  3265,   235,     0,  1258,
     695,     0,  1259,  1260,  1261,   757,  1262,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,  1263,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,   255,   256,   257,   258,   259,  1264,   261,  1265,
    1266,     0,   264,   265,   266,   267,   268,   269,   270,  1267,
    1268,   271,   272,  1269,  1270,   275,     0,   276,   277,   278,
     279,  1271,     0,  1272,     0,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1273,  1274,  1275,
    1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,   308,
    1280,  1281,   311,  1282,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   869,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,  1283,   340,
     341,   342,   343,  1284,  1285,   345,     0,   346,   347,   348,
    1286,   350,     0,   351,     0,   352,   353,   354,     0,   355,
     356,   357,   358,   359,     0,   360,  1287,     0,  1288,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,   384,   385,   386,   387,   388,   389,  1289,
    1290,     0,  1291,     0,   393,   394,   395,   396,   397,   398,
    1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,   408,
       0,     0,   409,  1296,   411,   412,   413,     0,   414,   415,
     416,  1297,  1298,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1299,   436,  1300,   438,   439,   440,   441,   442,   443,
     444,   445,  1301,   447,  1302,   448,   449,   450,   451,  1303,
    1304,   453,  1305,   455,   456,   457,     0,   458,   459,     0,
       0,  1306,   461,   462,     0,     0,   463,   464,   465,   466,
     467,   468,  1307,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,  1308,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1309,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,  1310,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,  1311,
     540,   541,   542,   543,   544,   545,   546,   547,  1312,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,  1313,   564,     0,   565,   566,  1314,
       0,   567,   568,   569,   570,   571,   572,   573,     0,   574,
    1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,  1319,
     582,   583,   584,   585,   586,   587,   588,   589,     0,  1320,
     590,   591,   592,   593,   594,  1321,     0,   595,   596,   597,
     598,   599,   600,  1322,     0,   602,   603,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,  1328,
    1329,  1330,   625,   626,   627,   628,     0,  1331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1332,
    1333,     0,     0,     0,     0,     0,     0,     0,  1335,  4643,
     235,     0,  1258,   695,     0,  1259,  1260,  1261,   757,  1262,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,  1263,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,   259,
    1264,   261,  1265,  1266,     0,   264,   265,   266,   267,   268,
     269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,
     276,   277,   278,   279,  1271,     0,  1272,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,
     306,   307,   308,  1280,  1281,   311,  1282,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,  1283,   340,   341,   342,   343,  1284,  1285,   345,     0,
     346,   347,   348,  1286,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,  1287,
       0,  1288,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,   385,   386,   387,
     388,   389,  1289,  1290,     0,  1291,     0,   393,   394,   395,
     396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,
     406,   407,   408,     0,     0,   409,  1296,   411,   412,   413,
       0,   414,   415,   416,  1297,  1298,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,  1299,   436,  1300,   438,   439,   440,
     441,   442,   443,   444,   445,  1301,   447,  1302,   448,   449,
     450,   451,  1303,  1304,   453,  1305,   455,   456,   457,     0,
     458,   459,     0,     0,  1306,   461,   462,     0,     0,   463,
     464,   465,   466,   467,   468,  1307,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
    1308,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  1309,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,  1310,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,  1311,   540,   541,   542,   543,   544,   545,   546,
     547,  1312,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,  1313,   564,     0,
     565,   566,  1314,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,  1315,  1316,     0,     0,   577,   578,  1317,
     580,  1318,  1319,   582,   583,   584,   585,   586,   587,   588,
     589,     0,  1320,   590,   591,   592,   593,   594,  1321,     0,
     595,   596,   597,   598,   599,   600,  1322,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,
     620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,
    1331,     0,     0,     0,     0,     0,   636,     0,     0,     0,
       0,     0,  1332,  1333,     0,     0,     0,     0,     0,     0,
       0,  1335,  4711,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,  4163,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0, -1817,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0, -1817,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383, -1817,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396, -1817,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410, -1817,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435, -1817,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517, -1817,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,     0,     0,     0,     0,     0,
       0,     0,   861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,     0,   862,   261,   863,   864,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   865,   866,
     275,     0,   276,   277,   278,   279,     0,     0,   281,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   867,   868,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   869,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   340,   341,   342,   343,     0,     0,
     345,     0,   346,   347,   348,   870,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,     0,     0,     0,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,  2679,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,  2680,
     386,   387,   388,   389,   871,   872,     0,   873,     0,   393,
     394,   395,   396,   397,   398,     0,     0,     0,     0,   403,
     404,   405,   406,   407,   408,     0,     0,   409,     0,   411,
     412,   413,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   874,   436,   875,   438,
     439,   440,   441,   442,   443,   444,     0,     0,   447,     0,
     448,   449,   450,   451,     0,     0,   453,   876,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,  2682,   466,   467,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,     0,   483,     0,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   877,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,  2683,   543,   544,
     545,   546,   547,   879,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,     0,
     564,     0,   565,   566,     0,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,   880,   881,     0,     0,   577,
     578,     0,   580,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   882,  2684,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,     0,   861,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   626,   627,
     628,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,  2780,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,     0,   862,   261,
     863,   864,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   865,   866,   275,     0,   276,   277,
     278,   279,     0,     0,   281,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   867,   868,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     340,   341,   342,   343,     0,     0,   345,     0,   346,   347,
     348,   870,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,     0,     0,     0,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,  2679,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,  2680,   386,   387,   388,   389,
     871,   872,     0,   873,     0,   393,   394,   395,   396,   397,
     398,     0,     0,     0,     0,   403,   404,   405,   406,   407,
     408,     0,     0,   409,     0,   411,   412,   413,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   874,   436,   875,   438,   439,   440,   441,   442,
     443,   444,     0,     0,   447,     0,   448,   449,   450,   451,
       0,     0,   453,   876,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,  2682,
     466,   467,   468,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,     0,   483,
       0,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   877,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,  2683,   543,   544,   545,   546,   547,   879,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,     0,   564,     0,   565,   566,
       0,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   880,   881,     0,     0,   577,   578,     0,   580,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   882,  2684,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,     0,   235,     0,  1258,   695,     0,  1259,
    1260,  1261,   757,  1262,   626,   627,   628,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,  1263,     0,
    3878,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,  1264,   261,  1265,  1266,     0,   264,
     265,   266,   267,   268,   269,   270,  1267,  1268,   271,   272,
    1269,  1270,   275,     0,   276,   277,   278,   279,  1271,     0,
    1272,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,
    1279,   303,   304,   305,   306,   307,   308,  1280,  1281,   311,
    1282,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   869,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,  1283,   340,   341,   342,   343,
    1284,  1285,   345,     0,   346,   347,   348,  1286,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,  1287,     0,  1288,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,  1289,  1290,     0,  1291,
       0,   393,   394,   395,   396,   397,   398,  1292,  1293,  1294,
    1295,   403,   404,   405,   406,   407,   408,     0,     0,   409,
    1296,   411,   412,   413,     0,   414,   415,   416,  1297,  1298,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1299,   436,
    1300,   438,   439,   440,   441,   442,   443,   444,   445,  1301,
     447,  1302,   448,   449,   450,   451,  1303,  1304,   453,  1305,
     455,   456,   457,     0,   458,   459,     0,     0,  1306,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,  1307,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,  1308,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1309,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
    3231,   516,   517,   518,   519,   520,   521,   522,   523,  1310,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      41,   535,   536,   537,   538,   539,  1311,   540,   541,   542,
     543,   544,   545,   546,   547,  1312,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,  1313,   564,     0,   565,   566,  1314,    45,   567,   568,
     569,   570,   571,   572,   573,     0,   574,  1315,  1316,     0,
       0,   577,   578,  1317,   580,  1318,  1319,   582,   583,   584,
     585,   586,   587,   588,   589,     0,  1320,   590,   591,   592,
     593,   594,  1321,     0,   595,   596,   597,   598,   599,  1186,
    1322,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,    50,   609,   610,   611,   612,   613,   614,   615,
    1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,
     626,   627,   628,     0,  1331,     0,    51,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1332,  1333,     0,     0,
       0,   235,     0,  1258,   695,  1335,  1259,  1260,  1261,   757,
    1262,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,  1263,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,  1264,   261,  1265,  1266,     0,   264,   265,   266,   267,
     268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,
       0,   276,   277,   278,   279,  1271,     0,  1272,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,
     305,   306,   307,   308,  1280,  1281,   311,  1282,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   869,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,  1283,   340,   341,   342,   343,  1284,  1285,   345,
       0,   346,   347,   348,  1286,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
    1287,     0,  1288,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,  1289,  1290,     0,  1291,     0,   393,   394,
     395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,
     405,   406,   407,   408,     0,     0,   409,  1296,   411,   412,
     413,     0,   414,   415,   416,  1297,  1298,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1299,   436,  1300,   438,   439,
     440,   441,   442,   443,   444,   445,  1301,   447,  1302,   448,
     449,   450,   451,  1303,  1304,   453,  1305,   455,   456,   457,
       0,   458,   459,     0,     0,  1306,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,  1307,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,  1308,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1309,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,  1310,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    41,   535,   536,
     537,   538,   539,  1311,   540,   541,   542,   543,   544,   545,
     546,   547,  1312,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1313,   564,
       0,   565,   566,  1314,    45,   567,   568,   569,   570,   571,
     572,   573,     0,   574,  1315,  1316,     0,     0,   577,   578,
    1317,   580,  1318,  1319,   582,   583,   584,   585,   586,   587,
     588,   589,     0,  1320,   590,   591,   592,   593,   594,  1321,
       0,   595,   596,   597,   598,   599,  1186,  1322,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,    50,
     609,   610,   611,   612,   613,   614,   615,  1323,  1324,  1325,
    1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,
       0,  1331,     0,    51,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,  1333,     0,     0,     0,   235,     0,
    1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,  3271,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,  1282,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,  3272,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,  3273,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,  1302,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,  1306,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  1310,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,  3274,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
    1320,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1333,     0,     0,     0,   235,     0,  1258,   695,  1335,
    1259,  1260,  1261,   757,  1262,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244, -2221,   245,   246,   247,     0,     0,     0, -2221,  1263,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,  1264,   261,  1265,  1266,     0,
     264,   265,   266,   267,   268,   269,   270,  1267,  1268,   271,
     272,  1269,  1270,   275,     0,   276,   277,   278,   279,  1271,
       0,  1272,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1273,  1274,  1275,  1276,  1277,
    1278,  1279,   303,   304,   305,   306,   307,   308,  1280,  1281,
     311,  1282,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,  1283,   340,   341,   342,
     343,  1284,  1285,   345,     0,   346,   347,   348,  1286,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,  1287,     0,  1288,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,  1289,  1290,     0,
    1291,     0,   393,   394,   395,   396,   397,   398,  1292,  1293,
    1294,  1295,   403,   404,   405,   406,   407,   408,     0,     0,
     409,  1296,   411,   412,   413,     0,   414,   415,   416,  1297,
    1298,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,  1299,
     436,  1300,   438,   439,   440,   441,   442,   443,   444,   445,
    1301,   447,  1302,   448,   449,   450,   451,  1303,  1304,   453,
    1305,   455,   456,   457,     0,   458,   459,     0,     0,  1306,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
    1307,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,  1308,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,  1309,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
    1310,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,  1311,   540,   541,
     542,   543,   544,   545,   546,   547,  1312,   549, -2221,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1313,   564,     0,   565,   566,  1314,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,  1315,  1316,
       0,     0,   577,   578,  1317,   580,  1318,  1319,   582,   583,
     584,   585,   586,   587,   588,   589,     0,  1320,   590,   591,
     592,   593,   594,  1321,     0,   595,   596,   597,   598,   599,
     600,  1322,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,  1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,
     625,   626,   627,   628,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1332,  1333,     0,
       0,     0,   235,     0,  1258,   695,  1335,  1259,  1260,  1261,
     757,  1262,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244, -2219,   245,
     246,   247,     0,     0,     0, -2219,  1263,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,   259,  1264,   261,  1265,  1266,     0,   264,   265,   266,
     267,   268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,
     275,     0,   276,   277,   278,   279,  1271,     0,  1272,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,
     304,   305,   306,   307,   308,  1280,  1281,   311,  1282,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   869,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,  1283,   340,   341,   342,   343,  1284,  1285,
     345,     0,   346,   347,   348,  1286,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,  1287,     0,  1288,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,   385,
     386,   387,   388,   389,  1289,  1290,     0,  1291,     0,   393,
     394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,
     404,   405,   406,   407,   408,     0,     0,   409,  1296,   411,
     412,   413,     0,   414,   415,   416,  1297,  1298,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1299,   436,  1300,   438,
     439,   440,   441,   442,   443,   444,   445,  1301,   447,  1302,
     448,   449,   450,   451,  1303,  1304,   453,  1305,   455,   456,
     457,     0,   458,   459,     0,     0,  1306,   461,   462,     0,
       0,   463,   464,   465,   466,   467,   468,  1307,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,  1308,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1309,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,  1310,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,  1311,   540,   541,   542,   543,   544,
     545,   546,   547,  1312,   549, -2219,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,  1313,
     564,     0,   565,   566,  1314,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,  1315,  1316,     0,     0,   577,
     578,  1317,   580,  1318,  1319,   582,   583,   584,   585,   586,
     587,   588,   589,     0,  1320,   590,   591,   592,   593,   594,
    1321,     0,   595,   596,   597,   598,   599,   600,  1322,     0,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,  1323,  1324,
    1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,
     628,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1332,  1333,     0,     0,     0,   235,
       0,  1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,  1263,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,   259,  1264,
     261,  1265,  1266,     0,   264,   265,   266,   267,   268,   269,
     270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,
     277,   278,   279,  1271,     0,  1272,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1273,
    1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,
     307,   308,  1280,  1281,   311,  1282,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   869,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
    1283,   340,   341,   342,   343,  1284,  1285,   345,     0,   346,
     347,   348,  1286,   350,     0,   351,     0,   352,   353,   354,
       0,   355,   356,   357,   358,   359,     0,   360,  1287,     0,
    1288,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,   385,   386,   387,   388,
     389,  1289,  1290,     0,  1291,     0,   393,   394,   395,   396,
     397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,
     407,   408,     0,     0,   409,  1296,   411,   412,   413,     0,
     414,   415,   416,  1297,  1298,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1299,   436,  1300,   438,   439,   440,   441,
     442,   443,   444,   445,  1301,   447,  1302,   448,   449,   450,
     451,  1303,  1304,   453,  1305,   455,   456,   457,     0,   458,
     459,     0,     0,  1306,   461,   462,     0,     0,   463,   464,
     465,   466,   467,   468,  1307,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,  1308,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1309,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,  1310,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,  1311,   540,   541,   542,   543,   544,   545,   546,   547,
    1312,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,  1313,   564,     0,   565,
     566,  1314,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,  1315,  1316,     0,     0,   577,   578,  1317,   580,
    1318,  1319,   582,   583,   584,   585,   586,   587,   588,   589,
       0,  1320,   590,   591,   592,   593,   594,  1321,     0,   595,
     596,   597,   598,   599,   600,  1322,     0,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,
    1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1332,  1333,     0,     0,     0,     0,     0,  2031,  3207,
    1335,   235,     0,  1258,   695,     0,  1259,  1260,  1261,   757,
    1262,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,  1263,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,  1264,   261,  1265,  1266,     0,   264,   265,   266,   267,
     268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,
       0,   276,   277,   278,   279,  1271,     0,  1272,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,
     305,   306,   307,   308,  1280,  1281,   311,  1282,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   869,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,  1283,   340,   341,   342,   343,  1284,  1285,   345,
       0,   346,   347,   348,  1286,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
    1287,     0,  1288,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,  1289,  1290,     0,  1291,     0,   393,   394,
     395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,
     405,   406,   407,   408,     0,     0,   409,  1296,   411,   412,
     413,     0,   414,   415,   416,  1297,  1298,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1299,   436,  1300,   438,   439,
     440,   441,   442,   443,   444,   445,  1301,   447,  1302,   448,
     449,   450,   451,  1303,  1304,   453,  1305,   455,   456,   457,
       0,   458,   459,     0,     0,  1306,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,  1307,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,  1308,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1309,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,  1310,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,  1311,   540,   541,   542,   543,   544,   545,
     546,   547,  1312,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1313,   564,
       0,   565,   566,  1314,     0,   567,   568,   569,   570,   571,
     572,   573,     0,   574,  1315,  1316,     0,     0,   577,   578,
    1317,   580,  1318,  1319,   582,   583,   584,   585,   586,   587,
     588,   589,     0,  1320,   590,   591,   592,   593,   594,  1321,
       0,   595,   596,   597,   598,   599,   600,  1322,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,  1323,  1324,  1325,
    1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,
       0,  1331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,  1333,  1334,     0,     0,   235,     0,
    1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,  2647,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,     0,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,  1282,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,  1302,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,  1306,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  1310,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
    1320,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1333,     0,     0,     0,   235,     0,  1258,   695,  1335,
    1259,  1260,  1261,   757,  1262,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,  1263,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,  1264,   261,  1265,  1266,     0,
     264,   265,   266,   267,   268,   269,   270,  1267,  1268,   271,
     272,  1269,  1270,   275,     0,   276,   277,   278,   279,  1271,
       0,  1272,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1273,  1274,  1275,  1276,  1277,
    1278,  1279,   303,   304,   305,   306,   307,   308,  1280,  1281,
     311,  1282,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,  1283,   340,   341,   342,
     343,  1284,  1285,   345,     0,   346,   347,   348,  1286,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,  1287,     0,  1288,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,  1289,  1290,     0,
    1291,     0,   393,   394,   395,   396,   397,   398,  1292,  1293,
    1294,  1295,   403,   404,   405,   406,   407,   408,     0,     0,
     409,  1296,   411,   412,   413,     0,   414,   415,   416,  1297,
    1298,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,  1299,
     436,  1300,   438,   439,   440,   441,   442,   443,   444,   445,
    1301,   447,  1302,   448,   449,   450,   451,  1303,  1304,   453,
    1305,   455,   456,   457,     0,   458,   459,     0,     0,  1306,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
    1307,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,  1308,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,  1309,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,  3231,   516,   517,   518,   519,   520,   521,   522,   523,
    1310,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,  1311,   540,   541,
     542,   543,   544,   545,   546,   547,  1312,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1313,   564,     0,   565,   566,  1314,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,  1315,  1316,
       0,     0,   577,   578,  1317,   580,  1318,  1319,   582,   583,
     584,   585,   586,   587,   588,   589,     0,  1320,   590,   591,
     592,   593,   594,  1321,     0,   595,   596,   597,   598,   599,
     600,  1322,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,  1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,
     625,   626,   627,   628,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1332,  1333,     0,
       0,     0,   235,     0,  1258,   695,  1335,  1259,  1260,  1261,
     757,  1262,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,  1263,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,   259,  1264,   261,  1265,  1266,     0,   264,   265,   266,
     267,   268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,
     275,     0,   276,   277,   278,   279,  1271,     0,  1272,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,
     304,   305,   306,   307,   308,  1280,  1281,   311,  1282,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   869,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,  1283,   340,   341,   342,   343,  1284,  1285,
     345,     0,   346,   347,   348,  1286,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,  1287,     0,  1288,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,   385,
     386,   387,   388,   389,  1289,  1290,     0,  1291,     0,   393,
     394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,
     404,   405,   406,   407,   408,     0,     0,   409,  1296,   411,
     412,   413,     0,   414,   415,   416,  1297,  1298,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1299,   436,  1300,   438,
     439,   440,   441,   442,   443,   444,   445,  1301,   447,  1302,
     448,   449,   450,   451,  1303,  1304,   453,  1305,   455,   456,
     457,     0,   458,   459,     0,     0,  1306,   461,   462,     0,
       0,   463,   464,   465,   466,   467,   468,  1307,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,  1308,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1309,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,  1310,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,  1311,   540,   541,   542,   543,   544,
     545,   546,   547,  1312,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,  1313,
     564,     0,   565,   566,  1314,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,  1315,  1316,     0,     0,   577,
     578,  1317,   580,  1318,  1319,   582,   583,   584,   585,   586,
     587,   588,   589,     0,  1320,   590,   591,   592,   593,   594,
    1321,     0,   595,   596,   597,   598,   599,   600,  1322,  3757,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,  1323,  1324,
    1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,
     628,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1332,  1333,     0,     0,     0,   235,
       0,  1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,  1263,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,   259,  1264,
     261,  1265,  1266,     0,   264,   265,   266,   267,   268,   269,
     270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,
     277,   278,   279,  1271,     0,  1272,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1273,
    1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,
     307,   308,  1280,  1281,   311,  1282,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   869,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
    1283,   340,   341,   342,   343,  1284,  1285,   345,     0,   346,
     347,   348,  1286,   350,     0,   351,     0,   352,   353,   354,
    3272,   355,   356,   357,   358,   359,     0,   360,  1287,     0,
    1288,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,   385,   386,   387,   388,
     389,  1289,  1290,     0,  1291,     0,   393,   394,   395,   396,
     397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,
     407,   408,     0,     0,   409,  1296,   411,   412,   413,     0,
     414,   415,   416,  1297,  1298,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1299,   436,  1300,   438,   439,   440,   441,
     442,   443,   444,   445,  1301,   447,  1302,   448,   449,   450,
     451,  1303,  1304,   453,  1305,   455,   456,   457,     0,   458,
     459,     0,     0,  1306,   461,   462,     0,     0,   463,   464,
     465,   466,   467,   468,  1307,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,  1308,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1309,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,  1310,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,  1311,   540,   541,   542,   543,   544,   545,   546,   547,
    1312,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,  1313,   564,     0,   565,
     566,  1314,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,  1315,  1316,     0,     0,   577,   578,  1317,   580,
    1318,  1319,   582,   583,   584,   585,   586,   587,   588,   589,
       0,  1320,   590,   591,   592,   593,   594,  1321,     0,   595,
     596,   597,   598,   599,   600,  1322,     0,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,
    1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1332,  1333,     0,     0,     0,   235,     0,  1258,   695,
    1335,  1259,  1260,  1261,   757,  1262,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
    1263,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,   255,   256,   257,   258,   259,  1264,   261,  1265,  1266,
       0,   264,   265,   266,   267,   268,   269,   270,  1267,  1268,
     271,   272,  1269,  1270,   275,     0,   276,   277,   278,   279,
    1271,     0,  1272,     0,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1273,  1274,  1275,  1276,
    1277,  1278,  1279,   303,   304,   305,   306,   307,   308,  1280,
    1281,   311,  1282,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   869,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,  1283,   340,   341,
     342,   343,  1284,  1285,   345,     0,   346,   347,   348,  1286,
     350,     0,   351,     0,   352,   353,   354,     0,   355,   356,
     357,   358,   359,     0,   360,  1287,     0,  1288,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,   384,   385,   386,   387,   388,   389,  1289,  1290,
       0,  1291,     0,   393,   394,   395,   396,   397,   398,  1292,
    1293,  1294,  1295,   403,   404,   405,   406,   407,   408,     0,
       0,   409,  1296,   411,   412,   413,     0,   414,   415,   416,
    1297,  1298,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
    1299,   436,  1300,   438,   439,   440,   441,   442,   443,   444,
     445,  1301,   447,  1302,   448,   449,   450,   451,  1303,  1304,
     453,  1305,   455,   456,   457,     0,   458,   459,     0,     0,
    1306,   461,   462,     0,     0,   463,   464,   465,   466,   467,
     468,  1307,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,  1308,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,  1309,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,  1310,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,  1311,   540,
     541,   542,   543,   544,   545,   546,   547,  1312,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,  1313,   564,     0,   565,   566,  1314,     0,
     567,   568,   569,   570,   571,   572,   573,     0,   574,  1315,
    1316,  3328,     0,   577,   578,  1317,   580,  1318,  1319,   582,
     583,   584,   585,   586,   587,   588,   589,     0,  1320,   590,
     591,   592,   593,   594,  1321,     0,   595,   596,   597,   598,
     599,   600,  1322,     0,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,  1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,
    1330,   625,   626,   627,   628,     0,  1331,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1332,  1333,
       0,     0,     0,   235,     0,  1258,   695,  1335,  1259,  1260,
    1261,   757,  1262,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,  1263,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,  1264,   261,  1265,  1266,     0,   264,   265,
     266,   267,   268,   269,   270,  1267,  1268,   271,   272,  1269,
    1270,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,  1280,  1281,   311,  1282,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   869,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,  1283,   340,   341,   342,   343,  1284,
    1285,   345,     0,   346,   347,   348,  1286,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,  1288,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,  1289,  1290,     0,  1291,     0,
     393,   394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,     0,     0,   409,  1296,
     411,   412,   413,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,  1299,   436,  1300,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
    1302,   448,   449,   450,   451,  1303,  1304,   453,  1305,   455,
     456,   457,     0,   458,   459,     0,     0,  1306,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1309,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,  1310,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544,   545,   546,   547,  1312,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,  1315,  1316,     0,     0,
     577,   578,  1317,   580,  1318,  1319,   582,   583,   584,   585,
     586,   587,   588,   589,     0,  1320,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,   600,  1322,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,
     627,   628,     0,  1331,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1332,  1333,     0,     0,     0,
     235,     0,  1258,   695,  1335,  1259,  1260,  1261,   757,  1262,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,  1263,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,   259,
    1264,   261,  1265,  1266,     0,   264,   265,   266,   267,   268,
     269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,
     276,   277,   278,   279,  1271,     0,  1272,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,
     306,   307,   308,  1280,  1281,   311,  1282,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,  1283,   340,   341,   342,   343,  1284,  1285,   345,     0,
     346,   347,   348,  1286,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,  1287,
       0,  1288,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,   385,   386,   387,
     388,   389,  1289,  1290,     0,  1291,     0,   393,   394,   395,
     396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,
     406,   407,   408,     0,     0,   409,  1296,   411,   412,   413,
       0,   414,   415,   416,  1297,  1298,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,  1299,   436,  1300,   438,   439,   440,
     441,   442,   443,   444,   445,  1301,   447,  1302,   448,   449,
     450,   451,  1303,  1304,   453,  1305,   455,   456,   457,     0,
     458,   459,     0,     0,  1306,   461,   462,     0,     0,   463,
     464,   465,   466,   467,   468,  1307,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
    1308,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  1309,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,  1310,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,  1311,   540,   541,   542,   543,   544,   545,   546,
     547,  1312,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,  1313,   564,     0,
     565,   566,  1314,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,  1315,  1316,     0,     0,   577,   578,  1317,
     580,  1318,  1319,   582,   583,   584,   585,   586,   587,   588,
     589,     0,  1320,   590,   591,   592,   593,   594,  1321,     0,
     595,   596,   597,   598,   599,   600,  1322,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,
     620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,
    1331,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2650,  2651,     0,     0,     0,   235,     0,  3444,
     695,  1335,  1259,  1260,  1261,   757,  1262,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,  1263,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,   255,   256,   257,   258,   259,  1264,   261,  1265,
    1266,     0,   264,   265,   266,   267,   268,   269,   270,  1267,
    1268,   271,   272,  1269,  1270,   275,     0,   276,   277,   278,
     279,  1271,     0,  1272,     0,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1273,  1274,  1275,
    1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,   308,
    1280,  1281,   311,  1282,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   869,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,  1283,   340,
     341,   342,   343,  1284,  1285,   345,     0,   346,   347,   348,
    1286,   350,     0,   351,     0,   352,   353,   354,     0,   355,
     356,   357,   358,   359,     0,   360,  1287,     0,  1288,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,   384,   385,   386,   387,   388,   389,  1289,
    1290,     0,  1291,     0,   393,   394,   395,   396,   397,   398,
    1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,   408,
       0,     0,   409,  1296,   411,   412,   413,     0,   414,   415,
     416,  1297,  1298,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1299,   436,  1300,   438,   439,   440,   441,   442,   443,
     444,   445,  1301,   447,  1302,   448,   449,   450,   451,  1303,
    1304,   453,  1305,   455,   456,   457,     0,   458,   459,     0,
       0,  1306,   461,   462,     0,     0,   463,   464,   465,   466,
     467,   468,  1307,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,  1308,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1309,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,  1310,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,  1311,
     540,   541,   542,   543,   544,   545,   546,   547,  1312,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,  1313,   564,     0,   565,   566,  1314,
       0,   567,   568,   569,   570,   571,   572,   573,     0,   574,
    1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,  1319,
     582,   583,   584,   585,   586,   587,   588,   589,     0,  1320,
     590,   591,   592,   593,   594,  1321,     0,   595,   596,   597,
     598,   599,   600,  1322,     0,   602,   603,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,  1328,
    1329,  1330,   625,   626,   627,   628,     0,  1331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1332,
    1333,     0,     0,     0,   235,     0,  1258,   695,  1335,  1259,
    1260,  1261,   757,  1262,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,  1263,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,  1264,   261,  1265,  1266,     0,   264,
     265,   266,   267,   268,   269,   270,  1267,  1268,   271,   272,
    1269,  1270,   275,     0,   276,   277,   278,   279,  1271,     0,
    1272,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,  4765,  1273,  1274,  1275,  1276,  1277,  1278,
    1279,   303,   304,   305,   306,   307,   308,  1280,  1281,   311,
    1282,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   869,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,  1283,   340,   341,   342,   343,
    1284,  1285,   345,     0,   346,   347,   348,  1286,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,  1287,     0,  1288,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,  1289,  1290,     0,  1291,
       0,   393,   394,   395,   396,   397,   398,  1292,  1293,  1294,
    1295,   403,   404,   405,   406,   407,   408,     0,     0,   409,
    1296,   411,   412,   413,     0,   414,   415,   416,  1297,  1298,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1299,   436,
    1300,   438,   439,   440,   441,   442,   443,   444,   445,  1301,
     447,  1302,   448,   449,   450,   451,  1303,  1304,   453,  1305,
     455,   456,   457,     0,   458,   459,     0,     0,  1306,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,  1307,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,  1308,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1309,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,  1310,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,  1311,   540,   541,   542,
     543,   544,   545,   546,   547,  1312,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,  1313,   564,     0,   565,   566,  1314,     0,   567,   568,
     569,   570,   571,   572,   573,     0,   574,  1315,  1316,     0,
       0,   577,   578,  1317,   580,  1318,  1319,   582,   583,   584,
     585,   586,   587,   588,   589,     0,  1320,   590,   591,   592,
     593,   594,  1321,     0,   595,   596,   597,   598,   599,   600,
    1322,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
    1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,
     626,   627,   628,     0,  1331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1332,  1333,     0,     0,
       0,   235,     0,  1258,   695,  1335,  1259,  1260,  1261,   757,
    1262,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,  1263,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,  1264,   261,  1265,  1266,     0,   264,   265,   266,   267,
     268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,
       0,   276,   277,   278,   279,  1271,     0,  1272,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,
     305,   306,   307,   308,  1280,  1281,   311,  1282,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   869,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,  1283,   340,   341,   342,   343,  1284,  1285,   345,
       0,   346,   347,   348,  1286,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
    1287,     0,  1288,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,  1289,  1290,     0,  1291,     0,   393,   394,
     395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,
     405,   406,   407,   408,     0,     0,   409,  1296,   411,   412,
     413,     0,   414,   415,   416,  1297,  1298,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1299,   436,  1300,   438,   439,
     440,   441,   442,   443,   444,   445,  1301,   447,  1302,   448,
     449,   450,   451,  1303,  1304,   453,  1305,   455,   456,   457,
       0,   458,   459,     0,     0,  1306,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,  1307,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,  1308,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1309,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,  1310,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,  1311,   540,   541,   542,   543,   544,   545,
     546,   547,  1312,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1313,   564,
       0,   565,   566,  1314,     0,   567,   568,   569,   570,   571,
     572,   573,     0,   574,  1315,  1316,     0,     0,   577,   578,
    1317,   580,  1318,  1319,   582,   583,   584,   585,   586,   587,
     588,   589,     0,  1320,   590,   591,   592,   593,   594,  1321,
       0,   595,   596,   597,   598,   599,   600,  1322,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,  5140,  1323,  1324,  1325,
    1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,
       0,  1331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,  1333,     0,     0,     0,   235,     0,
    1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,     0,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,  1282,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,  5152,   445,  1301,   447,  1302,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,  1306,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  1310,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
    1320,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1333,     0,     0,     0,   235,     0,  1258,   695,  1335,
    1259,  1260,  1261,   757,  1262,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,  1263,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,  1264,   261,  1265,  1266,     0,
     264,   265,   266,   267,   268,   269,   270,  1267,  1268,   271,
     272,  1269,  1270,   275,     0,   276,   277,   278,   279,  1271,
       0,  1272,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,  5470,   301,  1273,  1274,  1275,  1276,  1277,
    1278,  1279,   303,   304,   305,   306,   307,   308,  1280,  1281,
     311,  1282,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,  1283,   340,   341,   342,
     343,  1284,  1285,   345,     0,   346,   347,   348,  1286,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,  1287,     0,  5471,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,  1289,  1290,     0,
    1291,     0,   393,   394,   395,   396,   397,   398,  1292,  1293,
    1294,  1295,   403,   404,   405,   406,   407,   408,     0,     0,
     409,  1296,   411,   412,   413,     0,   414,   415,   416,  1297,
    1298,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,  1299,
     436,  1300,   438,   439,   440,   441,   442,   443,   444,   445,
    1301,   447,  1302,   448,   449,   450,   451,  1303,  1304,   453,
    1305,   455,   456,   457,     0,   458,   459,     0,     0,  1306,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
    1307,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,  1308,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,  1309,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,  5472,   522,   523,
    1310,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,  1311,   540,   541,
     542,   543,   544,   545,   546,   547,  1312,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1313,   564,     0,   565,   566,  1314,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,  1315,  1316,
       0,     0,   577,   578,  1317,   580,  1318,  1319,   582,   583,
     584,   585,   586,   587,   588,   589,     0,  1320,   590,   591,
     592,   593,   594,  1321,     0,   595,   596,   597,   598,   599,
     600,  1322,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,  1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,
     625,   626,   627,   628,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1332,  1333,     0,
       0,     0,   235,     0,  1258,   695,  5473,  1259,  1260,  1261,
     757,  1262,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,  1263,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,  5845,  1264,   261,  1265,  1266,     0,   264,   265,   266,
     267,   268,   269,   270,  1267,  1268,   271,   272,  1269,  1270,
     275,     0,   276,   277,   278,   279,  1271,     0,  1272,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  5846,  1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,
     304,   305,   306,   307,   308,  1280,  1281,   311,  1282,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   869,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,  1283,   340,   341,   342,   343,  1284,  1285,
     345,     0,   346,   347,   348,  1286,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,  1287,     0,  1288,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,   385,
     386,   387,   388,   389,  1289,  1290,     0,  1291,     0,   393,
     394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,   403,
     404,   405,   406,   407,   408,     0,     0,   409,  1296,   411,
     412,   413,     0,   414,   415,   416,  1297,  1298,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1299,   436,  1300,   438,
     439,   440,   441,   442,   443,   444,   445,  1301,   447,  1302,
     448,   449,   450,   451,  1303,  1304,   453,  1305,   455,   456,
     457,     0,   458,   459,     0,     0,  1306,   461,   462,     0,
       0,   463,   464,   465,   466,   467,   468,  1307,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,  1308,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1309,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,  1310,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,  1311,   540,   541,   542,   543,   544,
     545,   546,   547,  1312,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,  1313,
     564,     0,   565,   566,  1314,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,  1315,  1316,     0,     0,   577,
     578,  1317,   580,  1318,  1319,   582,   583,   584,   585,   586,
    5847,   588,   589,     0,  1320,   590,   591,   592,   593,   594,
    1321,     0,   595,   596,   597,   598,   599,   600,  1322,     0,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,  1323,  1324,
    1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,   627,
     628,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1332,  1333,     0,     0,     0,   235,
       0,  1258,   695,  1335,  1259,  1260,  1261,   757,  1262,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,  1263,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,   259,  1264,
     261,  1265,  1266,     0,   264,   265,   266,   267,   268,   269,
     270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,
     277,   278,   279,  1271,     0,  1272,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,  5846,  1273,
    1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,
     307,   308,  1280,  1281,   311,  1282,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   869,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
    1283,   340,   341,   342,   343,  1284,  1285,   345,     0,   346,
     347,   348,  1286,   350,     0,   351,     0,   352,   353,   354,
       0,   355,   356,   357,   358,   359,     0,   360,  1287,     0,
    1288,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,   385,   386,   387,   388,
     389,  1289,  1290,     0,  1291,     0,   393,   394,   395,   396,
     397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,
     407,   408,     0,     0,   409,  1296,   411,   412,   413,     0,
     414,   415,   416,  1297,  1298,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1299,   436,  1300,   438,   439,   440,   441,
     442,   443,   444,   445,  1301,   447,  1302,   448,   449,   450,
     451,  1303,  1304,   453,  1305,   455,   456,   457,     0,   458,
     459,     0,     0,  1306,   461,   462,     0,     0,   463,   464,
     465,   466,   467,   468,  1307,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,  1308,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1309,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,  1310,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,  1311,   540,   541,   542,   543,   544,   545,   546,   547,
    1312,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,  1313,   564,     0,   565,
     566,  1314,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,  1315,  1316,     0,     0,   577,   578,  1317,   580,
    1318,  1319,   582,   583,   584,   585,   586,  5847,   588,   589,
       0,  1320,   590,   591,   592,   593,   594,  1321,     0,   595,
     596,   597,   598,   599,   600,  1322,     0,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,
    1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1332,  1333,     0,     0,     0,   235,     0,  1258,   695,
    1335,  1259,  1260,  1261,   757,  1262,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
    1263,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,   255,   256,   257,   258,   259,  1264,   261,  1265,  1266,
       0,   264,   265,   266,   267,   268,   269,   270,  1267,  1268,
     271,   272,  1269,  1270,   275,     0,   276,   277,   278,   279,
    1271,     0,  1272,     0,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1273,  1274,  1275,  1276,
    1277,  1278,  1279,   303,   304,   305,   306,   307,   308,  1280,
    1281,   311,  5455,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   869,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,  1283,   340,   341,
     342,   343,  1284,  1285,   345,     0,   346,   347,   348,  1286,
     350,     0,   351,     0,   352,   353,   354,     0,   355,   356,
     357,   358,   359,     0,   360,  1287,     0,  1288,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,   384,   385,   386,   387,   388,   389,  1289,  1290,
       0,  1291,     0,   393,   394,   395,   396,   397,   398,  1292,
    1293,  1294,  1295,   403,   404,   405,   406,   407,   408,     0,
       0,   409,  1296,   411,   412,   413,     0,   414,   415,   416,
    1297,  1298,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
    1299,   436,  1300,   438,   439,   440,   441,   442,   443,   444,
     445,  1301,   447,     0,   448,   449,   450,   451,  1303,  1304,
     453,  1305,   455,   456,   457,     0,   458,   459,     0,     0,
    1306,   461,   462,     0,     0,   463,   464,   465,   466,   467,
     468,  1307,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,  1308,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,  1309,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,  3257,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,  1311,   540,
     541,   542,   543,   544,   545,   546,   547,  1312,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,  1313,   564,     0,   565,   566,  1314,     0,
     567,   568,   569,   570,   571,   572,   573,     0,   574,  1315,
    1316,     0,     0,   577,   578,  1317,   580,  1318,  1319,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,  1321,     0,   595,   596,   597,   598,
     599,   600,  1322,     0,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,  1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,
    1330,   625,   626,   627,   628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3258,  3259,
       0,     0,     0,   235,     0,  1258,   695,  3260,  1259,  1260,
    1261,   757,  1262,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,  1263,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258, -2889,  1264,   261,  1265,  1266,     0,   264,   265,
     266,   267,   268,   269,   270,  1267,  1268,   271,   272,  1269,
    1270,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,  5846,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,  1280,  1281,   311,  1282,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   869,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,  1283,   340,   341,   342,   343,  1284,
    1285,   345,     0,   346,   347,   348,  1286,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,  1288,   363,   364,     0,   365,   366,
     367,   368,   369, -2889,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,  1289,  1290,     0,  1291,     0,
     393,     0,     0,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,     0,     0,   409,  1296,
     411,   412, -2889,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,  1299,   436,  1300,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
    1302,   448,   449,     0,   451,  1303,  1304,   453,  1305,   455,
     456,   457,     0,   458,   459,     0,     0,  1306,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1309,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,  1310,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544, -2889,   546,   547,  1312,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,  1315,  1316,     0,     0,
     577,   578,  1317,   580,  1318,  1319,   582,   583,   584,   585,
     586,  5847,   588,   589,     0,  1320,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,   600,  1322,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,
     627,   628,     0, -2889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1332,  1333,     0,     0,     0,
     235,     0,  1258,   695,  1335,  1259,  1260,  1261,   757,  1262,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,  1263,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,   259,
    1264,   261,  1265,  1266,     0,   264,   265,   266,   267,   268,
     269,   270,  1267,  1268,   271,   272,  1269,  1270,   275,     0,
     276,   277,   278,   279,  1271,     0,  1272,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,
     306,   307,   308,  1280,  1281,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,  1283,   340,   341,   342,   343,  1284,  1285,   345,     0,
     346,   347,   348,  1286,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,  1287,
       0,  1288,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,   385,   386,   387,
     388,   389,  1289,  1290,     0,  1291,     0,   393,   394,   395,
     396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,
     406,   407,   408,     0,     0,   409,  1296,   411,   412,   413,
       0,   414,   415,   416,  1297,  1298,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,  1299,   436,  1300,   438,   439,   440,
     441,   442,   443,   444,   445,  1301,   447,     0,   448,   449,
     450,   451,  1303,  1304,   453,  1305,   455,   456,   457,     0,
     458,   459,     0,     0,  1306,   461,   462,     0,     0,   463,
     464,   465,   466,   467,   468,  1307,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
    1308,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  1309,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,  3257,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,  1311,   540,   541,   542,   543,   544,   545,   546,
     547,  1312,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,  1313,   564,     0,
     565,   566,  1314,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,  1315,  1316,     0,     0,   577,   578,  1317,
     580,  1318,  1319,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,  1321,     0,
     595,   596,   597,   598,   599,   600,  1322,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,
     620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3258,  3259,   235,     0,  1258,   695,     0,  1259,
    1260,  3260,   757,  1262,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,  1263,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,  1264,   261,  1265,  1266,     0,   264,
     265,   266,   267,   268,   269,   270,  1267,  1268,   271,   272,
    1269,  1270,   275,     0,   276,   277,   278,   279,  1271,     0,
    1272,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,
    1279,   303,   304,   305,   306,   307,   308,  1280,  1281,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   869,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,  1283,   340,   341,   342,   343,
    1284,  1285,   345,     0,   346,   347,   348,  1286,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,  1287,     0,  1288,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,  1289,  1290,     0,  1291,
       0,   393,   394,   395,   396,   397,   398,  1292,  1293,  1294,
    1295,   403,   404,   405,   406,   407,   408,     0,     0,   409,
    1296,   411,   412,   413,     0,   414,   415,   416,  1297,  1298,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1299,   436,
    1300,   438,   439,   440,   441,   442,   443,   444,   445,  1301,
     447,     0,   448,   449,   450,   451,  1303,  1304,   453,  1305,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,  1307,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,  1308,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1309,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,  3433,
    3434,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,  1311,   540,   541,   542,
     543,   544,   545,   546,   547,  1312,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,  1313,   564,     0,   565,   566,  1314,     0,   567,   568,
     569,   570,   571,   572,   573,     0,   574,  1315,  1316,     0,
       0,   577,   578,  1317,   580,  1318,  1319,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,  1321,     0,   595,   596,   597,   598,   599,   600,
    1322,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
    1323,  1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,
     626,   627,   628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3435,  3436,   235,     0,
    1258,   695,     0,  1259,  1260,  3260,   757,  1262,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,     0,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,     0,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  3257,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   235,     0,  1258,   695,     0,  1259,  1260,
       0,   757,  1262,     0,     0,     0,     0,     0,     0,  3260,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,  1263,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,  1264,   261,  1265,  1266,     0,   264,  4674,
     266,   267,   268,   269,   270,  1267,  1268,   271,   272,  1269,
    1270,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,  1280,  1281,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   869,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,  1283,   340,   341,   342,   343,  1284,
    1285,   345,     0,   346,   347,   348,  1286,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,  1288,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,  1289,  1290,     0,  1291,     0,
     393,   394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,     0,     0,   409,  1296,
     411,   412,   413,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,  1299,   436,  1300,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
       0,   448,   449,   450,   451,  1303,  1304,   453,  1305,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1309,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,  3257,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544,   545,   546,   547,  1312,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,  1315,  1316,     0,     0,
     577,   578,  1317,   580,  1318,  1319,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,   600,  1322,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   235,     0,
    1258,   695,     0,  1259,  1260,     0,   757,  1262,     0,     0,
       0,     0,     0,     0,  3260,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,  1263,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,  1264,   261,
    1265,  1266,     0,   264,   265,   266,   267,   268,   269,   270,
    1267,  1268,   271,   272,  1269,  1270,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,  1280,  1281,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   869,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,  1283,
     340,   341,   342,   343,  1284,  1285,   345,     0,   346,   347,
     348,  1286,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,  1288,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
    1289,  1290,     0,  1291,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1299,   436,  1300,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,     0,   448,   449,   450,   451,
    1303,  1304,   453,  1305,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1309,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,  3257,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,  1312,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,  1315,  1316,     0,     0,   577,   578,  1317,   580,  1318,
    1319,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,  1322,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,  4734,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3260,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,  1268,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,  1284,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,  3407,     0,   409,  1296,
     411,   412,   413,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
       0,   448,   449,   450,   451,     0,  1304,   453,   454,   455,
     456,   457,     0,   458,   459,     0,   844,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,  3408,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    41,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,    45,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,  1317,   580,  1318,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,  1186,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,    50,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,  3409,   626,
     627,   628,     0,     0,     0,    51,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3410,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,  1268,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1284,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,  3407,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,     0,   448,   449,   450,   451,
       0,  1304,   453,   454,   455,   456,   457,     0,   458,   459,
       0,   844,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  3408,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,  1317,   580,  1318,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,  3409,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3410,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,  1268,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,  1284,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,     0,     0,   409,  1296,
     411,   412,   413,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
       0,   448,   449,   450,   451,     0,  1304,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,  1317,   580,  1318,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3836,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,  1268,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1284,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,     0,   448,   449,   450,   451,
       0,  1304,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  3408,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,  1317,   580,  1318,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,  3409,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,  1268,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,  1271,     0,  1272,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,  1284,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,  1287,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,  1292,  1293,  1294,  1295,
     403,   404,   405,   406,   407,   408,     0,     0,   409,  1296,
     411,   412,   413,     0,   414,   415,   416,  1297,  1298,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,  1301,   447,
       0,   448,   449,   450,   451,     0,  1304,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,  1307,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,  1308,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,  1311,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1313,   564,     0,   565,   566,  1314,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,  1317,   580,  1318,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,  1321,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,  1323,
    1324,  1325,  1326,   620,  1327,  1328,  1329,  1330,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4784,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,  1268,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,  1271,     0,  1272,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1273,  1274,
    1275,  1276,  1277,  1278,  1279,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1284,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,  1287,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,  1292,  1293,  1294,  1295,   403,   404,   405,   406,   407,
     408,     0,     0,   409,  1296,   411,   412,   413,     0,   414,
     415,   416,  1297,  1298,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,  1301,   447,     0,   448,   449,   450,   451,
       0,  1304,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,  1307,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,  1308,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
    1311,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1313,   564,     0,   565,   566,
    1314,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,  1317,   580,  1318,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  1321,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,  1323,  1324,  1325,  1326,   620,  1327,
    1328,  1329,  1330,   625,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   947,     0,  1583,   695,     0,     0,     0,
       0,   757,     0,     0,     0,     0,     0,     0,     0,  5944,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
    1806,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
     411,   412,   413,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,  1807,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,  1808,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,     0,     0,  1584,  1585,  5748,     0,     0,
       0,     0,     0,     0,  5749,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     3,     4,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,   281,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,   411,   412,   413,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    41,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,    45,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,  1186,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,    50,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,  1026,     0,     0,
      51,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
     411,   412,   413,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5518,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    41,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,    45,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,  1186,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,    50,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,     0,     0,     0,
      51,     0,     0,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,  2853,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,   844,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,  2854,  2855,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1840,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1394,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3936,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,     0,     0,     0,
       0,     0,     0,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4127,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   861,     0,  1583,   695,     0,     0,     0,   962,   757,
       0,     0,     0,     0,  4751,   963,   964,   965,   236,   237,
     238,   239,   240,   241,   242,   243,   244,  1718,   245,   246,
     247,  1719,  1720,  1721,  1722,  1723,  1724,  1725,   248,   249,
     250,  1726,   251,   252,   253,   254,   255,   256,   257,   258,
       0,   862,   261,   863,   864,  1727,   264,   265,   266,   267,
     268,   269,   270,  1728,  1729,   271,   272,   865,   866,   275,
    1730,   276,   277,   278,   279,     0,  1731,   281,  1732,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1733,
     292,   293,   294,   295,   296,   297,  1734,   298,   299,   300,
     301,  1735,  1736,  1737,   302,  1738,  1739,  1740,   303,   304,
     305,   306,   307,   308,   867,   868,   311,  1741,   312,  1742,
     313,   314,   315,   316,   317,   318,   319,  1743,   320,   321,
     322,   323,  1744,  1745,   324,   325,   869,   327,   328,  1746,
     329,   330,   331,  1747,   332,   333,   334,  1748,   335,   336,
     337,   338,     0,   340,   341,   342,   343,     0,  1749,   345,
    1750,   346,   347,   348,   870,   350,  1751,   351,  1752,   352,
     353,   354,  1753,   355,   356,   357,   358,   359,  1754,   360,
       0,  1755,     0,   363,   364,  1756,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,  1757,   375,   376,   377,
     378,   379,   380,   381,   382,  1758,   383,   384,     0,   386,
     387,   388,   389,   871,   872,  1759,   873,  1760,   393,   394,
     395,   396,   397,   398,     0,     0,     0,     0,   403,   404,
     405,   406,   407,   408,  1761,  1762,   409,     0,   411,   412,
     413,  1763,   414,   415,   416,  1764,  1765,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   874,   436,   875,   438,   439,
     440,   441,   442,   443,   444,  4426,     0,   447,  1766,   448,
     449,   450,   451,  1767,     0,   453,   876,   455,   456,   457,
    1768,   458,   459,  1769,  1770,  4427,   461,   462,  1771,  1772,
     463,   464,     0,   466,   467,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,  1773,   480,
     481,     0,   483,     0,   485,   486,   487,  1774,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   877,   499,
     500,   501,   502,  1775,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,  1776,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,  1777,   535,   536,
     537,   538,   539,  1778,   540,   541,  2683,   543,   544,   545,
     546,   547,   879,   549,  1779,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,     0,   564,
    1780,   565,   566,  1781,  1782,   567,   568,   569,   570,   571,
     572,   573,  1783,   574,   880,   881,  1784,  1785,   577,   578,
       0,   580,     0,  1786,   582,   583,   584,   585,   586,   587,
     588,   589,  1787,  1788,   590,   591,   592,   593,   594,  1789,
    1790,   595,   596,   597,   598,   599,     0,   882,  1791,   602,
     603,   604,   605,   606,   607,  1792,  1793,   608,  1794,  1795,
     609,   610,   611,   612,   613,   614,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   626,   627,   628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,   969,   970,  4428,  4429,   973,   974,   975,   976,   861,
       0,  1583,   695,     0,     0,     0,   962,   757,     0,     0,
       0,     0,     0,   963,   964,   965,   236,   237,   238,   239,
     240,   241,   242,   243,   244,  1718,   245,   246,   247,  1719,
    1720,  1721,  1722,  1723,  1724,  1725,   248,   249,   250,  1726,
     251,   252,   253,   254,   255,   256,   257,   258,     0,   862,
     261,   863,   864,  1727,   264,   265,   266,   267,   268,   269,
     270,  1728,  1729,   271,   272,   865,   866,   275,  1730,   276,
     277,   278,   279,     0,  1731,   281,  1732,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,  1733,   292,   293,
     294,   295,   296,   297,  1734,   298,   299,   300,   301,  1735,
    1736,  1737,   302,  1738,  1739,  1740,   303,   304,   305,   306,
     307,   308,   867,   868,   311,  1741,   312,  1742,   313,   314,
     315,   316,   317,   318,   319,  1743,   320,   321,   322,   323,
    1744,  1745,   324,   325,   869,   327,   328,  1746,   329,   330,
     331,  1747,   332,   333,   334,  1748,   335,   336,   337,   338,
       0,   340,   341,   342,   343,     0,  1749,   345,  1750,   346,
     347,   348,   870,   350,  1751,   351,  1752,   352,   353,   354,
    1753,   355,   356,   357,   358,   359,  1754,   360,     0,  1755,
       0,   363,   364,  1756,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,  1757,   375,   376,   377,   378,   379,
     380,   381,   382,  1758,   383,   384,     0,   386,   387,   388,
     389,   871,   872,  1759,   873,  1760,   393,   394,   395,   396,
     397,   398,     0,     0,     0,     0,   403,   404,   405,   406,
     407,   408,  1761,  1762,   409,     0,   411,   412,   413,  1763,
     414,   415,   416,  1764,  1765,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   874,   436,   875,   438,   439,   440,   441,
     442,   443,   444,  4878,     0,   447,  1766,   448,   449,   450,
     451,  1767,     0,   453,   876,   455,   456,   457,  1768,   458,
     459,  1769,  1770,  4427,   461,   462,  1771,  1772,   463,   464,
       0,   466,   467,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,  1773,   480,   481,     0,
     483,     0,   485,   486,   487,  1774,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   877,   499,   500,   501,
     502,  1775,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,  1776,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,  1777,   535,   536,   537,   538,
     539,  1778,   540,   541,  2683,   543,   544,   545,   546,   547,
     879,   549,  1779,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   564,  1780,   565,
     566,  1781,  1782,   567,   568,   569,   570,   571,   572,   573,
    1783,   574,   880,   881,  1784,  1785,   577,   578,     0,   580,
       0,  1786,   582,   583,   584,   585,   586,   587,   588,   589,
    1787,  1788,   590,   591,   592,   593,   594,  1789,  1790,   595,
     596,   597,   598,   599,     0,   882,  1791,   602,   603,   604,
     605,   606,   607,  1792,  1793,   608,  1794,  1795,   609,   610,
     611,   612,   613,   614,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,   627,   628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,  4428,  4429,   973,   974,   975,   976,  2082,     0,     0,
       0,     0,     0,     0,  2083,     0,     0,  2084,     0,     0,
       0,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,     0,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,     0,     0,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,     0,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,     0,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
    2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,
    2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,
    2209,  2210,  2211,     0,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,     0,     0,  2224,  2225,
    2226,  2227,     0,  2228,  2229,  2230,  2231,  2232,     0,  2233,
    2234,  2235,  2236,  2237,     0,  2238,  2239,     0,  2240,  2241,
    2242,     0,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,
    2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,
    2270,     0,  2271,     0,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,
    2288,  2289,  2290,  2291,  2292,  2293,  2294,     0,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,     0,  2311,  2312,     0,  2313,  2314,
    2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2340,     0,  2341,  2342,     0,
    2343,  2344,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
       0,     0,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,
    2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,
    2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,     0,  2401,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2417,     0,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,     0,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,     0,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,
    2494,  2495,  2496,  2497,  2498,     0,  2499,  2500,  2501,  2502,
    2503,  2504,     0,  2505,     0,     0,     0,     0,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,
    2518,  2519,  2520,     0,  2521,  2522,     0,  2523,     0,     0,
       0,     0,     0,     0,     0,     0,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,   636,     0,     0,     0,     0,
       0,     0,   962,     0,     0,     0,     0,     0,     0,   963,
     964,   965,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   966,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   967,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   968,   969,   970,   971,   972,   973,
     974,   975,   976,   636,     0,     0,     0,     0,     0,     0,
     962,     0,     0,     0,     0,     0,     0,   963,   964,   965,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,  1083,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,  1084,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   968,   969,   970,   971,   972,   973,   974,   975,
     976,   636,     0,     0,     0,     0,     0,     0,   962,     0,
       0,     0,     0,     0,     0,   963,   964,   965,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,  1149,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,  1150,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
    1151,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,   969,   970,   971,   972,   973,   974,   975,   976,   636,
       0,     0,     0,     0,     0,     0,   962,     0,     0,     0,
       0,     0,     0,   963,   964,   965,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
    1823,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,  1824,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   636,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   968,   969,   970,   971,
     972,   973,   974,   975,   976,   636,     0,     0,     0,     0,
       0,     0,   962,     0,     0,     0,     0,     0,     0,   963,
     964,   965,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,  3528,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,  3529,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   968,   969,   970,   971,   972,   973,
     974,   975,   976,   636,     0,     0,     0,     0,     0,     0,
     962,     0,     0,     0,     0,     0,     0,   963,   964,   965,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,  5497,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,     0,     0,  1717,     0,     0,     0,     0,     0,
       0,     0,   968,   969,   970,   971,   972,   973,   974,   975,
     976,   236,   237,   238,   239,   240,   241,   242,   243,   244,
    1718,   245,   246,   247,  1719,  1720,  1721,  1722,  1723,  1724,
    1725,   248,   249,   250,  1726,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,  1727,   264,
     265,   266,   267,   268,   269,   270,  1728,  1729,   271,   272,
     273,   274,   275,  1730,   276,   277,   278,   279,   280,  1731,
     281,  1732,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,  1733,   292,   293,   294,   295,   296,   297,  1734,
     298,   299,   300,   301,  1735,  1736,  1737,   302,  1738,  1739,
    1740,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    1741,   312,  1742,   313,   314,   315,   316,   317,   318,   319,
    1743,   320,   321,   322,   323,  1744,  1745,   324,   325,   326,
     327,   328,  1746,   329,   330,   331,  1747,   332,   333,   334,
    1748,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,  1749,   345,  1750,   346,   347,   348,   349,   350,  1751,
     351,  1752,   352,   353,   354,  1753,   355,   356,   357,   358,
     359,  1754,   360,   361,  1755,   362,   363,   364,  1756,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,  1757,
     375,   376,   377,   378,   379,   380,   381,   382,  1758,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1759,   392,
    1760,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1761,  1762,   409,
     410,   411,   412,   413,  1763,   414,   415,   416,  1764,  1765,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,  1766,   448,   449,   450,   451,  1767,   452,   453,   454,
     455,   456,   457,  1768,   458,   459,  1769,  1770,   460,   461,
     462,  1771,  1772,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,  1773,   480,   481,   482,   483,   484,   485,   486,   487,
    1774,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,  1775,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
    1776,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
    1777,   535,   536,   537,   538,   539,  1778,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,  1779,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,  1780,   565,   566,  1781,  1782,   567,   568,
     569,   570,   571,   572,   573,  1783,   574,   575,   576,  1784,
    1785,   577,   578,   579,   580,   581,  1786,   582,   583,   584,
     585,   586,   587,   588,   589,  1787,  1788,   590,   591,   592,
     593,   594,  1789,  1790,   595,   596,   597,   598,   599,   600,
     601,  1791,   602,   603,   604,   605,   606,   607,  1792,  1793,
     608,  1794,  1795,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1796,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   850,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5914,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
       0,   862,   261,   863,   864,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   865,   866,   275,
       0,   276,   277,   278,   279,     0,     0,   281,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   867,   868,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   869,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   340,   341,   342,   343,     0,     0,   345,
       0,   346,   347,   348,   870,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
       0,     0,     0,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,  2679,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,  2680,   386,
     387,   388,   389,   871,   872,     0,   873,     0,   393,   394,
     395,   396,   397,   398,     0,     0,     0,     0,   403,   404,
     405,   406,   407,   408,     0,     0,   409,     0,   411,   412,
     413,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   874,   436,   875,   438,   439,
     440,   441,   442,   443,   444,     0,     0,   447,     0,   448,
     449,   450,   451,     0,     0,   453,   876,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,  2681,
     463,   464,  2682,   466,   467,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,   483,     0,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   877,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,  2683,   543,   544,   545,
     546,   547,   879,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,     0,   564,
       0,   565,   566,     0,     0,   567,   568,   569,   570,   571,
     572,   573,     0,   574,   880,   881,     0,     0,   577,   578,
       0,   580,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   882,  2684,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,     0,     0,     0,  3873,
       0,     0,     0,     0,     0,     0,     0,   626,   627,   628,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,  2685,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,     0,   862,
     261,   863,   864,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   865,   866,   275,     0,   276,
     277,   278,   279,     0,     0,   281,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   867,   868,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   869,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
       0,   340,   341,   342,   343,     0,     0,   345,     0,   346,
     347,   348,   870,   350,     0,   351,     0,   352,   353,   354,
       0,   355,   356,   357,   358,   359,     0,   360,     0,     0,
       0,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,  2679,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,  2680,   386,   387,   388,
     389,   871,   872,     0,   873,     0,   393,   394,   395,   396,
     397,   398,     0,     0,     0,     0,   403,   404,   405,   406,
     407,   408,     0,     0,   409,     0,   411,   412,   413,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   874,   436,   875,   438,   439,   440,   441,
     442,   443,   444,     0,     0,   447,     0,   448,   449,   450,
     451,     0,     0,   453,   876,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,  2681,   463,   464,
    2682,   466,   467,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
     483,     0,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   877,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,  2683,   543,   544,   545,   546,   547,
     879,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   564,     0,   565,
     566,     0,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,   880,   881,     0,     0,   577,   578,     0,   580,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   882,  2684,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,   627,   628,   947,     0,
    1583,   695,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,  2685,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,   281,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  2571,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,  1806,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,   411,   412,   413,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
    1807,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
    1808,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   947,     0,  1583,
     695,     0,     0,     0,     0,   757,     0,     0,     0,     0,
    1584,  1585,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  2576,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,  1806,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,     0,   355,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,   411,   412,   413,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,  1807,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,   568,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,  1808,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   947,     0,  1583,   695,
       0,     0,     0,     0,   757,     0,     0,     0,     0,  1584,
    1585,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,   281,     0,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  3489,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,  1806,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,     0,   355,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,   411,   412,   413,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,  1807,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,   568,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,  1808,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   947,     0,  1583,   695,     0,
       0,     0,     0,   757,     0,     0,     0,     0,  1584,  1585,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,  1806,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,  1807,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,  1808,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,   757,     0,     0,     0,     0,  1584,  1585,     0,
       0,   236,   237,   758,   239,   240,   241,   242,   243,   244,
     759,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     760,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   761,   349,   350,     0,
     351,     0,   352,   762,     0,   763,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,     0,   371,   372,   373,   374,   764,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   765,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   766,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   767,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     768,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,   770,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     3,     4,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
     411,   412,   413,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,  1026,  1717,     0,  6189,   695,     0,     0,     0,
       0,   757,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,  1718,
     245,   246,   247,  1719,  1720,  1721,  1722,  1723,  1724,  1725,
     248,   249,   250,  1726,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,  1727,   264,   265,
     266,   267,   268,   269,   270,  1728,  1729,   271,   272,   273,
     274,   275,  1730,   276,   277,   278,   279,   280,  1731,   281,
    1732,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,  1733,   292,   293,   294,   295,   296,   297,  1734,   298,
     299,   300,   301,  1735,  1736,  1737,   302,  1738,  1739,  1740,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  1741,
     312,  1742,   313,   314,   315,   316,   317,   318,   319,  1743,
     320,   321,   322,   323,  1744,  1745,   324,   325,   326,   327,
     328,  1746,   329,   330,   331,  1747,   332,   333,   334,  1748,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
    1749,   345,  1750,   346,   347,   348,   349,   350,  1751,   351,
    1752,   352,   353,   354,  1753,   355,   356,   357,   358,   359,
    1754,   360,   361,  1755,   362,   363,   364,  1756,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,  1757,   375,
     376,   377,   378,   379,   380,   381,   382,  1758,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1759,   392,  1760,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1761,  1762,   409,   410,
     411,   412,   413,  1763,   414,   415,   416,  1764,  1765,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
    1766,   448,   449,   450,   451,  1767,   452,   453,   454,   455,
     456,   457,  1768,   458,   459,  1769,  1770,   460,   461,   462,
    1771,  1772,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
    1773,   480,   481,   482,   483,   484,   485,   486,   487,  1774,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,  1775,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,  1776,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,  1777,
     535,   536,   537,   538,   539,  1778,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,  1779,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1780,   565,   566,  1781,  1782,   567,   568,   569,
     570,   571,   572,   573,  1783,   574,   575,   576,  1784,  1785,
     577,   578,   579,   580,   581,  1786,   582,   583,   584,   585,
     586,   587,   588,   589,  1787,  1788,   590,   591,   592,   593,
     594,  1789,  1790,   595,   596,   597,   598,   599,   600,   601,
    1791,   602,   603,   604,   605,   606,   607,  1792,  1793,   608,
    1794,  1795,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,  1717,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,  1718,   245,
     246,   247,  1719,  1720,  1721,  1722,  1723,  1724,  1725,   248,
     249,   250,  1726,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,  1727,   264,   265,   266,
     267,   268,   269,   270,  1728,  1729,   271,   272,   273,   274,
     275,  1730,   276,   277,   278,   279,   280,  1731,   281,  1732,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1733,   292,   293,   294,   295,   296,   297,  1734,   298,   299,
     300,   301,  1735,  1736,  1737,   302,  1738,  1739,  1740,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  1741,   312,
    1742,   313,   314,   315,   316,   317,   318,   319,  1743,   320,
     321,   322,   323,  1744,  1745,   324,   325,   326,   327,   328,
    1746,   329,   330,   331,  1747,   332,   333,   334,  1748,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,  1749,
     345,  1750,   346,   347,   348,   349,   350,  1751,   351,  1752,
     352,   353,   354,  1753,   355,   356,   357,   358,   359,  1754,
     360,   361,  1755,   362,   363,   364,  1756,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,  1757,   375,   376,
     377,   378,   379,   380,   381,   382,  1758,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1759,   392,  1760,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1761,  1762,   409,   410,   411,
     412,   413,  1763,   414,   415,   416,  1764,  1765,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,  1766,
     448,   449,   450,   451,  1767,   452,   453,   454,   455,   456,
     457,  1768,   458,   459,  1769,  1770,   460,   461,   462,  1771,
    1772,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,  1773,
     480,   481,   482,   483,   484,   485,   486,   487,  1774,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,  1775,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,  1776,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,  1777,   535,
     536,   537,   538,   539,  1778,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1779,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1780,   565,   566,  1781,  1782,   567,   568,   569,   570,
     571,   572,   573,  1783,   574,   575,   576,  1784,  1785,   577,
     578,   579,   580,   581,  1786,   582,   583,   584,   585,   586,
     587,   588,   589,  1787,  1788,   590,   591,   592,   593,   594,
    1789,  1790,   595,   596,   597,   598,   599,   600,   601,  1791,
     602,   603,   604,   605,   606,   607,  1792,  1793,   608,  1794,
    1795,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,  1717,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,  3594,   242,   243,   244,  1718,   245,   246,
     247,  1719,  1720,  1721,  1722,  1723,  1724,  1725,   248,   249,
     250,  1726,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,  1727,   264,   265,   266,   267,
     268,   269,   270,  1728,  1729,   271,   272,   273,   274,   275,
    1730,   276,   277,   278,   279,   280,  1731,   281,  1732,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1733,
     292,   293,   294,   295,   296,   297,  1734,   298,   299,   300,
     301,  1735,  1736,  1737,   302,  1738,  1739,  1740,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1741,   312,  1742,
     313,   314,   315,   316,   317,   318,   319,  1743,   320,   321,
     322,   323,  1744,  1745,   324,   325,   326,  3595,   328,  1746,
     329,   330,   331,  1747,   332,   333,   334,  1748,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,  1749,   345,
    1750,   346,   347,   348,   349,   350,  1751,   351,  1752,   352,
     353,   354,  1753,   355,   356,   357,   358,   359,  1754,   360,
     361,  1755,   362,   363,   364,  1756,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,  1757,   375,   376,   377,
     378,   379,   380,   381,   382,  1758,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1759,   392,  1760,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1761,  1762,   409,   410,   411,   412,
     413,  1763,   414,   415,   416,  1764,  1765,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,  1766,   448,
     449,   450,   451,  1767,   452,   453,   454,   455,   456,   457,
    1768,   458,   459,  1769,  1770,   460,   461,   462,  1771,  1772,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,  1773,   480,
     481,   482,   483,   484,   485,   486,   487,  1774,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,  1775,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,  1776,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,  1777,   535,   536,
     537,   538,   539,  1778,  3596,   541,   542,   543,   544,   545,
     546,   547,   548,   549,  1779,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1780,   565,   566,  1781,  1782,   567,   568,   569,   570,   571,
     572,   573,  1783,   574,   575,   576,  1784,  1785,   577,   578,
     579,   580,   581,  1786,   582,   583,   584,   585,   586,   587,
     588,   589,  1787,  1788,   590,   591,   592,   593,   594,  1789,
    1790,   595,   596,   597,   598,   599,   600,   601,  1791,   602,
     603,   604,   605,   606,   607,  1792,  1793,   608,  1794,  1795,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,  1268,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,  1271,     0,  1272,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1273,  1274,  1275,  1276,  1277,  1278,  1279,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1284,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,  1287,
       0,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,   394,   395,
     396,   397,   398,  1292,  1293,  1294,  1295,   403,   404,   405,
     406,   407,   408,     0,     0,   409,  1296,   411,   412,   413,
       0,   414,   415,   416,  1297,  1298,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,  1301,   447,     0,   448,   449,
     450,   451,     0,  1304,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,   468,  1307,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
    1308,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,  1311,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,  1313,   564,     0,
     565,   566,  1314,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,  1317,
     580,  1318,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,  1321,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,  1323,  1324,  1325,  1326,
     620,  1327,  1328,  1329,  1330,   625,   626,   627,   628,   235,
       0,  1258,   695,     0,  1259,  1260,     0,   757,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,   259,  1264,
     261,  1265,  1266,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,  1269,  1270,   275,     0,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,  1280,  1281,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   869,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,  1285,   345,     0,   346,
     347,   348,  1286,   350,     0,   351,     0,   352,   353,   354,
       0,   355,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,   385,   386,   387,   388,
     389,  1289,  1290,     0,  1291,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,   411,   412,   413,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1299,   436,  1300,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,  1303,   452,   453,  1305,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1309,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,   547,
    1312,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,  1315,  1316,     0,     0,   577,   578,   579,   580,
     581,  1319,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,  1322,     0,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   947,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   986,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,   281,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     948,   302,     0,     0,   949,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,   411,   412,   413,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     950,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,  1007,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,   948,
     302,     0,     0,   949,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,     0,   355,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,   411,   412,   413,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,  1008,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,   950,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,   568,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,   281,     0,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   948,   302,
       0,     0,   949,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,     0,   355,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,   411,   412,   413,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   950,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,   568,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,  2946,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   948,   302,     0,
       0,   949,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,   361,  3954,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,   950,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   947,     0,     0,   695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
     281,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,  1806,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,   411,   412,   413,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,  1807,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,   568,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,  1808,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   948,   302,     0,     0,   949,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
     411,   412,   413,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,   950,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,   281,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   948,   302,     0,     0,   949,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,   411,
     412,   413,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,  1102,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   950,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   948,   302,     0,     0,   949,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
    1144,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,   411,   412,
     413,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,   950,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,   568,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   948,   302,     0,     0,   949,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  1157,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   950,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   948,   302,     0,     0,   949,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,   354,
       0,   355,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,  1169,   370,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,   411,   412,   413,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,  1170,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,   950,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,   568,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   947,     0,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,   281,     0,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  2556,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,     0,
     355,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,   411,   412,   413,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,   568,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   947,     0,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,     0,   355,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,   411,   412,   413,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,   568,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,   281,     0,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,     0,   355,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,   411,   412,   413,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,   568,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,  1128,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
     281,     0,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,     0,   355,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,  1141,   370,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,   411,   412,   413,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,   568,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,   354,     0,   355,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,  1155,   370,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
     411,   412,   413,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,   568,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,   281,     0,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,     0,   355,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,  1159,   370,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,   411,
     412,   413,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,   568,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,   354,     0,   355,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,   411,   412,
     413,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,   568,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,  2718,
     276,   277,   278,   279,   280,     0,     0,  2787,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,  2719,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,  2788,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,  2721,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  2789,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,  2722,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,  2723,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,  2718,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,  2719,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,  2788,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,  2721,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,  3807,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,  2722,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,  2723,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   776,   245,   777,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   778,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,   812,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     779,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   780,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   776,   245,   777,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   778,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,  3496,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   779,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   780,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,  2718,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,  2719,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,  2788,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,  2721,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,  2722,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,  2723,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   776,   245,   777,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     778,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   779,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   780,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
    3022,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,  2853,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,   844,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,  2854,  2855,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,  1986,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,  1987,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,  1988,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
    1989,   352,   353,     0,     0,     0,  1990,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,  1991,  1992,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,  1993,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,  1994,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,  1995,   523,   524,   525,
     526,   527,   528,  1996,   530,   531,   532,   533,   534,     0,
    1997,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,  1998,   567,     0,  1999,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,  2000,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     777,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   778,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   779,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   780,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,  2853,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
     369,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,   844,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,  2854,  2855,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,  1000,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  1001,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,   844,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,  3575,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,  3576,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,  3588,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,  3589,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   637,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   686,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     687,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   804,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   805,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   806,   576,
       0,     0,   807,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     838,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   839,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   840,   576,     0,
       0,   841,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,   844,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,   902,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   957,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
     958,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,  1120,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,   369,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   804,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,  1228,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,  1369,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,  1380,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     824,   272,   273,   274,  1381,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   827,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   828,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   829,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,  1373,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   831,
     576,     0,     0,   832,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     833,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,  1527,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,   844,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
    1588,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,  1589,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,  3356,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,  3357,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,  3358,   567,     0,   569,
    3359,   571,  3360,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,  3361,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,   695,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,   757,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
     369,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,  4163,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,   369,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,  4177,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   369,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  4820,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
    4892,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  5247,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   796,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   802,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   824,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   825,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,   369,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   826,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   827,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   828,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   829,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   830,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   831,   576,     0,     0,   832,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   833,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
     369,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   856,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,   982,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,   992,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   995,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,  1011,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,  1068,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,  1073,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,  1090,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,  1093,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,  1095,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
    1133,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  1161,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,  1163,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,  1173,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,  1176,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,  1179,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   824,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   827,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   828,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   829,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,  1373,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   831,   576,
       0,     0,   832,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   833,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,  1849,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,  1883,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,  1885,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
    1925,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  1927,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,  1929,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   519,   520,
     521,   522,   523,   524,   525,   526,  2025,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   575,   576,     0,     0,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,  2672,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,   369,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
       0,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     824,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,   369,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   827,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   828,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   829,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,  1373,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,  2705,   570,   571,   572,   573,     0,   574,   831,
     576,     0,     0,   832,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     833,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   824,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,   369,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   827,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   828,   520,   521,   522,   523,
     524,   525,   526,   527,   528,  2770,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,  2771,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   831,   576,
       0,     0,  2772,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   833,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   824,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,   369,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   827,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   828,   520,   521,   522,   523,   524,
     525,   526,   527,   528,  2850,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,  2771,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   831,   576,     0,
       0,  2772,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   833,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   824,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   827,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   828,   520,   521,   522,   523,   524,   525,
     526,   527,   528,  2874,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,  2771,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   831,   576,     0,     0,
    2772,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   833,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,  3067,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,   363,   364,     0,   365,   366,   367,   368,
    3071,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,     0,   256,   257,   258,   259,
     260,     0,   262,   263,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,   279,   280,     0,     0,     0,   282,   283,
     284,   285,   286,   287,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
       0,     0,     0,   356,   357,   358,   359,     0,   360,   361,
       0,   362,   363,   364,     0,   365,   366,   367,   368,  3129,
       0,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,     0,   385,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   393,     0,     0,
     396,     0,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,     0,   409,   410,     0,   412,     0,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,     0,   448,   449,
       0,   451,     0,   452,   453,   454,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,   465,     0,   467,     0,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   542,   543,   544,     0,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,     0,     0,   567,     0,   569,   570,   571,   572,
     573,     0,   574,   575,   576,     0,     0,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,   600,   601,     0,   602,     0,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   636,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,     0,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,   248,   249,   250,     0,
     251,   252,   253,   254,     0,   256,   257,   258,   259,   260,
       0,   262,   263,     0,   264,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,   279,   280,     0,     0,     0,   282,   283,   284,
     285,   286,   287,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,     0,
       0,     0,   356,   357,   358,   359,     0,   360,   361,     0,
     362,   363,   364,     0,   365,   366,   367,   368,  3507,     0,
     371,   372,   373,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,     0,   383,     0,   385,   386,   387,   388,
     389,   390,   391,     0,   392,     0,   393,     0,     0,   396,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,   409,   410,     0,   412,     0,     0,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,   448,   449,     0,
     451,     0,   452,   453,   454,   455,   456,   457,     0,   458,
     459,     0,     0,   460,   461,   462,     0,     0,   463,   464,
     465,     0,   467,     0,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   536,   537,   538,
     539,     0,   540,   541,   542,   543,   544,     0,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,     0,     0,   567,     0,   569,   570,   571,   572,   573,
       0,   574,   575,   576,     0,     0,   577,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,   600,   601,     0,   602,     0,   604,
     605,   606,   607,     0,     0,   608,     0,     0,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,   248,   249,   250,     0,   251,
     252,   253,   254,     0,   256,   257,   258,   259,   260,     0,
     262,   263,     0,   264,   265,   266,   267,   268,   269,   270,
       0,     0,   824,   272,   273,   274,   275,     0,   276,   277,
     278,   279,   280,     0,     0,     0,   282,   283,   284,   285,
     286,   287,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,     0,     0,
       0,   356,   357,   358,   359,     0,   360,   361,     0,   362,
     363,   364,     0,   365,   366,   367,   368,   369,     0,   371,
     372,   373,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,     0,   383,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   392,     0,   393,     0,     0,   396,     0,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,   409,   410,     0,   412,     0,     0,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   827,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,     0,   448,   449,     0,   451,
       0,   452,   453,   454,   455,   456,   457,     0,   458,   459,
       0,     0,   460,   461,   462,     0,     0,   463,   464,   465,
       0,   467,     0,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,     0,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,     0,   828,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   829,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,  2771,
       0,   540,   541,   542,   543,   544,     0,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
       0,     0,   567,     0,   569,   570,   571,   572,   573,     0,
     574,   831,   576,     0,     0,  2772,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,     0,
       0,   590,   591,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,   600,   601,     0,   602,     0,   604,   605,
     606,   607,     0,     0,   608,     0,     0,   609,   610,   611,
     612,   613,   833,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,   248,   249,   250,     0,   251,   252,
     253,   254,     0,   256,   257,   258,   259,   260,     0,   262,
     263,     0,   264,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
     279,   280,     0,     0,     0,   282,   283,   284,   285,   286,
     287,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,     0,     0,     0,
     356,   357,   358,   359,     0,   360,   361,     0,   362,   363,
     364,     0,   365,   366,   367,   368,  3564,     0,   371,   372,
     373,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,     0,   383,     0,   385,   386,   387,   388,   389,   390,
     391,     0,   392,     0,   393,     0,     0,   396,     0,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,   409,   410,     0,   412,     0,     0,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,     0,   448,   449,     0,   451,     0,
     452,   453,   454,   455,   456,   457,     0,   458,   459,     0,
       0,   460,   461,   462,     0,     0,   463,   464,   465,     0,
     467,     0,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,     0,
     540,   541,   542,   543,   544,     0,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,     0,
       0,   567,     0,   569,   570,   571,   572,   573,     0,   574,
     575,   576,     0,     0,   577,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,   600,   601,     0,   602,     0,   604,   605,   606,
     607,     0,     0,   608,     0,     0,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,   248,   249,   250,     0,   251,   252,   253,
     254,     0,   256,   257,   258,   259,   260,     0,   262,   263,
       0,   264,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,   279,
     280,     0,     0,     0,   282,   283,   284,   285,   286,   287,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,     0,     0,     0,   356,
     357,   358,   359,     0,   360,   361,     0,   362,   363,   364,
       0,   365,   366,   367,   368,  3578,     0,   371,   372,   373,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
       0,   383,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   392,     0,   393,     0,     0,   396,     0,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,   409,   410,     0,   412,     0,     0,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,     0,   448,   449,     0,   451,     0,   452,
     453,   454,   455,   456,   457,     0,   458,   459,     0,     0,
     460,   461,   462,     0,     0,   463,   464,   465,     0,   467,
       0,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,     0,   540,
     541,   542,   543,   544,     0,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,     0,     0,
     567,     0,   569,   570,   571,   572,   573,     0,   574,   575,
     576,     0,     0,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,     0,     0,   590,
     591,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,   600,   601,     0,   602,     0,   604,   605,   606,   607,
       0,     0,   608,     0,     0,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
       0,   256,   257,   258,   259,   260,     0,   262,   263,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,   279,   280,
       0,     0,     0,   282,   283,   284,   285,   286,   287,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,     0,     0,     0,   356,   357,
     358,   359,     0,   360,   361,     0,   362,   363,   364,     0,
     365,   366,   367,   368,  3580,     0,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,     0,   385,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   393,     0,     0,   396,     0,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
     409,   410,     0,   412,     0,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,     0,   448,   449,     0,   451,     0,   452,   453,
     454,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,   465,     0,   467,     0,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     542,   543,   544,     0,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,     0,     0,   567,
       0,   569,   570,   571,   572,   573,     0,   574,   575,   576,
       0,     0,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
     600,   601,     0,   602,     0,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   250,     0,   251,   252,   253,   254,     0,
     256,   257,   258,   259,   260,     0,   262,   263,     0,   264,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,   279,   280,     0,
       0,     0,   282,   283,   284,   285,   286,   287,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,     0,     0,     0,   356,   357,   358,
     359,     0,   360,   361,     0,   362,   363,   364,     0,   365,
     366,   367,   368,  3728,     0,   371,   372,   373,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   383,
       0,   385,   386,   387,   388,   389,   390,   391,     0,   392,
       0,   393,     0,     0,   396,     0,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,     0,   409,
     410,     0,   412,     0,     0,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,     0,   448,   449,     0,   451,     0,   452,   453,   454,
     455,   456,   457,     0,   458,   459,     0,     0,   460,   461,
     462,     0,     0,   463,   464,   465,     0,   467,     0,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,     0,   540,   541,   542,
     543,   544,     0,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,     0,     0,   567,     0,
     569,   570,   571,   572,   573,     0,   574,   575,   576,     0,
       0,   577,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,     0,     0,   590,   591,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,   600,
     601,     0,   602,     0,   604,   605,   606,   607,     0,     0,
     608,     0,     0,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
     248,   249,   250,     0,   251,   252,   253,   254,     0,   256,
     257,   258,   259,   260,     0,   262,   263,     0,   264,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,   279,   280,     0,     0,
       0,   282,   283,   284,   285,   286,   287,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,  3768,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,     0,   351,
       0,   352,   353,     0,     0,     0,   356,   357,   358,   359,
       0,   360,   361,     0,   362,   363,   364,     0,   365,   366,
     367,   368,   369,     0,   371,   372,   373,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,     0,   383,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   392,     0,
     393,     0,     0,   396,     0,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,   409,   410,
       0,   412,     0,     0,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,   448,   449,     0,   451,     0,   452,   453,   454,   455,
     456,   457,     0,   458,   459,     0,     0,   460,   461,   462,
       0,     0,   463,   464,   465,     0,   467,     0,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,     0,   540,   541,   542,   543,
     544,     0,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,     0,     0,   567,     0,   569,
     570,   571,   572,   573,     0,   574,   575,   576,     0,     0,
     577,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,   600,   601,
       0,   602,     0,   604,   605,   606,   607,     0,     0,   608,
       0,     0,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,   248,
     249,   250,     0,   251,   252,   253,   254,     0,   256,   257,
     258,   259,   260,     0,   262,   263,     0,   264,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,   279,   280,     0,     0,     0,
     282,   283,   284,   285,   286,   287,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,     0,     0,     0,   356,   357,   358,   359,     0,
     360,   361,     0,   362,   363,   364,     0,   365,   366,   367,
     368,  5005,     0,   371,   372,   373,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,     0,   383,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   393,
       0,     0,   396,     0,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,   409,   410,     0,
     412,     0,     0,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,     0,
     448,   449,     0,   451,     0,   452,   453,   454,   455,   456,
     457,     0,   458,   459,     0,     0,   460,   461,   462,     0,
       0,   463,   464,   465,     0,   467,     0,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,     0,   540,   541,   542,   543,   544,
       0,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,     0,     0,   567,     0,   569,   570,
     571,   572,   573,     0,   574,   575,   576,     0,     0,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,     0,     0,   590,   591,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,   600,   601,     0,
     602,     0,   604,   605,   606,   607,     0,     0,   608,     0,
       0,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,   248,   249,
     250,     0,   251,   252,   253,   254,     0,   256,   257,   258,
     259,   260,     0,   262,   263,     0,   264,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,   279,   280,     0,     0,     0,   282,
     283,   284,   285,   286,   287,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,     0,   351,     0,   352,
     353,     0,     0,     0,   356,   357,   358,   359,     0,   360,
     361,     0,   362,     0,   364,     0,   365,   366,   367,   368,
     369,     0,   371,   372,   373,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,     0,   383,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   392,     0,   393,     0,
       0,   396,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,     0,   409,   410,     0,   412,
       0,     0,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,     0,   448,
     449,     0,   451,     0,   452,   453,   454,   455,   456,   457,
       0,   458,   459,     0,     0,   460,   461,   462,     0,     0,
     463,   464,   465,     0,   467,     0,   469,   470,   471,   472,
     473,   474,   475,   476,     0,   478,   479,     0,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,     0,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
       0,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   536,
     537,   538,   539,     0,   540,   541,   542,   543,   544,     0,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,     0,     0,   567,     0,   569,   570,   571,
     572,   573,     0,   574,   575,   576,     0,     0,   577,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,   600,   601,     0,   602,
       0,   604,   605,   606,   607,     0,     0,   608,     0,     0,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
     862,   261,   863,   864,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   865,   866,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   867,   868,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,   870,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,  2679,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,  2680,   386,   387,
     388,   389,   871,   872,     0,   873,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   874,   436,   875,   438,   439,   440,
     441,   442,   443,   444,     0,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,   876,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,  2682,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   877,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,  2683,   543,   544,   545,   546,
     547,   879,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   880,   881,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   882,  2684,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,     0,   862,   261,   863,   864,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   865,   866,   275,     0,   276,   277,   278,   279,     0,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   867,   868,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   340,   341,   342,
     343,     0,     0,   345,     0,   346,   347,   348,   870,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,     0,     0,     0,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,     0,   386,   387,   388,   389,   871,   872,     0,
     873,     0,   393,   394,   395,   396,   397,   398,     0,     0,
       0,     0,   403,   404,   405,   406,   407,   408,     0,     0,
     409,     0,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   874,
     436,   875,   438,   439,   440,   441,   442,   443,   444,     0,
       0,   447,     0,   448,   449,   450,   451,  2766,     0,   453,
     876,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,     0,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,   483,     0,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   877,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
    2683,   543,   544,   545,   546,   547,   879,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   564,     0,   565,   566,     0,  4527,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   880,   881,
       0,     0,   577,   578,     0,   580,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   882,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   626,   627,   628,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
     862,   261,   863,   864,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   865,   866,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   867,   868,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,   870,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,     0,   386,   387,
     388,   389,   871,   872,     0,   873,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   874,   436,   875,   438,   439,   440,
     441,   442,   443,   444,  2840,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,   876,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,     0,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   877,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   878,   543,   544,   545,   546,
     547,   879,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   880,   881,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   882,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,     0,   862,   261,   863,   864,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   865,   866,   275,     0,   276,   277,   278,   279,     0,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   867,   868,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   340,   341,   342,
     343,     0,     0,   345,     0,   346,   347,   348,   870,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,     0,     0,     0,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,     0,   386,   387,   388,   389,   871,   872,     0,
     873,     0,   393,   394,   395,   396,   397,   398,     0,     0,
       0,     0,   403,   404,   405,   406,   407,   408,     0,     0,
     409,     0,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   874,
     436,   875,   438,   439,   440,   441,   442,   443,   444,  4323,
       0,   447,     0,   448,   449,   450,   451,     0,     0,   453,
     876,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,     0,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,   483,     0,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   877,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     878,   543,   544,   545,   546,   547,   879,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   880,   881,
       0,     0,   577,   578,     0,   580,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   882,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   626,   627,   628,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
     862,   261,   863,   864,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   865,   866,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   867,   868,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,   870,   350,  5863,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,     0,   386,   387,
     388,   389,   871,   872,     0,   873,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   874,   436,   875,   438,   439,   440,
     441,   442,   443,   444,     0,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,   876,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,     0,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   877,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   878,   543,   544,   545,   546,
     547,   879,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   880,   881,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   882,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,     0,   862,   261,   863,   864,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   865,   866,   275,     0,   276,   277,   278,   279,     0,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   867,   868,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   340,   341,   342,
     343,     0,     0,   345,     0,   346,   347,   348,   870,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,     0,     0,     0,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,     0,   386,   387,   388,   389,   871,   872,     0,
     873,     0,   393,   394,   395,   396,   397,   398,     0,     0,
       0,     0,   403,   404,   405,   406,   407,   408,     0,     0,
     409,     0,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   874,
     436,   875,   438,   439,   440,   441,   442,   443,   444,     0,
       0,   447,     0,   448,   449,   450,   451,     0,     0,   453,
     876,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,     0,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,   483,     0,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   877,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     878,   543,   544,   545,   546,   547,   879,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   880,   881,
       0,     0,   577,   578,     0,   580,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   882,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   626,   627,   628,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
     862,   261,   863,   864,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   865,   866,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   867,   868,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,   870,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,  1135,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,     0,   386,   387,
     388,   389,   871,   872,     0,   873,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   874,   436,   875,   438,   439,   440,
     441,   442,   443,   444,     0,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,   876,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,     0,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   877,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,   878,   543,   544,   545,   546,
     547,   879,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   880,   881,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   882,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,     0,   862,   261,   863,   864,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   865,   866,   275,     0,   276,   277,   278,   279,     0,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   867,   868,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   340,   341,   342,
     343,     0,     0,   345,     0,   346,   347,   348,   870,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,     0,     0,     0,   363,   364,     0,
     365,   366,   367,   368,  1167,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,     0,   386,   387,   388,   389,   871,   872,     0,
     873,     0,   393,   394,   395,   396,   397,   398,     0,     0,
       0,     0,   403,   404,   405,   406,   407,   408,     0,     0,
     409,     0,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   874,
     436,   875,   438,   439,   440,   441,   442,   443,   444,     0,
       0,   447,     0,   448,   449,   450,   451,     0,     0,   453,
     876,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,     0,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,   483,     0,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   877,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
     878,   543,   544,   545,   546,   547,   879,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   880,   881,
       0,     0,   577,   578,     0,   580,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   882,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   626,   627,   628,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
     862,   261,   863,   864,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   865,   866,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   867,   868,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   869,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,   870,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,     0,   386,   387,
     388,   389,   871,   872,     0,   873,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   874,   436,   875,   438,   439,   440,
     441,   442,   443,   444,     0,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,   876,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,     0,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   877,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,  2683,   543,   544,   545,   546,
     547,   879,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,   880,   881,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   882,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,   245,   246,   247,     0,     0,     0,     0,     0,
       0,     0,   248,   249,   250,     0,   251,   252,   253,   254,
     255,   256,   257,   258,     0,   862,   261,   863,   864,     0,
     264,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   865,   866,   275,     0,   276,   277,   278,   279,     0,
       0,   281,     0,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   867,   868,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     869,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   340,   341,   342,
     343,     0,     0,   345,     0,   346,   347,   348,   870,   350,
       0,   351,     0,   352,   353,   354,     0,   355,   356,   357,
     358,   359,     0,   360,     0,     0,     0,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,     0,
     383,   384,     0,   386,   387,   388,   389,   871,   872,     0,
     873,     0,   393,   394,   395,   396,   397,   398,     0,     0,
       0,     0,   403,   404,   405,   406,   407,   408,     0,     0,
     409,     0,   411,   412,   413,     0,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   874,
     436,   875,   438,   439,   440,   441,   442,   443,   444,     0,
       0,   447,     0,   448,   449,   450,   451,     0,     0,   453,
     876,   455,   456,   457,     0,   458,   459,     0,     0,   460,
     461,   462,     0,     0,   463,   464,     0,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,   483,     0,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   877,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,     0,   540,   541,
       0,   543,   544,   545,   546,   547,   879,   549,     0,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   564,     0,   565,   566,     0,     0,   567,
     568,   569,   570,   571,   572,   573,     0,   574,   880,   881,
       0,     0,   577,   578,     0,   580,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,     0,     0,   590,   591,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   882,     0,   602,   603,   604,   605,   606,   607,     0,
       0,   608,     0,     0,   609,   610,   611,   612,   613,   614,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   626,   627,   628,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,   248,   249,   250,
       0,   251,   252,   253,   254,   255,   256,   257,   258,     0,
       0,   261,     0,     0,     0,   264,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,     0,     0,   275,     0,
     276,   277,   278,   279,     0,     0,   281,     0,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,     0,     0,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   340,   341,   342,   343,     0,     0,   345,     0,
     346,   347,   348,     0,   350,     0,   351,     0,   352,   353,
     354,     0,   355,   356,   357,   358,   359,     0,   360,     0,
       0,     0,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,     0,   383,   384,     0,   386,   387,
     388,   389,     0,     0,     0,     0,     0,   393,   394,   395,
     396,   397,   398,     0,     0,     0,     0,   403,   404,   405,
     406,   407,   408,     0,     0,   409,     0,   411,   412,   413,
       0,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   436,     0,   438,   439,   440,
     441,   442,   443,   444,     0,     0,   447,     0,   448,   449,
     450,   451,     0,     0,   453,     0,   455,   456,   457,     0,
     458,   459,     0,     0,   460,   461,   462,     0,     0,   463,
     464,     0,   466,   467,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,   483,     0,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   543,   544,   545,   546,
     547,     0,   549,     0,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,     0,     0,   567,   568,   569,   570,   571,   572,
     573,     0,   574,     0,     0,     0,     0,   577,   578,     0,
     580,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,     0,     0,   590,   591,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,     0,     0,   602,   603,
     604,   605,   606,   607,     0,     0,   608,     0,     0,   609,
     610,   611,   612,   613,   614,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   626,   627,   628
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,   649,   207,     0,    57,     0,   649,     0,
       0,     0,   215,   664,    45,   218,     0,     0,     0,     0,
       0,     0,  1021,    21,     0,     0,  1030,   212,     0,     0,
      22,    21,   993,   778,   779,   780,    28,    37,   822,   784,
    1023,   922,  1210,   825,   855,  1147,    52,   190,  1025,    46,
    1575,   878,  1484,  1513,   916,  2023,   918,  2723,   960,     0,
     643,  1640,   896,  1262,   994,  1019,  1010,  2666,   696,  2667,
     815,  1559,  1096,  3192,   849,   198,  1249,  2687,  2688,  1552,
     832,   217,   867,   868,  1564,   741,  3015,  3365,   719,  3367,
    1879,   876,  3568,  3080,   881,   231,     6,   848,  3457,  1559,
     934,  2012,   733,  1234,  3869,  1707,   212,  1238,  2912,  3541,
    1241,  1242,  3648,   696,  3842,  1605,  1606,    23,  2046,  1609,
    1552,  3594,  4191,  3596,  2048,  2047,  1070,  2031,  1030,  4223,
    1074,    37,  2934,  3027,  2546,  1079,  2081,  4219,  2550,  3891,
     645,  3416,   959,  5043,  4492,  1089,  3794,  3410,  4735,  1674,
    1675,   192,   742,   176,  1542,  1441,   732,   192,   737,  1103,
     743,  4460,  1951,  3936,  1892,     2,  3858,   984,  4503,  4498,
       8,  4515,   989,  2980,  4301,  2982,  2983,    15,  5225,  5035,
    2987,  2988,  2989,  3431,  2991,  2992,  2993,  5404,  1668,  5331,
    1134,    36,   198,   717,   945,   226,   720,  3460,    43,    51,
     828,   207,   208,  4502,  2583,  4751,    42,  4753,  4986,   215,
    2651,   217,   218,  2653,  1602,  1695,  3234,   800,  1085,  3023,
    3467,  3415,  4789,  3417,  5030,   231,  5408,  3319,  5367,   865,
     866,  1619,   943,   919,  1101,   919,  5245,  3856,  4571,   875,
       0,     0,  2624,   993,     0,   828,  5617,     5,    13,    21,
       0,  2630,  1002,    11,    38,    35,  5034,  1525,     0,    11,
    4675,     6,  1012,     6,     3,    63,     6,    29,    63,    11,
     853,    54,    94,   984,    25,    15,    16,    47,   989,  5288,
       6,     6,     6,  1034,   119,    32,    63,    29,     6,    37,
    2018,    80,    85,     6,  5601,     0,   168,    15,    16,     6,
       6,   174,    78,    72,    72,    25,    11,   146,    15,    16,
     174,    47,     6,     6,   121,     6,  2057,     6,     6,  1064,
     121,     6,     6,    91,    29,     6,    63,    13,    43,   175,
     913,   219,    11,     3,    63,     5,     6,   124,   168,   198,
     119,    11,    63,    43,  1505,    80,    21,  2624,  4608,  4609,
    4610,    90,  4612,  4613,  4614,  4615,  4616,    15,   112,    45,
     191,    21,   124,    32,   174,  5320,     5,   152,  1858,  5845,
     174,  1182,    11,     6,   112,   174,   295,   301,   152,   301,
    5962,   150,   150,   298,   176,   316,    76,   290,   139,  4516,
      63,     6,    78,   336,   190,    63,   175,  5973,   647,   296,
      27,   170,   170,   119,   143,    13,   119,  5500,    63,    63,
     287,   368,   296,   316,   174,   174,   162,   309,   174,   139,
    1397,   794,   223,    50,   174,  5295,  5296,   387,    29,  1453,
    1086,  1385,   174,    35,  5805,    36,   260,    45,   198,   198,
     135,    25,   198,  5249,   122,   174,   165,  1030,   198,   119,
     344,   213,    39,   149,  6136,     6,   198,   386,  1441,    13,
     134,   174,   136,  3042,   260,   276,   428,   310,  1445,   174,
      78,   430,   414,   351,   198,  6057,  4824,   373,   119,   280,
    5619,  1383,   988,   207,   471,    29,  1388,  1389,    13,  5796,
     739,   215,    80,   198,   218,  1280,  1281,   243,  5328,   338,
       6,  1007,   281,    91,  1010,   297,   402,  5516,   495,   451,
     249,   174,  5368,   285,  6196,   474,   194,    13,   213,    91,
    1305,   174,    80,  1154,  1335,    80,   662,   168,    29,  1316,
      29,    80,   668,    91,   356,    36,    91,    36,   339,   174,
     351,   289,   129,   386,   680,    80,   292,   243,   218,    45,
     428,   153,   271,   377,   514,   139,   518,   514,   664,   357,
     329,   329,   357,   457,   428,  6141,   458,    80,   817,   285,
      80,   514,   311,    91,   471,   452,   246,  1554,  6160,  5950,
     357,   377,    78,   514,   174,  1336,  1217,   214,   181,   518,
     181,   311,   476,   515,   518,   514,   518,  6073,  1188,   514,
     233,  1412,  1233,   293,   389,   181,   280,   354,   714,  5564,
     285,   514,    23,   405,  1365,   389,    37,   379,   428,  1250,
     357,   368,  5715,   370,   372,   285,   999,  1255,  1530,   383,
     518,   351,   124,  1269,  1270,   386,   357,   643,  1540,   428,
     504,   471,   514,   135,   373,   518,   141,   454,   428,   442,
     649,   649,   516,  4301,   649,  5201,   662,  1442,   428,   518,
    3042,   126,   668,   450,  1300,  5804,   386,  1478,   514,   504,
     285,  6042,  1255,   452,   680,   514,   445,   445,   416,  4327,
     419,  1842,   421,   514,   357,   354,   433,   457,   450,   357,
     696,  1635,   743,   428,  1638,   701,   518,   412,   119,   450,
     706,   119,   357,   357,   710,   711,  1705,  1706,   649,   457,
     514,   717,   412,   719,   720,   428,  1646,   518,   461,   518,
     518,   457,    23,   518,   747,  1627,   732,   733,  1630,  1631,
     514,   514,  5147,  6040,   463,   455,   512,   743,    23,  6110,
     516,   518,  1609,  4471,   742,   510,   518,   505,   506,  1703,
    4226,  5084,  1380,   505,   506,  5611,    22,   517,   517,   790,
    2028,   517,    28,   505,   506,  3042,   758,   517,   760,   514,
     762,   514,  5954,  1590,   514,   517,   768,   321,  1528,   922,
    6151,   518,  1418,  1419,  4512,  1471,   512,  1471,   514,   514,
     516,   504,  1659,  1660,   800,   396,   514,  1380,  4334,  1626,
     505,   506,  5941,   516,  4340,  1388,  1389,   514,   514,  5615,
     495,   496,   517,  1981,   495,   496,   822,   823,   849,  4511,
     514,   514,   828,   514,   510,   514,   514,  1406,  5970,   514,
     514,  1712,   471,   514,   513,   505,   506,   381,  1041,  1550,
    1590,   252,  1045,   518,  1047,   518,   504,   853,  5108,   855,
     518,  1953,   403,   404,   512,   518,   495,  1840,   516,  1044,
    3470,   433,  3472,   518,   518,   518,   505,   506,  4516,   910,
     428,  5741,   878,   428,    63,   910,   420,  5886,   422,   428,
     301,  4156,  5712,   518,  3688,  3689,  1988,  5717,  5718,  3693,
    5899,   309,  1603,   428,   900,   396,   927,   396,  2000,   507,
     508,   509,   510,  5803,  4167,  6044,   181,   913,  4171,  1620,
     428,   942,  1035,   912,   912,   428,   153,   912,   428,   912,
    1822,   912,   912,   912,   514,   518,  5493,   518,   912,   912,
     912,   912,   912,   912,   772,  3829,   912,   912,  1044,  4031,
     912,   912,   518,  4562,  5800,  4421,  1597,    51,   793,   794,
     795,   252,   936,   507,   508,   509,   510,  6174,   450,   112,
      23,  4155,   373,  4157,  4211,  3772,   160,   252,   114,    23,
    6109,   912,   467,    21,   124,  3543,   153,   701,   295,   124,
     505,   506,   507,   508,   509,   510,   710,   452,  4420,  4007,
     826,   112,  1859,   717,   830,  3436,   720,  3437,   276,   102,
    3379,  6048,  6049,  5351,   856,  5783,  6223,  6016,   419,   505,
     506,   507,   508,   509,   510,  1021,  1022,  1023,     6,   301,
    1525,  5799,  3826,   186,  1030,  3407,   316,   174,  3410,  1035,
     373,    68,   296,     6,  1040,  1041,   112,   448,   186,  1045,
     458,  1047,   162,  6185,   190,  1051,    64,   203,  2047,  1190,
     121,  5951,    52,  2030,    72,   114,   134,    10,     6,  5358,
      13,  1067,   473,   213,    17,    18,    19,    25,   213,   311,
     793,   124,   373,    31,   452,  3457,   295,   168,  3460,  4327,
     183,    10,    35,   504,    13,   165,  5942,   276,    17,    18,
      19,   512,    45,   514,   515,   516,   514,   518,   152,    52,
     299,  2078,   174,   514,   298,  1111,  6153,  1113,  1114,    23,
      23,   230,   311,   258,   260,  4547,   186,   263,   419,    23,
     124,   124,  2105,   243,  4483,    78,   198,  5221,   276,  1606,
    3407,   190,  1609,  3410,   419,  5262,   514,    25,  5684,  5553,
     119,  5555,   379,  1888,   386,  5559,  5560,   448,  1154,   124,
    6050,   299,   351,   998,   999,   235,   290,   276,    10,  1190,
     213,    13,   386,   448,   139,    17,    18,    19,   357,    23,
     183,   514,   473,   276,    30,  1603,  1182,   170,    10,   416,
    3457,   139,   316,  3460,  3794,    17,    18,    19,   473,   252,
    1188,   123,  1620,   193,    28,   512,   471,   386,   198,   516,
     276,   260,   280,    40,   263,   258,   276,   471,  6108,   213,
     213,  1217,   490,   514,   285,  1997,  1998,    54,  2029,  6119,
    2031,   458,  1805,   281,   514,  1231,  2037,  1233,   246,   514,
     113,   377,  2043,  2044,   471,  3803,   518,   285,  2049,   276,
     193,   435,   242,   518,  1250,   198,   177,  2058,  5583,  1255,
    5598,   139,  6152,  2064,   358,  2687,   296,    91,   495,  5607,
     416,  1267,   353,   416,   463,    25,   331,  5032,   221,   222,
     389,    23,    23,   110,  3884,   998,  2756,   514,  5613,  6179,
    5609,   428,  1119,  5582,  1335,  5629,   436,    23,   220,   242,
     467,  5019,  1923,   456,   518,   416,  1302,   285,  3026,  2787,
     450,   280,    88,  6203,  5056,   450,  1937,  4783,   456,  5082,
     373,  1035,   285,  5612,   368,  5663,   149,  1041,   377,  1950,
     203,  1045,   425,  1047,  2075,  1331,  1332,  1333,   185,  1335,
     283,   450,  1473,  5025,  1475,   389,  2622,   285,   252,   252,
    1916,   276,   176,   489,   297,   131,   198,   300,   252,  1355,
     363,   326,   373,   311,  2834,  1193,   419,  1195,   214,  1197,
      88,  1199,    29,  1201,  1202,  1203,  2012,  2969,   297,   221,
    1208,  2012,  1948,  1963,  1380,   212,   379,  1956,  1401,   139,
     514,  1858,  1388,  1389,   217,   448,   456,  1111,  2776,  1113,
    1114,   391,   450,   351,   373,   296,  1920,   450,   252,   471,
      25,  5988,     3,   131,  2055,     6,  1412,   176,  1987,  5491,
     473,  1935,  1991,  5827,  1938,  1456,  1457,  1996,  1459,   119,
    1999,  1456,  1457,   311,  1459,   121,  3371,    58,   386,     3,
     489,   471,   471,    98,    42,  1441,   367,  5785,   391,   276,
      88,   176,  1473,   374,  1475,   297,   450,   450,   122,   514,
     381,   514,  1458,   118,   416,   514,  1462,  1463,   167,   373,
     373,  4736,   343,   351,   353,   297,  1990,   134,   301,   373,
    1994,  1995,  1478,   363,   514,   210,   284,  4740,  1484,   518,
    3059,   338,  4745,   131,     3,  4748,   417,   310,   153,   153,
     373,  1597,   758,   514,   760,   176,   762,   128,   386,   333,
     252,   252,   768,   769,   770,   419,   419,    29,   439,    91,
    4983,    72,   369,   114,   139,   419,   252,  3258,  3259,   373,
     194,   456,  3263,  2028,    25,  3937,    25,   223,   314,   175,
      31,   414,    31,   416,   448,   448,   370,   119,   375,   299,
     493,  4528,   290,    98,   448,   119,  1552,     3,  2547,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   119,   473,
     473,   451,  3303,  3304,   333,   419,   519,   290,   316,   473,
     471,    90,  2549,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   471,   464,   280,   393,   314,  1593,   196,   190,
    5938,  5947,  5948,   316,   448,   355,   356,   431,   132,   433,
     514,   514,  4409,   437,  5369,  3078,   495,  4414,   142,   309,
     514,   444,   134,   428,  5262,   324,   297,   178,   355,   473,
    1626,   373,   373,   186,   143,   180,   386,  1611,    99,   518,
     368,   430,  1616,  1664,    90,   421,   504,   373,   139,  2622,
     139,   256,  3074,   339,  4223,  5714,  3078,   386,   516,   386,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   260,
     514,   368,   263,   401,   122,  5357,   314,   419,   419,   315,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   379,
     198,  4485,   347,   419,  1690,   202,   311,   179,   144,  4491,
    6038,  4301,    10,   421,   960,    13,   448,   448,   280,  1705,
    1706,  1707,   514,   518,   175,  1689,   280,  2711,   119,  1693,
     386,   285,   448,   276,   379,   379,   416,  4327,  1921,   280,
    5814,   473,   473,   386,   285,   328,   351,    45,   111,    99,
     249,   386,    10,   175,    52,    13,   194,   473,   209,    17,
      18,    19,    87,   450,   121,   156,   392,  1932,   311,   205,
     230,   416,   416,   224,   246,  6111,    13,  6105,   458,   276,
      78,   386,   514,   514,  1030,   177,   514,   209,   329,   240,
     311,   471,   169,   421,   168,   328,   377,   311,   514,   518,
     191,  4447,   224,   311,   345,  4167,   180,  1910,   351,  4171,
    2601,   514,   311,   458,   458,   495,   276,   268,   240,  1805,
     319,   319,   123,  2870,   198,   175,   471,   471,   205,  2711,
     351,  1817,   311,  5882,   514,  4025,  4026,   351,   368,   164,
     301,    78,  1828,   351,   295,  1931,  1932,   430,   347,   147,
     495,   495,   351,   351,  1840,  2818,   355,   355,  1844,   209,
     743,  4223,   518,   232,   351,   386,   223,   121,   379,   514,
     514,   343,   351,  5618,   224,   518,  2683,  1863,   386,   339,
     428,  2844,   318,   518,   310,  1871,   416,   386,   386,   280,
     240,   474,  5600,  1879,   257,   193,   311,   430,   261,   386,
     198,   310,  2664,  2950,   445,   416,   311,   386,   489,   151,
    4167,   362,  1898,   456,  4171,   376,  4106,   800,   268,   220,
     419,  1907,   421,   280,  1910,  4484,  4516,  1913,   514,   389,
    1916,  1917,   347,   452,  1920,  1921,   351,  1923,  1924,  2880,
     362,   474,   334,   370,   242,   295,   351,   458,   420,  1935,
     422,  1937,  1938,   207,  5197,  5627,   504,   370,   200,    13,
     386,  1947,  1948,   221,  1950,  1951,  4223,    32,   516,  2055,
     853,   386,   471,   471,   174,   367,   448,   386,   280,  6053,
    2943,   386,   339,   285,  5396,  1963,   468,   361,   462,   381,
     450,    45,   464,   514,    59,   514,  2007,   495,   198,   297,
    5099,   452,  2884,   514,  1990,   471,   433,   443,  1994,  1995,
    2892,  3959,   362,  2895,  2045,   451,    80,   462,   454,   179,
     433,  3103,   276,  5259,    78,   417,   280,    91,   319,  3977,
     913,   517,   111,  2012,  2012,   337,   518,  2012,   395,   297,
     514,  2021,   162,  2029,     0,  2031,  3009,   471,   168,  1611,
    2036,  2037,   518,  5798,  1616,  3467,  2786,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,   355,  3477,  2052,  5303,  2054,   514,
    2056,  2057,  2058,  2059,  2060,  2061,  4985,   518,  2064,    25,
    2066,  2067,  6156,  2930,  2070,  5817,   246,   368,   331,   370,
     169,  2012,   513,   391,   518,   386,   256,   518,  2084,  2085,
    2086,  2087,  2963,  2964,  2965,  3558,  4014,  4009,    35,  3993,
    4018,  4019,  3291,  4015,  3673,  5024,  5215,  2103,  5217,  2105,
    4024,  4483,  4484,   243,    93,  5797,   205,  1689,  5581,  2860,
    5004,  1693,  5390,  2858,   162,  2860,  2933,  1383,  2024,   433,
     168,   255,  1388,  1389,    90,   351,  3558,   343,  2711,  1967,
    2880,  1969,   433,  1971,   513,  1973,  3925,  1975,  4826,   518,
    4947,  1979,  4949,  4950,  4951,  4833,   280,   136,   464,  3751,
    1416,  3095,   292,  2784,  4733,  3757,  3646,  5633,   257,  1425,
     386,  1427,   261,   311,   380,  1431,   132,   289,  2918,  4973,
     311,  4975,  1438,   139,   471,   493,   142,   471,  5943,  3046,
    3047,  3048,  3049,  1907,  3051,  3168,  1910,   505,   506,   507,
     508,   509,   510,   376,   168,   243,  1920,  1921,   495,  5518,
     416,   495,  2952,   351,  5523,  5524,  4483,  4484,   233,  3076,
     351,  1935,    38,   343,  1938,  3695,   311,   311,   192,   311,
     514,   518,   339,  5655,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    72,    60,   352,  4147,    29,   386,    78,
     420,  2247,   422,   168,   292,   386,    99,  5606,   464,    48,
     380,   356,    91,  3155,    27,    10,   351,   351,    13,   351,
    3740,   355,   309,  1861,  1530,   382,  1990,   192,   448,   256,
    1994,  1995,    71,     5,  1540,   514,   149,    50,  6043,    11,
     119,   386,   121,  1881,  5562,   111,   416,    19,  2294,   162,
      45,    83,   386,   280,    86,   168,     0,    52,   433,  3282,
      92,  4042,  4043,  4044,  4045,  3288,    38,  4048,  4049,  4050,
    4051,  4052,  4053,  4054,  4055,  4056,  4057,    21,  1584,  1585,
     281,   282,   175,    78,  3069,   168,  6054,   259,   120,  2908,
     270,  2910,   379,   471,   464,  2914,   495,   496,   428,   178,
    3865,  2347,     5,  5879,   217,   311,     5,   355,    11,   192,
     514,  4733,    11,    57,   294,   514,   209,   495,  4740,    69,
      70,  1627,   452,  4745,  1630,  1631,  4748,   353,   207,   416,
     243,   224,  3028,  4114,  4115,   201,   376,     5,   386,   495,
     496,   347,   390,    11,   256,   351,   178,   240,   760,   761,
     762,   295,   147,   765,   766,   767,   300,   509,   514,   191,
     121,    22,   514,   775,   516,   295,     3,    28,  5884,  5885,
     300,   458,   204,   515,    10,   268,   518,    13,   379,   292,
     386,    17,    18,    19,   471,    15,    16,   393,   301,    26,
    5009,   257,   984,   515,   256,   261,   518,   989,   193,    35,
    6211,   280,  6213,   198,    33,    34,   285,   168,   495,  3260,
     276,  2615,  2616,  2617,  6182,   416,  4733,    10,   368,   369,
      13,  3272,  6233,  4740,    17,    18,    19,   514,  4745,   512,
    3372,  4748,   509,   516,   203,   515,   149,   514,   518,   516,
     515,  3232,    35,   518,   310,  3366,   207,   242,   192,   162,
     329,   515,    95,    90,   518,   168,  3307,   458,   507,   259,
     512,  5308,   514,   512,   516,   514,   345,   516,   507,   362,
     471,   515,   192,   512,   518,   514,   433,   516,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,    87,  2534,  3271,
     356,  3273,  3274,  6009,   495,   272,   273,   274,   275,  2545,
    3351,  2547,   297,  2746,   217,  2748,  2749,   144,   515,  2068,
     464,   518,  2071,   514,   380,   276,  1822,   515,  5836,   280,
     518,   515,  2747,   515,   518,   515,   518,    59,   518,  3700,
     243,   444,   515,  3152,   400,   518,   376,   515,   515,  2585,
     518,   518,   515,  2589,   515,   518,  2592,   518,  2594,   515,
     233,  2597,   518,   515,  2584,  2601,   518,   515,    11,   515,
     518,   198,   518,   514,  3391,  3392,   445,   462,   205,   515,
     402,   414,   518,   405,  3544,   514,  2622,  3369,  2624,   292,
    2743,  6097,  4590,   515,   295,   221,   518,  5009,   301,   515,
     515,   373,   518,   518,  3468,  2641,   391,   518,  4606,   512,
    3570,  2747,  5221,   516,  2650,  2651,   515,  2783,  5635,   518,
     464,   515,  5262,    10,   518,   420,    13,   422,    38,    48,
      17,    18,    19,   515,   515,   514,   518,   518,   221,   223,
    2676,  3422,  3649,   515,   491,  3326,   518,  2683,    35,   516,
      60,  2687,  2688,   512,   515,   514,  3854,   518,  2694,   515,
      59,  5495,  2698,  3478,  4273,   420,  2702,   422,  4439,  5503,
    5504,   297,   295,   515,  4493,  2711,   518,   298,   515,   515,
    4632,   518,   518,  2713,  2624,  2715,  4638,  4639,   471,   515,
     473,   318,   518,  2729,  2755,   379,  2732,   515,  5228,  5229,
     518,   111,  5009,  2869,   514,   168,   516,  2743,   493,  2745,
    2746,  3940,  2748,  2749,   297,  2751,  4271,   514,  4273,   516,
     505,   506,   507,   508,   509,   510,   515,  2763,  5877,   518,
     295,   515,   416,   471,   518,   473,   363,   515,   491,  4249,
     518,   444,  5382,  2039,  2040,  4263,   298,  2783,  2784,  4211,
     515,   368,   369,   518,  2050,  2051,  2792,   515,   515,  3372,
     518,   518,    48,   515,  6072,  3545,   518,   491,   178,   515,
    5379,   507,   518,  3976,   458,   420,   173,   422,  2814,  2815,
    3793,  3835,  2818,  2949,  2080,  5197,   413,   471,   420,  1191,
     422,   201,  1194,  2854,  1196,   223,  1198,  4307,  1200,  5408,
     515,   518,  1204,   518,   282,   471,  2842,   473,  2844,  5221,
      10,   495,  2848,    13,   495,   496,   443,    17,    18,    19,
     368,   369,    38,  3797,   451,   515,  2862,   454,   518,   514,
     514,  3492,  3493,  2869,   221,    35,  2872,   515,   368,   369,
     518,  3621,  2878,  5452,    60,   515,   461,   257,   518,  6157,
     515,   261,   515,   518,   515,   518,  5484,   518,   515,   325,
     515,   518,  2898,   518,  3522,   471,   276,   473,  2904,  3644,
    2624,   134,   514,   136,  3649,  2911,   502,   503,   504,   505,
     506,   507,   508,   509,   510,  2907,  3495,  5675,  5676,  2925,
    5197,    37,   149,   515,  3791,   111,   518,   515,   514,   517,
     310,   379,  2938,  5851,  5852,   162,  6214,  2943,   515,  3522,
     297,   168,   514,  2949,  5221,   649,   515,   515,   517,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  4138,    59,
    4140,  2967,  2968,  2969,  4724,   174,  4726,  2973,   416,   149,
     515,   515,   515,   518,   518,   518,   356,    33,    34,   219,
    4505,   515,   162,   515,   518,  4172,   518,  4174,   168,   515,
     217,  5179,   518,  5181,  3000,  3001,  3199,  5379,  3201,  3202,
     380,   515,   515,  3009,   518,   518,   515,  3638,  5937,   518,
     458,   515,    55,    56,   518,   201,   243,   219,   515,  2743,
     400,   518,  2746,   471,  2748,  2749,  5408,   515,   515,  3660,
     518,   518,   515,   514,   514,   518,  3042,   217,   742,   743,
    4500,   515,    98,   515,   518,   516,   518,   495,  4521,   515,
     515,   221,   518,   518,   475,   515,  4224,  4225,   518,   514,
    4228,   515,   118,   243,   518,   292,   514,   515,  3074,   517,
    5452,   257,  3078,  3196,   301,   261,   515,   515,  3823,   518,
     518,   515,  3984,   514,   518,   515,   149,   351,   518,  4521,
     276,   515,   198,   515,   518,  4078,   518,   153,   515,   162,
     515,   518,  5379,   518,  5703,   168,   515,   515,  4085,   518,
     518,   515,   292,   515,   518,   515,   518,   154,   518,   515,
    3061,   301,   518,   515,   310,   515,   518,   297,   518,   516,
     515,  5408,  3042,   518,   515,   154,   515,   518,   515,   518,
     515,   518,   514,   518,   295,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   217,   351,   198,   295,   154,   154,
    3166,   154,  3168,   198,   295,   168,   351,   154,   241,   121,
     356,  3799,   452,  3801,   295,  5452,   514,  3183,   289,  3185,
     243,   515,   168,  3814,    72,  3816,  3192,  4141,  3963,   280,
    3196,  3132,  3198,  3199,   380,  3201,  3202,  3203,    38,   280,
     475,   514,   295,   280,    48,  3211,   910,  4184,   912,  3260,
    3216,    48,   280,   438,   400,   280,  3799,   444,  3801,    90,
    3326,   311,   464,  5802,  5606,  3231,  4037,   464,    87,   292,
     433,   168,   154,   332,   154,  5814,   514,   154,   301,    91,
     154,   475,   154,   154,   518,   154,   154,   154,   154,   154,
     154,   154,  3258,  3259,  3260,  3883,  3307,  3263,   168,   154,
    4071,  4840,  3841,   154,   444,  3271,  3272,  3273,  3274,   154,
     154,   295,   416,   219,    38,   514,  3282,   241,   168,   168,
     295,  3287,  3288,   514,  3290,   512,  3292,     6,   515,   516,
    5956,   347,     6,   514,   514,   168,   514,  3303,  3304,   514,
    3883,  3307,   514,   514,   514,     6,   514,     6,   514,   514,
     514,     6,     6,  4124,   514,   514,   514,  4300,  3042,  4302,
     514,   514,  3328,   379,  3330,  3431,  3332,   179,  4272,  5606,
    4818,   514,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   514,   514,  4326,   287,  3351,  2612,  2613,  3979,   514,
     514,   203,  2618,   514,   514,   514,   514,   514,   514,  3410,
     416,   514,  3359,  3360,  3361,   514,  3372,   514,   514,  3948,
    4569,   514,   307,   163,   472,  5954,  4544,   219,   518,   518,
      38,   444,   102,   241,  2650,  2651,    38,   514,    37,   512,
     426,   174,  5133,   426,   246,     0,   428,   512,   428,   428,
     514,  3407,   458,   428,  3410,   518,   462,  4241,   168,   292,
     168,   290,    68,   373,   428,   471,   428,  3423,   428,   463,
    5802,   428,  3428,  4208,   373,  4327,   428,   516,   428,   373,
     243,   428,  5814,    79,   355,   504,   428,  3443,    43,   495,
     428,    91,   373,   154,   295,  2711,   378,  5415,   300,   238,
     428,  3457,   428,   285,  3460,   127,   428,   451,   514,   316,
     419,  3467,   295,   290,  3470,  4395,  3472,   368,  6047,   514,
     428,  3477,  3196,  4417,  6053,  3199,   191,  3201,  3202,    91,
     428,   311,   127,   514,  1188,   198,  3492,  3493,  6154,   154,
     518,   452,  3498,    98,   428,   452,   127,  3407,   428,   428,
    3410,  4147,   428,   428,   113,   428,  4147,   127,    59,   428,
     428,    59,   134,  3519,   136,   428,  3522,   265,   299,  3525,
      25,   336,   336,   316,  4405,  5802,    31,  3533,   134,  2795,
     136,   428,   428,   336,   428,   428,   428,  5814,   160,   316,
      47,    46,   428,   419,   149,    47,   428,  3457,   428,   518,
    3460,   428,  3558,   428,   160,   221,   428,   162,   428,  1263,
     515,   221,   295,   168,   221,   519,   221,   221,   420,   174,
     422,    76,  5954,   221,   221,   180,   438,  6156,   183,  1283,
     221,   433,   187,   221,   221,   295,   514,   428,  3594,  3595,
    3596,    38,   154,   445,   154,   295,   448,   280,    10,   119,
    4577,    13,   452,   225,   154,    17,    18,    19,   154,  4592,
     463,   154,   217,  3619,   219,   295,   249,   280,  2884,   225,
      38,   280,  3628,  5055,  3630,   130,  2892,   132,    54,  2895,
     168,  1335,  3638,   514,   139,    38,   280,   142,   243,   233,
     514,  2907,   154,   375,   154,   514,   452,   452,   154,   386,
     272,   273,   274,   275,  3660,   154,   428,   279,   280,    10,
     289,   284,    13,   285,   169,  6047,   272,   273,   274,   275,
     174,  6053,   467,   279,   100,   514,   265,  5954,   265,   285,
      13,   426,  4584,  3407,  5425,   428,  3410,   292,  3794,   518,
     295,   514,   514,   183,    45,   514,   301,   518,   306,   125,
     205,    52,   430,   515,   191,   191,   515,   491,   512,   491,
     377,   263,   468,  1463,  5455,   515,   515,   143,  3724,   515,
     217,   147,   230,   515,   518,   389,   296,    78,   452,    38,
     518,   452,   304,  3457,    59,   515,  3460,   463,   373,   514,
    3746,   230,   230,   169,   452,  3751,   285,   173,   285,   428,
     428,  3757,  1456,  1457,   359,  1459,   285,   428,   168,   514,
    3766,   295,   188,    48,   295,   395,   280,   241,   241,   241,
    6047,   276,   368,   295,  6156,   280,  6053,   259,   127,   419,
     518,   198,   295,   518,   295,   290,   428,  3793,  3794,   386,
     351,   192,   295,  3799,   299,  3801,   147,   471,   383,   339,
     428,   428,    38,   301,   233,   221,   311,   412,  3814,   221,
    3816,   515,   335,   435,   504,   154,   452,    38,   452,   290,
     168,   464,   417,   170,   446,   514,  4994,   336,   383,   435,
    3836,   154,   514,   154,  4465,  4466,   154,   290,   452,   444,
     446,  3872,   193,   280,    38,   471,   351,   198,   280,   354,
     355,   295,    27,   295,   233,   290,  3862,   189,   189,   285,
    4687,   168,  4673,   468,    38,   470,   471,   169,   233,   168,
     295,   280,   198,   475,   198,    59,   198,  3883,  3884,  6156,
     174,   386,  3933,   383,   198,   297,   198,   492,   262,  3155,
     471,   242,   428,  4755,   518,   295,   514,   518,    10,   518,
    3906,    13,   518,  5363,   289,    17,    18,    19,   518,   516,
     515,   337,   517,   518,   515,   515,   515,   174,   492,  3925,
     301,   307,   515,   515,   457,   515,   134,  3868,   514,  4831,
     518,   515,  3963,    45,   317,   515,   515,   515,   515,   515,
      52,   174,   515,   518,   515,   279,   297,   515,  3954,   491,
     455,   428,  3958,   468,   174,   514,   514,   514,   256,   515,
     514,   514,   494,  3904,   513,   495,    78,   183,   513,   450,
     251,   518,   468,  3979,    59,   295,  5501,   203,   154,  4122,
     295,   298,   428,  4767,   211,   428,   514,   514,   514,  3995,
     428,   157,  3998,   285,   428,   154,   280,   405,  4004,  4578,
    4579,  4580,  4581,  4582,   386,   378,   154,   154,  4014,   378,
     378,  4955,  4018,  4019,   203,   157,   241,   295,  4024,   504,
     157,   428,   452,   373,   243,   318,  4032,   468,  4034,   318,
     449,  4037,   157,   428,   428,  4041,  4042,  4043,  4044,  4045,
     391,   402,  4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,
    4056,  4057,   428,   428,   253,  4061,  4062,  4063,   253,   127,
    4066,   253,   428,   373,   428,  4071,   428,   373,   428,  4120,
    4076,   428,  4078,   373,  4080,   428,   373,   280,   386,   154,
      47,   193,  4088,   428,   428,  4091,   198,  4093,   428,   513,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   428,
     515,  5078,   515,   221,  3370,  4111,  3372,  4758,  4114,  4115,
     515,   221,   186,  4119,  4120,     3,   515,   299,  4124,   515,
    4126,   518,  3388,   168,    48,   438,   112,   515,   518,   168,
     242,   515,    38,  4130,  4131,  4132,  4133,   514,   154,   154,
     428,   504,   493,   168,   290,   186,   154,   514,  4147,  4147,
     295,   452,  4147,  4159,   505,   506,   507,   508,   509,   510,
     373,  4167,   452,   458,   373,  4171,   504,   373,   373,  3435,
    3436,   373,   518,   383,   152,   152,   512,   221,   221,   221,
     145,   221,   359,   221,  4815,   297,   221,   221,   221,   221,
     295,   295,    59,   295,   225,  4301,   295,  4203,    13,   518,
     307,   463,   174,   279,  5636,  4211,  4147,   445,   445,   305,
     515,   515,   515,   224,   224,   302,    59,  4223,   418,   515,
     359,  4327,   168,   187,   515,    38,   438,   513,   425,  4974,
     452,   518,   515,   515,   514,   452,   515,   514,  4244,   514,
     514,   233,   428,   211,   154,    59,   419,    86,   402,   178,
    5991,  5992,   378,   438,   157,   515,   428,  4167,   428,  1963,
     428,  4171,   373,   428,   428,   373,   515,   515,   351,   514,
     471,   514,    59,   168,  4905,   419,   295,   458,    78,   391,
     154,   112,   438,   515,   221,   221,   221,   221,   230,  4295,
     514,   514,   206,  5174,  4300,  4301,  4302,  2047,  2048,   514,
     428,   295,    38,   316,   475,   293,   295,  2057,  2012,     3,
      44,    25,   383,  4223,   518,    10,  2066,    31,    13,   515,
    4326,  4327,   438,   514,   457,   518,  5207,   428,   518,    89,
    5313,   514,    46,   180,   112,  4914,  4915,   515,  4917,   181,
    5919,  2045,   174,   221,   143,   285,   515,   285,   515,  4341,
      45,   174,   515,   285,   285,   515,    59,    52,     0,  2063,
    4352,   518,    76,   515,   515,   231,  4372,   231,   307,  4375,
     224,  5002,   469,   316,   469,   515,   470,   515,   514,   514,
     514,   493,   290,    78,   438,   174,    78,   471,   425,   205,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   428,
     192,   192,   285,   285,   504,    59,   428,   419,    10,   518,
    4516,    13,   518,    72,   428,    17,    18,    19,   132,   428,
     157,   154,   428,   515,   221,   139,    10,   126,   142,    13,
     176,   119,   514,  4439,    38,   198,    38,  5539,   290,  5541,
      38,   514,   383,  4167,   280,   452,   170,  4171,   471,   290,
      10,    59,   147,    13,    84,   169,    98,   383,   419,  4465,
    4466,    45,    38,  4469,   174,   295,   471,   514,    52,   518,
    4476,   168,   298,   346,   504,   219,   208,  4483,  4484,   515,
     399,   174,   457,   376,    59,    45,   514,  4493,   515,   515,
      38,   205,    52,    81,    78,   515,   514,   514,   193,  4223,
     295,   199,    38,   198,   154,   345,   428,   149,   154,    38,
    4516,   515,  5680,   515,   514,  4521,  4522,  4523,    78,   428,
     162,   514,   452,   514,   514,   168,   168,  4533,  3794,   514,
     514,   285,   174,   254,   514,   514,   154,   383,   180,   515,
     112,   183,    38,  5711,   515,   187,  5550,   242,  2252,   299,
     174,  3817,   438,   397,   168,   515,    91,   135,  5340,   397,
     515,   202,   276,   147,   111,   514,   280,   514,  4509,   514,
    4576,  5222,    38,  4483,  4484,   217,   290,   467,   191,   168,
     452,   514,   419,  4589,   419,   299,  4592,   147,   203,  5757,
    5758,   518,   276,   518,   514,   295,   514,   311,   515,     6,
     161,   243,   297,   514,   475,   369,   471,   369,    72,   193,
      72,  5190,  4618,   298,   198,   517,   135,   140,   471,   221,
    5431,   515,  5201,  5274,   457,  4631,   165,   456,   165,   457,
     514,   518,  5263,   193,  5445,   514,    35,   351,   198,  4645,
     354,   355,   467,   255,   174,   419,   342,   285,  5550,   205,
     292,   419,  4758,   295,   514,  5466,   295,   383,   242,   301,
     295,    38,  5473,    38,   298,   298,   514,  4673,   199,   176,
    4676,   176,   386,   153,   386,   150,    59,   368,  4684,  4685,
     514,  4687,   242,    59,    38,  4691,  4692,   352,   515,   424,
    4696,   302,    59,   406,   124,   297,   391,  4703,   428,   450,
    4706,  4707,     6,   515,   383,  5688,   514,  4713,   140,   514,
      35,   285,   514,   297,    24,   424,   368,   359,  3984,   368,
     518,   303,   518,  5534,  5535,    81,   281,  4733,   386,   174,
     514,   281,   153,   397,  4740,   397,    62,   297,   428,  4745,
     119,   455,  4748,  4749,  5912,  5749,   518,   458,   514,   471,
    4756,   471,   457,   176,   176,   514,   458,   515,  3372,  4483,
    4484,  4767,   912,  4769,  5747,   452,  5389,  2918,   208,  2827,
    3570,    97,   952,  4300,   416,   457,  1692,   217,  4784,  5903,
    2998,  4781,  4275,  2944,  3785,  1389,  5316,  5747,  6024,  5363,
    4273,   231,  4463,  4273,  4964,  5339,  4802,  3499,   493,  3142,
    5883,  5221,   444,  6012,  5777,  5776,  5767,   391,  5923,  4815,
     505,   506,   507,   508,   509,   510,  5984,  5985,  6047,  3503,
    5009,  5721,  4484,  4733,  4453,  3012,   468,  4510,   470,   471,
    4740,   391,   158,  4825,  4495,  4745,  4842,  3012,  4748,  4295,
    3595,  3833,  4479,  4835,  5003,   994,  5346,  3877,  4546,  5648,
     492,  6120,  6226,  4859,  6208,  5330,  3793,  5935,  4864,  4518,
    5276,  1852,  5521,    18,  5730,  4871,  5279,    28,   645,   195,
     512,  3952,  4589,   515,   516,   517,  1218,  5490,  4592,  6116,
    1896,  4887,  3028,  2688,  5463,  5696,  2590,  5698,  4894,  4521,
    3477,  2641,  1893,  3888,  1907,  5389,  5636,  1931,  3727,  4905,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   493,
     730,   697,   238,  2943,  4326,  3646,  5962,  6160,  1509,  4550,
    2624,   505,   506,   507,   508,   509,   510,   843,  4552,  2974,
    4936,  2631,  6176,   493,  4574,  5077,  5488,  1805,  1965,  5876,
    1405,    41,    41,  1366,  4631,   505,   506,   507,   508,   509,
     510,  3428,  3443,  5536,   280,  2641,  4962,  5868,  3410,  5700,
    4156,  4173,  5198,  5452,  5543,  1466,  5451,  5550,  3407,  4575,
    1465,  5716,  4978,  3407,  1468,  6138,  5862,  4983,  5995,  5687,
    5429,  4080,  1422,  2539,  5701,  3349,   312,  5702,    10,  2540,
    3331,    13,  2059,   319,  2973,  3212,  5002,  3329,  3246,  3319,
    4017,   900,    -1,  5009,  2545,  2629,    -1,    -1,    -1,  4733,
      -1,    -1,    -1,    -1,    -1,    -1,  4740,    -1,    -1,    -1,
    6024,  4745,    -1,    45,  4748,  4749,    -1,    -1,    -1,   355,
      52,   357,    -1,    -1,   360,  4301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,  5055,
      -1,  5057,   378,    -1,    -1,    -1,    78,    -1,    -1,    -1,
     386,  4327,  5713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5273,     6,   398,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
    5021,   407,    -1,    -1,    -1,   411,  4352,    -1,    23,  5274,
      25,    -1,    -1,  5099,    29,    -1,    -1,    -1,    -1,  5009,
      35,    36,    37,    -1,    39,    -1,    -1,    42,    43,    -1,
      45,    -1,    47,    -1,    -1,  5318,  5222,    -1,    -1,    54,
      55,    56,    -1,    -1,  5130,    -1,    -1,  5133,    -1,    -1,
    5136,  5137,  5138,    -1,  5075,  5076,    -1,    -1,    -1,    -1,
     466,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  5262,  5163,  5164,    -1,
      -1,  5167,  4428,  4429,    -1,    -1,  5749,    35,  5274,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    45,    -1,    -1,
    6163,  5187,    -1,    -1,    52,    -1,    -1,  5193,    -1,    -1,
      -1,  5197,    -1,    -1,    -1,    -1,  6195,  5203,  5204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5215,
      78,  5217,    -1,    -1,    -1,  5221,    -1,    -1,    -1,    -1,
     242,    -1,   662,    -1,    -1,  6208,    -1,    -1,   668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     680,    -1,    -1,  6226,    -1,    -1,    -1,    -1,    -1,    -1,
    4516,    -1,    -1,    -1,  4978,    -1,  5262,  5263,    -1,    -1,
      -1,    -1,    -1,   198,   199,   200,    -1,  5273,   203,    -1,
      -1,    -1,   207,    -1,   209,   297,    -1,   212,    -1,    -1,
     215,    -1,    -1,   218,    -1,  5009,   221,  5197,   223,  6100,
      -1,   226,    -1,    -1,     0,   230,    -1,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5313,    -1,    -1,
      -1,  5221,  5318,    -1,    -1,    -1,  5962,    -1,  4584,    -1,
    5903,  5962,    -1,    -1,    -1,   193,    -1,    -1,  6209,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5378,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,  3061,  6103,  6104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,
      -1,    -1,  5210,  5379,   242,    -1,  5382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6200,
    5389,  5389,    98,    -1,  5389,    -1,  5389,    -1,  5389,  5389,
    5389,    -1,  5408,  5344,  5410,  5389,  5389,  5389,  5389,  5389,
    5389,  6057,    -1,  5389,  5389,   283,  6057,  5389,  5389,  5425,
      -1,    -1,  5473,  5429,    -1,  5431,    -1,    -1,  3132,   297,
      -1,    -1,   300,    -1,  5375,    -1,    -1,    -1,    -1,  5445,
      -1,  6024,    -1,   149,    -1,    -1,  5452,    -1,  5389,  5455,
      -1,    -1,    -1,    38,    -1,    -1,   162,    -1,    -1,    -1,
    5466,    -1,   168,    -1,    -1,    -1,    -1,  5473,   174,  5379,
      -1,   493,    -1,  5197,   180,    60,    -1,   183,    -1,    -1,
      -1,   187,    -1,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,  5408,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,  3258,  3259,
      -1,   217,  5518,  3263,  6160,    -1,    -1,  5523,  5524,  6160,
      -1,    -1,  5528,   391,    -1,    -1,   111,   112,  5534,  5535,
    5536,    -1,    -1,    -1,   119,    -1,    -1,   243,    -1,    -1,
      -1,    -1,  5452,    -1,  5550,    -1,    -1,    -1,    -1,  5273,
      -1,    -1,    -1,  3303,  3304,    -1,  3260,    -1,    -1,  4825,
      -1,    -1,    -1,    -1,  5570,  4831,    -1,    -1,    -1,  4835,
      -1,    -1,  5578,    -1,    -1,  5581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,   295,
      -1,    -1,    -1,   178,  5318,   301,  4862,  4863,    -1,    -1,
    5606,  4867,  4868,  3307,    -1,    -1,    -1,  5713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,  3331,    -1,    -1,
    5636,  5637,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  3347,    -1,    -1,    -1,   515,    -1,    -1,
     518,    -1,    -1,   359,    -1,  5379,    -1,    -1,    -1,  5665,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5608,  5674,  5675,
    5676,    -1,   257,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,  5687,  5688,    -1,  5408,  5691,    -1,  5890,    -1,    -1,
    5696,   276,  5698,    -1,  5700,   280,  5606,    -1,    -1,    -1,
      -1,    -1,    -1,  3407,    62,    -1,  3410,    -1,    -1,   644,
     416,    -1,    -1,    -1,    -1,   650,  5722,   652,    -1,   654,
      -1,    -1,   657,    -1,    -1,   310,    -1,    -1,  5452,   664,
      -1,    -1,    -1,    -1,   669,    -1,   671,    -1,   444,    97,
      -1,  5747,   677,  5749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3457,    -1,    -1,  3460,    -1,    -1,    -1,
    5963,  5964,   468,    -1,   470,   471,   701,    -1,    -1,    -1,
      -1,   356,    -1,    -1,    -1,   710,    -1,    -1,    -1,   714,
      -1,    -1,   717,    -1,    -1,   720,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,  5802,    -1,    -1,    -1,
     158,   736,    -1,    -1,    -1,    -1,   512,    -1,  5814,   515,
     516,   517,    -1,    -1,    -1,   400,    -1,   402,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,  5845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5858,    -1,  5578,   790,    -1,    -1,   793,   794,
     795,    -1,  5868,    -1,    -1,    -1,    -1,   802,  5874,    -1,
      -1,  5877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,    -1,  5606,    -1,  5890,    -1,    -1,   822,   823,    -1,
     825,   826,  5802,  5834,    -1,   830,    -1,  5903,    -1,    -1,
      -1,    -1,    -1,    -1,  5814,    -1,    -1,    -1,    -1,   844,
      -1,    -1,    -1,    -1,   849,    -1,    -1,    -1,   276,    -1,
     855,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5954,    -1,
      -1,    -1,    -1,   311,   312,    -1,    -1,  5963,  5964,    -1,
      -1,   319,    -1,  5969,  5962,   900,    -1,  5962,    -1,    -1,
      -1,  5962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   914,
      -1,    -1,    -1,    -1,    -1,  5991,  5992,    -1,    -1,    -1,
      -1,    -1,   927,   351,    -1,  5936,  5262,   355,    -1,    -1,
      -1,    -1,   360,    -1,    -1,    -1,  6057,   942,    -1,    -1,
      -1,   369,    -1,  6216,  6217,    -1,    -1,    -1,  6024,    -1,
     378,  5962,    -1,    -1,    -1,    -1,   961,    -1,   386,    -1,
      -1,   966,   967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     398,  6047,    -1,    -1,  5954,    -1,    -1,  6053,    -1,   407,
      -1,    -1,    -1,   411,     0,    -1,    -1,    -1,    -1,  6057,
      -1,    -1,  6057,   998,   999,  6071,  6057,  6073,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,    -1,
      -1,  6087,    -1,    -1,    -1,    -1,  1021,  1022,    -1,    -1,
    5814,    -1,    -1,    -1,  6100,    -1,    -1,    -1,    -1,    -1,
    1035,    -1,  1037,    -1,    -1,    -1,  1041,    -1,   466,  1044,
    1045,    -1,  1047,    -1,    -1,    -1,  6057,  1052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6136,    -1,    -1,    -1,    -1,    -1,    -1,  6047,    -1,    -1,
      -1,  1076,    -1,  6053,    -1,    -1,    -1,    -1,  1083,  1084,
    6156,    -1,    98,    -1,    -1,    -1,    -1,  6163,    -1,    -1,
      -1,    -1,  6160,    -1,  3868,  6160,  5890,    -1,    -1,  6160,
    1105,  1106,  1107,    -1,  1109,    -1,  1111,    -1,  1113,  1114,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6195,
    6196,    52,    -1,    -1,  6200,    -1,    -1,    -1,  6204,    -1,
    3904,    -1,  6208,   149,    -1,    -1,    -1,    -1,    -1,    -1,
    6216,  6217,  1147,    -1,  1149,  1150,   162,    -1,    -1,  6160,
    6226,    -1,   168,    -1,    -1,    -1,    -1,    -1,   174,  3933,
    5954,    -1,    -1,    -1,   180,    -1,    -1,   183,    -1,  5963,
    5964,   187,    -1,    -1,    -1,    -1,  6156,  1182,    -1,    -1,
    1690,    -1,    -1,    -1,    -1,  1190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,  4024,  1210,    -1,  1212,    -1,    -1,
      -1,  1216,    -1,  1218,  5550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4042,  4043,  4044,  4045,    -1,   243,  4048,  4049,
    4050,  4051,  4052,  4053,  4054,  4055,  4056,  4057,    -1,    -1,
      -1,    -1,  1247,    -1,  1249,    -1,    -1,    -1,  1253,    -1,
      -1,    -1,    -1,  6047,    -1,    -1,  4076,    -1,    -1,  6053,
      -1,    -1,  1267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,  6071,    -1,   295,
      -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4114,  4115,    10,  1302,    -1,    13,
      -1,    25,    -1,    17,    18,    19,    -1,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    46,    -1,    -1,    -1,  1331,  1332,  1333,    -1,
    1335,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,  4159,
      -1,    -1,  6136,   359,    -1,    -1,  4120,    -1,    10,    -1,
    1355,    13,    76,  1863,    -1,    17,    18,    19,    -1,    -1,
      -1,  1871,  6156,    -1,    78,    -1,    -1,    -1,    -1,  1879,
      -1,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    45,    -1,    -1,    -1,    31,    -1,  1394,
      52,    -1,    -1,  4167,    -1,    -1,    -1,  4171,    -1,    -1,
     416,    -1,  6196,  5739,    -1,    -1,   130,  1412,   132,    -1,
    6204,    -1,    -1,    -1,  1924,   139,    78,    -1,   142,    -1,
      -1,    -1,  6216,  6217,    -1,    -1,    -1,    -1,   444,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1951,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,
      -1,    -1,   468,  1458,   470,   471,    -1,  1462,  1463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,  1474,
    1475,  1476,    -1,  1478,    -1,    -1,   492,    -1,    -1,   193,
      -1,   205,    -1,    -1,   198,    -1,    -1,    -1,   132,    -1,
      -1,    -1,    -1,    -1,    -1,   139,   512,  1502,   142,   515,
     516,   517,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    62,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,   242,    -1,
      -1,   193,  1537,    -1,    -1,    -1,   198,  1542,    -1,    -1,
    1545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      -1,    -1,   276,  1558,  1559,    -1,   280,    -1,    -1,   221,
     222,   205,  1567,    -1,    -1,  1570,   290,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
     242,    -1,    -1,   297,    -1,    -1,   300,   311,    -1,    -1,
      -1,    -1,  1597,    -1,  1599,    -1,    -1,  1602,    -1,    -1,
    1605,  1606,    -1,    -1,  1609,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,    -1,  1619,    -1,    -1,  1622,    -1,  4439,
    1625,   283,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,
     354,   355,   276,    -1,    -1,   297,   280,    -1,    -1,    -1,
      -1,    -1,  1647,    -1,  1136,    -1,   290,   195,    -1,    10,
    1142,    -1,    13,    -1,    -1,   299,    17,    18,    19,  1664,
    1152,    -1,   386,    -1,  1156,    -1,    -1,   311,  1160,    -1,
    1162,  1676,  1677,  1678,  1679,  1680,  1168,   391,    -1,    -1,
      -1,    -1,  1174,    -1,    45,  1177,    -1,    -1,    -1,  1694,
     238,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1705,  1706,  1707,    -1,    -1,    -1,    -1,   351,    -1,  4483,
     354,   355,    -1,    10,    -1,    -1,    13,    78,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,   276,   391,
      -1,   455,   280,    -1,    -1,  4509,    -1,    -1,    35,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   311,   312,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,    -1,   706,    -1,    -1,    -1,   493,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,  1804,
      -1,   732,    -1,   351,   518,    -1,    -1,   355,    -1,    -1,
    1815,   455,   360,    -1,    -1,    -1,    -1,    -1,  1823,  1824,
      -1,   369,    -1,    -1,    -1,    -1,    -1,  6163,    -1,    -1,
     378,   493,   193,    -1,  1839,    -1,    -1,   198,   386,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     398,    -1,  1857,  1858,    -1,    -1,  4676,    -1,    -1,   407,
     221,   222,    -1,   411,    -1,    -1,    -1,    -1,  1873,  1874,
    1875,  1876,  6208,    -1,    -1,    -1,    -1,  1882,    -1,    -1,
      -1,   242,    -1,    -1,  1889,    -1,    -1,  1892,    -1,    -1,
    6226,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,  1907,    -1,    -1,  1910,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1920,  1921,    -1,   466,    -1,
      -1,    -1,   283,    -1,   221,   222,  1931,  1932,    -1,    -1,
    1935,    -1,    -1,  1938,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,  1953,  1954,
      -1,    -1,    -1,    -1,    -1,  1960,    -1,  1962,    -1,    -1,
    1965,    -1,    -1,    -1,    -1,    -1,  4740,    -1,    -1,    -1,
      -1,  4745,    -1,    -1,  4748,    -1,  1981,    -1,    -1,    -1,
      -1,    -1,    -1,  1988,    -1,  1990,   283,    -1,  1993,  1994,
    1995,    -1,  1997,  1998,    -1,  2000,    -1,    -1,    -1,    -1,
     297,    -1,  2007,   300,    -1,    -1,    -1,    -1,    -1,  2014,
      -1,    -1,  2017,  2018,    -1,    -1,  2021,    -1,    -1,  2024,
    2025,    -1,    -1,    -1,  2029,    -1,  2031,    -1,    -1,    -1,
     391,  2036,  2037,    -1,    -1,    -1,    -1,    -1,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,    -1,    -1,  2052,    -1,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,    -1,    -1,  2064,
      10,  2066,  2067,    13,    -1,  2070,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2085,  2086,  2087,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   391,    45,    -1,    -1,  2103,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,  1040,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,   493,    -1,    -1,    -1,  1067,    -1,  2143,    -1,
      -1,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2694,    -1,    -1,    -1,  2698,    -1,
      -1,    -1,  2702,    -1,    -1,    10,   493,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,  2729,
      35,   518,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      45,    -1,    -1,    17,    18,    19,    -1,    52,    -1,    -1,
      -1,    -1,  2247,   193,    -1,    -1,    -1,  5021,   198,    -1,
      -1,    35,    -1,  2763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    78,    -1,    -1,    -1,    -1,    52,    -1,
      -1,   221,   222,  2783,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2294,
      -1,    -1,   242,    -1,    78,    -1,    -1,    -1,    -1,    -1,
    1231,  5075,  5076,    -1,    -1,  2815,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5133,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    26,  2842,   283,    -1,    -1,    -1,    -1,  2848,    -1,
      -1,    -1,  2347,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     300,    -1,  2862,    -1,    -1,    -1,    -1,    -1,    -1,  2869,
      -1,    -1,  2872,    -1,    -1,    -1,    -1,  5187,  2878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,  2898,    -1,
      -1,    -1,    -1,    -1,  2904,    -1,    -1,    -1,    -1,    -1,
      -1,  2911,    -1,    -1,    -1,    -1,   221,   222,    -1,   193,
      -1,    -1,    -1,    -1,   198,  2925,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5197,    -1,    -1,    -1,   242,  2938,    -1,
      -1,    -1,    -1,    -1,  1926,    -1,    -1,   221,   222,  2949,
      -1,   391,  1934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   300,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,    -1,  2534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2544,
    2545,    -1,  2547,   493,    -1,    -1,    -1,    -1,    -1,  2554,
      -1,    -1,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,    -1,
    5344,    -1,    -1,    -1,    -1,    -1,   391,    -1,  2583,    -1,
    2585,    -1,    -1,  2588,  2589,    -1,    -1,  2592,    -1,  2594,
      -1,    -1,  2597,    -1,    -1,    -1,  2601,    -1,    -1,    -1,
      -1,  5375,    -1,    -1,    -1,  5425,    -1,   391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5389,    -1,    -1,    -1,  2624,
      -1,    -1,    -1,    -1,    -1,  2630,  2631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5455,  2641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2650,  2651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3166,    -1,    -1,  2664,
      -1,    -1,  1593,    -1,    -1,    -1,    -1,  2672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3185,    -1,    -1,   493,    -1,
      -1,    -1,  3192,    -1,    -1,    -1,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,  5473,
     515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,   493,
    2715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,  2732,    -1,    -1,
      -1,   515,    -1,    -1,    -1,    -1,    -1,    -1,  2743,    -1,
      -1,  2746,  2747,  2748,  2749,    10,    -1,  2752,    13,    -1,
    2755,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,  2776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,  2787,    -1,    -1,    -1,    -1,    52,    -1,    -1,
    2795,  2796,    -1,    -1,    -1,    -1,    10,  2802,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  2811,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,  2833,    -1,
      -1,    45,  5606,    -1,  5608,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2867,    -1,    78,    -1,    -1,  5687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2890,  1817,    -1,  2893,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1844,  2919,  2920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,  2934,
      -1,  2936,  2937,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,   646,    -1,    31,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,  2967,  2968,  2969,    -1,    -1,  1898,  2973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2981,   242,    -1,   193,
      -1,    -1,  1913,    -1,   198,  1916,  1917,    -1,    -1,  2994,
      -1,    -1,    -1,    -1,    -1,  3000,    -1,  3002,    76,    -1,
      -1,   696,   697,    -1,    -1,    -1,    -1,   221,   222,  3519,
    3015,    -1,    -1,    -1,    -1,  3020,  1947,  1948,   283,    -1,
      -1,  3026,    -1,    -1,  3029,    -1,    -1,    -1,   242,    -1,
      -1,    -1,   297,    -1,    -1,   300,  3041,  3042,  5858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3052,    -1,    -1,
      -1,    -1,    -1,    -1,   132,    -1,    -1,  3062,    -1,  3064,
    5834,   139,    -1,    -1,   142,    -1,    -1,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,    -1,
    2582,   169,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,
    3105,   796,  3107,    -1,    -1,    -1,    -1,    -1,    -1,  3619,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   816,    -1,    -1,    -1,    -1,   391,   205,  3133,   824,
      -1,    -1,   827,   828,   829,    -1,    -1,  3142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5991,  5992,    -1,    -1,    -1,    -1,   391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5962,    -1,
      -1,  3196,  3197,    -1,  3199,    -1,  3201,  3202,   276,  3204,
      -1,    -1,   280,    -1,    -1,    -1,  3211,    -1,    -1,    -1,
      -1,  3216,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,   311,    -1,    -1,  3746,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
     515,    -1,    -1,  3258,  3259,  3260,    -1,    -1,  3263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3271,  3272,  3273,  3274,
      -1,    -1,    -1,   351,    -1,    -1,   354,   355,    -1,   493,
      -1,    -1,  3287,  6057,    -1,  3290,    -1,  3292,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    10,  3303,  3304,
      13,   515,  3307,    -1,    17,    18,    19,    -1,   386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3326,    35,  3328,    -1,  3330,    39,  3332,    -1,    -1,
      -1,    -1,    45,    -1,    -1,  1030,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,  3351,    -1,    -1,  3354,
      -1,    -1,    -1,  3358,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3379,    -1,    -1,   455,    -1,    62,
      -1,    -1,    25,    -1,    -1,    -1,  6160,    -1,    31,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,  3407,    -1,    -1,  3410,  3411,    -1,    -1,    -1,
    3415,  3416,  3417,    -1,    97,  3925,   129,    35,  3423,    -1,
      -1,    -1,    -1,  3428,    -1,   199,   200,    45,    -1,   203,
      -1,    -1,    -1,    76,    52,    -1,    -1,    -1,  3443,    -1,
      -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,  3958,   223,
      -1,    -1,  3457,    -1,  3459,  3460,   230,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,   132,
      -1,    -1,    -1,  3498,    -1,    -1,   139,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3528,  3529,    -1,   169,    -1,  1223,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
    1255,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
    3092,    -1,    -1,   221,   222,  3097,    -1,  3099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3109,    -1,    52,
    3112,    -1,  3114,  3115,   242,    -1,  3118,    -1,    -1,   312,
    3122,  3636,  3124,   276,    -1,  3127,   319,   280,    -1,    -1,
      -1,  3646,  1337,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,  1346,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   283,  1361,    25,   311,    -1,
      -1,    -1,   355,    31,    -1,    -1,    -1,   360,   391,   297,
      -1,    -1,   300,    -1,    -1,  1380,   369,    -1,  1383,  1384,
      -1,    -1,    -1,  1388,  1389,   378,    -1,    -1,    -1,    -1,
      -1,  3193,    -1,   386,    -1,    -1,    -1,    -1,   351,    -1,
      -1,   354,   355,    -1,    -1,   398,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,   411,    -1,
      -1,    -1,    -1,    -1,  4244,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,   386,    -1,    -1,  3751,    -1,   431,    -1,
      -1,    -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   391,   132,    -1,    -1,    -1,    -1,    -1,
     493,   139,    -1,   466,   142,    -1,    -1,   470,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
    3805,  3806,  3807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   169,   455,    -1,  2745,    -1,    -1,  3822,    -1,    -1,
    2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,  3854,
    3855,  3856,    -1,    -1,    -1,  3860,    -1,    -1,    -1,    -1,
      -1,  2792,  4372,    -1,    -1,  4375,    -1,  3872,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   652,    -1,
     654,    -1,    -1,   657,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,   513,    -1,   671,    -1,    -1,
      -1,    -1,    -1,   677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,   276,    -1,
      13,    -1,   280,  3928,    17,    18,    19,    -1,  3933,    -1,
      -1,  3936,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    35,    -1,    -1,    -1,    -1,  3952,  3953,  1644,
      -1,    -1,    45,   311,    -1,    -1,    -1,  1652,  3963,    52,
      -1,    -1,    -1,    -1,    -1,    -1,  4476,    -1,    -1,    -1,
      -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4493,    -1,    78,    -1,    -1,    -1,    -1,
    3995,    -1,    -1,   351,    -1,    -1,   354,   355,    -1,  4004,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,
      -1,    -1,    -1,  4018,  4019,    -1,  3508,    -1,    -1,  4024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4032,   386,  4034,
      -1,    -1,  4037,    -1,    -1,    -1,    -1,  4042,  4043,  4044,
    4045,    -1,    -1,  4048,  4049,  4050,  4051,  4052,  4053,  4054,
    4055,  4056,  4057,    -1,    -1,    -1,  4061,  4062,  4063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,
    3001,  4076,    -1,    -1,    -1,  4080,    -1,    -1,    -1,  4589,
      -1,    -1,    -1,  4088,    -1,    -1,  4091,  3579,  4093,  3581,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,  4111,    -1,    -1,  4114,
    4115,    -1,    -1,    -1,  4119,  4120,    -1,    -1,    -1,  4124,
      -1,  4126,  4127,    -1,    -1,    -1,    -1,    -1,   221,   222,
    4135,  4136,  4137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
    4155,  4156,  4157,    -1,  4159,  4160,    -1,    -1,  4163,    -1,
      -1,    -1,  4167,    -1,    -1,    -1,  4171,    -1,    -1,    -1,
      -1,  1866,  4177,    -1,    -1,  1870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,   966,   967,    -1,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4223,  4224,
    4225,    -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3723,    -1,    -1,    -1,    -1,    -1,  3729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,  4263,  4264,
      -1,    -1,    -1,  1037,    -1,    -1,    -1,  3198,    -1,    -1,
      -1,    -1,  3203,   706,    -1,    -1,    -1,  4282,  1052,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,   391,   732,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1083,
    1084,    10,    -1,    -1,    13,    60,    -1,    -1,    17,    18,
      19,    -1,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
    4335,    76,    -1,    -1,    -1,  1109,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,  2042,    -1,  4859,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4871,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,
      -1,    -1,    -1,    76,    -1,  1149,  1150,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,  4390,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,   142,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  4423,    -1,
      -1,  3913,   515,  3915,   169,  3917,    -1,    -1,    -1,   132,
      -1,    -1,  4437,    -1,  4439,    -1,   139,    -1,    -1,   142,
      -1,  4446,    -1,    -1,    -1,   878,    -1,  4452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,  4463,    -1,
     205,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,
      -1,    -1,    -1,  4478,    -1,    -1,    -1,    -1,  4483,  4484,
      -1,    -1,    -1,    -1,    -1,    -1,  4491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,  4500,    -1,    -1,    -1,   198,
      -1,    -1,   205,    -1,    -1,  4510,    -1,    -1,    -1,    -1,
      -1,    52,   257,    -1,    -1,    -1,   261,  4522,  4523,    -1,
      -1,    -1,   221,   222,    -1,    -1,    -1,    -1,  4533,    -1,
      -1,   276,    -1,    -1,    -1,   280,    -1,    -1,    -1,  4544,
    4545,    -1,    -1,   242,    -1,   290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,  4562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,   311,    -1,    -1,  4574,
      -1,  4576,    -1,   276,    -1,    -1,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,   283,    -1,    -1,   290,  1021,  5099,
      -1,    -1,    -1,    -1,  3525,    -1,   299,    -1,   297,    -1,
      -1,   300,  3533,    -1,    -1,    -1,   351,  1040,   311,   354,
     355,   356,    -1,  4618,    -1,    -1,    -1,    -1,  1051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1067,   380,    -1,    -1,    -1,    -1,
    4645,   386,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,   354,   355,    -1,    -1,   400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    38,    -1,  4673,    -1,
      -1,  4676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4684,
    4685,    -1,    -1,   386,    -1,    -1,  4691,  4692,    -1,    -1,
      62,  4696,   391,    -1,    -1,    -1,    -1,  3628,  4703,  3630,
      -1,  4706,  4707,    -1,    -1,  5215,    -1,  5217,  4713,    -1,
     455,    -1,  4717,  4718,  4719,  4720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,  4733,    -1,
      -1,  4736,    -1,    -1,    -1,  4740,    -1,    -1,    -1,    -1,
    4745,    -1,    -1,  4748,  4749,    -1,  4751,    -1,  4753,    -1,
      -1,  4756,   455,  4758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4767,    -1,  4769,    -1,    -1,    -1,    -1,    -1,
      -1,  1545,    -1,    -1,    -1,    -1,  4781,    -1,    -1,  4784,
      -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,    -1,
      -1,    -1,    -1,  3724,   493,    -1,  1570,    -1,  1231,    -1,
      -1,    -1,    -1,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,  4818,    -1,    -1,   515,  4822,    -1,    -1,
      -1,    -1,    10,   195,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,  3766,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,   233,    -1,    -1,    52,    -1,   238,    -1,    -1,  2564,
      -1,    -1,    -1,  1647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4887,    -1,    -1,    -1,    -1,    -1,    -1,  4894,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1676,  1677,  1678,  1679,    -1,    -1,   280,    -1,
      -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4931,    -1,    -1,    -1,
      -1,  3862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4978,    -1,  3906,    -1,    -1,    -1,    -1,
    4985,    -1,    -1,   355,    -1,    -1,    -1,    -1,   360,  4994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,  5009,   193,   378,    -1,    -1,    -1,
     198,    -1,    -1,    -1,   386,    -1,  2711,  5022,    -1,  5024,
      -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,   407,    -1,    -1,    -1,   411,
      -1,    -1,    -1,    -1,    -1,  5050,    -1,    -1,    -1,  1823,
    1824,  1484,    -1,    -1,   242,    -1,  5061,    -1,    -1,   431,
      -1,    -1,    -1,    -1,    -1,  1839,  4558,  3998,    -1,  4561,
      -1,    -1,  5077,    -1,    -1,  2770,    -1,  5082,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,   283,    -1,    -1,   470,  1873,
    1874,  1875,  1876,    -1,    -1,    -1,    -1,    -1,    -1,   297,
    4041,    -1,   300,  4605,    -1,    -1,    -1,    -1,    -1,  1552,
      -1,    -1,    -1,    -1,    -1,  5130,    -1,    -1,  5133,    -1,
      -1,  5136,  5137,  5138,    -1,  4066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2850,    -1,    -1,  5163,  5164,
    1593,    -1,  5167,    25,    -1,   706,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2874,
    1954,    -1,  5187,    -1,    -1,    -1,  1960,    -1,  5193,    -1,
      -1,   732,  5197,  1626,    -1,    -1,  5201,    -1,    -1,  5204,
      -1,  5206,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    76,    -1,  5221,  5222,  5223,    -1,
    5225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,  5274,
     132,    -1,  1705,  1706,  1707,    -1,    -1,   139,    -1,    -1,
     142,    -1,    -1,  2978,    -1,  2980,    -1,  2982,  2983,    -1,
      -1,    -1,  2987,  2988,  2989,    25,  2991,  2992,  2993,    -1,
      -1,    31,    -1,    -1,    -1,   493,    -1,   169,  4800,    -1,
      -1,    -1,    -1,  5318,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,  5330,    -1,   515,    -1,    -1,
    5335,    -1,    -1,    -1,    -1,  5340,    -1,   878,    -1,    -1,
      -1,    -1,    -1,   205,  5349,    -1,    76,    -1,    -1,    -1,
    3045,  4843,  4844,    -1,  5359,    -1,    -1,    -1,  5363,    -1,
      -1,  5366,    -1,    -1,    -1,    -1,    -1,  5877,    -1,  2143,
      -1,    -1,  5377,  5378,  5379,  3070,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,  1817,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    38,  1828,    -1,    -1,    -1,    -1,
      -1,    -1,   132,  5408,    -1,  5410,    -1,    -1,    -1,   139,
      -1,  1844,   142,    -1,   276,    -1,    60,    -1,   280,    -1,
    5425,    -1,    -1,    -1,  5429,    -1,  5431,    -1,   290,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,   299,    -1,   169,
    5445,    -1,    -1,    -1,    -1,  4937,  4938,  5452,    -1,   311,
    5455,    -1,    -1,    -1,  5459,    -1,    -1,    -1,    -1,    -1,
      -1,  5466,    -1,    -1,    -1,  1898,    -1,   111,  5473,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
    1913,    -1,    -1,  1916,  1917,    -1,    -1,    -1,   132,   351,
      -1,    -1,   354,   355,    -1,   139,    -1,  5502,   142,  1040,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1051,    -1,    -1,    -1,  1947,  1948,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5528,   386,   169,  1067,    -1,    -1,  5534,
    5535,    -1,    -1,    -1,  5539,  5540,  5541,  5542,  4469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,    -1,
     290,   205,    -1,    -1,    -1,  5570,    -1,    -1,    -1,   299,
      -1,    -1,    -1,  5578,    -1,  5067,    -1,    -1,  5070,  5071,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,  5603,    -1,
      -1,  5606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5101,
      -1,    -1,    -1,   257,  2047,    -1,    -1,   261,    -1,    -1,
      -1,   351,    -1,  2056,   354,   355,  2059,  5632,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,   280,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,   290,    31,    -1,    -1,
      -1,  2084,    -1,    -1,    -1,   299,   386,    -1,    -1,    -1,
    5665,    -1,    -1,    -1,    -1,    -1,   310,   311,    -1,  5674,
    5675,  5676,    -1,    -1,    -1,  5680,    -1,  3372,    -1,  5684,
      -1,    -1,  5687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1231,  5696,    76,  5698,    -1,  5700,  5701,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5711,   351,  5713,    -1,
     354,   355,   356,    -1,    -1,    -1,    -1,  5722,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,   132,    -1,
      -1,    -1,  5757,  5758,    -1,   139,   400,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5788,    -1,   169,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  5802,    -1,    45,
      -1,    -1,    14,    15,    -1,    -1,    52,    -1,    20,  5814,
      22,   455,    -1,    -1,  2588,    -1,    28,    -1,    -1,    31,
      -1,   205,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    50,    51,
    5845,    -1,  1383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,  5858,    13,    -1,    -1,  5862,    17,    18,
      19,    -1,    -1,  5868,    -1,    -1,    -1,    -1,    -1,  5874,
      -1,  4802,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5890,    45,    -1,    -1,    -1,
      -1,    -1,   276,    52,    -1,    -1,   280,    -1,    -1,    -1,
    5905,    -1,    -1,    -1,    -1,  3600,   290,  5912,    -1,    -1,
      -1,  4842,    -1,    -1,    -1,   299,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,
      -1,    -1,  5937,  4864,    -1,    -1,    -1,    -1,    -1,  5944,
      -1,    -1,    -1,  1484,    -1,    -1,    -1,   193,    -1,  5954,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,  5963,  5964,
    5965,    -1,    -1,  3658,  5969,    -1,    -1,    -1,  5973,    -1,
     354,   355,    -1,    -1,    -1,   221,   222,    -1,  2752,  5984,
    5985,  5986,    -1,    -1,    -1,    -1,  5991,  5992,    -1,   201,
      -1,    -1,  5997,   205,    -1,    -1,   242,    -1,    -1,    -1,
    5492,   213,   386,    -1,   216,  4936,    -1,   219,   220,    -1,
     222,  1552,   224,  6018,    -1,   227,    -1,   229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3726,    -1,    -1,   193,    -1,    -1,   283,    -1,   198,
      -1,    -1,  6047,  6048,  6049,    -1,    -1,    -1,  6053,    -1,
      -1,   297,  1593,  5545,   300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,    -1,  6071,    -1,  6073,    -1,
      -1,   455,    -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,
      -1,    -1,  6087,   242,    -1,  1626,    -1,    -1,    -1,  3784,
    3785,    -1,    -1,    -1,    -1,  6100,    -1,    -1,    -1,  3794,
      -1,    -1,    -1,    -1,  3799,    -1,  3801,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2547,    -1,  2890,    -1,    -1,  2893,
      -1,    -1,    -1,    -1,   283,    -1,  5057,    -1,    -1,  6134,
    6135,  6136,  6137,  6138,    -1,    -1,  6141,    -1,   297,    -1,
      -1,   300,    -1,    -1,    -1,   391,    -1,    -1,  6153,    -1,
      -1,  6156,  3847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6176,  5664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3882,  3883,    -1,
    6195,  6196,    -1,    -1,    -1,  6200,    -1,    -1,    -1,  6204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2981,    -1,    -1,
      -1,  6216,  6217,    -1,    -1,  6220,    -1,    -1,    -1,    -1,
    2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,
      -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
    2683,    -1,    -1,    -1,  2687,  2688,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,  3041,    -1,   515,
      -1,    -1,  5203,    -1,    -1,    -1,  1817,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,  1828,  3062,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,  2745,    -1,    -1,    -1,    -1,    -1,  2751,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,  3105,    -1,  3107,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    78,    -1,   515,  1898,    -1,  2792,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1913,    -1,    -1,  1916,  1917,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,  1947,  1948,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,  3197,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,    -1,   644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,   655,    -1,    13,    78,   659,    -1,    17,
      18,    19,    -1,    -1,   666,   667,    -1,    -1,   670,    -1,
     672,   673,    -1,    -1,    -1,    -1,    -1,    35,    -1,   193,
      -1,    -1,    -1,    -1,   198,   687,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   705,    -1,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,   726,  6007,   728,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2969,    -1,    -1,    -1,
      -1,    -1,    -1,  2084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     772,   193,    -1,    -1,    -1,    -1,   198,    -1,  3001,    -1,
      -1,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5518,    -1,   221,
     222,    -1,  5523,  5524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3074,    -1,    -1,   856,  3078,    -1,  4342,    -1,    -1,
    4345,   283,  4347,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,   391,   300,    -1,
      -1,    -1,    -1,    -1,   242,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4393,    -1,
      35,    -1,    -1,    -1,    -1,    -1,  5637,    -1,    -1,    -1,
      45,    -1,    -1,    -1,  4409,   283,    -1,    52,    -1,  4414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   939,    -1,   297,
      -1,    -1,   300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
    3183,    -1,    -1,    -1,  3528,  3529,    -1,    -1,    -1,   391,
    5691,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,   493,
    3203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,   515,    -1,    -1,    -1,    -1,    62,    -1,  3231,    -1,
      -1,  1013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,    -1,
      -1,  4516,    -1,   391,    -1,    -1,  1038,    -1,    -1,    -1,
      -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1053,    -1,  1055,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1065,    -1,    -1,    -1,    -1,   193,    -1,
    1072,   493,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,   515,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1115,    -1,  1117,    -1,   242,    -1,    -1,
      -1,    -1,  4607,  4608,  4609,  4610,    -1,  4612,  4613,  4614,
    4615,  4616,    -1,    -1,    -1,   493,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,   515,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   300,    -1,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1193,    -1,  1195,    -1,  1197,    -1,  1199,    -1,  1201,
    1202,  1203,    -1,    -1,  3768,    -1,  1208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1220,    -1,
     276,    -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4725,    -1,  4727,    -1,  3467,    -1,    -1,  3470,    -1,  3472,
      -1,    -1,    -1,    -1,  3477,   311,   312,    -1,    -1,    -1,
      -1,    -1,    -1,   319,    -1,    10,   391,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,   355,
      45,    -1,  3525,    -1,   360,    -1,    -1,    52,    -1,    -1,
    3533,    -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    78,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,  2683,    -1,    -1,   411,  2687,  2688,    -1,    -1,
      -1,    -1,    -1,    -1,  3928,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
     515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1405,    -1,  3628,    -1,  3630,    -1,    -1,
     466,    -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,    -1,
    2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,  4934,
    4935,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2792,  4947,    -1,  4949,  4950,  4951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1526,    -1,    -1,    -1,  3751,    -1,
    5015,    -1,    -1,    -1,  3757,    -1,    -1,    -1,   283,    10,
      -1,    -1,    13,  3766,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,   297,    -1,    -1,   300,    -1,    -1,     0,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  5054,
      -1,  3794,    -1,    -1,    45,    -1,    -1,    -1,    20,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    -1,    -1,  1598,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    78,    -1,    51,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    45,  3862,
      82,    -1,    84,    -1,    -1,    52,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,  3884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,    78,    -1,   115,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,  3074,    -1,    -1,    -1,  3078,   493,    -1,
     221,   222,    -1,    -1,    -1,   197,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
     515,   242,    -1,    -1,    -1,  3998,    -1,  5262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,   245,    -1,    -1,    -1,    -1,   250,    -1,
      -1,  1813,   283,    -1,   221,   222,    -1,    -1,  4041,    -1,
      -1,    -1,   264,  5308,    -1,    -1,   297,    -1,    -1,   300,
      -1,    -1,  5317,    -1,    -1,   242,    -1,    -1,    -1,    -1,
     282,    -1,    -1,  4066,    -1,    -1,  1848,    -1,    -1,    -1,
      -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,    -1,  4423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,
      -1,    -1,  3203,  4437,    -1,    -1,   283,   319,    -1,    10,
      -1,    -1,    13,    -1,    -1,   327,    17,    18,    19,    -1,
     297,    -1,  1894,   300,    -1,    -1,    -1,    -1,    -1,   341,
    3231,    -1,    -1,    -1,    35,   347,   348,    -1,   350,    -1,
      -1,    -1,  1914,   355,    45,    -1,    -1,    -1,    -1,   361,
     391,    52,   364,    -1,    -1,    -1,    -1,    -1,    -1,   371,
      -1,    -1,    -1,    -1,    -1,    -1,   378,   379,  1940,    -1,
    1942,    -1,    -1,    -1,   386,    -1,    -1,    78,   390,    -1,
      -1,    -1,    -1,    -1,    -1,  1957,    -1,  1959,   400,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,    -1,  1969,    -1,  1971,
      -1,  1973,    -1,  1975,   416,    -1,    -1,  1979,    -1,    -1,
      -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,  4211,    -1,
      -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,
      -1,   453,    -1,    -1,  2016,    -1,   458,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,   471,
      -1,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   495,    -1,   497,   498,   499,   500,   501,
      -1,    -1,   193,    -1,    -1,  5550,    -1,   198,    -1,  5554,
      -1,    -1,   514,    -1,    -1,   517,    -1,    -1,  4301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,   502,   503,   504,   505,   506,
     507,   508,   509,   510,  4327,    -1,    -1,    -1,   515,    -1,
      -1,   242,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3467,    35,    -1,  3470,
      -1,  3472,    -1,    -1,    -1,    -1,  3477,    45,    -1,    -1,
      -1,    -1,   283,    -1,    52,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    28,    -1,    -1,   297,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3525,    -1,    -1,    -1,    -1,    -1,
      -1,    66,  3533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3558,    -1,    -1,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    -1,  5749,    -1,    -1,    -1,  5753,    -1,
    5755,    -1,   137,    -1,  5759,  5760,    -1,    10,    -1,    -1,
      13,    -1,    -1,   148,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,   157,  4516,    -1,   193,    -1,  3628,  4521,  3630,
     198,    -1,    35,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,   176,    45,    -1,    -1,    -1,    -1,    -1,   183,    52,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,   242,    78,    -1,    -1,    -1,    -1,
      -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,    -1,    -1,  4931,    -1,    -1,
      -1,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,   515,   283,    -1,    -1,    -1,    -1,
      -1,   256,    -1,  3724,    -1,    -1,    -1,   207,   208,   297,
      -1,    -1,   300,    -1,    -1,   215,    -1,   217,   218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,  3766,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    52,   310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,  5022,    -1,
     193,    -1,    -1,  3794,  4687,   198,    -1,   332,   333,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,   363,    -1,
      -1,   366,    -1,    -1,    -1,   370,    -1,    -1,   373,   242,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3862,    -1,    -1,    -1,    -1,    -1,   402,    -1,  6024,
      -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,
     283,   416,    -1,  3884,   419,    -1,    -1,    -1,   423,    -1,
      -1,    -1,    -1,    -1,   297,    -1,   431,   300,   433,    -1,
      -1,    -1,    -1,   438,    -1,  3906,    -1,    -1,    -1,  4802,
      -1,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,   464,
      -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,   515,    10,  4842,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4864,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,   391,  5223,
      52,  5225,    -1,    -1,    -1,    -1,    -1,  3998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2677,  2678,    -1,  6163,    -1,
      -1,  6166,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2696,  2697,    -1,  2699,  2700,    -1,
      -1,    -1,  2704,  2705,    -1,    -1,    -1,    -1,    -1,    -1,
    4041,    -1,    -1,  4936,    -1,    -1,    -1,  2719,    -1,    -1,
      -1,    -1,    -1,  6208,  2726,    -1,    -1,    -1,  2730,  2731,
      -1,    -1,  2734,  2735,    -1,  4066,    -1,    -1,    -1,  2741,
      -1,  6226,    -1,    -1,  6229,    -1,    -1,    -1,    -1,    -1,
      -1,  2753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,  2765,    -1,    -1,    -1,    -1,  2770,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,   515,  2785,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2794,    -1,    -1,  2797,    -1,  2799,  2800,  2801,
      -1,   193,    -1,    -1,  2806,  2807,   198,    -1,    -1,    -1,
      -1,    -1,    -1,  5377,  2816,    -1,    -1,    -1,    -1,    -1,
    2822,    -1,    -1,    -1,  2826,    -1,    -1,    -1,    -1,   221,
     222,    -1,  5055,   643,  5057,    -1,  2838,  2839,    -1,    -1,
      -1,  2843,    -1,    -1,    -1,    -1,    -1,  2849,  2850,    -1,
     242,    -1,   662,    -1,    -1,    -1,    -1,    -1,   668,    -1,
      -1,  2863,    -1,    -1,  2866,    -1,    -1,    -1,    -1,    -1,
     680,  2873,  2874,    -1,    -1,    -1,    -1,  2879,    -1,    -1,
    4211,    -1,    -1,    -1,    -1,    -1,   696,    -1,    -1,  2891,
      -1,   283,  2894,    -1,    -1,    -1,    -1,  2899,    -1,    -1,
     710,   711,    -1,  2905,  2906,   297,    -1,   717,   300,   719,
     720,  2913,    -1,    -1,    -1,  2917,    -1,    -1,    -1,  2921,
    2922,  2923,  2924,   733,  2926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   743,    -1,    -1,    -1,  2939,  2940,    -1,
    2942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2953,  2954,  2955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,
    4301,    -1,    -1,   217,    -1,    -1,  5540,    -1,  5542,    -1,
    5203,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     800,    -1,    -1,    -1,    -1,    -1,  4327,    -1,    -1,   391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3010,    -1,
      -1,     0,    -1,    -1,    -1,    -1,  3018,    -1,   828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    -1,    -1,    -1,  3037,    -1,    -1,    -1,  5262,
      -1,    -1,    31,   853,    33,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    73,  3087,    75,    76,    -1,    -1,
      -1,    -1,    -1,    82,    -1,    84,    -1,    -1,   706,    -1,
      -1,   493,    -1,   913,  3106,    -1,  3108,    96,    -1,    98,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,   515,   732,    -1,   115,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,
      -1,    -1,    -1,    -1,   133,    -1,   135,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,  5382,
      -1,    -1,    -1,    -1,   153,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,
    4521,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,   197,    -1,
      -1,    -1,    -1,  1023,    -1,    -1,    -1,    -1,    -1,    -1,
    1030,    -1,    -1,    -1,  5788,    -1,    -1,    -1,    -1,    -1,
      -1,  1041,    -1,    -1,    -1,  1045,    -1,  1047,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,   245,    -1,    -1,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     878,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   282,    -1,  5518,    -1,    -1,    -1,    -1,
    5523,  5524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
     319,    -1,    17,    18,    19,    -1,    -1,    -1,   327,    -1,
      -1,  5905,    -1,    -1,  1154,    -1,    -1,    -1,    -1,    -1,
      35,    -1,   341,    -1,    -1,    -1,  4687,    -1,   347,   348,
      45,   350,    -1,    -1,    -1,    -1,   355,    52,    -1,    -1,
      -1,    -1,   361,    -1,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,   378,
     379,    -1,    -1,    78,    -1,    -1,    -1,   386,    -1,   643,
      -1,   390,    -1,    -1,    -1,    -1,    -1,  1217,    -1,    -1,
      -1,   400,    -1,  5636,  5637,    -1,    -1,    -1,   662,    -1,
      -1,    -1,    -1,  1233,   668,    52,    -1,   416,    -1,    -1,
      -1,    -1,  1040,    -1,    -1,    -1,   680,    -1,    -1,    -1,
    1250,    -1,    -1,  1051,    -1,  1255,    -1,   436,    -1,    -1,
      -1,    -1,   696,    -1,  6018,    -1,    -1,    -1,   447,  1067,
      -1,    -1,    -1,    -1,   453,    -1,    -1,   711,  5691,   458,
      10,  4802,    -1,    13,    -1,   719,    -1,    17,    18,    19,
      -1,    -1,   471,    -1,  6048,  6049,    -1,    -1,    -1,   733,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,  3500,   743,
      -1,    -1,    -1,    -1,    -1,    45,   495,    -1,   193,    -1,
      -1,  4842,    52,   198,    -1,    -1,    -1,    -1,  3520,    -1,
      -1,    -1,    -1,    -1,    -1,   514,    -1,    -1,   517,    -1,
      -1,    -1,    -1,  4864,    -1,  3537,   221,   222,    78,  3541,
      -1,    -1,    -1,    -1,  3546,  3547,  3548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   800,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1388,  1389,
    3582,  3583,  3584,  3585,   828,    -1,    -1,    -1,    -1,  6153,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,   283,    -1,
      -1,    17,    18,    19,    -1,  4936,    -1,    -1,    -1,   853,
    3612,    -1,   297,    -1,    -1,   300,    -1,    -1,  3620,    35,
    3622,  3623,  3624,  1231,    -1,    -1,    -1,    -1,   168,    45,
      -1,  1441,    -1,    -1,   174,    -1,    52,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,   913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,  5057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3738,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,  3747,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3773,  3774,    -1,    -1,    -1,  3778,   193,    -1,  1023,
      -1,    -1,   198,    -1,    -1,    -1,  1030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3800,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3852,   391,    -1,    -1,    -1,  3857,    -1,    -1,    -1,    -1,
      -1,  3863,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    -1,  5203,    -1,    -1,    -1,  1484,    -1,    -1,    -1,
    1690,   297,    -1,    -1,   300,    -1,    -1,    -1,    -1,    -1,
      -1,  3893,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,
    1154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3922,    -1,  3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,  6195,  1217,    -1,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1593,    -1,    -1,    -1,  1233,
      -1,    -1,    -1,    -1,    -1,  1805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1250,    10,    -1,    -1,
      13,  1255,    -1,    -1,    17,    18,    19,    -1,  1626,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1840,    -1,    35,    -1,    -1,    38,    -1,    -1,    10,    -1,
      -1,    13,    45,    -1,    -1,    17,    18,    19,    -1,    52,
      -1,  5382,    -1,  1863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1871,    -1,    35,    -1,    -1,    -1,    -1,    -1,  1879,
      -1,    -1,    -1,    45,    -1,    78,    -1,   493,    -1,   706,
      52,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   732,    78,    -1,    -1,    -1,
    1920,  1921,    -1,  1923,  1924,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1935,    -1,  1937,  1938,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1380,    -1,    -1,    -1,
    1950,  1951,    -1,    -1,  1388,  1389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1990,    -1,    -1,    -1,  1994,  1995,    -1,  5518,    -1,    -1,
     193,    -1,  5523,  5524,    -1,   198,    -1,  1441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1817,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
    1828,   193,    -1,    -1,    -1,  4227,   198,    -1,  4230,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,  1844,    -1,    -1,   242,
      -1,    -1,    -1,  4245,    -1,    -1,    -1,    -1,    -1,   221,
     222,   878,    -1,    -1,    -1,  4257,    -1,    -1,    -1,  4261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1898,    -1,    -1,    -1,   297,  2105,  4298,   300,    -1,    -1,
      -1,    -1,  4304,    -1,    -1,  1913,  5637,    -1,  1916,  1917,
      -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,  4329,   300,    -1,
      -1,  4333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1947,
    1948,    -1,    -1,    -1,    -1,    -1,  4348,  4349,  4350,  4351,
      -1,    -1,    -1,    -1,    -1,    -1,  4358,  4359,  4360,  4361,
    5691,    -1,    -1,    -1,    -1,  4367,  4368,    -1,    -1,    -1,
      -1,  4373,  4374,    -1,  4376,  4377,  4378,  4379,  4380,  4381,
    4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,
    4392,    -1,    -1,    -1,  4396,  4397,  4398,  4399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1040,    -1,    -1,    -1,    -1,  4420,   391,
      -1,    -1,    -1,    -1,  1051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,
    1067,    -1,    -1,    -1,    -1,    -1,  1690,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,  2084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
     493,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,  4514,    -1,    -1,    -1,    -1,    78,    -1,    -1,
     492,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,  4547,    -1,    -1,    -1,    -1,
      10,   706,  4554,    13,  4556,    -1,    -1,    17,    18,    19,
      -1,  1805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,   732,    38,    -1,
      -1,    52,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,  1840,  4599,    -1,    -1,
      -1,    -1,    -1,    -1,  1231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,  1863,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,    -1,
      -1,    -1,   193,    -1,    -1,  1879,    -1,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1923,
    1924,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1950,  1951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,   297,    -1,   198,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
      -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4803,  4804,  4805,    -1,    -1,    -1,  4809,  4810,  4811,
    4812,    -1,  2622,    -1,  4816,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,    52,    -1,    -1,    -1,
     391,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4854,  4855,  4856,  4857,  4858,  1484,  4860,  4861,
      -1,  2105,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,
    4872,  4873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2694,  1040,    -1,    -1,  2698,    -1,
      -1,    -1,  2702,    -1,    -1,    -1,  1051,    52,    -1,    -1,
      -1,  2711,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1067,    -1,    -1,    -1,    -1,    -1,    -1,  2729,
      -1,    -1,    -1,    -1,    -1,  1552,    -1,    -1,    -1,    -1,
      -1,   391,   493,    -1,    -1,    -1,  2746,    -1,  2748,  2749,
      -1,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,  2763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1593,    -1,    -1,    -1,
      -1,    -1,    -1,  2783,  2784,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1626,
      -1,    -1,    -1,    -1,  2814,  2815,  5008,    -1,  2818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,  2842,   493,  2844,    17,    18,    19,  2848,    -1,
      -1,    -1,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,  2862,    35,    -1,    -1,    -1,    -1,    -1,  2869,
      -1,    -1,  2872,    45,    -1,    -1,    -1,    -1,  2878,    -1,
      52,  5073,    -1,    -1,    -1,  2683,  1231,    -1,    -1,  2687,
    2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2898,    -1,
      -1,    -1,    -1,    -1,  2904,    -1,    78,    -1,    -1,    -1,
      -1,  2911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5116,  2925,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2938,    -1,
      -1,    -1,    -1,  2943,    -1,    -1,    -1,  2745,    -1,  2949,
      -1,    -1,    -1,  2751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2792,    -1,    -1,    -1,    -1,    -1,
    1817,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,  3009,
      -1,  1828,    -1,    -1,    -1,    -1,    -1,    -1,  5210,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,  1844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   706,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
     242,   732,  5264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5283,    -1,    -1,    -1,    -1,  1913,  5289,  5290,  1916,
    1917,    -1,    -1,    -1,    -1,    -1,    -1,  5299,    -1,    -1,
      -1,   283,    -1,    -1,  5306,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,    -1,
    1947,  1948,    -1,    95,    -1,    -1,    -1,    -1,    -1,  1484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5341,
    5342,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5354,    -1,  5356,    -1,  3166,    -1,  3168,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,  5371,
      -1,    -1,    -1,    -1,    -1,  3185,   148,    -1,  2622,    -1,
      -1,    -1,  3192,    -1,    -1,   157,    -1,    -1,    -1,  3199,
      -1,  3201,  3202,  3001,  5396,    -1,    -1,  1552,   170,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,   878,    -1,   391,
      -1,    -1,  5414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,  2676,    -1,    -1,    -1,    -1,    -1,  1593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2694,    -1,    -1,    -1,  2698,    -1,    -1,  2084,  2702,    -1,
      -1,    -1,   234,    -1,    -1,    -1,  3074,  2711,    -1,    -1,
    3078,  1626,  3282,    -1,    -1,    -1,    -1,    -1,  3288,    -1,
     706,    -1,    -1,    -1,   256,  2729,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5506,    -1,   732,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,  5517,    -1,    -1,    -1,  2763,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2783,
    2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,   333,  3372,    -1,   336,    -1,    -1,    -1,    -1,  1040,
    2814,  2815,    -1,    -1,  2818,  3183,    -1,   732,    -1,    -1,
    1051,    -1,  5584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3198,   363,    -1,    -1,   366,  3203,  1067,    -1,  2842,    -1,
    2844,   373,    -1,    -1,  2848,    -1,    -1,    10,   380,    -1,
      13,   383,    -1,    -1,    17,    18,    19,    -1,  2862,    -1,
      -1,    -1,    -1,  3231,    -1,  2869,    -1,    -1,  2872,    -1,
     402,    -1,    35,    -1,  2878,    38,    -1,   409,    -1,    -1,
      -1,    -1,    45,    -1,   416,    -1,    -1,   419,    -1,    52,
      -1,   423,   878,  5655,  2898,    -1,    -1,  5659,    -1,    -1,
    2904,    -1,  1817,    -1,    -1,    -1,   438,  2911,    -1,    -1,
      -1,    -1,    -1,  1828,    -1,    78,    -1,    -1,    -1,    -1,
      -1,  2925,  3492,  3493,    -1,    -1,    -1,    -1,    -1,  1844,
      -1,    -1,   464,    -1,  2938,    -1,    -1,    -1,    -1,  2943,
      -1,    -1,    -1,    -1,    -1,  2949,    -1,    -1,    -1,  3519,
      -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,  5720,    -1,
      -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,  5734,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,  1898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  1913,    -1,
    1231,  1916,  1917,    45,    -1,  3009,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3594,  3595,  3596,    -1,    -1,    -1,
     193,  5793,  1947,  1948,    -1,   198,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3619,
      -1,    -1,    -1,    -1,  1040,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,  1051,    -1,    -1,  3638,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,  1067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,
      -1,    -1,  3470,    -1,  3472,    -1,    -1,    -1,    -1,  3477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,    -1,  1040,    -1,  5889,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,  1051,   300,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,   193,  1067,    -1,    -1,    -1,   198,  3525,    -1,  5921,
      -1,    -1,  3166,    -1,  3168,  3533,    -1,    -1,    -1,  2084,
    5932,    -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,   221,
     222,  3185,    -1,    66,    -1,    -1,    -1,    -1,  3192,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,   391,  3799,
     113,  3801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,  3814,  1231,  3816,    -1,    -1,    -1,
      -1,    -1,    -1,  1484,   137,   297,    -1,    -1,   300,    -1,
    3628,    -1,  3630,    -1,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   157,  6037,    -1,    -1,  3282,    -1,
      -1,    -1,    -1,    -1,  3288,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,   176,    -1,    -1,  2683,    -1,    -1,    -1,
    2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3883,    -1,    -1,  1231,    -1,    -1,    -1,
     203,  1552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   391,
      -1,    -1,    -1,    -1,    -1,  3925,  3724,    -1,  2745,    -1,
      -1,    -1,  1593,    -1,  2751,    -1,    -1,    -1,  3372,    -1,
      -1,    10,    -1,   256,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,   424,    -1,  3954,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,    -1,    -1,    -1,  1626,    35,    -1,  3766,    38,
      -1,    -1,    -1,    -1,    -1,  2792,    45,    -1,    -1,  3979,
      -1,    -1,    -1,    52,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,
     333,   493,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     363,    -1,    -1,   366,    -1,    -1,    -1,    -1,  3492,  3493,
     373,    -1,    -1,    -1,  3862,    -1,    -1,   380,  1484,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,    -1,
      -1,    -1,    -1,    -1,    -1,  3519,  3884,    -1,  3522,   402,
      -1,    -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,   416,    -1,    -1,   419,    -1,  3906,    -1,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,
      -1,    -1,    -1,    -1,   193,   438,    -1,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,  1552,    -1,    -1,  1484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,   221,   222,    -1,    -1,  1817,    -1,    -1,    -1,
    3594,  3595,  3596,    -1,    -1,    -1,    -1,  1828,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,  1593,    -1,    -1,
      -1,    -1,    -1,  1844,  3001,  3619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3998,    -1,    -1,    -1,  3638,    -1,    -1,  1552,    -1,    -1,
    1626,    -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3660,    -1,   297,    -1,
      -1,   300,    -1,    -1,    -1,    -1,    -1,  1898,    -1,    -1,
      -1,    -1,    -1,  4041,  4244,    -1,    -1,    -1,  1593,    -1,
      -1,    -1,  1913,    -1,    -1,  1916,  1917,  3074,    -1,    -1,
      -1,  3078,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1626,    -1,    -1,    -1,    -1,  1947,  1948,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,
    4300,    -1,  4302,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,  3746,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,   391,    -1,    -1,    -1,  4326,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,
      -1,    45,  2687,  2688,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3793,
      -1,    -1,    -1,    -1,    -1,  3799,  3183,  3801,    -1,    -1,
      -1,    -1,  4372,    -1,    78,  4375,    -1,    -1,    -1,    -1,
    3814,  3198,  3816,    -1,    -1,    -1,  3203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2745,  1817,    -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,
      -1,    -1,  1828,  4211,  3231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2084,   493,    -1,    -1,    -1,  1844,    -1,
      -1,    -1,    -1,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,  2792,    -1,  3883,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4465,  4466,    -1,    -1,    -1,
     174,    10,  1817,    -1,    13,    -1,  4476,    -1,    17,    18,
      19,    -1,  1898,  1828,    -1,    -1,    -1,    -1,    -1,   193,
      -1,  3925,    -1,  4493,   198,    -1,    35,  1913,    -1,  1844,
    1916,  1917,    -1,  4301,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,   221,   222,    -1,
    3954,    -1,    -1,    -1,  3958,    -1,    -1,    -1,    -1,  4327,
      -1,  1947,  1948,    -1,    -1,    -1,    -1,    -1,   242,    78,
      -1,    -1,    -1,    -1,    -1,  3979,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1898,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,  1913,    -1,
      -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,    -1,   283,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,
      45,    -1,  4592,   297,    -1,    -1,   300,    52,    -1,    -1,
      -1,    -1,  1947,  1948,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4078,    -1,    -1,    -1,    -1,    -1,
    3467,    -1,    -1,  3470,   193,  3472,  3001,    -1,    -1,   198,
    3477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,    -1,
      -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,    -1,    -1,   391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,  3525,    -1,
      -1,    -1,    10,   168,    -1,    13,  3533,    -1,  4516,    17,
      18,    19,    -1,  4521,    -1,    -1,    -1,    -1,    -1,  3074,
      -1,    -1,    -1,  3078,    -1,    -1,    -1,    35,   193,  2084,
      -1,  3558,    -1,   198,   283,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,   297,    -1,
      -1,   300,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
    4244,  3628,    -1,  3630,    -1,  4815,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,
      -1,    -1,   297,    -1,    -1,   300,    -1,    -1,    -1,    -1,
      -1,    -1,   391,  3198,    -1,    -1,    -1,    -1,  3203,  4859,
      -1,  4295,    -1,    -1,    -1,    -1,  4300,    -1,  4302,    -1,
      -1,  4871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,  4687,
      -1,    -1,  4326,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,  4905,    -1,  3724,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,  4372,    -1,
     221,  4375,    -1,    -1,   242,    -1,    -1,    -1,    -1,  3766,
      -1,   232,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,
      -1,    -1,    -1,  4983,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,  5002,    -1,  4802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,  2687,  2688,    -1,    -1,
      -1,  4465,  4466,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,  4476,    -1,  4842,  3862,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,  4864,  3884,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,  3906,
    2751,    -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3467,    -1,    -1,  3470,    -1,  3472,    -1,    -1,
      35,  2792,  3477,    -1,    -1,    -1,    -1,    -1,  4936,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,  4592,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
    3525,  3998,    -1,    -1,    -1,    -1,    -1,    -1,  3533,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  3558,    -1,  5215,    -1,  5217,    -1,    -1,
      -1,    -1,    -1,    -1,  4041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5057,
      -1,    -1,    -1,  5263,    -1,    -1,    -1,  2683,    -1,    -1,
      -1,  2687,  2688,  5273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3628,    -1,  3630,    -1,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5313,    -1,    -1,   221,   222,  5318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,
      -1,    -1,    -1,    -1,    -1,  2751,    -1,   242,  2683,    -1,
    3001,    -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   644,    -1,    -1,    -1,    -1,    -1,   650,
      -1,    -1,    -1,    -1,    -1,    -1,  2792,    -1,   283,  3724,
      -1,  4815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,  4211,   300,    -1,    -1,    -1,    -1,
    2745,    -1,    -1,    -1,    -1,  5203,  2751,    -1,    -1,    -1,
      -1,    -1,    -1,  3074,    -1,    -1,    -1,  3078,    -1,    -1,
      -1,  3766,    -1,    -1,    -1,  4859,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  4871,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2792,    -1,  3794,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,  5262,    -1,    -1,    -1,    -1,    52,
      -1,  4905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4301,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4327,    -1,    -1,    -1,    -1,    -1,    -1,  3862,    -1,    -1,
      -1,    -1,  3183,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,  5536,  3198,    -1,  3884,
      -1,    -1,  3203,    -1,   825,    -1,    -1,    -1,    35,  4983,
    5550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,  3906,    -1,   844,    -1,    52,    -1,    -1,  5002,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5581,    -1,    -1,  5382,  3001,    -1,    -1,   493,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   914,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4469,  3998,    -1,    -1,  3001,    -1,  3074,   242,
      -1,    -1,  3078,    -1,    -1,  5099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     961,   168,    -1,    -1,    -1,    -1,    -1,    -1,  5688,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4041,    -1,    -1,  4516,
     283,    -1,    -1,    -1,  4521,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,    -1,   297,    -1,    -1,   300,    -1,    -1,
    5518,  4066,    -1,    -1,    -1,  5523,  5524,    -1,    -1,  3074,
      -1,    -1,    -1,  3078,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5747,    -1,  5749,
      -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,  3183,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5215,  3198,  5217,    -1,    -1,    -1,  3203,    35,    -1,
      -1,    -1,    -1,    -1,    -1,  1076,   283,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,  3467,    -1,   391,  3470,
     297,  3472,    -1,   300,    -1,  3231,  3477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1105,  1106,  1107,    -1,    -1,  5263,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,  3183,  5637,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,    -1,
      -1,    -1,    -1,    -1,  3525,    -1,  4211,    -1,    -1,    -1,
    4687,    -1,  3533,    -1,    -1,    -1,    -1,  5877,    -1,  5313,
      -1,    -1,    -1,    -1,   467,    -1,  3231,    -1,    -1,    -1,
    5890,    -1,    -1,  5691,    -1,    -1,    -1,  3558,    -1,    -1,
      -1,    -1,    -1,  5903,   391,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,
      -1,    -1,    -1,  5963,  5964,    -1,    -1,  3628,  1249,  3630,
      -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,  4802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,    -1,   822,   823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,
     507,   508,   509,   510,  6024,  4842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,    -1,
     297,  3467,    -1,   300,  3470,    -1,  3472,    -1,    -1,    -1,
      -1,  3477,    -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5536,    -1,    -1,  3766,    -1,    -1,    -1,  3525,
      -1,    -1,    -1,  1394,    -1,    -1,  5550,  3533,    -1,  4936,
      -1,    -1,  3467,    -1,  4469,  3470,    -1,  3472,    -1,    -1,
      -1,    -1,  3477,  3794,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,    -1,   391,    -1,    -1,  5581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4516,    -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,
    3525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3533,    -1,
      -1,    -1,    -1,  1474,    -1,    -1,  1021,  1022,    -1,    -1,
      -1,  3862,    -1,    -1,    -1,    -1,    -1,    -1,  6208,    -1,
      -1,    -1,  3628,  3558,  3630,    -1,  6216,  6217,    -1,    -1,
      -1,    -1,    -1,  3884,    -1,    -1,  6226,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5057,    -1,    -1,    -1,    -1,  3906,   493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5688,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1558,    -1,    -1,
      -1,    -1,    -1,  3628,    -1,  3630,  1567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3724,    -1,
      -1,    -1,    -1,  5747,    -1,  5749,    -1,    -1,  1599,    -1,
      -1,    -1,    -1,    -1,  1605,  1606,    -1,    -1,  1609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3998,    -1,    -1,
      -1,  1622,  4687,    -1,  1625,    -1,    -1,    -1,    -1,    -1,
    3766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3794,  3724,
    4041,    -1,    -1,    -1,    -1,    -1,  5203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1680,
      -1,    -1,    -1,    -1,    -1,  4066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1267,  5877,    -1,  5262,  3862,    -1,    -1,  3794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,  5903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3906,    -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1331,  1332,  1333,    -1,
    1335,    -1,    -1,    -1,    -1,    -1,    -1,  3862,    -1,  4864,
      -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,    -1,    -1,
    1355,    -1,    -1,    -1,  1815,    -1,    -1,    -1,    -1,  3884,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3906,    -1,    -1,    -1,  5382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1857,  1858,    -1,    -1,
      -1,    -1,  3998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6024,  4936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1882,    -1,    -1,    -1,    -1,    -1,    20,  1889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    -1,    -1,  4041,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1458,    -1,    -1,    -1,  1462,  1463,    -1,
    4301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,
    4066,    -1,    -1,  3998,    -1,    -1,    -1,    -1,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,  4327,    -1,    -1,    82,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1962,    -1,    96,  1965,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4041,    -1,    -1,    -1,
      -1,  5518,   115,    -1,    -1,   118,  5523,  5524,    -1,    -1,
    1347,    -1,  5057,    -1,    -1,    -1,  1997,  1998,    -1,    -1,
     133,  4066,   135,    -1,    -1,    -1,   139,    -1,    -1,  6163,
      -1,    -1,   145,  2014,    -1,    -1,  2017,    -1,    -1,    -1,
     153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1402,    -1,   180,    -1,    -1,
      -1,    -1,    -1,    -1,  6208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6226,    -1,    -1,  4211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,   245,    -1,    -1,    -1,    -1,   250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,  4516,    -1,    -1,  5203,    -1,
    4521,    -1,    -1,    -1,    -1,    -1,  4211,    -1,    -1,   282,
      -1,    -1,    -1,    -1,  5691,    -1,    -1,    -1,    -1,    -1,
    1705,  1706,  1707,    -1,    -1,  4301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,
      -1,  4327,    -1,    -1,   327,    -1,    -1,  5262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,   347,   348,    -1,   350,    -1,    -1,
      -1,    -1,   355,    -1,    -1,   358,    -1,    -1,   361,    -1,
      -1,   364,    -1,    -1,    -1,    -1,  4301,    -1,   371,    -1,
      -1,    -1,    -1,    -1,    -1,   378,   379,    -1,    -1,    -1,
      -1,    -1,    -1,   386,    -1,    -1,    -1,   390,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    -1,    -1,  4687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,    -1,    -1,  5382,    -1,    -1,
     453,    -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,   471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1711,    -1,    -1,    -1,  1715,    -1,
      -1,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4516,   514,    -1,    -1,   517,  4521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4516,    41,  5518,    -1,    -1,  4521,    -1,  5523,  5524,
      -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,    -1,
      79,  2036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2045,  2046,  2047,  2048,    -1,    -1,    95,  2052,    -1,  2054,
      -1,  2056,    -1,    -1,  2059,  2060,  2061,    -1,    -1,    -1,
      -1,    -1,  2067,    -1,   113,  2070,    -1,    23,    -1,    -1,
     119,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2085,  2086,  2087,  2544,    -1,    -1,    -1,    -1,   137,    -1,
      -1,  4687,    -1,  2554,    -1,  4936,    -1,    -1,  2103,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,
      66,    -1,  5637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   170,  2583,    79,    80,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,   183,    91,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,   113,    -1,    -1,
      -1,    -1,  4687,    -1,    -1,    -1,  5691,    -1,    -1,  2630,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,   246,    -1,    -1,
      -1,   157,    -1,  2664,    -1,    -1,  4802,   256,    -1,    -1,
      -1,    -1,    -1,    -1,   170,    -1,  5057,  2034,    -1,    -1,
     176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,
    2057,    -1,  2247,    -1,    -1,    -1,  4842,   203,   297,    -1,
      -1,   300,    -1,    -1,    -1,  2072,  2073,  2074,    -1,  2076,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,  4802,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,  2294,
      -1,    -1,    -1,    -1,   343,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,  4842,    -1,    -1,
      -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,  2796,    -1,    -1,    -1,  4864,
    4936,   297,  2347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2811,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
     409,    -1,  5203,    -1,    -1,    -1,   322,   416,    -1,    -1,
     419,   420,  2833,   422,   423,    -1,   332,   333,    -1,    -1,
     336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,   448,
      -1,    -1,   451,    -1,    -1,    -1,    -1,   363,    -1,    -1,
     366,  4936,    -1,    -1,   370,   464,    -1,   373,    -1,    -1,
      -1,  5262,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,  2919,  2920,
     416,  5057,    -1,   419,    -1,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    -1,   433,    -1,    28,
      -1,    -1,   438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,    -1,  2534,
      79,    -1,  5057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2545,  5382,  2547,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3020,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2585,    -1,    -1,    -1,  2589,    -1,    -1,  2592,   137,  2594,
      -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5203,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2650,  2651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5518,  5203,    -1,
      -1,    -1,  5523,  5524,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2541,    -1,    -1,  2732,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   332,   333,    -1,  5382,   336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5637,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,   366,    -1,    -1,
    2637,   370,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,
      -1,   380,  2649,    -1,   383,    -1,    -1,  2654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5691,    -1,    -1,   402,    -1,    -1,    -1,  5382,    -1,    -1,
     409,    -1,    -1,    -1,    -1,   414,    -1,   416,    -1,    -1,
     419,    -1,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,
      -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,  3379,    -1,
      -1,    -1,  5518,    -1,    -1,    -1,    -1,  5523,  5524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2967,  2968,  2969,    -1,    -1,    -1,  2973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5518,    -1,  3000,    -1,    -1,  5523,  5524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5691,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5691,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3211,    -1,    -1,    -1,
      -1,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3271,    -1,  3273,  3274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3287,    -1,    -1,  3290,    -1,  3292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3328,    -1,  3330,    -1,  3332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3805,  3806,  3807,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3855,  3856,    -1,  3214,    -1,  3860,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,  3423,    -1,
      -1,    -1,  3239,  3428,    -1,    -1,    -1,    -1,  3245,    -1,
      -1,    -1,    -1,  3250,  3251,    -1,  3253,    -1,  3443,    -1,
      -1,  3258,  3259,    -1,  3261,    -1,  3263,    -1,    -1,    -1,
    3267,    -1,    -1,  3270,    -1,    -1,    -1,    -1,  3275,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3284,    -1,    -1,
      -1,    -1,  3289,    -1,    -1,    -1,    -1,    -1,    -1,  3296,
    3297,  3298,  3299,    -1,    -1,    -1,  3303,  3304,    -1,  3306,
      -1,    -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,
    3327,    -1,    -1,    -1,    -1,  3976,    -1,  3334,  3335,  3336,
    3337,  3338,  3339,  3340,  3341,  3342,  3343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4135,  4136,  4137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3513,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3751,    -1,    -1,    -1,
      -1,    -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3755,  3756,
      -1,    -1,    -1,  3760,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,
    3995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4004,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,
      -1,    -1,    -1,  4018,  4019,    -1,    -1,  4478,    -1,  4024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4032,    -1,  4034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4510,
      -1,    -1,    -1,    -1,    -1,    -1,  4061,  4062,  4063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4088,  4545,    -1,  4091,    -1,  4093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4562,    -1,    -1,    -1,    -1,  4111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4119,  4120,    -1,    -1,    -1,    -1,
      -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3994,    -1,    -1,
      -1,    -1,    -1,  4000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4038,  4039,    -1,    -1,  4042,  4043,  4044,  4045,    -1,
      -1,  4048,  4049,  4050,  4051,  4052,  4053,  4054,  4055,  4056,
    4057,  4058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4717,  4718,  4719,  4720,
      -1,    -1,    -1,    -1,  4081,    -1,    -1,  4084,    -1,  4086,
      -1,    -1,  4089,  4090,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,  4114,  4115,  4116,
      -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,  4523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5050,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4439,    -1,    -1,    -1,  4631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4684,
    4685,    -1,    -1,    -1,    -1,    -1,  4691,  4692,    -1,    -1,
      -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,  4706,  4707,    -1,    -1,    -1,    -1,    -1,  4713,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4767,    -1,  4769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4784,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4619,    -1,    -1,    -1,  4623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4641,  4642,    -1,    -1,    -1,    -1,
    4647,  4648,  4649,  4650,    -1,    -1,    -1,  4654,  4655,  4656,
    4657,  4658,  4659,  4660,  4661,  4662,  4663,  4664,  4665,  4666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4690,  5335,    -1,  4693,    -1,  4695,  5340,
      -1,    -1,  4887,    -1,  4701,    -1,    -1,  4704,  4705,  4894,
      -1,  4708,  4709,    -1,    -1,    -1,    -1,  4714,  5359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4766,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5130,    -1,    -1,    -1,    -1,
      -1,  5136,  5137,  5138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5603,    -1,    -1,    -1,    -1,    -1,  4965,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5163,  5164,
      -1,    -1,  5167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5052,  5053,    -1,    -1,    -1,
      -1,    -1,    -1,  5060,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5132,  5133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5151,    -1,  5153,    -1,    -1,    -1,
    5157,  5158,  5159,    -1,    -1,  5162,    -1,    -1,  5165,  5166,
      -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,
      -1,    -1,    -1,    -1,    -1,  5212,    -1,    -1,    -1,    -1,
      -1,    -1,  5219,    -1,    -1,  5410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5284,  5473,  5286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5422,    -1,  5424,  5425,  5426,
    5427,  5428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5441,  5442,  5443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5455,    -1,
      -1,  5458,    -1,    -1,    -1,  5462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5665,    -1,    -1,  5480,    -1,    -1,    -1,    -1,    -1,  5674,
    5675,  5676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5722,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5845,    -1,    -1,    -1,    -1,  5662,    -1,    -1,    -1,  5666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5868,    -1,    -1,    -1,    -1,  5685,  5874,
    5687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5733,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5944,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5841,    -1,    -1,    -1,    -1,    -1,
      -1,  5848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6073,    -1,
      -1,  5888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5991,  5992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6004,    -1,    -1,
    6195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6082,  6083,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,  6139,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     505,   506,   507,    -1,    -1,    -1,    -1,    -1,    -1,   514,
     515,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   514,   515,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   514,   515,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,   515,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
     493,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   514,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,    -1,   240,
     241,   242,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,    -1,    -1,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,    -1,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,    -1,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,    -1,   240,   241,   242,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
      -1,    -1,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,    -1,   413,   414,
      -1,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,    -1,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,    -1,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,   489,   490,   491,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
     515,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,
      -1,     3,    -1,     5,     6,   514,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,   506,    -1,    -1,    -1,     3,    -1,
       5,     6,   514,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    -1,     3,    -1,     5,     6,   514,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    36,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,
      -1,    -1,     3,    -1,     5,     6,   514,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,     3,
      -1,     5,     6,   514,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,   506,   507,    -1,    -1,     3,    -1,
       5,     6,   514,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    -1,     3,    -1,     5,     6,   514,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,
      -1,    -1,     3,    -1,     5,     6,   514,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,     3,
      -1,     5,     6,   514,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,     3,    -1,     5,     6,
     514,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,   493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,
      -1,    -1,    -1,     3,    -1,     5,     6,   514,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,
       3,    -1,     5,     6,   514,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   505,   506,    -1,    -1,    -1,     3,    -1,     5,
       6,   514,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,
     506,    -1,    -1,    -1,     3,    -1,     5,     6,   514,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,
      -1,     3,    -1,     5,     6,   514,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,   506,    -1,    -1,    -1,     3,    -1,
       5,     6,   514,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    -1,     3,    -1,     5,     6,   514,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,
      -1,    -1,     3,    -1,     5,     6,   514,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,     3,
      -1,     5,     6,   514,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,   506,    -1,    -1,    -1,     3,    -1,     5,     6,
     514,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,   506,
      -1,    -1,    -1,     3,    -1,     5,     6,   514,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,    -1,
       3,    -1,     5,     6,   514,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   505,   506,     3,    -1,     5,     6,    -1,     8,
       9,   514,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,   506,     3,    -1,
       5,     6,    -1,     8,     9,   514,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,   495,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   505,   506,   507,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
     495,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   514,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    10,    11,
      -1,    -1,    -1,    -1,   514,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,    -1,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      -1,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,     5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    -1,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
      -1,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    -1,   433,
      -1,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    -1,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
      -1,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,   469,    -1,    -1,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,   490,   491,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,    -1,   240,   241,
     242,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,    -1,    -1,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
      -1,   413,   414,    -1,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,   507,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,    -1,   240,   241,   242,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,    -1,    -1,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,    -1,   413,
     414,    -1,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   505,
     506,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   505,   506,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   505,   506,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,   506,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,   105,
     106,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,   105,   106,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,   105,   106,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,   105,   106,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,   105,   106,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,   242,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,   284,    -1,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,    -1,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,   414,    -1,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,
     244,   245,   246,    -1,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,
     304,    -1,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
     414,    -1,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,    -1,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,
     245,   246,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,   284,
      -1,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,    -1,   297,   298,   299,    -1,    -1,   302,   303,   304,
      -1,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,   414,
      -1,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,    -1,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
      -1,   446,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,    -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,
     246,    -1,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
      -1,   297,   298,   299,    -1,    -1,   302,   303,   304,    -1,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,    -1,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,    -1,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,    -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
      -1,   238,   239,    -1,   241,    -1,    -1,   244,   245,   246,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,   284,    -1,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,    -1,
     297,   298,   299,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,   414,    -1,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,    -1,   463,   464,   465,   466,
      -1,    -1,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,   239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,   284,    -1,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,   414,    -1,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,    -1,   238,
     239,    -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,    -1,   297,   298,
     299,    -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
      -1,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,   446,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,    -1,   238,   239,
      -1,   241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,   284,    -1,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,    -1,   297,   298,   299,
      -1,    -1,   302,   303,   304,    -1,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,    -1,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,    -1,   446,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,    -1,    -1,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,    -1,   238,   239,    -1,
     241,    -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,
      -1,   302,   303,   304,    -1,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,    -1,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,   446,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,    -1,   238,   239,    -1,   241,
      -1,    -1,   244,   245,   246,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,   284,    -1,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,
     302,   303,   304,    -1,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,   414,    -1,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,    -1,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,    -1,   446,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,    -1,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,    -1,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,    -1,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,    -1,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,    -1,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,    -1,
     238,    -1,   240,   241,   242,    -1,   244,   245,   246,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,    -1,    -1,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,    -1,   297,
     298,   299,    -1,    -1,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,    -1,   413,   414,    -1,    -1,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,    -1,   430,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,    -1,   446,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,    -1,    -1,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,    -1,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,   230,   231,   232,
     233,   234,   235,    -1,    -1,   238,    -1,   240,   241,   242,
      -1,   244,   245,   246,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,    -1,    -1,   287,    -1,   289,   290,   291,    -1,
     293,   294,    -1,    -1,   297,   298,   299,    -1,    -1,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,    -1,
     413,   414,    -1,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,    -1,    -1,    -1,    -1,   430,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,    -1,   446,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,    -1,    -1,    -1,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    96,    98,   115,   118,   133,   135,   139,   145,
     153,   155,   162,   180,   197,   244,   245,   250,   264,   282,
     319,   327,   341,   347,   348,   350,   355,   361,   364,   371,
     378,   379,   386,   390,   400,   416,   436,   447,   453,   458,
     471,   495,   497,   498,   499,   500,   501,   514,   521,   522,
     523,   524,   529,   530,   536,   537,   539,   540,   541,   542,
     544,   547,   559,   564,   565,   568,   569,   570,   588,   591,
     592,   607,   656,   659,   660,   663,   666,   667,   668,   676,
     683,   685,   686,   689,   692,   693,   697,   706,   710,   711,
     712,   715,   717,   718,   719,   720,   728,   730,   750,   754,
     756,   757,   767,   769,   776,   777,   780,   781,   782,   783,
     784,   793,   795,   797,   800,   804,   805,   815,   816,   821,
     826,   837,   869,   872,   873,   874,   879,   882,   884,   886,
     888,   889,   893,   894,   897,   899,   900,   904,   905,   906,
     909,   910,   911,   912,   913,   920,   922,   923,   924,   925,
     931,   933,   934,   940,   941,   942,   945,   946,   947,   948,
     950,   951,   953,   954,   956,   957,   959,   971,   973,   976,
     978,   980,   989,   991,   997,  1002,  1010,  1014,  1015,  1016,
    1017,  1018,  1019,  1025,  1061,   430,   474,   926,    28,    79,
      95,   113,   119,   137,   148,   157,   170,   176,   183,   203,
     234,   256,   297,   322,   332,   333,   336,   363,   366,   370,
     373,   380,   383,   402,   409,   414,   416,   419,   423,   433,
     438,   451,   464,   682,   926,     3,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    30,    31,    32,    40,    41,
      42,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    58,    59,    60,    61,    62,    63,
      64,    67,    68,    69,    70,    71,    73,    74,    75,    76,
      77,    79,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    92,    93,    94,    95,    96,    97,    99,   100,
     101,   102,   106,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   120,   122,   123,   124,   125,   126,   127,   128,
     130,   131,   132,   133,   136,   137,   138,   139,   140,   142,
     143,   144,   146,   147,   148,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   161,   163,   164,   165,   166,
     167,   169,   171,   172,   173,   175,   176,   177,   178,   179,
     181,   182,   184,   185,   186,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   199,   200,   201,   202,   203,
     204,   205,   206,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   218,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   238,
     239,   240,   241,   242,   244,   245,   246,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   281,   282,
     283,   284,   286,   287,   288,   289,   290,   291,   293,   294,
     297,   298,   299,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     321,   322,   323,   324,   325,   326,   327,   328,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   380,   381,   382,   383,   384,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   413,   414,   417,   418,   419,
     420,   421,   422,   423,   425,   426,   427,   430,   431,   432,
     433,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     446,   447,   448,   449,   450,   453,   454,   455,   456,   457,
     458,   459,   461,   462,   463,   464,   465,   466,   469,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,  1122,
    1206,  1218,  1219,  1223,  1224,  1225,     3,    29,  1011,  1203,
    1218,  1223,   462,   514,   964,   295,   328,   926,    54,   514,
     599,    23,    41,    66,    79,   113,   119,   137,   148,   157,
     170,   179,   183,   246,   297,   300,   322,   336,   363,   373,
     383,   402,   409,   419,   420,   422,   423,   438,   445,   448,
     451,   608,   665,   772,   827,   838,    29,   327,  1203,  1011,
      29,   321,   381,   420,   422,     6,   233,   880,   881,  1209,
      23,    28,    66,    79,    95,   113,   137,   148,   157,   170,
     176,   183,   203,   256,   297,   310,   322,   333,   336,   363,
     366,   370,   373,   380,   383,   402,   409,   416,   419,   423,
     431,   433,   438,   451,   464,   682,   785,   787,   788,   926,
    1203,    98,   462,   514,   660,   663,   666,   959,   972,   976,
     979,   989,   996,  1002,  1010,  1014,  1025,    11,    22,    29,
      49,   165,   172,   174,   198,   235,   271,   330,   349,   505,
     506,   801,   802,  1011,  1208,  1210,    29,    31,    98,   345,
     379,   806,   807,   808,  1218,   170,  1218,  1205,  1209,   416,
    1028,   801,  1218,   355,   386,   390,   430,  1203,   310,   256,
     514,   892,   371,  1218,    29,   384,   426,   430,   551,   560,
     561,  1218,   180,   806,   807,  1218,   328,   926,  1218,   232,
      29,   134,  1030,  1031,    67,    92,   246,   266,   363,   373,
     384,   426,   430,   477,   548,   549,   550,   551,    29,   384,
     426,   430,   551,   430,   296,  1073,  1074,  1201,  1218,  1028,
     507,  1218,   175,   514,   965,   514,   343,  1020,  1021,  1203,
    1020,     3,    53,    55,    56,    69,    70,   116,   117,   138,
     166,   215,   216,   218,   267,   269,   288,   340,   388,   394,
     426,   427,   459,  1096,  1098,  1100,  1102,  1104,  1106,  1107,
    1108,  1110,  1111,  1112,  1114,  1115,  1219,  1223,  1030,  1031,
    1032,  1214,    12,  1215,  1216,  1218,  1215,  1215,  1015,  1016,
    1019,     0,   517,   514,   964,   149,   217,   301,   444,  1033,
    1034,  1015,  1017,  1018,   124,   213,   258,   450,   518,    35,
     930,   854,  1206,   790,  1218,   790,  1203,   331,   790,   433,
    1203,   112,   416,   842,  1206,  1218,  1225,     3,   105,   109,
     385,  1211,  1212,  1220,  1223,  1224,  1225,    29,   192,  1201,
     289,   464,    10,    17,    18,    19,    74,   161,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   876,   878,  1153,
    1154,  1218,   192,  1203,   842,  1203,    29,  1211,  1212,   842,
    1203,  1203,   192,  1201,  1203,   192,   790,  1203,   355,   386,
      29,   192,  1073,  1203,   376,  1203,   790,    29,   253,  1211,
    1212,   192,  1201,   233,   121,   223,   280,   339,   927,   928,
     929,   514,   512,   516,  1179,  1181,   492,   958,   959,   960,
     961,  1220,  1201,  1203,  1218,    28,    66,    80,    91,   113,
     137,   176,   203,   234,   297,   333,   363,   366,   409,   419,
     431,   438,   785,   786,   787,   788,  1209,   930,   975,   979,
     989,   996,  1002,  1014,  1201,   259,   790,   514,   192,   790,
    1203,   790,   433,   192,  1203,   112,   416,   420,   422,  1211,
    1212,   420,   422,    74,   161,   876,   353,  1203,  1203,  1211,
     192,   525,  1218,   192,  1203,   192,   526,   790,  1203,  1203,
     376,   790,   253,  1211,   343,   380,   416,   464,   256,    95,
     203,    28,    91,   176,   333,   370,   431,   433,   437,   677,
      29,  1203,  1012,   558,  1209,  1220,   881,   259,   192,   854,
     855,   192,   885,   192,  1203,   192,   792,  1096,   433,   112,
     416,   192,   841,   842,   192,  1212,  1213,    87,   464,    74,
     161,   192,   877,   878,    59,   192,   841,   192,  1213,   192,
     841,   192,  1203,   192,  1203,   376,   885,   192,   792,   192,
     253,  1213,   233,   192,   789,   790,   192,  1202,  1203,   192,
    1203,   930,   514,   977,   608,   972,   458,   958,   964,   213,
     450,  1210,   802,   803,    29,   803,  1210,   803,    29,   803,
    1210,   803,   803,   803,  1210,  1208,  1208,  1011,   803,   331,
     514,   414,   514,   633,   633,   633,   295,   428,   518,   633,
     373,  1073,  1075,   518,   921,   561,   549,   551,    29,   551,
    1209,   514,   974,    59,   464,   958,   113,   203,   373,   414,
     416,   890,   891,  1218,    48,   491,   223,   516,   298,   295,
     174,   298,  1209,   428,   930,   168,   798,   295,     5,     8,
       9,    10,    12,    37,    53,    55,    56,    65,    66,    69,
      70,    77,    79,   103,   104,   105,   106,   107,   108,   109,
     116,   117,   119,   154,   159,   160,   166,   182,   184,   215,
     216,   218,   226,   227,   228,   229,   239,   247,   248,   267,
     269,   278,   280,   285,   286,   288,   297,   308,   323,   340,
     368,   385,   394,   410,   415,   426,   427,   432,   434,   435,
     445,   451,   459,   479,   480,   481,   482,   484,   485,   486,
     487,   493,   505,   506,   507,   514,  1015,  1099,  1102,  1105,
    1106,  1107,  1109,  1110,  1111,  1114,  1115,  1119,  1121,  1122,
    1123,  1125,  1149,  1150,  1151,  1155,  1173,  1178,  1195,  1198,
    1199,  1206,  1207,  1208,  1209,  1218,  1197,  1198,  1209,    29,
     566,  1200,  1201,   384,   548,   119,   557,  1209,   558,  1209,
      48,    71,   548,   491,   395,   928,   298,   174,   428,   504,
      48,   491,   223,   929,   514,  1201,   507,  1181,  1075,   958,
     173,   966,  1119,  1158,  1020,   518,   514,   967,   461,  1113,
    1113,  1113,   514,  1101,  1101,   325,   514,  1103,    69,    70,
    1113,  1101,  1098,   495,   496,   514,  1116,   514,  1116,    37,
    1097,   514,   114,   190,   260,   263,   377,   489,   514,  1117,
    1118,   516,   791,  1101,  1197,  1182,   515,   515,   523,   958,
     968,   969,   970,  1201,    29,   134,  1029,  1029,    59,  1029,
     162,   168,   243,   292,  1037,  1039,  1040,  1055,  1057,  1058,
    1059,  1033,  1034,   174,   219,   219,  1073,  1076,   514,    68,
     276,   311,   351,   386,   514,   852,   311,   347,   351,   386,
     791,   311,   351,   386,     3,    90,   143,   249,   311,   319,
     347,   351,   386,   419,   421,   471,   559,   562,   935,   936,
     937,   938,   822,    25,   139,   311,   351,   386,   455,   575,
    1203,    25,   139,   386,   450,   543,   475,   192,  1073,    62,
      97,   158,   195,   238,   276,   280,   311,   312,   351,   360,
     369,   378,   386,   398,   407,   411,   466,   559,   563,   858,
     870,   898,   514,   839,  1181,   351,   543,   198,   154,    25,
      31,    46,    76,   132,   139,   142,   169,   205,   276,   280,
     290,   299,   311,   351,   354,   355,   386,   455,   571,   573,
     574,   700,   898,     5,   505,   506,   674,  1210,    29,   192,
    1201,   790,   790,   514,   875,   311,   386,   516,   154,   295,
     311,   351,   386,   870,   898,    25,   139,   311,   351,   386,
     198,   538,   351,   471,   495,   531,   538,   311,   351,   386,
     870,   898,   295,   311,   351,   154,    38,    60,   111,   201,
     257,   261,   276,   310,   351,   356,   380,   386,   400,   571,
     671,   672,   311,   351,   463,   700,   708,   154,   311,   351,
     386,    25,    90,   132,   139,   142,   311,   347,   351,   386,
     393,   561,   549,   198,   154,    46,   130,   276,   351,   386,
     571,   572,   311,   351,   355,   386,    88,   131,   314,   421,
     295,    25,    31,   139,   311,   351,   386,   589,   590,   538,
     168,   351,   531,   538,   154,   351,   386,   571,  1203,   241,
     121,   296,   476,   518,   927,    29,   134,   460,   507,   515,
     847,  1119,  1159,  1160,  1219,  1119,  1180,     3,    29,    33,
      34,    35,    36,    37,    38,    39,    43,    57,    65,    66,
      72,    78,    80,    91,    98,   103,   104,   105,   107,   108,
     109,   119,   121,   129,   134,   135,   141,   145,   149,   160,
     162,   168,   170,   174,   180,   183,   187,   198,   207,   217,
     219,   236,   237,   243,   247,   248,   280,   285,   292,   295,
     296,   300,   301,   320,   329,   345,   359,   379,   385,   396,
     412,   415,   416,   424,   428,   429,   435,   444,   445,   451,
     452,   460,   467,   468,   470,   471,   507,  1204,  1221,  1223,
    1224,  1225,  1226,  1179,   515,   518,   160,   295,   435,   555,
     558,   674,   962,   452,   955,   295,   854,   514,   790,  1203,
    1096,   842,   289,    74,   161,   878,   842,   842,   168,  1096,
     790,  1203,  1203,   515,   633,  1203,    72,  1096,   280,   174,
     514,   758,   531,    38,   949,  1203,   280,   531,   475,   192,
    1201,   531,   790,   790,   758,   448,   608,   295,   168,   471,
     866,   531,   280,    48,   545,   280,   438,   707,   280,   967,
      90,   311,   684,    88,   131,   314,   421,    38,   758,   168,
     192,   531,   464,   192,  1201,   192,   661,  1201,  1201,   464,
     790,    87,   527,  1206,   433,  1206,  1206,  1203,   168,  1203,
     682,    40,    54,   110,   212,   276,   375,   154,    63,   357,
     518,   528,   154,   514,   154,   531,   154,   518,   528,   475,
     154,   518,   528,   154,   518,   192,   789,   192,   790,   192,
     790,   154,   518,   528,  1213,   154,   528,   154,   154,   528,
     154,   528,   154,    88,   131,   314,   421,   168,   154,   528,
     154,   168,   192,   154,   518,   528,   154,   518,   528,   154,
     295,  1158,   416,   515,   972,   219,  1076,   803,  1011,   803,
    1011,   803,  1011,   803,  1011,   803,  1011,  1011,  1011,   803,
    1011,   514,   634,   635,  1218,   634,    29,   113,   137,   170,
     176,   233,   234,   313,   333,   366,   373,   380,   416,   419,
     438,   811,  1200,  1213,   808,  1203,   198,   518,   992,  1209,
    1096,  1162,    38,  1213,   527,   515,   527,   527,   527,   241,
    1218,   168,   811,  1213,   168,   371,  1218,   558,   295,   514,
    1182,   512,  1015,  1163,  1119,  1177,   514,   514,   168,   514,
     514,  1015,   514,   514,   514,   514,   514,   514,   514,   514,
     514,   514,   514,  1119,   514,   514,   514,   514,   514,   514,
     514,   514,   287,   624,   514,   514,   514,   514,   514,   514,
     514,   514,  1119,  1119,  1119,  1015,  1119,  1158,  1181,  1209,
     514,  1209,     3,    10,    13,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   164,   165,   166,   167,   169,   170,
     171,   172,   173,   175,   176,   177,   178,   179,   181,   182,
     184,   185,   186,   188,   189,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   293,   294,   296,   297,   298,   299,   300,   302,   303,
     304,   305,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   320,   321,   322,   323,   324,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   462,
     463,   464,   465,   466,   467,   469,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   490,   491,   493,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  1153,  1155,  1157,  1222,  1227,   472,  1136,
     307,  1119,   163,  1137,   219,   518,  1026,   514,  1209,  1181,
    1026,   122,   194,   567,   518,    71,   119,   558,    38,     3,
     119,   246,   556,   674,  1115,  1209,  1209,    93,   136,  1131,
     102,   119,   552,   553,   555,   674,   119,   552,   241,  1201,
      94,   356,   794,   515,   964,    35,    45,    52,    78,   193,
     198,   221,   242,   297,   300,   391,   515,   518,  1021,  1202,
      38,   514,  1158,  1208,  1113,  1113,    37,  1097,   426,   426,
    1208,  1208,   512,   512,  1208,   428,   428,   428,   514,   428,
    1208,  1204,   516,  1101,   174,  1062,    15,   504,  1179,  1217,
     515,   518,   967,  1017,  1017,  1035,  1036,  1119,  1017,   165,
     271,  1046,   230,   276,   339,   389,   450,    29,  1041,  1119,
     505,   506,  1042,  1043,  1119,  1121,  1055,  1056,  1040,  1039,
    1037,  1038,   168,  1058,   290,  1060,  1037,  1055,  1076,   981,
    1201,  1076,    38,  1218,  1158,    68,   428,   428,   373,   198,
     210,   301,   304,   388,   460,   507,   845,   846,   847,   849,
     851,   853,  1096,  1219,   428,   463,   428,   373,   428,   428,
     373,   243,   428,    79,   428,   419,   548,   311,   935,   937,
     504,   939,   168,   180,   198,   361,   823,   824,    72,    91,
     150,   170,   329,   445,   630,   631,    91,   119,   280,   428,
      91,   428,   119,   280,   373,    91,   132,   142,   311,   351,
     755,   373,   690,    28,    66,   137,   176,   297,   333,   366,
     431,   438,   785,   786,  1203,   154,   351,   386,   571,   295,
     674,   378,   238,   428,  1218,   428,   285,   674,   123,   220,
     373,   384,   430,   550,   790,   357,   386,   858,   871,   127,
     515,   840,   845,   428,   451,   419,  1201,    80,   150,   192,
     615,   630,  1218,    80,    91,   895,   316,   295,   368,   370,
     433,    91,   895,    32,   354,   368,   370,   433,   368,  1201,
     169,   205,   290,   790,   514,   428,   428,   191,   514,   579,
      23,   252,   419,   448,   473,   579,    91,   518,   127,     5,
       5,   311,   198,   154,   351,   386,   571,   898,   452,   452,
     277,  1096,   428,   373,   514,   876,  1203,  1201,   428,   428,
     373,   871,   127,   106,   416,   417,   907,   908,  1074,  1201,
    1218,   908,   428,   428,   758,   908,   113,   386,   562,   428,
     533,   562,   428,   428,   373,   871,   127,  1201,   428,   428,
    1201,  1098,   674,    59,   673,   674,   674,   111,   257,   261,
      59,   428,   531,   265,   373,   531,   276,   672,   428,   428,
     285,  1209,   700,   790,   428,   428,   373,   402,   336,  1209,
     336,   428,   336,   428,   336,   758,   758,   419,  1073,   316,
     316,    91,   428,   895,   373,   428,   428,   579,   579,   790,
     790,   790,   790,  1201,    47,   457,    47,    47,   428,    47,
     428,   457,   373,   514,   518,   562,   451,   716,  1212,   428,
     533,   562,  1201,   428,   895,   373,   311,   351,   339,   352,
     382,   554,   927,  1159,  1159,  1160,   515,    15,    16,   518,
    1033,  1034,   513,   519,  1201,   960,  1203,  1201,   221,  1096,
     221,   295,   221,   221,   674,   790,   790,   221,   221,   221,
    1096,   221,   221,   221,   295,   428,   174,   428,   593,   438,
     514,    38,   154,   790,   759,   760,  1221,   935,  1096,   295,
     154,   687,  1203,   280,   316,   514,   532,   772,   452,   343,
     464,  1201,    29,   908,   758,   532,   154,  1212,    98,   180,
     546,   607,   667,   730,   804,   826,   931,   154,  1209,   708,
     709,   154,   295,  1209,  1212,   249,   790,   790,   790,   790,
     146,   338,   514,   716,   280,   532,  1201,   280,   669,   671,
     280,    38,   290,   316,   514,   633,   633,   192,   664,  1201,
     168,   192,   525,  1218,   514,   762,   852,  1203,   514,   843,
     843,    38,  1096,    27,    50,   214,   731,   233,   471,   473,
    1013,   375,   855,   854,  1096,  1203,   514,   792,  1096,   841,
     842,  1213,  1212,   154,   528,   154,   452,   154,   452,   877,
     878,   528,   841,  1213,   841,  1203,  1203,  1096,   792,  1213,
     716,   154,   789,   790,  1202,  1203,  1203,   790,   515,   192,
    1201,   972,   981,   386,  1011,  1011,  1011,  1011,  1011,  1011,
     634,   515,   518,   515,   177,   334,   367,   381,   417,  1202,
     789,   112,   383,   841,  1202,   289,   809,   810,  1218,   841,
     841,  1202,  1200,  1200,  1202,   789,   428,   181,   471,   820,
     149,   243,   713,   714,    23,   152,   368,   389,   993,  1073,
     284,   994,   515,   518,   975,   428,  1201,  1203,  1201,   525,
     806,   807,   174,   820,   807,  1218,    28,    80,   137,   176,
     234,   333,   366,   438,   785,   786,  1158,   513,  1158,  1163,
    1164,   467,  1174,  1175,  1119,  1158,   514,  1208,  1208,     3,
     114,   190,   260,   263,   377,   489,  1165,  1166,  1209,  1158,
    1158,   359,  1015,  1016,  1119,  1184,  1187,  1194,  1184,  1119,
    1121,  1159,  1187,  1190,  1191,  1119,  1191,  1158,  1208,  1208,
    1119,  1119,   876,  1119,  1159,  1161,  1168,   368,   505,   506,
     514,  1120,  1121,  1155,  1169,   515,  1158,  1119,  1161,  1170,
    1119,    57,   174,   237,   429,  1119,  1158,  1171,   134,   280,
    1015,  1158,   265,  1121,  1119,  1129,  1130,  1131,   265,  1119,
    1131,   515,   518,  1208,  1117,  1096,  1119,  1119,  1119,  1119,
    1221,   426,    43,   412,  1183,   790,  1119,   514,  1015,  1172,
     134,   136,   160,   225,   272,   273,   274,   275,   279,   280,
     285,   435,   446,  1167,  1188,  1119,   514,  1119,   428,    52,
     193,   198,   242,   391,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,    29,    36,   396,  1152,   183,  1137,
     368,   514,  1149,   514,   306,  1141,   179,   246,   416,   420,
     422,   448,  1027,  1201,  1199,  1062,  1159,  1062,  1201,   430,
     514,  1209,   518,   515,   191,   191,   528,   970,   959,   963,
    1119,   515,   256,   280,  1022,  1158,   515,   515,   512,   491,
     491,   515,   515,  1208,   513,  1208,   515,   190,   260,  1118,
     260,  1118,  1118,  1208,   263,   515,  1204,   236,   369,   488,
     514,  1015,  1063,  1064,  1065,  1073,  1079,  1089,  1122,  1124,
    1125,  1195,  1218,   468,  1084,  1214,   970,   968,   518,    39,
     129,   452,   835,   368,   369,   505,   506,  1043,  1045,  1121,
     389,   230,   296,   518,     5,  1044,  1208,  1044,   368,   369,
    1045,  1200,   284,   393,   995,  1056,  1038,   452,   990,    38,
     452,  1218,   515,  1212,  1203,  1203,   304,    59,  1219,   515,
     847,   849,   846,   849,  1219,   301,   515,   518,   791,  1212,
    1203,  1203,  1212,  1203,  1203,  1212,   463,  1203,  1203,   119,
     555,   674,   363,   451,   806,   373,   180,   806,   514,  1203,
     452,   828,   230,   230,   452,   624,   655,   192,  1203,   285,
    1212,  1203,  1203,  1119,   285,  1203,  1203,    32,   354,   428,
     428,  1203,   428,   691,   854,   514,  1096,   842,    74,   161,
     878,   842,   842,   168,  1096,   790,  1203,   186,   276,   311,
     351,   456,   694,   695,   696,  1073,   428,   895,   373,   285,
     123,   220,  1212,  1203,   295,  1203,   295,   515,   518,  1211,
    1213,  1203,   351,   571,   192,   615,   280,  1096,  1203,  1208,
    1218,  1201,  1203,   241,  1203,    29,   451,  1203,   192,  1203,
     192,  1218,   370,   433,   370,   433,   241,  1203,    29,   451,
    1203,   241,   368,  1201,    25,   139,   386,   701,   702,   703,
     704,  1221,  1212,  1203,   119,   175,   281,   452,   578,   581,
     582,  1221,   259,  1203,    76,   293,  1203,   574,   295,   428,
     419,  1201,   428,   895,   373,   127,  1203,  1203,   518,   515,
     518,  1212,  1203,   901,   902,  1221,   295,   351,   428,   724,
    1212,  1203,  1203,   295,  1073,   198,   518,   633,   633,  1181,
    1212,  1203,  1203,  1211,     3,    90,   144,   205,   318,   443,
     451,   454,   534,  1212,  1203,  1203,   295,   351,  1212,  1203,
     351,   386,   571,   671,   674,   790,  1203,   674,   790,  1203,
     674,  1212,  1203,   386,  1212,  1203,  1203,  1210,  1202,  1202,
    1212,   866,  1203,  1202,  1203,   351,   386,   571,   572,  1201,
    1201,  1203,  1203,  1203,  1203,  1212,  1203,    25,    31,   139,
     311,   351,   386,   311,   351,   386,   758,   351,   386,   351,
     386,   351,   898,  1088,  1218,   192,   768,  1218,   192,  1218,
    1212,  1203,  1203,  1209,  1203,   901,    25,   590,   383,  1211,
     351,   386,   571,  1203,  1203,  1203,   428,   428,    85,   442,
     339,   518,  1033,  1033,  1033,  1119,  1119,   460,  1160,   515,
    1119,  1180,   955,   285,   796,  1209,    38,   796,   137,   790,
     796,   796,   221,   452,   452,   796,   796,   796,   233,   796,
     796,   796,   790,   335,   594,   594,   203,   416,   729,  1119,
    1096,   790,   515,   518,   504,   621,  1221,  1203,    63,   174,
     373,   463,   688,   695,   696,   154,   290,   242,   609,   611,
     613,   615,   627,   630,    26,   198,   363,   413,   534,   535,
     168,  1203,   464,  1201,    38,   725,   417,   866,   525,  1218,
     545,   608,   838,  1203,   170,   790,   514,   657,   658,  1124,
    1218,   336,  1209,   758,   758,   758,   758,   514,   758,  1086,
    1087,  1088,   383,   154,   514,   154,   154,   153,  1014,   790,
     290,   609,  1218,   452,   650,   471,   580,   280,    38,   633,
    1209,   280,   295,     3,   763,   764,   758,    27,   515,   844,
     845,   850,    38,   233,   360,   431,   470,   856,   857,   858,
     859,   856,   295,   233,   290,   124,   213,   436,   450,   732,
     733,  1203,   189,   189,   168,   528,    38,   531,   169,   943,
     944,   528,   528,   789,   790,  1203,   790,  1203,   528,   528,
     528,   528,   233,   528,   383,   168,   528,   528,   295,   528,
     280,   119,   309,   514,   982,  1014,   514,   998,   999,  1000,
    1218,   515,   635,   198,   198,   198,   198,   198,   475,  1202,
     674,   675,   518,   516,   183,   812,   813,  1212,    59,   817,
     818,  1221,   428,   514,   174,   152,   389,   152,   389,   368,
     450,   262,  1096,  1212,   471,   662,   295,   812,   528,   174,
     854,   790,  1096,   842,   289,   842,   842,  1096,   790,  1203,
     515,   513,   513,   518,  1119,   141,  1175,  1176,    38,   515,
    1119,   515,   515,   515,   174,   515,   515,  1096,   492,  1185,
    1185,   515,    21,   285,   518,  1193,   301,  1196,   519,   457,
     515,   515,    21,   285,   518,  1192,  1192,   515,   515,   515,
     515,   518,   518,   515,   320,   515,   515,   514,  1120,  1120,
    1158,    13,    17,    18,    19,   198,   221,   297,   502,   503,
     504,   505,   506,   507,   508,   509,   510,  1155,  1120,   515,
     515,   168,   174,   391,   515,   515,    38,  1171,  1158,  1171,
    1171,   174,   515,   134,   515,  1221,   317,  1134,    38,   515,
     518,  1119,  1221,   518,  1119,  1182,  1119,   515,   491,  1120,
    1120,   147,  1158,   174,    37,   289,   372,   457,   134,   136,
     160,   279,   285,   435,   446,  1167,  1188,   279,   471,   473,
    1189,   147,   876,  1119,   412,  1183,  1119,  1172,  1119,   428,
     514,  1015,   514,  1141,   514,  1158,   468,   514,  1142,  1218,
     420,   422,   420,   422,  1201,  1028,  1028,  1028,  1084,  1033,
    1084,   928,  1208,  1117,   553,   970,   256,   514,   515,  1208,
    1116,  1116,   513,   513,   515,  1015,  1079,  1089,   174,   514,
    1015,  1064,  1065,    38,  1066,  1067,  1218,   518,    99,   175,
     209,   224,   240,   268,   362,  1070,  1067,    38,  1066,  1069,
    1218,  1067,   495,  1083,  1181,  1119,   183,  1047,  1036,   297,
    1153,  1156,   494,   836,     5,  1208,  1045,   296,   471,   450,
    1042,   251,  1063,   468,  1085,  1218,  1064,   853,   791,   849,
     849,    59,   851,   509,  1213,  1213,   295,  1202,   298,   295,
    1119,   631,  1203,   514,   514,   514,   655,   203,   514,   748,
     154,   528,   428,  1212,  1203,   558,  1096,   790,   790,  1096,
     678,  1203,   186,   456,   428,   428,   678,   694,   700,   351,
     386,   571,  1203,  1203,  1203,   211,   285,   157,   845,   310,
     386,   428,   280,   154,   405,   619,   620,   748,   386,    25,
     139,   355,   356,   386,   575,   583,   584,   700,   896,   378,
     154,   528,   154,   528,  1203,  1203,  1203,  1203,   378,   378,
     241,   703,   704,   703,   515,   518,   705,  1209,   203,   515,
     518,   504,   516,  1203,   157,  1212,  1203,   351,   386,   571,
    1203,  1203,  1203,   295,   311,   351,   386,    25,   139,   311,
     351,   386,  1096,   277,  1096,   515,   518,   504,  1201,   428,
    1213,   452,   721,   157,   633,   373,   907,   468,   640,   640,
     633,   243,   318,   285,  1209,   318,  1213,   449,   157,   428,
     428,   373,   402,   866,   866,   866,   310,   386,    91,   428,
     895,   373,   119,   168,   585,   164,   527,   428,   428,   253,
     253,   253,   428,   428,   373,   428,   428,   373,   428,   373,
     428,   373,   428,   127,   528,  1096,   280,  1209,   386,   896,
     154,   528,   428,   428,   515,  1203,   428,   895,   373,   428,
    1212,  1203,   515,   515,   515,  1160,   513,  1096,   790,   221,
     796,  1203,  1203,  1203,   221,   403,   404,   595,  1209,   595,
     186,   515,   515,   174,   758,   760,   277,   297,   505,   506,
     674,   761,   849,  1156,  1209,  1226,    72,    78,    91,   119,
     121,   178,   207,   280,   285,   329,   345,   445,   622,   623,
     626,   153,   467,   531,   558,  1203,   558,   299,   698,  1201,
    1201,  1201,   515,   518,  1213,   183,   363,  1213,  1208,   438,
    1201,   633,     3,   168,   726,   866,    48,   545,   416,   707,
     112,   967,  1119,   174,   518,  1202,   580,   765,   766,  1209,
     515,   518,  1203,   168,   634,  1201,   661,  1201,  1203,   662,
     514,   610,  1201,   515,  1203,   471,   473,   651,   579,    38,
     154,  1014,   650,   428,   154,  1073,   504,   515,   518,   732,
     515,   518,   119,   504,   860,  1209,   558,   416,   848,   849,
     168,   865,    51,   358,   861,   862,   859,   862,   124,   213,
     379,   450,   918,  1203,   290,   295,   300,   186,  1014,  1096,
     514,   515,   518,   528,   452,   528,   452,   528,  1203,  1203,
     716,   790,   154,   458,   414,   451,   983,   984,   985,  1218,
     295,   986,  1000,  1001,   518,  1062,   504,  1182,   373,   373,
     373,   373,   373,  1202,   518,   810,  1218,  1212,   471,   518,
     814,  1212,   518,   820,   160,   298,   435,   819,  1075,   383,
     152,   152,   112,   276,   811,   820,  1213,   221,   221,   221,
     221,   674,   221,   221,   221,   221,   221,  1163,   424,  1119,
     145,  1096,   515,  1119,  1185,   225,  1187,   295,   295,  1184,
    1187,    59,  1193,  1184,  1184,   295,   295,  1191,  1189,  1189,
    1167,  1119,  1119,   515,  1158,   518,  1096,  1120,  1120,  1120,
    1120,   134,   136,   280,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1119,  1119,  1119,  1096,   515,   515,
     515,  1158,   515,   518,    59,  1121,  1135,   515,  1221,  1130,
     326,   408,  1133,   515,   518,   463,  1126,    38,   515,  1209,
    1119,    35,    35,  1119,   515,  1119,   174,   279,  1189,   445,
     445,  1119,   515,   147,  1120,  1120,   147,   147,  1119,  1119,
    1034,   515,  1158,   518,  1119,  1143,  1218,  1028,  1028,  1028,
    1028,  1201,  1201,  1201,  1047,   515,  1047,   515,   975,   513,
    1067,  1069,  1067,   514,   483,  1121,   515,  1218,   514,  1064,
     224,   305,  1071,  1064,  1071,   224,  1070,  1071,   224,   418,
    1077,   514,  1218,   514,   302,    59,   187,  1054,   514,   836,
     165,   235,   296,   471,   425,   102,  1119,   359,   988,   295,
     515,   509,   853,   438,   177,   367,   374,   381,   417,   439,
     825,   168,   825,   515,   514,   638,   639,   831,  1124,  1218,
     634,   634,   748,  1203,   634,   121,   207,   276,   280,   749,
    1203,  1203,    38,   452,   452,   233,   791,  1212,  1203,   428,
     895,   373,   428,   211,  1203,    59,   419,  1203,   154,   615,
     119,  1218,    86,   617,   618,   402,   178,   156,   191,   280,
     579,   531,   112,   178,   280,   402,   579,   617,   619,   672,
     386,   584,   438,  1203,  1218,   378,   702,  1203,   582,   761,
    1221,  1203,   310,   386,   428,   895,   373,   428,   157,   428,
     428,   373,   176,   297,   405,   770,   771,   176,   297,   778,
     779,   428,   428,   373,   515,   515,   515,   902,   277,   674,
     849,   903,  1156,  1209,  1226,   351,  1203,   514,   471,   722,
    1203,   640,   106,  1218,   514,   640,  1210,  1209,  1209,  1209,
    1203,  1203,  1203,  1203,  1210,    59,   419,  1203,  1203,  1203,
    1203,   458,  1203,  1203,   168,   168,   353,   168,   192,  1212,
    1203,  1203,  1212,  1203,  1203,  1203,  1203,  1203,  1203,  1203,
     295,    78,   576,   154,    27,    50,   438,  1218,  1203,  1209,
     700,  1203,  1203,  1203,  1203,  1033,   515,   221,   796,   221,
     221,   221,   796,   531,   452,   600,   601,   678,   748,   471,
     473,   790,   514,   790,  1203,  1120,    32,    59,   625,   122,
     194,   121,   285,   230,  1201,   624,   176,   333,   744,   751,
     752,  1218,   687,   514,   316,   514,   610,   628,   206,   645,
     613,  1213,  1213,  1096,   514,   580,    29,   124,   213,   379,
     450,   727,   428,   723,  1212,   192,  1201,   709,   475,   295,
     515,  1063,   658,   866,   515,   518,  1088,   698,   716,   515,
     669,    38,   290,   316,   514,   977,   612,   614,   616,   630,
    1218,   316,   646,   647,   610,   645,   579,   293,   295,   652,
    1014,   664,   662,   580,  1209,  1203,   828,   761,     3,   764,
     295,   850,  1119,  1119,   518,   514,   856,   438,   518,    44,
    1119,   428,   514,   634,  1201,   733,   678,   515,   943,   944,
    1203,  1203,   528,   383,   528,   457,   515,   518,  1182,    89,
     988,   515,   518,   999,  1085,  1119,  1202,  1202,  1202,  1202,
    1202,   674,   180,   813,   820,   818,   515,  1203,   112,   174,
     528,   820,   285,   799,  1209,   799,   799,   799,   221,   799,
     799,   799,   799,   799,  1119,   515,   143,  1186,   515,   285,
     285,   515,  1035,  1187,   285,   285,  1187,  1187,   515,   515,
     174,   515,  1119,   174,   134,   136,   174,   168,   147,   515,
     478,  1128,  1158,   344,   457,    59,  1135,  1121,   469,   469,
     515,  1119,   276,  1119,   518,  1127,  1098,  1119,  1119,  1119,
     231,   231,  1119,    35,    35,  1119,  1119,   147,   515,   515,
     515,  1119,   515,   316,  1144,  1201,  1201,  1201,  1201,  1054,
    1209,  1054,  1209,   515,  1080,  1081,  1124,   514,  1134,  1066,
     514,  1202,  1064,   295,   452,  1072,  1064,   224,  1064,  1206,
    1087,   514,  1087,  1218,  1029,  1119,   470,  1138,   876,   425,
     290,  1198,  1119,   438,   515,   428,   806,   174,   748,  1119,
     515,   518,   471,    78,   830,   834,   830,   515,   515,   515,
     122,   194,   205,   121,   454,   528,  1096,  1203,  1203,  1203,
    1203,  1203,  1203,  1203,  1213,  1203,   615,   119,  1218,   698,
    1210,   625,   192,   192,   285,   674,   625,   285,  1210,  1096,
     528,   528,   504,    59,   419,  1203,  1203,  1203,  1203,  1203,
    1212,  1203,  1203,  1208,  1208,  1096,   518,  1208,  1208,   518,
    1212,  1203,  1203,   428,  1119,    72,  1119,  1213,  1203,   428,
     428,   174,   198,   471,  1202,  1202,   790,  1202,   154,   157,
     790,  1209,  1209,  1096,   528,   528,   428,   515,   221,   796,
     796,   796,   796,   514,   596,   597,   531,   126,   176,   210,
     176,  1119,   280,   623,   119,    38,   866,   633,   866,  1206,
      35,   153,   198,   699,   703,   290,   609,   585,   151,   200,
     514,   383,   452,   634,    38,  1213,   721,   545,   280,   514,
     170,  1203,   657,  1209,   383,   580,   153,  1014,   790,   290,
     609,   662,   515,   518,   471,   621,    59,   650,   585,   646,
      84,   419,   653,   471,   932,    38,   653,   174,   295,   514,
    1201,  1209,   847,   867,   868,  1219,   862,  1096,   168,   863,
    1201,   174,   428,   887,   346,   734,   208,   679,   528,   515,
     528,   528,  1203,  1014,   309,  1014,   985,   295,   514,   987,
     504,  1000,   988,   298,   219,   812,   528,   799,  1203,   515,
     515,   515,  1119,   515,  1120,   174,  1119,  1119,  1119,   514,
     515,   518,   515,  1135,   515,   457,   399,   515,   202,   276,
    1132,  1119,  1119,  1119,   515,    59,  1033,  1138,  1138,   376,
    1023,   515,   518,    38,  1082,   119,  1094,  1095,  1120,    81,
    1202,   515,  1119,   514,  1064,  1072,   514,   515,  1087,   515,
     101,   184,   365,   514,  1048,  1049,  1050,  1051,  1052,  1053,
    1119,  1139,  1140,  1218,  1033,   515,  1011,   467,  1003,  1004,
     812,   295,   812,   515,   199,   636,   639,   297,   876,   790,
     526,   790,   345,   636,   636,   515,   428,   386,   994,   621,
      38,   154,   154,   576,   761,  1213,  1203,   428,   514,   842,
     876,   878,   771,   514,   514,   779,  1203,   515,   514,   515,
     386,   994,  1203,  1203,   514,   514,   514,   471,   495,   952,
     353,   952,   952,   168,  1203,   576,  1203,   796,   602,   603,
    1221,    54,   100,   125,   143,   147,   169,   173,   188,   285,
     337,   598,   596,  1209,   842,    38,   883,   883,   515,   191,
     514,   452,   654,   254,   637,   654,   514,   752,   744,   514,
     515,   518,  1201,   515,   383,    29,    83,    86,    92,   120,
     178,   191,   204,   402,   405,   629,   629,  1200,  1203,  1203,
     515,  1014,   722,   154,   112,   698,   174,  1203,    38,  1203,
     662,   610,  1201,   515,   614,   299,  1218,   651,   646,   650,
     124,   139,   326,  1203,    64,    72,   246,  1014,   790,  1073,
     829,   831,   174,   747,   849,   515,   518,   438,   145,   524,
     861,   864,  1084,   397,   397,   515,   270,   294,   735,   736,
     737,   168,   740,   678,   276,   456,   680,   681,   983,    91,
     829,   135,  1119,  1203,   820,   168,  1120,  1129,  1158,   276,
     490,   202,   515,  1158,   185,   338,   369,  1145,    58,   128,
     111,  1024,  1083,  1080,   514,  1120,   515,   518,    38,  1090,
    1091,  1218,   515,  1202,  1158,   515,   514,   387,   514,   515,
     518,   518,    38,  1038,   255,   280,  1004,   814,   825,   528,
     830,   514,   866,   514,   835,   579,  1201,   866,   866,  1203,
     419,   191,   452,   577,   386,   994,  1203,  1162,   168,   774,
     774,  1162,  1162,  1119,   419,  1158,  1158,   586,   587,  1220,
     789,   790,   789,   790,  1202,   528,   515,   518,   507,   514,
     555,   604,   674,   949,  1209,   949,   280,   285,   337,   949,
     949,  1084,   883,    42,   196,   276,   632,   514,   670,  1119,
     203,   175,   315,   392,   295,   641,   642,   643,   515,  1206,
       6,   753,   703,   610,   645,  1203,   515,   698,   161,   773,
     580,   932,  1201,   475,  1063,   698,  1014,   977,   646,   610,
     645,   621,   514,   652,   650,   651,   369,   369,    72,   298,
      72,   662,   828,   515,   518,  1201,   748,   856,   867,  1096,
     517,   135,   471,   471,   736,   368,   416,   738,   140,   741,
     467,   743,   456,   678,   457,  1203,   515,   281,   450,   698,
     528,  1119,   515,   515,   457,    52,   102,   441,  1119,  1146,
    1147,  1146,  1146,   515,   165,   165,   634,  1087,   518,  1095,
    1221,   515,   518,   168,  1096,   515,   515,  1158,   514,  1158,
    1049,  1140,  1142,  1056,    35,  1005,   255,   174,   634,   654,
     876,   836,   835,   633,   654,   654,  1203,   670,  1119,   419,
     515,   301,   376,   342,   775,   775,   515,   515,   515,  1203,
     515,   515,   515,   518,  1208,   952,   603,   555,   605,   606,
    1209,  1209,   285,   634,   507,   634,  1209,  1209,   205,   671,
     515,   419,   124,   450,   295,   643,   295,   642,   514,   515,
     518,   585,   383,   698,   790,    38,    38,   514,  1203,   932,
     662,   650,   585,   646,   514,   648,   649,  1124,  1218,   653,
     651,   652,   298,   298,   514,   199,   832,   831,   168,   862,
      30,   214,   919,   176,   176,   949,   368,   401,   742,   514,
     153,  1014,  1084,   386,  1147,   368,   167,   324,   167,   324,
     150,  1148,  1148,  1148,    59,    59,   386,   515,  1121,  1091,
     302,     3,   119,   280,   285,  1092,  1093,    38,  1068,   352,
    1078,   515,  1048,   515,  1119,   424,  1005,   812,   515,   640,
     515,   836,   637,   748,   748,   994,  1203,   842,    59,   994,
     428,   586,   790,   515,   518,   634,   515,   406,  1203,    63,
     276,   357,   386,   644,   644,   515,     6,   383,  1203,   770,
    1014,   698,   651,   646,   650,  1119,   515,   518,   834,   834,
     652,   653,   829,   514,   624,   140,   281,   514,   914,   916,
     920,   979,   989,   996,  1014,  1025,   842,   842,   739,  1218,
    1119,   744,   998,    35,   102,   183,   276,   425,   634,   634,
    1218,  1134,  1120,  1120,   285,  1093,  1218,   514,   515,   124,
     135,   450,  1006,  1007,   424,   528,   748,   641,   994,   790,
     514,   606,    24,   119,   285,  1203,   698,   932,   652,   650,
     651,   515,   649,   526,   526,   653,   515,   831,   833,   580,
     368,   915,   916,   917,  1015,  1016,   518,   518,   515,  1206,
    1084,  1147,   368,   303,   386,   386,   428,   452,    81,  1119,
     281,   386,   135,   213,  1008,   748,  1158,   633,   633,   698,
     653,   651,   652,   834,   832,   515,   518,   653,   743,   515,
     517,   428,   174,   514,  1218,  1218,  1206,  1207,  1218,  1090,
     515,   998,   281,   119,   309,   458,   514,  1009,   515,   652,
     653,   526,   624,   831,  1084,   153,   917,   397,   397,     5,
     745,   746,  1208,  1209,  1221,   514,   119,   515,   458,   983,
     514,   984,   653,   580,   744,   471,   471,   515,   518,  1159,
    1207,   457,  1158,   515,   653,  1206,   176,   176,   746,  1033,
     452,  1009,   515,   309,  1009,  1084,   514,   842,   842,   515,
    1218,   983,   745,   457,   515,  1009
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   520,   521,   521,   521,   521,   521,   521,   522,   522,
     523,   523,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   525,   525,   526,
     526,   527,   527,   528,   528,   528,   529,   530,   531,   531,
     531,   532,   532,   533,   533,   534,   534,   534,   534,   534,
     534,   534,   534,   534,   535,   535,   535,   535,   535,   535,
     536,   537,   537,   538,   538,   539,   539,   539,   539,   540,
     540,   540,   540,   540,   540,   541,   542,   543,   543,   544,
     544,   544,   544,   545,   545,   546,   546,   546,   546,   546,
     546,   547,   547,   547,   547,   548,   548,   548,   549,   549,
     549,   549,   550,   550,   550,   550,   550,   550,   550,   550,
     550,   550,   550,   551,   551,   552,   552,   553,   553,   554,
     554,   554,   554,   555,   555,   555,   555,   556,   556,   556,
     556,   556,   556,   556,   557,   557,   557,   558,   558,   559,
     559,   560,   560,   560,   560,   561,   561,   562,   562,   563,
     563,   564,   564,   564,   564,   564,   564,   564,   565,   566,
     566,   567,   567,   568,   569,   569,   569,   569,   569,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     571,   571,   572,   572,   572,   573,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   575,   575,   576,   576,
     577,   577,   578,   578,   578,   578,   579,   580,   580,   581,
     581,   582,   582,   582,   582,   583,   583,   584,   584,   584,
     584,   585,   585,   585,   585,   586,   587,   587,   588,   589,
     589,   590,   590,   590,   590,   591,   591,   592,   592,   593,
     593,   594,   594,   595,   595,   595,   596,   596,   597,   597,
     598,   598,   598,   598,   598,   598,   598,   598,   598,   598,
     598,   598,   598,   599,   599,   600,   600,   601,   601,   602,
     602,   603,   604,   604,   604,   604,   604,   605,   605,   606,
     607,   607,   607,   607,   607,   607,   608,   608,   608,   608,
     608,   608,   608,   608,   609,   609,   610,   610,   611,   611,
     612,   612,   613,   613,   613,   614,   614,   615,   616,   616,
     617,   617,   618,   618,   619,   619,   620,   620,   621,   621,
     622,   622,   622,   622,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   624,   624,   624,   625,   625,   626,   626,
     626,   626,   627,   628,   628,   628,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   629,   630,   630,   631,   631,
     631,   631,   631,   631,   631,   632,   632,   633,   633,   634,
     634,   635,   636,   636,   637,   637,   637,   637,   638,   638,
     639,   639,   640,   640,   641,   641,   641,   641,   641,   642,
     643,   644,   644,   644,   644,   644,   645,   645,   646,   646,
     647,   648,   648,   649,   649,   649,   650,   650,   651,   651,
     651,   652,   652,   652,   652,   653,   653,   654,   654,   655,
     656,   656,   657,   657,   658,   658,   658,   659,   659,   660,
     660,   661,   662,   662,   662,   663,   663,   664,   665,   665,
     666,   667,   667,   668,   668,   669,   669,   670,   670,   671,
     671,   672,   672,   672,   672,   672,   672,   672,   672,   672,
     672,   672,   672,   672,   672,   673,   673,   674,   674,   674,
     674,   675,   675,   676,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   681,   681,   682,   682,   683,   684,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   688,   688,
     689,   690,   690,   691,   692,   692,   692,   692,   692,   692,
     692,   692,   692,   692,   692,   692,   692,   693,   694,   694,
     694,   694,   695,   695,   696,   696,   697,   697,   698,   698,
     699,   699,   700,   701,   701,   702,   702,   702,   702,   703,
     704,   705,   706,   706,   707,   707,   708,   708,   709,   709,
     710,   710,   710,   711,   711,   711,   711,   712,   713,   713,
     714,   714,   715,   715,   716,   716,   717,   717,   718,   719,
     720,   721,   721,   722,   722,   723,   723,   724,   724,   725,
     725,   726,   726,   727,   727,   727,   727,   727,   728,   729,
     729,   730,   730,   731,   731,   731,   732,   732,   733,   733,
     733,   733,   733,   734,   734,   735,   735,   736,   737,   737,
     738,   738,   739,   740,   740,   741,   741,   742,   742,   743,
     743,   744,   744,   745,   745,   745,   746,   746,   746,   746,
     747,   747,   748,   748,   749,   749,   749,   749,   749,   749,
     750,   750,   751,   751,   752,   753,   753,   754,   755,   755,
     755,   755,   756,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   758,
     759,   759,   760,   760,   761,   761,   761,   761,   761,   761,
     762,   763,   763,   764,   765,   765,   766,   766,   767,   767,
     767,   767,   768,   768,   769,   770,   770,   771,   771,   771,
     771,   771,   772,   772,   773,   773,   774,   774,   774,   775,
     775,   776,   777,   777,   778,   778,   779,   779,   780,   780,
     781,   781,   782,   783,   784,   784,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   786,
     786,   786,   786,   786,   787,   787,   787,   787,   787,   787,
     787,   787,   788,   788,   788,   789,   789,   790,   790,   791,
     791,   792,   792,   793,   794,   794,   794,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   796,   796,   797,   797,   797,
     797,   797,   797,   797,   797,   797,   797,   798,   798,   799,
     799,   800,   800,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   801,   801,   801,   802,
     802,   803,   803,   804,   805,   805,   806,   806,   806,   806,
     806,   807,   807,   808,   808,   808,   808,   808,   809,   809,
     810,   810,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   812,   812,   813,   813,   814,   814,   815,
     815,   816,   816,   817,   817,   818,   819,   819,   819,   820,
     820,   821,   822,   822,   823,   823,   823,   824,   824,   824,
     825,   825,   825,   825,   825,   825,   826,   826,   827,   827,
     828,   828,   829,   829,   830,   830,   831,   831,   831,   832,
     832,   833,   833,   834,   834,   835,   835,   835,   836,   836,
     836,   837,   837,   837,   837,   838,   838,   839,   839,   840,
     840,   841,   841,   842,   842,   842,   842,   843,   843,   844,
     844,   845,   845,   845,   845,   845,   846,   846,   846,   846,
     846,   847,   848,   849,   849,   849,   850,   850,   850,   851,
     852,   852,   852,   852,   853,   853,   854,   855,   855,   856,
     856,   857,   857,   858,   858,   858,   858,   858,   858,   858,
     858,   858,   858,   858,   858,   858,   858,   858,   858,   858,
     859,   859,   859,   859,   859,   860,   860,   861,   862,   862,
     862,   863,   863,   864,   864,   865,   865,   866,   866,   867,
     868,   868,   869,   869,   869,   870,   870,   871,   871,   872,
     872,   872,   872,   872,   872,   873,   873,   874,   874,   875,
     875,   875,   875,   876,   876,   877,   877,   878,   879,   880,
     880,   881,   881,   882,   882,   882,   883,   883,   883,   884,
     885,   885,   886,   887,   887,   887,   887,   888,   889,   889,
     889,   890,   890,   891,   891,   892,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   895,   895,   896,   896,   897,   897,
     897,   897,   897,   897,   898,   898,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   900,   901,   901,   902,   902,   903,   903,
     903,   903,   903,   904,   905,   905,   905,   905,   905,   905,
     905,   905,   905,   905,   905,   905,   905,   905,   905,   905,
     905,   905,   905,   905,   905,   905,   905,   905,   906,   906,
     906,   907,   907,   907,   907,   907,   907,   907,   908,   908,
     909,   909,   909,   909,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   912,   912,   913,   914,   914,   914,
     915,   915,   916,   916,   916,   916,   916,   917,   917,   918,
     918,   918,   918,   919,   919,   919,   920,   921,   921,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   925,   925,   926,   926,   926,   927,
     927,   927,   927,   927,   928,   928,   928,   929,   929,   930,
     930,   930,   931,   931,   931,   931,   932,   932,   932,   932,
     933,   934,   935,   935,   936,   936,   937,   937,   937,   938,
     938,   938,   938,   938,   938,   938,   939,   939,   940,   940,
     940,   940,   941,   942,   942,   942,   942,   943,   943,   944,
     945,   946,   946,   947,   948,   948,   948,   948,   948,   948,
     948,   949,   949,   950,   951,   951,   951,   951,   951,   951,
     952,   952,   953,   954,   954,   954,   954,   955,   955,   956,
     956,   957,   957,   958,   958,   959,   959,   960,   961,   961,
     961,   962,   962,   962,   963,   963,   964,   964,   965,   965,
     966,   966,   967,   967,   968,   969,   969,   970,   970,   971,
     971,   971,   971,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   973,   974,   974,   975,   975,   975,   975,
     975,   976,   976,   976,   977,   977,   978,   978,   978,   978,
     979,   980,   981,   981,   982,   982,   982,   982,   982,   983,
     983,   984,   984,   985,   986,   986,   986,   987,   987,   987,
     988,   988,   989,   990,   990,   991,   992,   992,   993,   993,
     993,   993,   993,   993,   993,   993,   994,   994,   995,   995,
     995,   996,   997,   998,   998,   999,   999,  1000,  1001,  1001,
    1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1005,  1005,
    1006,  1007,  1008,  1008,  1008,  1008,  1008,  1009,  1010,  1011,
    1012,  1012,  1012,  1012,  1012,  1012,  1013,  1013,  1013,  1014,
    1014,  1015,  1015,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1019,  1019,  1019,  1020,  1020,  1021,  1022,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1024,  1025,  1025,  1026,  1026,  1027,
    1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,  1028,  1028,
    1029,  1029,  1029,  1030,  1030,  1031,  1031,  1032,  1032,  1033,
    1033,  1034,  1035,  1035,  1036,  1036,  1037,  1037,  1037,  1037,
    1038,  1038,  1039,  1039,  1039,  1039,  1039,  1039,  1040,  1040,
    1041,  1041,  1042,  1043,  1043,  1043,  1044,  1044,  1045,  1045,
    1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1049,  1049,
    1049,  1050,  1051,  1052,  1053,  1054,  1054,  1055,  1055,  1056,
    1056,  1057,  1057,  1058,  1059,  1059,  1059,  1059,  1060,  1060,
    1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1065,  1065,  1065,  1065,
    1065,  1065,  1066,  1066,  1066,  1066,  1067,  1067,  1068,  1068,
    1069,  1069,  1069,  1069,  1069,  1070,  1070,  1070,  1070,  1071,
    1071,  1072,  1072,  1073,  1073,  1074,  1074,  1074,  1075,  1075,
    1076,  1076,  1076,  1077,  1078,  1078,  1079,  1079,  1080,  1081,
    1081,  1082,  1082,  1083,  1083,  1084,  1084,  1085,  1085,  1085,
    1086,  1086,  1087,  1087,  1088,  1089,  1089,  1090,  1090,  1091,
    1091,  1091,  1092,  1092,  1093,  1093,  1093,  1093,  1094,  1094,
    1095,  1095,  1096,  1096,  1096,  1096,  1096,  1096,  1097,  1097,
    1097,  1098,  1098,  1098,  1098,  1098,  1098,  1098,  1099,  1099,
    1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,  1102,  1102,
    1102,  1102,  1102,  1102,  1102,  1102,  1102,  1103,  1103,  1104,
    1104,  1105,  1105,  1106,  1107,  1108,  1108,  1109,  1109,  1110,
    1111,  1112,  1112,  1112,  1112,  1112,  1112,  1113,  1113,  1114,
    1114,  1114,  1114,  1115,  1116,  1116,  1116,  1117,  1117,  1117,
    1117,  1117,  1117,  1117,  1117,  1117,  1117,  1117,  1117,  1117,
    1117,  1118,  1118,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1123,  1123,  1123,  1124,  1124,  1124,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1126,  1126,  1127,  1127,  1127,  1127,  1128,  1129,
    1129,  1130,  1130,  1131,  1131,  1132,  1132,  1132,  1133,  1133,
    1133,  1134,  1134,  1134,  1134,  1135,  1135,  1136,  1136,  1137,
    1137,  1138,  1138,  1139,  1139,  1140,  1141,  1141,  1141,  1142,
    1143,  1143,  1144,  1144,  1145,  1145,  1145,  1145,  1146,  1146,
    1147,  1147,  1147,  1147,  1147,  1148,  1148,  1148,  1148,  1148,
    1149,  1149,  1149,  1150,  1150,  1151,  1152,  1152,  1152,  1153,
    1153,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1155,  1155,  1156,  1156,  1157,  1157,  1157,
    1157,  1157,  1157,  1158,  1158,  1159,  1159,  1160,  1160,  1160,
    1161,  1161,  1162,  1162,  1163,  1163,  1163,  1164,  1164,  1165,
    1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1167,  1167,
    1167,  1167,  1168,  1168,  1169,  1170,  1170,  1170,  1170,  1170,
    1171,  1171,  1171,  1172,  1172,  1173,  1174,  1174,  1175,  1176,
    1176,  1177,  1177,  1178,  1178,  1179,  1179,  1179,  1179,  1180,
    1180,  1181,  1181,  1182,  1182,  1183,  1183,  1184,  1185,  1185,
    1186,  1186,  1187,  1187,  1188,  1188,  1188,  1188,  1188,  1189,
    1189,  1189,  1189,  1189,  1190,  1190,  1191,  1191,  1192,  1192,
    1192,  1193,  1193,  1193,  1194,  1194,  1195,  1195,  1196,  1196,
    1197,  1197,  1198,  1198,  1199,  1199,  1199,  1199,  1200,  1200,
    1201,  1201,  1202,  1202,  1203,  1204,  1205,  1206,  1206,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1208,  1209,  1210,  1210,  1210,  1211,  1212,  1212,
    1212,  1212,  1213,  1213,  1214,  1215,  1216,  1216,  1217,  1217,
    1218,  1218,  1218,  1219,  1219,  1219,  1220,  1220,  1220,  1220,
    1221,  1221,  1221,  1221,  1221,  1222,  1222,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     3,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       3,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     3,     2,     3,     4,     3,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,     4,    10,    13,
       4,     6,     4,     6,     5,     7,    11,    14,     5,     7,
       1,     3,     4,     4,     4,     3,     2,     5,     3,     6,
       4,     6,     6,     5,     7,     6,     6,     5,     5,     5,
       5,     9,     4,     5,     7,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     2,     2,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     4,     3,     2,     2,
       3,     4,     4,     4,     5,     1,     3,     2,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     1,     2,     1,     3,     2,
       3,     6,     6,    10,     1,     2,     1,     3,     4,     1,
       3,     4,     6,     4,     8,     2,     2,    11,     9,     1,
       1,     1,     0,     1,     1,     1,     1,     3,     2,     0,
       1,     1,     3,     3,     1,     1,     3,     3,     3,     3,
       4,     3,     2,     1,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      13,    16,    12,    15,    14,    17,     1,     1,     2,     2,
       2,     2,     1,     0,     1,     0,     3,     0,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     6,     2,     4,
       2,     2,     1,     0,     2,     2,     1,     0,     2,     0,
       3,     1,     1,     2,     2,     1,     4,     4,     5,     2,
       5,     7,     5,     2,     3,     0,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     9,
       3,     9,     4,    10,    11,     2,     0,     3,     0,     1,
       3,     1,     4,     0,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     3,     3,     4,     0,     1,     0,
       6,     1,     3,     3,     3,     5,     2,     0,     2,     2,
       0,     3,     4,     4,     0,     2,     0,     4,     0,     3,
       8,    11,     1,     3,     1,     1,     3,     6,     8,     7,
      10,     6,     2,     3,     0,     8,    11,     5,     1,     0,
       6,     5,     8,     4,     6,     1,     0,     3,     0,     1,
       2,     2,     2,     1,     2,     3,     2,     2,     2,     2,
       3,     3,     3,     1,     3,     1,     0,     1,     2,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     1,     0,     7,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     1,
       5,     2,     0,     2,     6,     6,     6,    10,     6,     6,
       6,     9,     9,     6,     6,     9,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,    13,     2,     0,     2,     2,     1,     0,
       5,     4,     4,    11,    14,    12,    15,    11,     2,     1,
       4,     0,     8,    11,     1,     1,     7,     9,     8,    10,
       8,     4,     0,     5,     0,     2,     0,     2,     0,     2,
       0,     2,     0,     1,     1,     1,     1,     1,     8,     1,
       1,    17,    21,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     2,     0,     1,     2,     4,     1,     1,
       1,     1,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     6,     5,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     7,     5,     8,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     8,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     2,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     6,     6,
       9,     9,     9,     7,    10,     1,     1,     8,     8,     8,
       8,     8,     8,     8,     9,     8,     8,     2,     0,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     8,     8,    11,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     2,     1,     3,
       1,     3,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     2,     2,     3,     2,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     5,
       7,     6,     9,     3,     1,     2,     1,     1,     1,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,     1,    16,    19,     1,     0,
       2,     0,     1,     3,     4,     5,     2,     2,     4,     4,
       0,     1,     3,     2,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     7,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       0,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     2,     1,     2,
       2,     2,     2,     1,     1,     1,     3,     2,     1,     4,
       0,     3,     0,     1,     1,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     5,     5,
       5,     1,     1,     1,     1,     3,     0,     5,     5,     6,
       6,     6,     6,     6,     8,     8,     6,     6,     7,     9,
       9,     8,    10,     6,     6,     6,     6,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     8,     8,
       8,    10,     9,     8,     1,     0,     6,     6,     6,     6,
       6,     6,     6,     9,     9,     6,     6,     6,     8,     6,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     1,     3,     3,     3,     1,     1,
       1,     1,     1,     7,     6,     6,     6,     6,     6,     6,
       7,     7,     6,     9,     9,     6,     6,     6,     6,     6,
       6,     8,     8,     8,     6,     7,     6,     6,     4,     7,
       6,     4,     4,     4,     3,     4,     3,     1,     1,     3,
       5,     5,     5,     5,     8,     5,     5,     6,     7,     7,
       7,     4,     4,     5,     4,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     3,     2,     0,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     2,     5,
       4,     3,     3,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     2,
       3,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     6,     4,     3,     5,     7,     9,     1,     3,     1,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     4,     6,     2,     5,     2,     0,     6,
       5,     3,     5,     1,     3,     1,     1,     2,     1,     1,
       1,     1,     1,     0,     1,     0,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     1,     3,     1,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     3,     0,     1,     1,     1,     1,
       1,     3,     9,    12,     3,     0,     2,     3,     2,     3,
       7,     4,     1,     3,     1,     4,     4,     7,     2,     1,
       1,     1,     3,     2,     8,     5,     0,     4,     3,     0,
       2,     0,     7,     2,     0,     5,     3,     0,     2,     2,
       2,     3,     1,     3,     1,     2,     1,     0,     1,     2,
       0,     8,     3,     1,     3,     3,     5,     2,     1,     3,
       9,     1,     2,     5,     5,     6,     6,     7,     2,     0,
       3,     1,     2,     5,     5,     8,     3,     4,     7,     1,
       0,     3,     2,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     9,     1,     2,     0,     7,
       7,     0,    10,     6,     0,     1,     0,     2,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     1,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     6,     4,     5,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     4,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     2,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     5,     2,     1,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     6,     4,     0,     2,     6,     2,     1,
       3,     4,     0,     2,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     7,    12,     1,     3,     2,
       3,     3,     1,     2,     2,     2,     2,     1,     1,     3,
       3,     2,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     4,
       1,     2,     2,     1,     3,     3,     2,     1,     0,     5,
       2,     5,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     3,     4,     4,     6,
       3,     3,     4,     3,     4,     4,     5,     4,     5,     1,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     5,     6,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     4,     3,     5,     6,     8,
       6,     6,     4,     4,     3,     1,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     6,
       4,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     8,     4,     7,     4,     6,
       6,     4,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     1,     2,     0,     2,     2,
       0,     2,     3,     3,     4,     2,     2,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     3,     3,     3,     0,     1,     4,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     0,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     3,     3,     2,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     7,     5,     3,     5,     5,     3,     3,     5,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     2,     3,     0,
       2,     0,     3,     0,     1,     2,     2,     2,     2,     3,
       2,     3,     2,     0,     1,     3,     3,     3,     3,     3,
       0,     3,     3,     0,     1,     3,     7,     7,     3,     0,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     5,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,    10,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 922 "gram_minimal.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 29231 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 3:
#line 927 "gram_minimal.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 29239 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 4:
#line 931 "gram_minimal.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 29248 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 5:
#line 936 "gram_minimal.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29260 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 6:
#line 944 "gram_minimal.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29272 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 7:
#line 952 "gram_minimal.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29284 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 8:
#line 972 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 29300 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 9:
#line 984 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 29311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1127 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29317 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1134 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1135 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1139 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1140 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1144 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1145 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1149 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 29359 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1150 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29365 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1151 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1161 "gram_minimal.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 29382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1177 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29395 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1199 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29401 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1200 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29407 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1204 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29413 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1205 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29419 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1210 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29428 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1215 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1219 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1229 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29462 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1237 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1241 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29478 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1245 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29486 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1250 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1254 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1301 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29549 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1304 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1308 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29565 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1312 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29573 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1316 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29581 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1320 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29589 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1334 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1353 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29615 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1362 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29628 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1373 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29634 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1374 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29640 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1379 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29653 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1388 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29666 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1397 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29679 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1406 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29692 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1428 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29704 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1436 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1444 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1452 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1460 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29752 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1468 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29764 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1486 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1505 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 29791 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1516 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 29797 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1517 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 29803 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1529 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1540 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29833 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1551 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29853 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1567 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29873 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1586 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 29883 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1592 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29889 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1620 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep changes minimum */
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1627 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29911 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1634 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 29922 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1641 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29933 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1651 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29946 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1660 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29959 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1673 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1682 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29985 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1691 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1699 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1709 "gram_minimal.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1711 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30027 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1720 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1732 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1740 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30068 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1749 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30084 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1761 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30097 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1770 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30110 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1779 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1787 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30135 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1797 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30148 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1807 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1809 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 30160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1812 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30166 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1813 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30172 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1817 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 30178 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1819 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30184 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1822 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 30190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1823 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 30196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1824 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 30202 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1825 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 30208 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1829 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 30214 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1830 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 30220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1831 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 30226 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1837 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1850 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1854 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30248 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1858 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const    *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 30269 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1875 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 30281 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1882 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30287 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1883 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30293 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1884 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30305 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1889 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1890 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30317 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1894 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1895 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1899 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 30335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1901 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep the changes minimum */
					(yyval.node) = (Node *) n;
				}
#line 30345 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1909 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30351 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1911 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 30363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1919 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 30375 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1927 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1938 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 30399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1946 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 30410 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1956 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1957 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1962 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30428 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1963 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30434 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1970 "gram_minimal.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 30444 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1976 "gram_minimal.y" /* yacc.c:1646  */
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = "all";
				(yyval.node) = (Node *) n;
			}
#line 30454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1982 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30465 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1989 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1996 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30487 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2003 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2010 "gram_minimal.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30509 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2021 "gram_minimal.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30521 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2031 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30527 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2032 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30533 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2036 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30539 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2037 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30545 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2046 "gram_minimal.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30555 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2062 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2069 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2076 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2083 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2090 "gram_minimal.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30610 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2110 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2120 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30638 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2130 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30652 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2140 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30666 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2150 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30682 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2162 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30698 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2174 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30712 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2184 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30726 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2194 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2204 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2216 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30772 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2228 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30786 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2238 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2248 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30814 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2258 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30828 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2268 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2278 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2288 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30872 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2300 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2312 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30902 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2322 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30916 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2334 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30922 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2335 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2341 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30945 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2355 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2368 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 30978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2384 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30995 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2401 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31008 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2411 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2421 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31034 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2431 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31047 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2441 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31060 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2451 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31072 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2460 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31084 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2469 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31096 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2478 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2488 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 31122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2498 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 31141 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2514 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2524 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31167 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2534 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2544 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31193 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2554 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 31213 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2571 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31226 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2581 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31239 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2591 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2601 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31266 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2612 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31280 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2626 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2642 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2651 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2660 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 31341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2675 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2684 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31367 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2695 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2706 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 31392 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2714 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31404 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2723 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2732 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 31427 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2740 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 31438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2748 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2757 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31462 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2766 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31474 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2775 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31485 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2783 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2791 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2800 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31519 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2808 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31530 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2816 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31542 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2825 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31554 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2834 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2843 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31578 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2852 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31590 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2861 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2870 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31616 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2881 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31627 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2889 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 31639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2898 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31651 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2907 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2916 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31675 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2925 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2934 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2943 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31710 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2951 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31721 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2959 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31732 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2967 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2974 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2984 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31761 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2985 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31767 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2990 "gram_minimal.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31780 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2998 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31786 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3002 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31792 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3003 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31798 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3008 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31810 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3016 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31822 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3024 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3032 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3042 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3045 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3046 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3050 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3051 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3057 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3061 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 31892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3065 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 31901 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3070 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 31909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3077 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31915 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31921 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3084 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 31929 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3088 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31937 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3092 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3103 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 31960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3111 "gram_minimal.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3164 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32030 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3177 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32046 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3191 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3203 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32067 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3210 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3214 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 32083 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3228 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 32097 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3240 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3241 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3247 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 32122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3257 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3268 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3279 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3306 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32181 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3313 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32192 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3349 "gram_minimal.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 32230 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3383 "gram_minimal.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 32254 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3405 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32260 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3406 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32266 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3410 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32272 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3411 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32278 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3420 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32284 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3421 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32290 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3422 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32296 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3425 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3426 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32308 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3431 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3432 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32320 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3437 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32328 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3441 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32336 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3445 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32344 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3449 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3453 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 32360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3457 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32368 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3461 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3465 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32384 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3469 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32392 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3473 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32400 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3477 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 32408 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3481 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3485 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32424 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3494 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32432 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3497 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3502 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3505 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3516 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32460 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3520 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32468 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3527 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3533 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3534 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32488 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3535 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3536 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3537 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32506 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3542 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3546 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3553 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3567 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32550 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3587 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3607 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3628 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32618 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3649 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32641 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3670 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3701 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32670 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3702 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32676 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3703 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32682 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3704 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32688 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3706 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3713 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32710 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3719 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 32716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3720 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 32722 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3724 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3725 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32734 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3729 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3730 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3735 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32754 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3739 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3746 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32770 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3750 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32778 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3756 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3757 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32790 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3758 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3762 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32802 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3763 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32808 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3767 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3791 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32857 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3810 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 32880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3831 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32886 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3832 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3836 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32898 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3837 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32904 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3841 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32910 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3842 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32916 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3846 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32922 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3847 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3851 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32934 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3852 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32940 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3857 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3864 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32958 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3865 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32964 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3867 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3899 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3907 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33006 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3915 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3928 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3940 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33056 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3953 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33072 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3965 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 33086 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3975 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 33114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3999 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33135 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 503:
#line 4018 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33141 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 504:
#line 4019 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33147 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 505:
#line 4020 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33153 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4024 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 33159 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4025 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 33165 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4045 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33177 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4053 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33189 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4061 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33201 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4069 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33213 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4081 "gram_minimal.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 33226 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4092 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 33232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4093 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 33238 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4094 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33244 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4098 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 33250 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4099 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 33256 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4100 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 33262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4101 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 33268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4102 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 33274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4103 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 33280 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4104 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 33286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4105 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 33292 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4106 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 33298 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4107 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 33304 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4117 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33316 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4124 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33322 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4129 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33340 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4144 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33361 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4161 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4178 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33401 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4194 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4212 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4231 "gram_minimal.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33467 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4252 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 33473 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4253 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 33479 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4257 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33485 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4258 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33491 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4262 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33497 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4263 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33503 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4267 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4272 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4273 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33523 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4277 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33531 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4281 "gram_minimal.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4289 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4293 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4299 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33565 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4301 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4305 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 33579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4310 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 33587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4316 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33593 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4317 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4322 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4332 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33627 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4342 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4350 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 33651 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4358 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33667 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4372 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4384 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33689 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4391 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33701 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4399 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33713 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4407 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4415 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4423 "gram_minimal.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33749 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4432 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4433 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33761 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4437 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 33767 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4438 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 33773 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4442 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 33787 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4453 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 33793 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4454 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 33799 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4458 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33814 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4469 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33829 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4480 "gram_minimal.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 33844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4493 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33850 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4494 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4499 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33862 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4500 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4501 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33874 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4504 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 33880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4505 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 33886 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4506 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 33892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4507 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 33898 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4510 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33904 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4511 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33910 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4514 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33916 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4515 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33922 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4540 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33944 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4553 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4573 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 33966 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4574 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 33972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4578 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 33982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4584 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 33992 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4590 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 34002 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4607 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4616 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34028 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4638 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34046 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4652 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34064 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4670 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34080 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34086 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4685 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34092 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4686 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34098 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4699 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34116 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4713 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34134 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4730 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4743 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 34156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4744 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 34162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4757 "gram_minimal.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 34175 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4778 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4789 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34205 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4803 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4812 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34231 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4823 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4824 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34243 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34249 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4828 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34255 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4831 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34261 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4832 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34267 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4836 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 34275 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4840 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4844 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34291 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4848 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 34299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4852 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34307 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4856 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34315 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4860 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4864 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 34331 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4868 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 34339 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4872 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4876 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34356 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4881 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34364 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4885 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 34372 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4889 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34380 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4899 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34386 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4900 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34392 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4902 "gram_minimal.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 34403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4908 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 34409 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4911 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4912 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4925 "gram_minimal.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34441 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4942 "gram_minimal.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34457 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4956 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34463 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4957 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34469 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4965 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34475 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4966 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34481 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4970 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34487 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4971 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34493 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4975 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34499 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4976 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34505 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4980 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4981 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4997 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34531 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 658:
#line 5008 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34537 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5023 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34555 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5031 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34567 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5049 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34580 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5058 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34593 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5070 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5072 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34605 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5077 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5081 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5085 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34632 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5092 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34640 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5104 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34652 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34658 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5117 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5122 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34672 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5135 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 34686 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5145 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34700 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5155 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5165 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 34728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5175 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34742 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5185 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34756 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5195 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34770 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5205 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5215 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34798 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5225 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5235 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5245 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 34840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5255 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34854 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5274 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34867 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5285 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34873 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5286 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 34879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5287 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34885 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5288 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 34891 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5292 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34897 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5293 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5297 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5298 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34915 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5309 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34928 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5318 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34941 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34947 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5331 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34953 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5336 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34961 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5340 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34969 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5347 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5352 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34983 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5356 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34991 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5363 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 34999 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5367 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 35008 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5372 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 35017 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5377 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 35025 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5384 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 35033 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5390 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5395 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5407 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5420 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35077 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5434 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35083 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5435 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35089 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5440 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5441 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5445 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35107 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5446 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35113 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5457 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35127 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5467 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35140 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5476 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5496 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35175 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5517 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35198 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5538 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35222 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5560 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35246 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5593 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 35262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5607 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 35268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5608 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 35274 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5613 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 35286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5621 "gram_minimal.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 35297 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5637 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5647 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5659 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35331 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5660 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 35337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5673 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35350 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5682 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5700 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5727 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35393 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5744 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35408 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5757 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35414 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5758 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35420 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5762 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35426 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5763 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35432 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5767 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5768 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35444 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5772 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5773 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 35456 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5778 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35474 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5791 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35480 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5795 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35486 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5796 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35492 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5800 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5801 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 35504 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5802 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 35510 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5803 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 35516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5804 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 35522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5815 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5826 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 35541 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 35547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5841 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 35572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5865 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 35602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 35608 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5894 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 35614 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5895 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 35620 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5900 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35626 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5902 "gram_minimal.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 35649 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5924 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 35655 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5926 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 35661 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5928 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 35667 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5930 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 35673 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5932 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 35679 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5936 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35685 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5937 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5941 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35697 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5942 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35703 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5947 "gram_minimal.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 35716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5958 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35722 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5959 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5963 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35734 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5972 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5976 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5981 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 35754 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5985 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 35766 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 787:
#line 6000 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35772 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 788:
#line 6001 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35778 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 789:
#line 6005 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6006 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35790 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6015 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6016 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35802 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6017 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35808 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6022 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 35816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6025 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35822 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6026 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35828 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6027 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6031 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 35840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6032 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 35846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6037 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6039 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 35880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6065 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 35886 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6066 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 35892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6067 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 35898 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6068 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 35904 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6069 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 35910 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6070 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 35916 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6085 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35930 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6097 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35944 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6110 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35950 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6112 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35956 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6117 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 35962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6122 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35968 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6124 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6129 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 35986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6139 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 35992 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6140 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 35998 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6141 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 36004 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6142 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 36010 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6154 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 36022 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6173 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36038 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6185 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36055 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6198 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36070 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6209 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6220 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6232 "gram_minimal.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6241 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6249 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6257 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6267 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36166 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6277 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6287 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6297 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36208 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6307 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36223 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6318 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 36237 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6328 "gram_minimal.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6340 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6343 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36264 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6344 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36270 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6348 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36278 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6352 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 36286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6358 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 36292 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6359 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36298 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6360 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 36304 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6361 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36310 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6362 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36316 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6363 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36322 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6366 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36328 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6369 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36334 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6370 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36340 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6379 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36348 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6385 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36354 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6386 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6390 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6392 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36372 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6403 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36388 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6415 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36404 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6427 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36420 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6439 "gram_minimal.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6452 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6453 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36448 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6471 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6485 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6486 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6491 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36493 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6505 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36507 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6515 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6524 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6534 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36546 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6543 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36552 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6544 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36558 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6547 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36564 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6548 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36570 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6551 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36576 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6552 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36582 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6553 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6557 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 36606 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6570 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36612 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6576 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6587 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36638 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6597 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36652 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6609 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36658 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6610 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6615 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36677 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6624 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36690 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6637 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36705 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6648 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36720 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6662 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6673 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36750 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6696 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6707 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 36774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6726 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36789 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6737 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6748 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36819 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6759 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6770 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6781 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6792 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6803 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6814 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6825 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6836 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36939 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6847 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36954 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6861 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 36960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6862 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 36966 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6863 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 36972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6864 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 36978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6865 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 36984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6866 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 36990 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6867 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 36996 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6868 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 37002 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6869 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 37008 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6870 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 37014 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6871 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 37020 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6872 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 37026 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6873 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 37032 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6883 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 37038 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6884 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 37044 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6885 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 37050 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6886 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 37056 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6887 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 37062 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6891 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 37068 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6892 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 37074 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 37080 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6894 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 37086 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6895 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 37092 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6896 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 37098 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6897 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 37104 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6898 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 37110 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6903 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 37116 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6904 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 37122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6905 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 37128 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6909 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37134 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6910 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37140 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6913 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37146 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6914 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 37152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6918 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37158 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6920 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37164 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6924 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6925 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37176 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6937 "gram_minimal.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37189 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6948 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37195 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6949 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37201 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6950 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37207 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6961 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6970 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37233 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6979 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37246 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6988 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37259 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6997 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37272 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7006 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37285 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7015 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37298 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7024 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7033 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37324 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7042 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37342 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7056 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37355 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7065 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37368 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7074 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7083 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7092 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37407 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7101 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37420 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7110 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37433 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7119 "gram_minimal.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7130 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7131 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37458 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7147 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7158 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37486 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7169 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7180 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7191 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7202 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37542 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7213 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37556 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7224 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37570 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7235 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37584 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7246 "gram_minimal.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7257 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37604 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7258 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37610 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7261 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37616 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7262 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7273 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 37633 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7280 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 37644 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7289 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37657 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7298 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37670 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7307 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37683 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7316 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7325 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37709 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7334 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 37722 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7343 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7352 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37748 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7361 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37761 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7370 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7379 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37787 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7388 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7397 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37813 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7406 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7415 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37839 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7424 "gram_minimal.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7451 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7469 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37889 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7485 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37908 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7512 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37914 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7514 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7516 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7518 "gram_minimal.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37938 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7526 "gram_minimal.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37950 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7535 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 37956 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7536 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 37962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7540 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7548 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7556 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37998 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7564 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 38009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7571 "gram_minimal.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7582 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 38029 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7586 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 38037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7593 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 38045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7597 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 38053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7608 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7617 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38079 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7626 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38092 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7635 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38105 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7644 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38118 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7653 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38131 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7662 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7671 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38157 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7680 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7689 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38183 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7698 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7707 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38209 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7716 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38221 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7724 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38234 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7733 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38247 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7742 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38260 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7751 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38273 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7760 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7769 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7778 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38312 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7787 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7799 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 38331 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7800 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 38337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7804 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38343 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7805 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38349 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7810 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38355 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7811 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38361 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7822 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7833 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38391 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7847 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38407 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7859 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38426 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7876 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38432 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7877 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7882 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38446 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7889 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38458 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7890 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 38464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7894 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 38476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7905 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38488 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7915 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7916 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7921 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7925 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7929 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38524 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7941 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38541 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7955 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7970 "gram_minimal.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7986 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 38583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7987 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38589 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7988 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7989 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 38601 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7990 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 38607 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7991 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 38613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8006 "gram_minimal.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38647 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8038 "gram_minimal.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8070 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38687 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8071 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38693 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8075 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8076 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 38705 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8080 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8086 "gram_minimal.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38733 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8098 "gram_minimal.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38749 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8117 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 38758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8122 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 38767 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8127 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 38776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8133 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8134 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8137 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38794 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8138 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8141 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8142 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8146 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 38818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8147 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 38824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8148 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 38830 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8151 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 38836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8152 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 38842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8153 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 38848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8171 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38865 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8185 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38883 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8200 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8214 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38917 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8229 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38923 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8230 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38929 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8233 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38935 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8234 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38941 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8238 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38947 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8239 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38953 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8243 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38959 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8245 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38965 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8250 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 38978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8264 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38990 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8272 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39002 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8280 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8295 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8296 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39027 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8300 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39033 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8302 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8317 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8327 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39067 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8337 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8347 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39095 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8357 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8369 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 39115 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8370 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 39121 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8371 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39127 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8372 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39133 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8373 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 39139 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8384 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39151 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8398 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39157 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8400 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39167 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8406 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39178 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8416 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8420 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39195 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8425 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39204 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8433 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39219 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8475 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39227 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8479 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39235 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8483 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 39243 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8487 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 39252 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8494 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39258 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8495 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39264 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8500 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 39277 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8511 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8513 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39295 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8523 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8524 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39307 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8532 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 39315 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8536 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 39323 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8540 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39331 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8544 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 39339 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8548 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 39347 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8552 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 39355 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8556 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 39363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8560 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 39371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8564 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 39379 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8568 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8572 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39395 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8576 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39403 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8580 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39411 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8584 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39419 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8588 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39427 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8592 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8597 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39444 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8604 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39452 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8608 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39460 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8612 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39468 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8616 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8620 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39484 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8625 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8627 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8633 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39509 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8643 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8647 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39531 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8657 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 39539 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8664 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 39551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8672 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 39559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8683 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 39565 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8684 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 39571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8688 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39577 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8689 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8693 "gram_minimal.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39597 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8706 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 39605 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8710 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 39613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8725 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39626 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8734 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8743 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39652 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8755 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39658 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8756 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8780 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39679 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8791 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39694 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8802 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39709 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8813 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39724 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8824 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39739 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8835 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39754 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8849 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39769 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8860 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39784 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8874 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39799 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8885 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39814 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8899 "gram_minimal.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 39826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8907 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 39832 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8909 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 39838 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8911 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 39844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8916 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39850 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8918 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 39856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8922 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39862 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8924 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8929 "gram_minimal.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8948 "gram_minimal.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39891 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8957 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39897 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8958 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39903 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8963 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 39911 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8967 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39919 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8980 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39934 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8992 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9004 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 39964 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9016 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 39970 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9017 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 39976 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9018 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 39982 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9023 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9035 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9036 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9047 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40024 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9060 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 40032 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9064 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 40040 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9068 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 40048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9072 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 40056 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9079 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40070 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9101 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9114 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40104 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9127 "gram_minimal.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40121 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9141 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 40127 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9142 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 40133 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9145 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 40139 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9146 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 40145 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9149 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40151 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9150 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 40157 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9161 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40171 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9171 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40185 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9189 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9199 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40213 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9209 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40227 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9219 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40241 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9229 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40255 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9239 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40269 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9249 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9259 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40297 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9269 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40311 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9279 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9289 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40339 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9299 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40353 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9309 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40368 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9320 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40383 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9331 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9341 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40411 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9351 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40425 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9361 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40439 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9371 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40453 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9381 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40467 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9391 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9402 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40497 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9413 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40512 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9424 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40527 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9435 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40542 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9446 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9457 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9468 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9479 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9490 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40617 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9501 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40632 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9512 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40647 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9523 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40663 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9535 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40679 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9547 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40695 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9559 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40711 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9571 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40727 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9583 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9595 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9606 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40773 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9617 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40789 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9629 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40805 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9641 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9652 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40835 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9663 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9672 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40862 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9682 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9692 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40890 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9702 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40904 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9712 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9722 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40932 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9732 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40946 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9742 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40960 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9752 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9762 "gram_minimal.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40991 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9780 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 40997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9792 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41017 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9802 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9812 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9822 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41060 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9833 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41074 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9843 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41088 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9854 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41094 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9855 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 41100 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9866 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41114 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9876 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41128 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9886 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41142 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9896 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41156 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9906 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9916 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41184 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9926 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41198 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9936 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9946 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41226 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9956 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9966 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41254 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9976 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41268 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9986 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41282 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9996 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41296 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 10006 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41310 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 10016 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41324 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10026 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10036 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10046 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10056 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41380 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10066 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10076 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41408 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10086 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41422 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10096 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10106 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10116 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41464 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10126 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41478 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10145 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10154 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10155 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10159 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10161 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10166 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10167 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41526 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10168 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 41532 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10169 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 41538 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10170 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 41544 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10183 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41556 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10199 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41569 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10208 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41582 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10217 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41595 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10226 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41608 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10235 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10244 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41634 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10253 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41647 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10262 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41660 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10271 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41673 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10280 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41686 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10289 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10298 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41712 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10307 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10316 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41738 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10325 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41751 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10334 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41764 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10343 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10352 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41790 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10361 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41803 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10370 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10379 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41829 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10388 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10397 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10406 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41868 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10434 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41880 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10442 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 41893 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10451 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 41907 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10477 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41920 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10486 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41931 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10493 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41941 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10499 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 41972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10526 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 41986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10537 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41999 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10546 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10554 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 42015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10556 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 42021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10578 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42033 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10586 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 42047 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10596 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 42061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10606 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 42075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10625 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42089 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10644 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10654 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42117 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10664 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42131 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10674 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42146 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10685 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42161 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10696 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42176 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10707 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42191 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10718 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10729 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10747 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42233 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10756 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42246 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10775 "gram_minimal.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42263 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10790 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42269 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10791 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42275 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10792 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42281 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10798 "gram_minimal.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 42291 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10804 "gram_minimal.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 42301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10820 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42307 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10821 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42313 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10824 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 42319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10825 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 42325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10826 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 42331 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 42337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10831 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42343 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 10832 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42349 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10833 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42355 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10846 "gram_minimal.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42367 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10856 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42373 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10857 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42379 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10861 "gram_minimal.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42390 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10871 "gram_minimal.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42401 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10878 "gram_minimal.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42412 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10898 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42425 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10907 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42437 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10915 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10924 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42463 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10933 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42475 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10941 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42487 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10949 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42499 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10957 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42511 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10965 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42523 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10973 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42535 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10981 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10989 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 11000 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42571 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 11008 "gram_minimal.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42584 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11025 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 42591 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11028 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 42598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11031 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42605 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11034 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 42612 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11037 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42619 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11044 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42625 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11046 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42631 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11048 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42637 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11054 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42643 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11058 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42649 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11059 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42655 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11060 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42661 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11074 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42678 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11088 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42695 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11102 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42717 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11121 "gram_minimal.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42739 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11141 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42745 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11142 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42751 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11143 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 42757 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11144 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 42763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11155 "gram_minimal.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11172 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42786 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11182 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42792 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11183 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42798 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11187 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11188 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42810 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11193 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11197 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 42826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11201 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 42834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11218 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11219 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 42846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11220 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11221 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11222 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11223 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11224 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11244 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11252 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11260 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 42913 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11269 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 42924 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11279 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11297 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11306 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11315 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11324 "gram_minimal.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42988 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11336 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 42996 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11340 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 43004 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11351 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 43012 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11363 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43023 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11381 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43034 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11388 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11405 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43059 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11419 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43072 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11429 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43084 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11438 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43096 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11447 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11457 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43124 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11469 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43139 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11481 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11504 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43164 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11515 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11527 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11539 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11551 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43228 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11563 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43242 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11573 "gram_minimal.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43256 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11602 "gram_minimal.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 43271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11626 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 43286 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11638 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43299 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11647 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 43314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11659 "gram_minimal.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43329 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11672 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43335 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 11673 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11686 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11707 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43379 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11718 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43395 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11730 "gram_minimal.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43408 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11742 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43416 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11746 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43424 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11758 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43432 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11764 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43438 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11765 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 43444 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11766 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 43450 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11770 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43456 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11771 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43462 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11772 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43468 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11776 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43474 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11777 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43480 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43486 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11782 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43492 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11785 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11786 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43504 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11789 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43510 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11790 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11794 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11795 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11800 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 43536 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11807 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43542 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11809 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43548 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11813 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43554 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11814 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43560 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11828 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 43572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11836 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11847 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11855 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 11885 "gram_minimal.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 11895 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43630 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 11896 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43636 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 11915 "gram_minimal.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43648 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 11924 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43669 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 11942 "gram_minimal.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43690 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 11960 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 11961 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 11972 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 43713 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 11979 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 43724 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 11986 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 43735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 11993 "gram_minimal.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 43746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 12011 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 43758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 12021 "gram_minimal.y" /* yacc.c:1646  */
    {
				InsertStmt *insert = makeNode(InsertStmt);
				insert->relation = (yyvsp[0].range);
				(yyval.node) = (Node *) insert;
				/*
				 * Assign the node directly to the parsetree and exit the scanner
				 * we don't want to keep parsing for information we don't need
				 */
				pg_yyget_extra(yyscanner)->parsetree = list_make1(makeRawStmt((yyval.node), 0));
				YYACCEPT;
			}
#line 43774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12042 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 43782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12046 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 43791 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12054 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43801 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12060 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12067 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43822 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12073 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43833 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12080 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 43843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12088 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 43849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12089 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 43855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12094 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43861 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12096 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43867 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12101 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12112 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 43892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12122 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 43905 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12131 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 43913 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12138 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 43925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12147 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 43937 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12155 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 43945 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12161 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43951 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12162 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43957 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12175 "gram_minimal.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 43972 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12188 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12189 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43984 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12201 "gram_minimal.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12211 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 44003 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12212 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 44009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12215 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 44015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12216 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 44021 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12217 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 44027 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12218 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 44033 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12219 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 44039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12220 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 44045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12221 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 44051 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12222 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 44057 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12225 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44063 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12226 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12230 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 44075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12231 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 44081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12232 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 44087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12248 "gram_minimal.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 44103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12261 "gram_minimal.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[0].range);
					n->targetList = NULL;
					n->fromClause = NULL;
					n->whereClause = NULL;
					n->returningList = NULL;
					n->withClause = (yyvsp[-2].with);
					(yyval.node) = (Node *)n;
					pg_yyget_extra(yyscanner)->parsetree = list_make1(makeRawStmt((yyval.node), 0));
					YYACCEPT;
				}
#line 44120 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12275 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12276 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 44132 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12281 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 44141 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12286 "gram_minimal.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44166 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12310 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44178 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12320 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44184 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12321 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12337 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12351 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12352 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12357 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44229 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12364 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12371 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44251 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12378 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44265 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12388 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44279 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12400 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44285 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12401 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44291 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12406 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44305 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12419 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12432 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12441 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44345 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12450 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44358 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12459 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12468 "gram_minimal.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 44384 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12480 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44392 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12492 "gram_minimal.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12503 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44412 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12506 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44418 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12507 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44424 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12508 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12509 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12510 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12511 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44448 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12514 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12515 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44460 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12516 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44466 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12569 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12570 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44478 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12585 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44484 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12587 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44495 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12594 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44507 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12602 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44519 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12610 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 44531 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12618 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44543 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12626 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44555 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12634 "gram_minimal.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44567 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12644 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44573 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12645 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44579 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12680 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44597 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12696 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44616 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12710 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44622 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12712 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 44645 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12731 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44653 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12735 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44661 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12739 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44669 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12754 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44680 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12761 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12768 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 44702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12777 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44708 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12778 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44714 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12782 "gram_minimal.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 44731 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12797 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 44737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12798 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 44743 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12799 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 44749 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12804 "gram_minimal.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12814 "gram_minimal.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12824 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44785 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12831 "gram_minimal.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 44801 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12843 "gram_minimal.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 44817 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12855 "gram_minimal.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44825 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12861 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 44831 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12862 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 44837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12867 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 44852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12878 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 44858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12887 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44867 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12892 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44876 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12897 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44885 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12902 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12907 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12915 "gram_minimal.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12923 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 44927 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12928 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44936 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12933 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44945 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12944 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 44951 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12945 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 44957 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12946 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 44963 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12953 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 44969 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 12954 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 12963 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44981 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 12964 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44987 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 12968 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44993 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 12969 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44999 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 12973 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45005 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 12977 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 45011 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 12978 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 45017 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 12982 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 45030 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 12991 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 45043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13004 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 45052 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13009 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 45061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13014 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 45069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13018 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45082 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13029 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 45088 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13030 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 45094 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13035 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45107 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13044 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 45120 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13060 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45133 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13069 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45146 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13078 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45159 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13087 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45172 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13099 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45178 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13102 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45184 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13106 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13108 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45205 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13135 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45211 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13137 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45217 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13139 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45223 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13143 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45229 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13144 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45235 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13148 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45241 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13149 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45247 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13152 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45253 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13153 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45259 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13179 "gram_minimal.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13187 "gram_minimal.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 45283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13197 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13198 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 45295 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13202 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13203 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45307 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13204 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45313 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13205 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13206 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13211 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 45333 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13224 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45341 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13231 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45349 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13238 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 45357 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13244 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45363 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13245 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45369 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13249 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45375 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13250 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45381 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13254 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13255 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45393 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13259 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45399 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13260 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45405 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13265 "gram_minimal.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45418 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13276 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 45424 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13277 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13278 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 45436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13279 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13283 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45448 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13284 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13295 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45465 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13302 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13320 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13321 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45488 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13325 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45494 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13326 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45500 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13333 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45509 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13338 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45522 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13347 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13355 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45547 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13364 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45558 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13371 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45570 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13379 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13388 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45596 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13397 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 45604 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13401 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 45613 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13427 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 45621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13431 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 45639 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13445 "gram_minimal.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13466 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45690 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13488 "gram_minimal.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45707 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13501 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13518 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45735 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13524 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45744 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13529 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45754 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13535 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13541 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 45769 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13542 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45775 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13553 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 45785 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13558 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45791 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13567 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 45799 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13571 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 45807 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13575 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13582 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45829 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13589 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 45837 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13594 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 45843 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13595 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 45849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13596 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 45855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13597 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 45861 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13618 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 45869 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13622 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45877 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13630 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45888 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13637 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45896 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13644 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45907 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13651 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45918 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13658 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45929 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13668 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45935 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13669 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45941 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13683 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13687 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 45961 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13695 "gram_minimal.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 45973 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13709 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 45988 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13722 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 45994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13723 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46000 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13739 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46015 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13750 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46030 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13763 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 46036 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13767 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 46042 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13768 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 46048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13771 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46054 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13772 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46060 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13775 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13776 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46072 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13781 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46078 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13782 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46084 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13787 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46090 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13789 "gram_minimal.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 46103 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13797 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46109 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13802 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46115 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13803 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46121 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13808 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 46129 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13812 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 46137 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13818 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13843 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46175 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13855 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13867 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13868 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46202 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13873 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13887 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 46281 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13944 "gram_minimal.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 46296 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13958 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 46302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13960 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 46308 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13965 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 46314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13967 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 46320 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13969 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 46326 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13971 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 46332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13976 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13978 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46344 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13983 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46356 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 13991 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46368 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14011 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 46377 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14016 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 46387 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14023 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46396 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14028 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14034 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46415 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14039 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46425 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14048 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46431 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14050 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46437 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14052 "gram_minimal.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 46443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14056 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46449 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14057 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46455 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14058 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46461 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14059 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46467 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14060 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46473 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14062 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46482 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14067 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46492 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14086 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46498 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14087 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46504 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14088 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46510 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14089 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46516 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14101 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46526 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14107 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 46536 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14114 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46542 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14115 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46548 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14122 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46557 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14127 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46566 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14132 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46575 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14137 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46584 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14142 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46593 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14147 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46602 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14152 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46611 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14157 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46621 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14163 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46631 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14169 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46641 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14175 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46650 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14182 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 46675 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14203 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 46683 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14213 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14217 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46699 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14225 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46707 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14229 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14237 "gram_minimal.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46729 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14249 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14270 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46755 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14274 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46763 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14280 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46771 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14284 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46786 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14297 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 46796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14305 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46808 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14315 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46814 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14317 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14319 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 46826 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14321 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46832 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14323 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46838 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14325 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46844 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14329 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46850 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46856 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14338 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46869 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14347 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46881 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14355 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46894 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14364 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14375 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46915 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14382 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46921 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14383 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46927 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14384 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46933 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14389 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 46939 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14391 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 46945 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14393 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 46951 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14395 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 46957 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14397 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 46963 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14399 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46969 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14401 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 46978 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14406 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 46987 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14411 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14417 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47009 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14425 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47018 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14430 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47029 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14437 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47039 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14443 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47045 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14448 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 47053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14452 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47062 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14487 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47068 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14489 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47074 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14491 "gram_minimal.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47087 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14500 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47098 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14516 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47104 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47110 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14520 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47116 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14522 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14524 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47128 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14526 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47134 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14528 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47140 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14530 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47146 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14532 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47152 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14534 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47158 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14536 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47164 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14538 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47170 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14540 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47176 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14542 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47182 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14545 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47188 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14547 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14550 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47200 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14552 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47206 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14554 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47212 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14556 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47218 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14559 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47227 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14564 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47240 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14573 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47249 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14578 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47262 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14587 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14592 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47284 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14601 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47293 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14606 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47306 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14616 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 47319 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14625 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47332 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14634 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47345 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14643 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 47358 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14662 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47371 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14671 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47384 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14680 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47397 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14689 "gram_minimal.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47410 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14698 "gram_minimal.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47431 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14715 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47444 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14724 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47457 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14733 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47470 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14742 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47483 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14751 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14760 "gram_minimal.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47509 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14769 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47517 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14773 "gram_minimal.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47525 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14777 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47537 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14785 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47549 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14793 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47561 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14801 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47573 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14809 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 47598 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14830 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 47625 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14853 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47641 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14865 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 47652 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14872 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 47672 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14888 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47681 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14893 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47691 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14899 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14906 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 47713 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14913 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47725 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14921 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 47737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14930 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 47747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14949 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 47757 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14967 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47776 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14993 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14995 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14997 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47794 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14999 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47800 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 15001 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47806 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 15003 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47812 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 15005 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47818 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 15007 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47824 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 15009 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47830 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15011 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47836 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15013 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47842 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15015 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47848 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15017 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47854 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15019 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15021 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47866 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15023 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47872 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15025 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47878 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15027 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15029 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47892 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15033 "gram_minimal.y" /* yacc.c:1646  */
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15037 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47909 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15042 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47919 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15057 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15058 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47931 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15060 "gram_minimal.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 47952 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15077 "gram_minimal.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 47969 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15090 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47975 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15092 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47981 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15094 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47997 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15106 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 48026 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15131 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48042 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15143 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48058 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15155 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48070 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15163 "gram_minimal.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48085 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15174 "gram_minimal.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48100 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15185 "gram_minimal.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 48112 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15195 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48122 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15201 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48135 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15210 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48149 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15220 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48163 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15230 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 48180 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15243 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 48194 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15253 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 48217 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15284 "gram_minimal.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 48257 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15320 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 48271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15330 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48277 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15340 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15341 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15342 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48295 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15350 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48306 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15357 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 48314 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15361 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 48322 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15365 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48330 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15369 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 48338 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15373 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48346 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15377 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 48354 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15381 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48362 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15385 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48370 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15389 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48378 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15393 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48386 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15397 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15401 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48402 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15405 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48413 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15412 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48421 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15416 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48429 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15420 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48437 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15424 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15426 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15433 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48465 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15440 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48476 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15447 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48487 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15454 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15465 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15479 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48534 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15489 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48549 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15500 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 48569 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15516 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48583 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15526 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48594 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15533 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48605 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15540 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48616 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15547 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 48624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15551 "gram_minimal.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 48636 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15559 "gram_minimal.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48649 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15568 "gram_minimal.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48662 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15577 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 48670 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15581 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 48678 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15585 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 48686 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15589 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 48694 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15593 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 48702 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15597 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48715 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15606 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 48723 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15610 "gram_minimal.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 48737 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15620 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 48745 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15624 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48753 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15628 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15633 "gram_minimal.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 48777 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15644 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 48787 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15653 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 48802 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15664 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48817 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15679 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48831 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15694 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15707 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48860 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15722 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48866 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15724 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 48872 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15728 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 48878 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15730 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 48884 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15732 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 48890 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15734 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 48896 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15737 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48902 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15740 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 48908 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15741 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 48914 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15745 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 48926 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15753 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 48938 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15762 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 48944 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15763 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 48950 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15766 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48956 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15767 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48962 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15768 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48968 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15771 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48974 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15772 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48980 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15773 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48986 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15779 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15783 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49002 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15787 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49010 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15791 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49018 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15806 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49024 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15807 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49030 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15811 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 49036 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15812 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49042 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15820 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49048 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15821 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49054 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15825 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 49060 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15827 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 49066 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15832 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49077 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15841 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 49083 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15843 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49101 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15857 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 49107 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15862 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49126 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 15888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49132 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 15889 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 49138 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 15892 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49144 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 15893 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49150 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 15902 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49162 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 15910 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49174 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 15918 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49186 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 15926 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49199 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 15937 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49221 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 15955 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49263 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 16001 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49276 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 16010 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 16019 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49302 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 16028 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49315 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 16037 "gram_minimal.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49328 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16048 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49334 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16049 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49340 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16050 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49346 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16051 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49352 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16052 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49358 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16066 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49364 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16067 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49370 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16068 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49376 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16071 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16072 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49388 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16075 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16078 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49400 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16079 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16080 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 49412 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16083 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49418 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16084 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49424 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16087 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 49430 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16088 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 49436 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16089 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 49442 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16090 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 49448 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16091 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 49454 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16092 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 49460 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16093 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 49466 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16094 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 49472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16095 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 49478 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16096 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 49484 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16097 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 49490 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16098 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 49496 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16102 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49502 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16104 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49508 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16109 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49514 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16111 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16116 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49526 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16118 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49532 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16120 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 49538 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16122 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 49544 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16124 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 49550 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16126 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 49556 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16138 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49564 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16142 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49572 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16149 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49580 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16153 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49588 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16159 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49596 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16163 "gram_minimal.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49610 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16173 "gram_minimal.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49624 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16184 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49630 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16185 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49636 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16188 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 49642 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16189 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 49648 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16193 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49656 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16197 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49664 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16201 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 49672 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16206 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49678 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16207 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 49684 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16213 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 49692 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16222 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49698 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16223 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 49704 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16224 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 49710 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16225 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 49716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16226 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 49722 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16227 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 49728 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16228 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 49734 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16229 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49740 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16233 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 49746 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16234 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 49752 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16235 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 49758 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16236 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 49764 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16242 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49773 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16247 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49782 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16255 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 49788 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16277 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49796 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16281 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 49805 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16286 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49820 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16297 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 49841 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16314 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49849 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16319 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 49855 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16320 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49861 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16321 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49867 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16325 "gram_minimal.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 49879 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16332 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 49885 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16343 "gram_minimal.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 49900 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16357 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49906 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16358 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49912 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16363 "gram_minimal.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 49925 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16374 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49931 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16375 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49937 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16378 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49943 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16379 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49949 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16383 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 49957 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16387 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 49965 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16394 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 49973 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16398 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 49981 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16402 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 49994 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16411 "gram_minimal.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50007 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16422 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50013 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16423 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50019 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16427 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50025 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16428 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50031 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16432 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50037 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16433 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50043 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16443 "gram_minimal.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 50053 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16452 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, (yyvsp[0].ival), (yylsp[-2]));
				}
#line 50061 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16456 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50069 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16462 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = makeJsonEncoding((yyvsp[0].str)); }
#line 50075 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16463 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_ENC_DEFAULT; }
#line 50081 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16468 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 50094 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16476 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50100 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16480 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50106 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16481 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50112 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16482 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 50118 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16483 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 50124 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16484 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 50130 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16489 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50136 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16490 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50142 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16491 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50148 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16492 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50154 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16493 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50160 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16498 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50166 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16500 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50172 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16510 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50178 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16513 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50184 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16518 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50190 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16519 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50196 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16520 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50202 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16524 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50208 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16525 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50214 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16526 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50220 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16530 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50226 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16531 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 50232 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16541 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50249 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16559 "gram_minimal.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50265 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16573 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50271 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16574 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50277 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16583 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50283 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16584 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50289 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16588 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50295 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16589 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50301 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16593 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50313 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16601 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 50325 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16609 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50337 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16617 "gram_minimal.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 50354 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16639 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 50360 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16640 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 50366 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16652 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 50374 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16656 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50382 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16662 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50388 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16664 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 50394 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16668 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50400 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16670 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50406 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16672 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50412 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16683 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50418 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16685 "gram_minimal.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 50427 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16696 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 50435 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16700 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50443 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16704 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50451 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16708 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50459 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16712 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50472 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16721 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50484 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16729 "gram_minimal.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50520 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16761 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 50528 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16765 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 50539 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16772 "gram_minimal.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50551 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16780 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 50559 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16784 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 50567 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16788 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 50575 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16793 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50581 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16794 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50587 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16796 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50593 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16797 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 50599 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16798 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 50605 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16803 "gram_minimal.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 50648 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16844 "gram_minimal.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 50680 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16872 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 50688 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16876 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 50696 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16880 "gram_minimal.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 50704 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16886 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 50710 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16888 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 50716 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16905 "gram_minimal.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 50747 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16938 "gram_minimal.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50762 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16950 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50768 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16951 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 50774 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16972 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50780 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16973 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50786 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16974 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50792 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16979 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50798 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16980 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50804 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 16981 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50810 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 16986 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50816 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 16987 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50822 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 16988 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50828 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 16989 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50834 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 16995 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50840 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 16996 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50846 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 16997 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50852 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 16998 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50858 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 16999 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50864 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17005 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50870 "gram_minimal.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17006 "gram_minimal.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50876 "gram_minimal.c" /* yacc.c:1646  */
    break;


#line 50880 "gram_minimal.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 17978 "gram_minimal.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
minimal_base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}


static Node *
makeStringConst(char *str, int location)
{
	A_Const    *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

	return (Node *) n;
}


static Node *
makeFloatConst(char *str, int location)
{
	A_Const    *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBoolAConst(bool state, int location)
{
    A_Const    *n = makeNode(A_Const);

    n->val.boolval.type = T_Boolean;
    n->val.boolval.boolval = state;
    n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
    A_Const    *n = makeNode(A_Const);

    n->val.bsval.type = T_BitString;
    n->val.bsval.bsval = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
    A_Const    *n = makeNode(A_Const);

    n->isnull = true;
    n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node       *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location)));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("invalid publication object list"),
				 errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				 parser_errposition(pubobj->location)));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("invalid table name"),
						 parser_errposition(pubobj->location)));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("WHERE clause not allowed for schema"),
						 parser_errposition(pubobj->location)));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("column specification not allowed for schema"),
						 parser_errposition(pubobj->location)));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("invalid schema name"),
						 parser_errposition(pubobj->location)));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
minimal_parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

